<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\model\sistema\ImagenesSlider;
use App\model\sistema\DataWeb;
use App\model\sistema\ImagenesFlyers;
use App\model\sistema\ListaVendedores;
use Validator;
use DateTime;
use Illuminate\Support\Facades\DB;

class ConfigWebController extends Controller {

	public function __construct() {
		$this->middleware('auth');
	}

    public function index() {

        $data_web = DataWeb::find('1');
        $imagenes_slider = ImagenesSlider::orderBy('id', 'asc')->get();
        $imagenes_flyers = ImagenesFlyers::orderBy('id', 'asc')->get();
        $vendedores = ListaVendedores::orderBy('nombre', 'asc')->get();

    	return view('/configuracion-web', ['data_web'=>$data_web,'imagenes_slider'=>$imagenes_slider,'imagenes_flyers'=>$imagenes_flyers,'vendedores'=>$vendedores,'title' => 'CONFIGURACIÓN WEB']);
    }

    public function save_imagenes(Request $request, $tipo) {
            
        if ($tipo == "portada") {
            $path = 'images/indexSlider/';
            $file = $request->file('new_img');
            $new_image_name = 'UIMG'.date('Ymd').uniqid().'.webp';
            $upload = $file->move(public_path($path), $new_image_name);
            if($upload){
                $image = new ImagenesSlider;
                $image->path = $path . '/' . $new_image_name;
                $image->save();

                return response()->json(['status'=>1, 'msg'=>'Imagen subida con éxito.', 'name'=>$new_image_name]);
            }else{
                return response()->json(['status'=>0, 'msg'=>'Un error ocurrió en la subida de la imagen, por favor inténtalo nuevamente.']);
            }
        } elseif ($tipo == "flyer") {
            $path = 'images/flyers-circuitos/';
            $file = $request->file('new_img');
            $new_image_name = 'UIMG'.date('Ymd').uniqid().'.webp';
            $upload = $file->move(public_path($path), $new_image_name);
            if($upload){
                $image = new ImagenesFlyers();
                $image->path = $path . '/' . $new_image_name;
                $image->save();

                return response()->json(['status'=>1, 'msg'=>'Imagen subida con éxito.', 'name'=>$new_image_name]);
            }else{
                return response()->json(['status'=>0, 'msg'=>'Un error ocurrió en la subida de la imagen, por favor inténtalo nuevamente.']);
            }
        }

        return back();

    }

    public function delete_imagenes(Request $request) {

        $id = $request->id_delete;
            
        if ($request->tipo_imagen == "portada") {
            $image = ImagenesSlider::find($id);
        } elseif ($request->tipo_imagen == "flyer") {
            $image = ImagenesFlyers::find($id);
        }
    
        if ($image) {
            if (file_exists(public_path($image->path))) {
                unlink(public_path($image->path));
            }
            $image->delete();
        }

        return back();

    }

    public function save_contacto(Request $request) {
        DataWeb::find('1')->update([
            'telefono_whatsapp'=>$request->telefono_whatsapp,
            'telefono_1'=>$request->telefono_1,
            'telefono_2'=>$request->telefono_2,
            'telefono_3'=>$request->telefono_3,
            'telefono_4'=>$request->telefono_4,
            'direccion_1'=>$request->direccion_1,
            'direccion_2'=>$request->direccion_2,
            'email'=>$request->email,
            'horarios_atencion_pigue'=>$request->horarios_atencion_pigue,
            'horarios_atencion_bahia'=>$request->horarios_atencion_bahia,
        ]);
    }

    public function save_quienes_somos(Request $request) {
        DataWeb::find('1')->update([
            'quienes_somos'=>$request->quienes_somos
        ]);
    }

    public function save_testimonios(Request $request) {
        DataWeb::find('1')->update([
            'texto_testimonio_1'=>$request->texto_testimonio_1,
            'nombre_testimonio_1'=>$request->nombre_testimonio_1,
            'texto_testimonio_2'=>$request->texto_testimonio_2,
            'nombre_testimonio_2'=>$request->nombre_testimonio_2,
            'texto_testimonio_3'=>$request->texto_testimonio_3,
            'nombre_testimonio_3'=>$request->nombre_testimonio_3,
        ]);
    }

    public function save_vendedores(Request $request) {
        $vendedor = (empty($request->id)) ? new ListaVendedores() : ListaVendedores::find($request->id);
        $vendedor->nombre = $request->nombre;
        $vendedor->email = $request->email;
        $vendedor->telefono = $request->telefono;
        $vendedor->save();
    
        $id = $vendedor->id;
    
        return $id;
    }

    public function delete_vendedor(Request $request) {
        ListaVendedores::find($request->id)->delete();
    }
}
