<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\model\sistema\Users;
use App\model\sistema\Reserva;
use App\model\sistema\Pasajero;
use Validator;
use Illuminate\Validation\Rule;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\DB;

class CoordinadoresController extends Controller
{
    public function __construct() {
    	$this->middleware('auth');
    }

    public function index() {
    	$users = Pasajero::where('coordinador', '=', '1')->where('estado', '=', '1')->get();
    	return view('coordinadores', ['title'=> 'COORDINADORES', 'users' => $users]);
    }

    public function save(Request $request) {
        $fechaNacimiento = \DateTime::createFromFormat('d/m/Y', $request->fecha_nacimiento)->format('Y-m-d');

        $pasajero = ($request->idCoordinadorEdit) ? Pasajero::find($request->idCoordinadorEdit) : new Pasajero;
        $pasajero->nombre = $request->nombre;
        $pasajero->apellido = $request->apellido;
        $pasajero->dni = $request->dni;
        $pasajero->fecha_nacimiento = $fechaNacimiento;
        $pasajero->localidad = $request->localidad;
        $pasajero->telefono = $request->telefono;
        $pasajero->email = $request->email;
        $pasajero->comentarios = $request->comentarios;
        $pasajero->coordinador = 1;
        $pasajero->id_user = auth()->id();
        $pasajero->save();

        return redirect('/sistema/coordinadores');
    }

    public function delete(Request $request) {
        Pasajero::where('id', $request->idCoordDelete)->delete();
        return redirect('/sistema/coordinadores');
        /* Pasajero::where('id', $request->idCoordDelete)->update(['estado' => 0]);
        return redirect('/sistema/coordinadores'); */
    }

    public function disable(Request $request) {
        Pasajero::where('id', $request->idCoordDeshabilitar)->update(['estado'=>0,'id_user'=>auth()->id()]);
        return redirect('/sistema/coordinadores');
    }

    public function disabled() {
        $disabledUsers = Pasajero::where('coordinador', '=', '1')->where('estado', '=', '0')->get();
        return view('disabled-coordinadores', ['title' => 'COORDINADORES DESHABILITADOS', 'users' => $disabledUsers]);
    }

    public function enable(Request $request) {
        Pasajero::where('id', $request->idCoordHabilitar)->update(['estado' => 1,'id_user'=>auth()->id()]);
        return redirect('/sistema/coordinadores/disabled');
    }
    
}
