<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\model\sistema\Reserva;
use App\model\sistema\ReservaInfo;
use App\model\sistema\TipoTransaccion;
use App\model\sistema\Oficina;
use App\model\sistema\Cuota;
use App\model\sistema\Viaje;
use App\model\sistema\Locked;
use App\model\sistema\Caja;
use App\model\sistema\Pasajero;
use App\model\sistema\Anotaciones;
use App\model\sistema\ListaEspera;
use App\model\sistema\HistorialButacas;
use App\model\sistema\SaldosAFavor;
use App\model\sistema\CuotasBorradas;
use App\model\sistema\Comision;
use App\model\core\Common;
use App\model\sistema\CuotasExcursiones;
use App\model\sistema\ReservaExcursiones;
use Validator;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;

class CuentasController extends Controller
{
	public function __construct() {
		$this->middleware('auth');
	}

	public function index($id) {
		$viaje = Viaje::find($id);
		$viajes = Viaje::where('viaje.deleted', 0)
                    ->whereDate('fecha_hora_retorno', '>', date('Y-m-d H:m:s'))
                    ->orderBy('viaje.fecha_hora_salida', 'asc')
                    ->with('incluye', 'destino', 'categoria', 'habitaciones.type', 'reserva', 'reservainfo')
                    ->get();

        /* $separo_fecha = explode(' ', $viaje->fecha_hora_salida);
        $fecha_d_m_y = date("d/m/Y", strtotime($separo_fecha[0])); */
    	$fecha_d_m_y = date("d/m/Y", strtotime($viaje->fecha_hora_salida));

		$anotaciones = Anotaciones::where('id_viaje',$id)->value('texto');

		$but_ocupadas = DB::table('reserva_info')->where('viaje_id',$id)->count();

		$pasajeros = Pasajero::all();

		$historial_butacas = DB::table('historial_butacas')->where('viaje_id',$id)->get();

		$arrayHistorial = array();
		foreach ($historial_butacas as $hist) {
			$vendedor = "-";
			if ($hist->user_id > 0) {
				$dataVendedor = DB::table('users')->where('id',$hist->user_id)->first();
				$vendedor = $dataVendedor->lastName.', '.$dataVendedor->name;
			}
			if ($hist->precio_opcional > 0) {
				$tarifa = $hist->precio_opcional;
			} else {
				$tarifa = DB::table('viaje')->where('id',$hist->viaje_id)->value('precio');
			}
			$dataPasajero = DB::table('pasajero')->where('id',$hist->pasajero_id)->first();
			$pasajero = $dataPasajero->apellido.', '.$dataPasajero->nombre;
			$habitacion = DB::table('tipo_habitacion')->where('id',$hist->tipo_habitacion_id)->value('nombre');
			$nacimiento = date("d/m/Y", strtotime($dataPasajero->fecha_nacimiento));
			$fecha_cancelacion = '-';
			if (isset($hist->fecha_cancelacion)) {
				$fecha_cancelacion = date("d/m/Y", strtotime($hist->fecha_cancelacion));
			}
			$dataUsuario = DB::table('users')->where('id',$hist->id_usuario_cancel)->first();
			$usuario_cancelo = '-';
			if (isset($dataUsuario->lastName)) {
				$usuario_cancelo = $dataUsuario->lastName.', '.$dataUsuario->name;
			}
			$monto_devuelto = $hist->monto_entregado - $hist->monto_retenido;
			$arrayHistorial[] = array('codigo'=>$hist->pasajero_id,'vendedor'=>$vendedor,'nro_asiento'=>$hist->nro_asiento,'pasajero'=>$pasajero,'dni'=>$dataPasajero->dni,
									'nacimiento'=>$nacimiento,'localidad'=>$dataPasajero->localidad,'telefono'=>$dataPasajero->telefono,'id'=>$hist->id,
									'ascenso'=>$hist->sube_en,'habitacion'=>$habitacion,'info'=>$hist->info,'tarifa'=>$tarifa,'fecha_cancelacion'=>$fecha_cancelacion,'usuario_cancelo'=>$usuario_cancelo,
									'monto_entregado'=>$hist->monto_entregado,'monto_retenido'=>$hist->monto_retenido,'monto_devuelto'=>$monto_devuelto,'comentarios'=>$hist->comentarios);
		}
		$historial_butacas = $arrayHistorial;

		$arrayComisiones = array();
		$sum_total_comisiones = 0;
		$data_reserva = DB::table('reserva_info')
						->where('reserva_info.viaje_id', $id)
						->join('comisiones', 'comisiones.id_reserva_info', '=', 'reserva_info.id')
						->select('comisiones.*','reserva_info.pasajero_id')
						->get();

		foreach ($data_reserva as $item) {
			$sum_total_comisiones += $item->monto;

			$data_user = DB::table('users')->where('id',$item->id_user)->first();
			$vendedor = $data_user->lastName.", ".$data_user->name;
			$data_user_pago = DB::table('users')->where('id',$item->pago_comision)->first();
			$user_pago = $data_user_pago->lastName.", ".$data_user_pago->name;
			$data_pasajero = DB::table('pasajero')->where('id',$item->pasajero_id)->first();
			$pasajero = $data_pasajero->apellido.", ".$data_pasajero->nombre;
			$data_caja = DB::table('caja2020')->where('id',$item->id_caja)->first();

			$arrayComisiones[] = array(
									'id'=>$item->id,
									'id_caja'=>$item->id_caja,
									'vendedor'=>$vendedor,
									'pago_comision'=>$user_pago,
									'pasajero'=>$pasajero,
									'monto'=>$item->monto,
									'metodo_pago'=>(isset($data_caja->metodo_pago)) ? $data_caja->metodo_pago : '',
									'oficina_id'=>(isset($data_caja->oficina_id)) ? $data_caja->oficina_id : '',
									'monto'=>$item->monto,
									'datetime'=>$item->datetime);
		}
		$sum_total_comisiones = number_format($sum_total_comisiones, 2, ',', '.');

		return view('cuentas', ['viajeId'=>$id,'data_viaje'=>$viaje,'viajes'=>$viajes,'anotaciones'=>$anotaciones,'but_ocupadas'=>$but_ocupadas,'pasajeros'=>$pasajeros,'historial_butacas'=>$historial_butacas,'arrayComisiones'=>$arrayComisiones,'sum_total_comisiones'=>$sum_total_comisiones, 'title' => $viaje->destino->ciudad . ' (' . $fecha_d_m_y . ') > CUENTAS']);
	}

	public function dataSaldosAFavor($pasajero_id, $precio_opcional, $viaje_id) {

		$dataSaldos = DB::table('saldos_a_favor')->where('pasajero_id',$pasajero_id)->get();

		$sumatoria = 0;
		foreach ($dataSaldos as $data) {
			$saldo = $data->saldo;
			$saldo_usado = $data->saldo_usado;
			if ($saldo_usado != "") {
				$total = $saldo - $saldo_usado;
			} else {
				$total = $saldo;
			}
			$sumatoria = $sumatoria + $total;
		}

		if ($precio_opcional == 0) {
			$precio_opcional = DB::table('viaje')->where('id',$viaje_id)->value('precio');
		}
		$precio_viaje = $precio_opcional;

		if ($sumatoria <= $precio_viaje) {
			$monto = $sumatoria;
		} else {
			$monto = $precio_viaje;
		}
		$monto = number_format($monto, 2, ',', '.');

		$array = array('sumatoria'=>$sumatoria, 'monto'=>$monto);
		
		return $array;
	}

	public function guardarCheck($id_reserva_info, $seat, $valor) {
		DB::table('reserva_info')->where('id',$id_reserva_info)->where('nro_asiento',$seat)->update(['avisado'=>$valor]);
	}

	public function getReservasViaje(Request $request) {
        $reservas = Reserva::where('viaje_id', $request->viajeId)
        	->with('user', 'user_reservo', 'habitacion', 'info', 'info.pasajero', 'info.cuotas', 'info.cuotas.transaction', 'info.cuotas.transaction.TipoTransaccion')
        	->get()->all();

        return $reservas;
    }

	/* public function cancelReserva(Request $request) {
		$this->removeCuotasIfNeeded($request->data);
    	ReservaInfo::destroy($request->data['id']);
    	if(empty($this->getPasajeros($request->data['reserva_id']))) {
    		Reserva::destroy($request->data['reserva_id']);
    	}
    	return 1;
	} */
	public function cancelReserva($viaje_id, Request $request/* $pasajero_id, $entregado, $opcion, $info, $info2 */) {

		$id_user = auth()->id();
		$pasajero_id = $request->pasajero_id;
		$entregado = $request->entregado;
		$monto_entregado = $request->monto_entregado;
		$monto_a_pasar2 = $request->monto_a_pasar2;
		$monto_retenido = $monto_entregado - ($entregado + ((is_numeric($monto_a_pasar2)) ? $monto_a_pasar2 : 0));
		$opcion = $request->opcion;
		$info = $request->info;
		$info2 = $request->info2;
		$tipo_dev_dinero2 = $request->tipo_dev_dinero2;
		$comentario = $request->comentario;

		$reserva_info = DB::table('reserva_info')->where('pasajero_id',$pasajero_id)->where('viaje_id',$viaje_id)->first();
		$reserva = DB::table('reserva')->where('id',$reserva_info->reserva_id)->first();
		$historial_butacas = HistorialButacas::create(['viaje_id'=>$reserva_info->viaje_id,'user_id'=>$reserva->user_id,'pasajero_id'=>$reserva_info->pasajero_id,
													'nro_asiento'=>$reserva_info->nro_asiento,'precio_opcional'=>$reserva_info->precio_opcional,'sube_en'=>$reserva_info->sube_en,
													'tipo_habitacion_id'=>$reserva->tipo_habitacion_id,'info'=>$reserva_info->info,'avisado'=>$reserva_info->avisado,
													'fecha_cancelacion'=>date('Y-m-d'),'id_usuario_cancel'=>$id_user,'monto_entregado'=>$monto_entregado,'monto_retenido'=>$monto_retenido,
													'id_reserva_info_borrado'=>$reserva_info->id]);

		$count_reserva_info = DB::table('reserva_info')->where('reserva_id',$reserva_info->reserva_id)->count();
		/* DB::table('reserva_info')->where('id',$reserva_info->id)->delete();

		if ($count_reserva_info == 1) {
			DB::table('reserva')->where('id',$reserva_info->reserva_id)->delete();
		} */

		//Devolucion del dinero
		if ($opcion == 1) {
			$fecha = date('Y-m-d');
			$metodo_pago = "";
			$idDestino = DB::table('viaje')->where('id',$viaje_id)->value('destino_id');
			$nombreViaje = DB::table('destino')->where('id',$idDestino)->value('ciudad');
			$nombre_pasajero = DB::table('pasajero')->where('id',$reserva_info->pasajero_id)->first();
			if ($info == "efectivo") {
				$metodo_pago = "efectivo";
			}
			if ($info == "transferencia") {
				$metodo_pago = "transf_bancaria";
			}
			$transaction = new Caja;
			$transaction->fecha = $fecha;
			$transaction->concepto = 'Devolución a '.$nombre_pasajero->apellido.', '.$nombre_pasajero->nombre.' ('.$nombreViaje.')';
			$transaction->monto = $entregado;
			$transaction->tipo_transaccion_id = '6';
			$transaction->metodo_pago = $metodo_pago;
			$transaction->oficina_id = $info2;
			$transaction->id_user = auth()->id();
			$transaction->save();

			if ($tipo_dev_dinero2 != "" && $monto_a_pasar2 != "" && $monto_a_pasar2 > 0) {
				if ($tipo_dev_dinero2 == "efectivo") {
					$metodo_pago = "efectivo";
				}
				if ($tipo_dev_dinero2 == "transferencia") {
					$metodo_pago = "transf_bancaria";
				}
				$transaction = new Caja;
				$transaction->fecha = $fecha;
				$transaction->concepto = 'Devolución a '.$nombre_pasajero->apellido.', '.$nombre_pasajero->nombre.' ('.$nombreViaje.')';
				$transaction->monto = $monto_a_pasar2;
				$transaction->tipo_transaccion_id = '6';
				$transaction->metodo_pago = $metodo_pago;
				$transaction->oficina_id = $info2;
				$transaction->id_user = auth()->id();
				$transaction->save();
			}

			DB::table('cuotas_excursiones')->where([['id_viaje',$viaje_id],['id_pasajero',$reserva_info->pasajero_id]])->delete();
		}
		//Guardar Saldo a Favor
		if ($opcion == 2) {
			$idDestino = DB::table('viaje')->where('id',$viaje_id)->value('destino_id');
			$nombreViaje = DB::table('destino')->where('id',$idDestino)->value('ciudad');
			$fecha = date('Y-m-d h:m:s');
			$forma_pago = "";
			$fechas_pagos = "";
			$cuotas = DB::table('cuota2020')->where([['reserva_info_id',$reserva_info->id]])->get();
			foreach ($cuotas as $cuota) {
				$dataCaja = DB::table('caja2020')->where('id',$cuota->transaction_id)->first();
				$transaccion = DB::table('tipo_transaccion')->where('id',$dataCaja->tipo_transaccion_id)->value('nombre');
				if ($forma_pago == "") {
					$forma_pago = "$".$dataCaja->monto." (".$transaccion.")";
				} else {
					$forma_pago = $forma_pago.", $".$dataCaja->monto." (".$transaccion.")";
				}
				$fecha_d_m_y = date("d-m-Y", strtotime($dataCaja->fecha));
				if ($fechas_pagos == "") {
					$fechas_pagos = $fecha_d_m_y;
				} else {
					$fechas_pagos = $fechas_pagos.", ".$fecha_d_m_y;
				}
			}
			$saldos_a_favor = new SaldosAFavor;
			$saldos_a_favor->pasajero_id = $reserva_info->pasajero_id;
			$saldos_a_favor->saldo = $entregado;
			$saldos_a_favor->forma_pago = $forma_pago;
			$saldos_a_favor->viaje_anotado = $viaje_id;
			$saldos_a_favor->fechas_pagos = $fechas_pagos;
			$saldos_a_favor->comentario = $comentario;
			$saldos_a_favor->timestamp = $fecha;
			$saldos_a_favor->id_user = auth()->id();
			$saldos_a_favor->save();

			$excursiones_pagas = DB::table('cuotas_excursiones')->where([['id_viaje',$viaje_id],['id_pasajero',$reserva_info->pasajero_id]])->get();
			$entregado_excursiones = 0;
			$forma_pago_exc = "";
			foreach ($excursiones_pagas as $excursion_paga) {
				$caja_exc = DB::table('caja2020')->where('id',$excursion_paga->id_caja)->first();
				$entregado_excursiones = $entregado_excursiones + $caja_exc->monto;

				$transaccion = DB::table('tipo_transaccion')->where('id',$caja_exc->tipo_transaccion_id)->value('nombre');
				if ($forma_pago_exc == "") {
					$forma_pago_exc = "$".$caja_exc->monto." (".$transaccion.")";
				} else {
					$forma_pago_exc = $forma_pago_exc.", $".$caja_exc->monto." (".$transaccion.")";
				}
			}

			if ($entregado_excursiones > 0) {
				$saldos_a_favor = new SaldosAFavor;
				$saldos_a_favor->pasajero_id = $reserva_info->pasajero_id;
				$saldos_a_favor->saldo = $entregado_excursiones;
				$saldos_a_favor->forma_pago_exc = $forma_pago_exc;
				$saldos_a_favor->viaje_anotado = $viaje_id;
				$saldos_a_favor->fechas_pagos = $fechas_pagos;
				$saldos_a_favor->comentario = 'Saldo de excursiones. ('.$nombreViaje.')';
				$saldos_a_favor->timestamp = $fecha;
				$saldos_a_favor->id_user = auth()->id();
				$saldos_a_favor->save();

				DB::table('cuotas_excursiones')->where([['id_viaje',$viaje_id],['id_pasajero',$reserva_info->pasajero_id]])->delete();
			}
		}
		//Pasar saldo a otro pasajero
		if ($opcion == 3) {
			$fecha = date('Y-m-d h:m:s');
			$nombre_pasajero = DB::table('pasajero')->where('id',$reserva_info->pasajero_id)->first();
			$forma_pago = "";
			$fechas_pagos = "";
			$cuotas = DB::table('cuota2020')->where([['reserva_info_id',$reserva_info->id]])->get();
			foreach ($cuotas as $cuota) {
				$dataCaja = DB::table('caja2020')->where('id',$cuota->transaction_id)->first();
				$transaccion = DB::table('tipo_transaccion')->where('id',$dataCaja->tipo_transaccion_id)->value('nombre');
				if ($forma_pago == "") {
					$forma_pago = "$".$dataCaja->monto." (".$transaccion.")";
				} else {
					$forma_pago = $forma_pago.", $".$dataCaja->monto." (".$transaccion.")";
				}
				$fecha_d_m_y = date("d-m-Y", strtotime($dataCaja->fecha));
				if ($fechas_pagos == "") {
					$fechas_pagos = $fecha_d_m_y;
				} else {
					$fechas_pagos = $fechas_pagos.", ".$fecha_d_m_y;
				}
			}
			$saldos_a_favor = new SaldosAFavor;
			$saldos_a_favor->pasajero_id = $info;
			$saldos_a_favor->saldo = $entregado;
			$saldos_a_favor->forma_pago = $forma_pago;
			$saldos_a_favor->viaje_anotado = $viaje_id;
			$saldos_a_favor->fechas_pagos = $fechas_pagos;
			$saldos_a_favor->comentario = 'Dinero recibido de '.$nombre_pasajero->apellido.', '.$nombre_pasajero->nombre.'.';
			$saldos_a_favor->timestamp = $fecha;
			$saldos_a_favor->id_user = auth()->id();
			$saldos_a_favor->save();

			$excursiones_pagas = DB::table('cuotas_excursiones')->where([['id_viaje',$viaje_id],['id_pasajero',$reserva_info->pasajero_id]])->get();
			$entregado_excursiones = 0;
			foreach ($excursiones_pagas as $excursion_paga) {
				$monto_exc = DB::table('caja2020')->where('id',$excursion_paga->id_caja)->value('monto');
				$entregado_excursiones = $entregado_excursiones + $monto_exc;
			}

			if ($entregado_excursiones > 0) {
				$saldos_a_favor = new SaldosAFavor;
				$saldos_a_favor->pasajero_id = $info;
				$saldos_a_favor->saldo = $entregado_excursiones;
				$saldos_a_favor->forma_pago = $forma_pago;
				$saldos_a_favor->viaje_anotado = $viaje_id;
				$saldos_a_favor->fechas_pagos = $fechas_pagos;
				$saldos_a_favor->comentario = 'Saldo de excursiones recibido de '.$nombre_pasajero->apellido.', '.$nombre_pasajero->nombre.'.';
				$saldos_a_favor->timestamp = $fecha;
				$saldos_a_favor->id_user = auth()->id();
				$saldos_a_favor->save();

				DB::table('cuotas_excursiones')->where([['id_viaje',$viaje_id],['id_pasajero',$reserva_info->pasajero_id]])->delete();
			}
		}

		$reserva_info_id = $reserva_info->id;
		$reserva_info_reserva_id = $reserva_info->reserva_id;
		$cantCuotas = DB::table('cuota2020')->where([['reserva_info_id',$reserva_info_id]])->count();
		if ($cantCuotas > 0) {
			$cuotas = DB::table('cuota2020')->where([['reserva_info_id',$reserva_info_id]])->get();
			foreach ($cuotas as $cuota) {
				$cuotaBorrada = new CuotasBorradas;
				$cuotaBorrada->reserva_info_id = $reserva_info_id;
				$cuotaBorrada->transaction_id = $cuota->transaction_id;
				$cuotaBorrada->save();
			}
			DB::table('cuota2020')->where('reserva_info_id',$reserva_info_id)->delete();
		}
		DB::table('reserva_info')->where('id',$reserva_info_id)->delete();
		if ($count_reserva_info == 1) {
			DB::table('reserva')->where('id',$reserva_info_reserva_id)->delete();
		}
	}

	private function removeCuotasIfNeeded($data) {
		Cuota::where([['reserva_info_id', $data['id']]])->delete();
	}

	private function getPasajeros($reservaId) {
    	$query = ReservaInfo::where('reserva_info.reserva_id', $reservaId)
			->join('pasajero', 'pasajero.id', '=', 'reserva_info.pasajero_id')
			->select('reserva_info.*', 'pasajero.id', 'pasajero.nombre', 'pasajero.apellido', 'pasajero.localidad')
			->get()->all();
		return collect($query)->keyBy('pasajero_id')->all();
    }

	public function saveReserva(Request $request) {
		$dataReserva = ReservaInfo::where([
            ['viaje_id', '=', $request->data['viaje_id']],
            ['pasajero_id', '=', $request->data['pasajero_id']],
        ])->first();
		$nombreUser = DB::table('users')->where('id',auth()->id())->value('name');
		$editores = $dataReserva->editores_info;
		if ($dataReserva->info != $request->data['info']) {
			if (!empty($dataReserva->editores_info)) {
				$explode = explode(', ',$dataReserva->editores_info);
				$se_repite = false;
				for ($i=0; $i<count($explode); $i++) {
					if ($explode[$i] == $nombreUser.' ('.date('d/m/Y').')') {
						$se_repite = true;
						break;
					}
				}
				if (!$se_repite) {
					$editores = $dataReserva->editores_info.', '.$nombreUser.' ('.date('d/m/Y').')';
				}
			} else {
				$editores = $nombreUser.' ('.date('d/m/Y').')';
			}
		}
		ReservaInfo::where([
            ['viaje_id', '=', $request->data['viaje_id']],
            ['pasajero_id', '=', $request->data['pasajero_id']],
        ])->update([
        	'sube_en' => $request->data['sube_en'],
        	'info' => $request->data['info'],
			'editores_info' => $editores,
        	'precio_opcional' => $request->data['tarifa']
        ]);
        Reserva::where('id', $request->data['id'])->update([
        	'user_id' => $request->data['user_id'],
        	'tipo_habitacion_id' => (isset($request->data['tipo_habitacion_id']) && is_numeric($request->data['tipo_habitacion_id'])) ? $request->data['tipo_habitacion_id'] : null
        ]);
		if (isset($request->data['comentario'])) {
			Pasajero::where('id', $request->data['pasajero_id'])->update([
				'comentarios' => $request->data['comentario']
			]);
		}
	}

	public function saveChangeButaca(Request $request) {
		ReservaInfo::where([
            ['viaje_id', '=', $request->data['viaje_id']],
            ['pasajero_id', '=', $request->data['pasajero_id']],
        ])->update([
        	'nro_asiento' => $request->data['nro_asiento']
        ]);
	}

	public function validateAndSaveCuota(Request $request) {
		$rules = [
			'monto' => 'required',
			'medio_pago_id' => 'required',
			'oficina_id' => 'required'
		];

		if (Common::isPayingWithDifferentCurrency($request->data['monedaViaje'], $request->data['medio_pago_id'])) {
			$rules['monto_cambio'] = 'required';
		}
		if ($request->data['medio_pago_id'] == 10) {
			$dataSaldos = DB::table('saldos_a_favor')->where('pasajero_id',$request->data['pasajero_id'])->get();
			$sumatoria = 0;
			foreach ($dataSaldos as $data) {
				$saldo = $data->saldo;
				$saldo_usado = $data->saldo_usado;
				if ($saldo_usado != "") {
					$total = $saldo - $saldo_usado;
				} else {
					$total = $saldo;
				}
				$sumatoria = $sumatoria + $total;
			}
			if ($request->data['monto'] > $sumatoria) {
				return response()->json(['errors' => 'saldo_a_favor']);
			}
		}

		$validator = Validator::make($request->data, $rules, []);
		if($validator->fails()) {
            return response()->json(['errors' => $validator->errors()->all()]);
        } else {
            return $this->saveCuota($request->data);
        }

    }

    private function saveCuota($data) {
    	$transaction = $this->saveTransaction($data);

		$cuota = new Cuota;
    	$cuota->reserva_info_id = $data['reserva_info_id'];
    	$cuota->transaction_id = $transaction->id;
    	$cuota->save();
    	$cuota->load('transaction');

    	return $cuota->toJson();
    }

    private function saveTransaction($data) {
    	$pasajero = Pasajero::select('nombre', 'apellido')->find($data['pasajero_id']);//->select('nombre');
		$fecha = date('Y-m-d');

		if ($data['medio_pago_id'] == '10') {
			$dataSaldos = DB::table('saldos_a_favor')->where('pasajero_id',$data['pasajero_id'])->get();
			$saldo_resta = "";
			$monto_ingresado = $data['monto'];
			foreach ($dataSaldos as $datos) {
				if ($saldo_resta == "") {
					$saldo = $datos->saldo;
					$saldo_usado = $datos->saldo_usado;
					if ($saldo_usado != "") {
						$saldo_disponible = $saldo - $saldo_usado;
					} else {
						$saldo_disponible = $saldo;
					}
					if ($saldo_disponible > 0) {
						$saldo_resta = $saldo_disponible - $monto_ingresado;
					}
					//DB::table('saldos_a_favor')->where('id',$datos->id)->update(['comentario'=>$saldo_resta]);
					if (!empty($saldo_resta) or $saldo_resta == "0") {
						if ($saldo_resta >= 0) {
							if ($saldo_usado != "") {
								$saldo_usado = $saldo_usado + $monto_ingresado;
								DB::table('saldos_a_favor')->where('id',$datos->id)->update(['saldo_usado'=>$saldo_usado,'id_user'=>auth()->id()]);
							} else {
								DB::table('saldos_a_favor')->where('id',$datos->id)->update(['saldo_usado'=>$monto_ingresado,'id_user'=>auth()->id()]);
							}
						}
						if ($saldo_resta < 0) {
							if ($saldo_usado != "") {
								$saldo_usado = $saldo_usado + $saldo_disponible;
								DB::table('saldos_a_favor')->where('id',$datos->id)->update(['saldo_usado'=>$saldo_usado,'id_user'=>auth()->id()]);
							} else {
								DB::table('saldos_a_favor')->where('id',$datos->id)->update(['saldo_usado'=>$saldo_disponible,'id_user'=>auth()->id()]);
							}
						}
						$nuevo_viaje = $datos->nuevo_viaje;
						if ($nuevo_viaje == "") {
							DB::table('saldos_a_favor')->where('id',$datos->id)->update(['nuevo_viaje'=>$data['viaje_id'],'id_user'=>auth()->id()]);
						} else {
							$nuevo_viaje = $nuevo_viaje.','.$data['viaje_id'];
							DB::table('saldos_a_favor')->where('id',$datos->id)->update(['nuevo_viaje'=>$nuevo_viaje,'id_user'=>auth()->id()]);
						}
						if (!empty($datos->fechas_usado)) {
							$fechas_usado = $datos->fechas_usado.', '.$fecha;
							DB::table('saldos_a_favor')->where('id',$datos->id)->update(['fechas_usado'=>$fechas_usado,'id_user'=>auth()->id()]);
						} else {
							DB::table('saldos_a_favor')->where('id',$datos->id)->update(['fechas_usado'=>$fecha,'id_user'=>auth()->id()]);
						}
					}
				} else {
					if ($saldo_resta < 0) {
						$saldo = $datos->saldo;
						$saldo_usado = $datos->saldo_usado;
						$saldo_pendiente = $saldo_resta * (-1);
						$saldo_resta = "";
						if ($saldo_usado != "") {
							$saldo_disponible = $saldo - $saldo_usado;
						} else {
							$saldo_disponible = $saldo;
						}
						if ($saldo_disponible > 0) {
							$saldo_resta = $saldo_disponible - $saldo_pendiente;
						}
						if (!empty($saldo_resta) or $saldo_resta == "0") {
							if ($saldo_resta >= 0) {
								if ($saldo_usado != "") {
									$saldo_usado = $saldo_usado + $saldo_pendiente;
									DB::table('saldos_a_favor')->where('id',$datos->id)->update(['saldo_usado'=>$saldo_usado,'id_user'=>auth()->id()]);
								} else {
									DB::table('saldos_a_favor')->where('id',$datos->id)->update(['saldo_usado'=>$saldo_pendiente,'id_user'=>auth()->id()]);
								}
							}
							if ($saldo_resta < 0) {
								if ($saldo_usado != "") {
									$saldo_usado = $saldo_usado + $saldo_disponible;
									DB::table('saldos_a_favor')->where('id',$datos->id)->update(['saldo_usado'=>$saldo_usado,'id_user'=>auth()->id()]);
								} else {
									DB::table('saldos_a_favor')->where('id',$datos->id)->update(['saldo_usado'=>$saldo_disponible,'id_user'=>auth()->id()]);
								}
							}
						}
						$nuevo_viaje = $datos->nuevo_viaje;
						if ($nuevo_viaje == "") {
							DB::table('saldos_a_favor')->where('id',$datos->id)->update(['nuevo_viaje'=>$data['viaje_id'],'id_user'=>auth()->id()]);
						} else {
							$nuevo_viaje = $nuevo_viaje.','.$data['viaje_id'];
							DB::table('saldos_a_favor')->where('id',$datos->id)->update(['nuevo_viaje'=>$nuevo_viaje,'id_user'=>auth()->id()]);
						}
						if (!empty($datos->fechas_usado)) {
							$fechas_usado = $datos->fechas_usado.', '.$fecha;
							DB::table('saldos_a_favor')->where('id',$datos->id)->update(['fechas_usado'=>$fechas_usado,'id_user'=>auth()->id()]);
						} else {
							DB::table('saldos_a_favor')->where('id',$datos->id)->update(['fechas_usado'=>$fecha,'id_user'=>auth()->id()]);
						}
					}
				}
			}
		}

		$fecha_format = date('Y-m-d');
		if (isset($data['fecha']) && !empty($data['fecha'])) {
			$fecha_format = explode('/', $data['fecha']);
			$fecha_format = $fecha_format[2].'-'.$fecha_format[1].'-'.$fecha_format[0];
		}

		$data_reserva_info = DB::table('reserva_info')
								->where([['reserva_id', $data['reserva_id']],['pasajero_id', $data['pasajero_id']],['viaje_id', $data['viaje_id']]])
								->first();
		$precio_opcional = $data_reserva_info->precio_opcional;
		$costo_viaje = DB::table('viaje')
						->where('id', $data['viaje_id'])
						->value('precio');
		$costo_viaje = (!empty($precio_opcional)) ? $precio_opcional : $costo_viaje;
		$cuotas = DB::table('cuota2020')
					->where('reserva_info_id', $data_reserva_info->id)
					->join('caja2020', 'caja2020.id', '=', 'cuota2020.transaction_id')
					->select('caja2020.monto')
					->get();
		$saldo_actual = 0;
		foreach ($cuotas as $cuota) {
			$saldo_actual += $cuota->monto;
		}
		$saldo_total = $saldo_actual + $data['monto'];
		if ($saldo_total >= $costo_viaje) {
			DB::table('reserva_info')
				->where([['reserva_id', $data['reserva_id']],['pasajero_id', $data['pasajero_id']],['viaje_id', $data['viaje_id']]])
				->update(['precio_opcional'=>$costo_viaje]);
		}

		$transaction = new Caja;
		$transaction->fecha = $fecha_format;
		$transaction->concepto = 'Pago reserva n° ' . $data['reserva_id'] . ' ' . $pasajero->nombre . ' ' . $pasajero->apellido;
		$transaction->monto = $data['monto'];
		$transaction->viaje_id = $data['viaje_id'];
		$transaction->tipo_transaccion_id = $data['medio_pago_id'];
		$transaction->oficina_id = $data['oficina_id'];
        $transaction->id_user = auth()->id();
		if (Common::isPayingWithDifferentCurrency($data['monedaViaje'], $data['medio_pago_id'])) {
			$transaction->monto_cambio = $data['monto_cambio'];
		}
		$transaction->save();

		return $transaction;
    }

    public function getFormData($viajeId) {
    	$users = UsersController::getAll();
    	$roomTypes = RoomController::getForViaje($viajeId);
    	$reservas = Reserva::where('viaje_id', $viajeId)->get()->all();
    	$reservainfo = ReservaInfo::where('viaje_id', $viajeId)->get();
    	return [
            'users' => $users,
            'roomTypes' => json_encode($roomTypes, JSON_NUMERIC_CHECK),
            'reservas' => json_encode($reservas, JSON_NUMERIC_CHECK),
			'reservainfo' => json_encode($reservainfo, JSON_NUMERIC_CHECK)
        ];
    }


	public function anotaciones($id) {
		$viaje = Viaje::find($id);

        /* $separo_fecha = explode(' ', $viaje->fecha_hora_salida);
        $fecha_d_m_y = date("d/m/Y", strtotime($separo_fecha[0])); */
		$fecha_d_m_y = date("d/m/Y", strtotime($viaje->fecha_hora_salida));

		$anotaciones = Anotaciones::where('id_viaje',$id)->value('texto');

		return view('anotaciones', ['viajeId'=>$id,'anotaciones'=>$anotaciones, 'title' => $viaje->destino->ciudad . ' (' . $fecha_d_m_y . ') > ANOTACIONES']);
	}
	
	public function saveAnotacion($id, Request $request) {

		$texto = $request->texto;

		if ($texto == "87sa87dsf8a76f0a9sd32hnkl9afdsfhn3r89dsaf") {
			DB::table('anotaciones')->where('id_viaje',$id)->delete();
		} else {
			$existe = DB::table('anotaciones')->where('id_viaje',$id)->count();
			if ($existe > 0) {
				DB::table('anotaciones')->where('id_viaje',$id)->update(['texto'=>$texto,'id_user'=>auth()->id()]);
			} else {
				$anotacion = new Anotaciones;
				$anotacion->id_viaje = $id;
				$anotacion->texto = $texto;
				$anotacion->id_user = auth()->id();
				$anotacion->save();
			}
		}

		return "1";
	}
	
	public function saveComentario(Request $request) {
		DB::table('historial_butacas')->where('id',$request->id)->update(['comentarios'=>$request->comentario]);
	}


	public function lista_espera($id) {
		$viaje = Viaje::find($id);

        /* $separo_fecha = explode(' ', $viaje->fecha_hora_salida);
        $fecha_d_m_y = date("d/m/Y", strtotime($separo_fecha[0])); */
		$fecha_d_m_y = date("d/m/Y", strtotime($viaje->fecha_hora_salida));

		$lista_de_espera = ListaEspera::where('id_viaje',$id)->value('texto');

		return view('lista_espera', ['viajeId'=>$id,'anotaciones'=>$lista_de_espera, 'title' => $viaje->destino->ciudad . ' (' . $fecha_d_m_y . ') > CUENTAS']);
	}
	
	public function saveListaEspera($id, Request $request) {

		$texto = $request->texto;

		if ($texto == "87sa87dsf8a76f0a9sd32hnkl9afdsfhn3r89dsaf") {
			DB::table('lista_espera')->where('id_viaje',$id)->delete();
		} else {
			$existe = DB::table('lista_espera')->where('id_viaje',$id)->count();
			if ($existe > 0) {
				DB::table('lista_espera')->where('id_viaje',$id)->update(['texto'=>$texto,'id_user'=>auth()->id()]);
			} else {
				$anotacion = new ListaEspera;
				$anotacion->id_viaje = $id;
				$anotacion->texto = $texto;
				$anotacion->id_user = auth()->id();
				$anotacion->save();
			}
		}

		return "1";
	}

	public function deshacer_reserva_cancelada(Request $request) {
		$id = $request->idDeshacerReservaCancelada;

		$dataHistorialViaje = DB::table('historial_butacas')->where('id',$id)->first();

		//crear reserva
		$reserva = new Reserva;
		$reserva->viaje_id = $dataHistorialViaje->viaje_id;
		$reserva->user_id = $dataHistorialViaje->user_id;
		$reserva->tipo_habitacion_id = $dataHistorialViaje->tipo_habitacion_id;
		$reserva->created_at = date('Y-m-d H-i-s');
		$reserva->save();

		//crear reserva_info con el id de reserva
		$reserva_info = new ReservaInfo;
		$reserva_info->reserva_id = $reserva->id;
		$reserva_info->pasajero_id = $dataHistorialViaje->pasajero_id;
		$reserva_info->viaje_id = $dataHistorialViaje->viaje_id;
		$reserva_info->nro_asiento = $dataHistorialViaje->nro_asiento;
		$reserva_info->precio_opcional = $dataHistorialViaje->precio_opcional;
		$reserva_info->sube_en = $dataHistorialViaje->sube_en;
		$reserva_info->info = $dataHistorialViaje->info;
		$reserva_info->avisado = $dataHistorialViaje->avisado;
		$reserva_info->save();

		//checkear caja y poner en deleted=0 cuando reserva_info_id=id_reserva_info_borrado y deleted=1 (cambiar reserva_info_id por el nuevo id)
		$cuotasBorradas = DB::table('cuotas_borradas')->where([['reserva_info_id',$dataHistorialViaje->id_reserva_info_borrado]])->get();
		foreach ($cuotasBorradas as $data) {
			$cuota = new Cuota;
			$cuota->reserva_info_id = $reserva_info->id;
			$cuota->transaction_id = $data->transaction_id;
			$cuota->save();
		}
		DB::table('cuotas_borradas')->where([['reserva_info_id',$dataHistorialViaje->id_reserva_info_borrado]])->delete();

		//Borrar Historial Butacas
		DB::table('historial_butacas')->where('id',$id)->delete();

		//Borrar Saldo a Favor
		DB::table('saldos_a_favor')->where([['pasajero_id',$dataHistorialViaje->pasajero_id],['viaje_anotado',$dataHistorialViaje->viaje_id]])->delete();		
		
		return redirect('/sistema/cuentas/'.$dataHistorialViaje->viaje_id);
	}

	public function borrar_reserva_cancelada(Request $request) {
		$id = $request->idBorrarReservaCancelada;
		$idViaje = $request->idViajeBorrarReservaCancelada;
		HistorialButacas::find($id)->delete();
		return redirect('/sistema/cuentas/'.$idViaje);
	}

	public function cambiar_titularidad(Request $request) {
		$pasajeroId = $request->pasajeroIDCambioTit;
		if ($request->esCoordCambioTit == 1) {
			$pasajeroCambio = $request->coordinador_a_cambiar;
		} else {
			$pasajeroCambio = $request->pasajero_a_cambiar;
		}
		$idViaje = $request->viajeIDCambioTit;
		$reservaId = DB::table('reserva_info')->where('pasajero_id',$pasajeroId)->where('viaje_id', $idViaje)->value('id');
		ReservaInfo::find($reservaId)->update(['pasajero_id'=>$pasajeroCambio]);
		CuotasExcursiones::where([['id_viaje', $idViaje],['id_pasajero', $pasajeroId]])->update(['id_pasajero'=>$pasajeroCambio]);
		ReservaExcursiones::where('id_pasajero', $pasajeroId)
							->join('excursiones', 'excursiones.id', 'reserva_excursiones.id_excursion')
							->where('excursiones.id_viaje', $idViaje)
							->select('reserva_excursiones.*')
							->update(['id_pasajero'=>$pasajeroCambio]);
		return redirect('/sistema/cuentas/'.$idViaje);
	}

	public function cambiar_viaje(Request $request) {
		$pasajeroId = $request->pasajeroIDCambioViaje;
		$idViajeACambiar = $request->viaje_a_transf;
		$idViaje = $request->viajeIDCambioViaje;
		$nroAsiento = $request->nroAsiento;

		$dataReservaInfo = DB::table('reserva_info')->where('pasajero_id',$pasajeroId)->where('viaje_id', $idViaje)->first();
		$dataCuota = DB::table('cuota2020')->where([['reserva_info_id',$dataReservaInfo->id]])->get();

		//Cheque cuantos pasajeros poseen la misma reserva
		$countReservaInfo = ReservaInfo::where('reserva_id', $dataReservaInfo->reserva_id)->count();
		if ($countReservaInfo == 1) {
			ReservaInfo::where('id', $dataReservaInfo->id)->update(['viaje_id'=>$idViajeACambiar,'precio_opcional'=>null,'nro_asiento'=>$nroAsiento]);
			Reserva::where('id', $dataReservaInfo->reserva_id)->update(['viaje_id'=>$idViajeACambiar]);
		} else {
			$dataReserva = DB::table('reserva')->where('id',$dataReservaInfo->reserva_id)->first();

			$nuevaReserva = new Reserva;
			$nuevaReserva->viaje_id = $idViajeACambiar;
			$nuevaReserva->user_id = $dataReserva->user_id;
			$nuevaReserva->tipo_habitacion_id = $dataReserva->tipo_habitacion_id;
			$nuevaReserva->created_at = date('Y-m-d H-i-s');
			$nuevaReserva->save();

			$id_nuevaReserva = $nuevaReserva->id;

			ReservaInfo::where('id', $dataReservaInfo->id)->update(['reserva_id'=>$id_nuevaReserva,'viaje_id'=>$idViajeACambiar,'precio_opcional'=>null,'nro_asiento'=>$nroAsiento]);
		}

		if (isset($request->info)) {
			$dataReserva = ReservaInfo::where('id', $dataReservaInfo->id)->first();
			$nombreUser = DB::table('users')->where('id',auth()->id())->value('name');
			$editores = $dataReserva->editores_info;
			if ($dataReserva->info != $request->data['info']) {
				if (!empty($dataReserva->editores_info)) {
					$explode = explode(', ',$dataReserva->editores_info);
					$se_repite = false;
					for ($i=0; $i<count($explode); $i++) {
						if ($explode[$i] == $nombreUser.' ('.date('d/m/Y').')') {
							$se_repite = true;
							break;
						}
					}
					if (!$se_repite) {
						$editores = $dataReserva->editores_info.', '.$nombreUser.' ('.date('d/m/Y').')';
					}
				} else {
					$editores = $nombreUser.' ('.date('d/m/Y').')';
				}
			}
			ReservaInfo::where('id', $dataReservaInfo->id)->update(['info'=>$request->info,'editores_info' => $editores]);
		}
		foreach ($dataCuota as $cuota) {
			Caja::find($cuota->transaction_id)->update(['viaje_id'=>$idViajeACambiar]);
		}

		return back();
	}

	public function getDataBus($id_viaje) {

		$ocupados = ReservaInfo::where('viaje_id', $id_viaje)->with('pasajero')->get()->keyBy('nro_asiento')->all();
        $bloqueados = Locked::where('viaje_id', $id_viaje)->get()->keyBy('butaca')->all();

		$tipoBus = DB::table('viaje')->where('id',$id_viaje)->value('tipo_bus');
		$cantOcup = count($ocupados);
		$cantBloq = count($bloqueados);
		switch ($tipoBus) {
			case "1":
				$cant_original = 60;
				$cant_disp = 60 - $cantOcup - $cantBloq;
				break;
			case "2":
				$cant_original = 64;
				$cant_disp = 64 - $cantOcup - $cantBloq;
				break;
			case "3":
				$cant_original = 49;
				$cant_disp = 49 - $cantOcup - $cantBloq;
				break;
			case "4":
				$cant_original = 24;
				$cant_disp = 24 - $cantOcup - $cantBloq;
				break;
			case "5":
				$cant_original = 19;
				$cant_disp = 19 - $cantOcup - $cantBloq;
				break;
			case "6":
				$cant_original = 32;
				$cant_disp = 32 - $cantOcup - $cantBloq;
				break;
			default:
				$cant_original = 0;
				$cant_disp = 0;
				break;
		}

		if ($cant_disp > 0) {
			$disponiblesArray = array();
			for ($i=1; $i <= $cant_original; $i++) {
				$existe = 0;
				foreach ($ocupados as $ocup) {
					if ($ocup->nro_asiento == $i) {
						$existe = 1;
					}
				}
				if ($existe == 0) {
					foreach ($bloqueados as $bloq) {
						if ($bloq->butaca == $i) {
							$existe = 1;
						}
					}
				}
				if ($existe == 0) {
					$disponiblesArray[] = array("nroAsiento"=>$i);
				}
			}
			$disponibles = $disponiblesArray;
		} else {
			$disponibles = array();
		}
		

        $dataArray = array("ocupados"=>$ocupados,"bloqueados"=>$bloqueados,"disponibles"=>$disponibles);

        return json_encode($dataArray);
    }

	public function getDataViaje($id_viaje) {

		$tipoBus = DB::table('viaje')->where('id',$id_viaje)->value('tipo_bus');

        $dataArray = array("id"=>$id_viaje,"tipo_bus"=>$tipoBus);

        return json_encode($dataArray);
    }

	public function getDataButBloqueadas($id_viaje) {
		$but_bloqueadas = DB::table('but_bloqueada')->where([['viaje_id',$id_viaje],['tipo_bloqueo','bloqueo']])->get();
		$fecha_actual = date('Y-m-d');
		$semana_pasada = date('Y-m-d', strtotime($fecha_actual.'- 1 week'));

		$count = 0;
		foreach ($but_bloqueadas as $but_bloq) {
			if (date('Y-m-d',strtotime($but_bloq->created_at)) < $semana_pasada) {
				$count++;
			}
		}
		
		return $count;
	}

	public function add_comision(Request $request) {
		$datos_vendedor = DB::table('users')->where('id',$request->idUserComision)->first();
		$viaje_id = DB::table('reserva_info')->where('id',$request->idReservaInfoComision)->value('viaje_id');
		$data_viaje = DB::table('viaje')->where('id',$viaje_id)->first();
		$destino_id = $data_viaje->destino_id;
		$fecha = date('d/m/Y', strtotime($data_viaje->fecha_hora_salida));
		$ciudad = DB::table('destino')->where('id',$destino_id)->value('ciudad');
		$fechaPago = \DateTime::createFromFormat('d/m/Y', $request->fecha_pago)->format('Y-m-d');

		DB::table('reserva_info')->where('id',$request->idReservaInfoComision)->update(['cobro_comision'=>1]);

		$transaction = new Caja;
		$transaction->fecha = $fechaPago;
		$transaction->concepto = 'Pago comisión '.$datos_vendedor->name.' '.$datos_vendedor->lastName.', viaje '.$ciudad.' ('.$fecha.')';
		$transaction->monto = $request->monto_comision;
		$transaction->tipo_transaccion_id = ($request->metodo_pago == "dolares") ? '7' : '6';
		$transaction->metodo_pago = ($request->metodo_pago == "dolares") ? '' : $request->metodo_pago;
		if ($request->metodo_pago == "dolares") {
			$transaction->monto_cambio = $request->monto_cambio;
		}
		$transaction->oficina_id = $request->oficina_id;
        $transaction->id_user = auth()->id();
		$transaction->save();


		$comision = new Comision;
		$comision->id_user = $request->idUserComision;
		$comision->id_reserva_info = $request->idReservaInfoComision;
		$comision->monto = $request->monto_comision;
		$comision->tipo_transaccion_id = ($request->metodo_pago == "dolares") ? '7' : '6';
		$comision->pago_comision = auth()->id();
		$comision->id_caja = $transaction->id;
		$comision->datetime = $fechaPago;
		$comision->save();

		return back();
	}

	public function edit_comision(Request $request) {
		$id_comisiones = $request->idComision;
		$id_caja = $request->idCajaComision;
		$fechaPago = \DateTime::createFromFormat('d/m/Y', $request->fecha_pago)->format('Y-m-d');

		DB::table('caja2020')->where('id',$id_caja)->update([
			'monto'=>$request->monto_comision,
			'metodo_pago'=>$request->metodo_pago,
			'oficina_id'=>$request->oficina_id,
			'fecha'=>$fechaPago
		]);

		DB::table('comisiones')->where('id',$id_comisiones)->update([
			'monto'=>$request->monto_comision,
			'pago_comision'=>auth()->id(),
			'datetime'=>$fechaPago
		]);

		return back();
	}

	public function delete_comision(Request $request) {
		$id_comision = $request->idBorrarComision;
		$data_comision = DB::table('comisiones')->where('id',$id_comision)->first();
		$id_reserva_info = $data_comision->id_reserva_info;
		$id_caja = $data_comision->id_caja;

		DB::table('reserva_info')->where('id',$id_reserva_info)->update(['cobro_comision'=>'0']);
		DB::table('comisiones')->where('id',$id_comision)->delete();
		DB::table('caja2020')->where('id',$id_caja)->delete();
		
		return back();
	}

	public function datatable_comisiones($id_user) {

		$data_reserva = DB::table('reserva_info')
						->join('comisiones', 'comisiones.id_reserva_info', '=', 'reserva_info.id')
						->select('comisiones.*','reserva_info.pasajero_id')
						->where('comisiones.id_user', $id_user)
						->get();
        
        $data = $data_reserva->map(function ($item) {
			$caja = DB::table('caja2020')->where('id',$item->id_caja)->first();
			$data_user = DB::table('users')->where('id',$item->id_user)->first();
			$vendedor = $data_user->lastName.", ".$data_user->name;
			$data_user_pago = DB::table('users')->where('id',$item->pago_comision)->first();
			$user_pago = $data_user_pago->lastName.", ".$data_user_pago->name;
			$data_pasajero = DB::table('pasajero')->where('id',$item->pasajero_id)->first();
			$pasajero = $data_pasajero->apellido.", ".$data_pasajero->nombre;
			$data_reserva_info = DB::table('reserva_info')->where('id',$item->id_reserva_info)->first();
			$id_viaje = $data_reserva_info->viaje_id;
			$data_viaje = DB::table('viaje')->where('id',$id_viaje)->first();
			$data_destino = DB::table('destino')->where('id',$data_viaje->destino_id)->first();
			$viaje = $data_destino->ciudad.' ('.date('d/m/Y', strtotime($data_viaje->fecha_hora_salida)).')';
            return [
                'id'=>$item->id,
                'id_user'=>$item->id_user,
                'id_caja'=>$item->id_caja,
                'vendedor'=>$vendedor,
				'pago_comision'=>$user_pago,
				'pasajero'=>$pasajero,
				'montoSinFormat'=>$item->monto,
				'monto'=>number_format($item->monto,2,',','.'),
				'moneda'=>($item->tipo_transaccion_id == "6") ? '$' : 'U$S',
				'tipo_transaccion_id'=>$item->tipo_transaccion_id,
				'monto_cambio'=>$caja->monto_cambio,
				'viaje'=>$viaje,
				'fecha'=>$item->datetime,
				'fechaFormat'=>date('d/m/Y', strtotime($item->datetime)),
            ];
        });
    
        return response()->json(['data' => $data]);
    }

	public function datatable_comisiones_a_cobrar($id_user) {

		$data_reserva = DB::table('reserva_info')
						->join('reserva', 'reserva.id', '=', 'reserva_info.reserva_id')
						->join('viaje', 'viaje.id', '=', 'reserva_info.viaje_id')
						->select('reserva_info.*','reserva.user_id','viaje.fecha_hora_retorno','viaje.destino_id','viaje.fecha_hora_salida')
						->where([['reserva.user_id', $id_user],['reserva_info.cobro_comision', 0],['fecha_hora_retorno', '>=', date('2023-09-01 00:00:00')]])
						->get();
        
        $data = $data_reserva->map(function ($item) {
			$data_pasajero = DB::table('pasajero')->where('id',$item->pasajero_id)->first();
			$pasajero = $data_pasajero->apellido.", ".$data_pasajero->nombre;
			$data_destino = DB::table('destino')->where('id',$item->destino_id)->first();
			$viaje = $data_destino->ciudad.' ('.date('d/m/Y', strtotime($item->fecha_hora_salida)).')';
            return [
                'id'=>$item->id,
				'pasajero'=>$pasajero,
				'viaje'=>$viaje,
            ];
        });
    
        return response()->json(['data' => $data]);
    }
}
