<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\model\sistema\Viaje;
use App\model\sistema\RoomType;
use App\model\sistema\Caja;
use Illuminate\Support\Facades\DB;
use PDF;
use \NumberFormatter;

class Documents extends Controller
{
    public function contrato($reservaId) {
    	/* $data = [];
        $data['seats'] = json_decode($request->seats);
        $data['reserva'] = json_decode($request->reserva);
        if ($data['reserva']->tipo_habitacion_id) {
        $data['reserva']->tipo_habitacion = RoomType::where('id', $data['reserva']
            ->tipo_habitacion_id)
            ->first()->nombre;
        }
        $data['viaje'] = Viaje::with('destino')->find($viajeId);

        $localidad = $data['seats'][0]->pasajero->localidad;
        $localidad = strtolower($localidad);
        switch ($localidad) {
            case "pigue":
            case "pigüé":
                $punto_de_ascenso = "PIGÜÉ";
                break;
            case "bahia blanca":
            case "bahía blanca":
                $punto_de_ascenso = "BAHÍA BLANCA";
                break;
            default:
                $punto_de_ascenso = "A DEFINIR";
                break;
        }

        return $data;

        if ($data['viaje']['aereo']) { //Aereos
            $view = view('contrato-aereo', ['data' => $data, 'punto_de_ascenso'=>$punto_de_ascenso]);
        } else if ($data['viaje']['categoria_id'] == "1" || $data['viaje']['categoria_id'] == "2") { //Nacional y Regional
            $view = view('contrato-nac-reg', ['data' => $data, 'punto_de_ascenso'=>$punto_de_ascenso]);
        } else if ($data['viaje']['categoria_id'] == "5") { //Internacional
            $view = view('contrato-internacional', ['data' => $data, 'punto_de_ascenso'=>$punto_de_ascenso]);
        } else if ($data['viaje']['categoria_id'] == "6") { //Crucero
            $view = view('contrato-crucero', ['data' => $data, 'punto_de_ascenso'=>$punto_de_ascenso]);
        } else {
            $view = view('contrato', ['data' => $data, 'punto_de_ascenso'=>$punto_de_ascenso]);
        }

        $contratoPDF = PDF::loadHTML($view)->setPaper('a4', 'portrait');

        return $contratoPDF->stream(); */

        $data = [];

        $reserva = DB::table('reserva')
            ->where('reserva.id', $reservaId)
            ->leftJoin('tipo_habitacion', 'tipo_habitacion.id', 'reserva.tipo_habitacion_id')
            ->select('reserva.*', 'tipo_habitacion.nombre as tipo_habitacion')
            ->get();
        $seats = DB::table('reserva_info')
            ->where('reserva_info.reserva_id', $reservaId)
            ->leftJoin('pasajero', 'pasajero.id', 'reserva_info.pasajero_id')
            ->select(
                'reserva_info.viaje_id as viajeId',
                'reserva_info.pasajero_id',
                'reserva_info.nro_asiento',
                'reserva_info.precio_opcional',
                'pasajero.id',
                'pasajero.nombre',
                'pasajero.apellido',
                'pasajero.dni',
                'pasajero.fecha_nacimiento',
                'pasajero.domicilio',
                'pasajero.localidad',
                'pasajero.telefono',
                'pasajero.email',
                'pasajero.comentarios',
                'pasajero.estado',
                'pasajero.coordinador',
                'pasajero.id_user')
            ->get();
        $viaje = DB::table('viaje')
            ->where('viaje.id', $reserva[0]->viaje_id)
            ->leftJoin('destino', 'destino.id', 'viaje.destino_id')
            ->select('viaje.*', 'destino.ciudad', 'destino.provincia', 'destino.detalle', 'destino.youtube_id')
            ->get();

        $punto_de_ascenso = "A DEFINIR";
        if (isset($seats[0]->localidad)) {
            $localidad = $seats[0]->localidad;
            $localidad = strtolower($localidad);
            switch ($localidad) {
                case "pigue":
                case "pigüé":
                    $punto_de_ascenso = "PIGÜÉ";
                    break;
                case "bahia blanca":
                case "bahía blanca":
                    $punto_de_ascenso = "BAHÍA BLANCA";
                    break;
                default:
                    $punto_de_ascenso = "A DEFINIR";
                    break;
            }
        }

        $data['seats'] = $seats;
        $data['reserva'] = $reserva;
        $data['viaje'] = $viaje;

        if ($data['viaje'][0]->aereo) { //Aereos
            $view = view('contrato-aereo', ['data' => $data, 'punto_de_ascenso'=>$punto_de_ascenso]);
        } else if ($data['viaje'][0]->categoria_id == "1" || $data['viaje'][0]->categoria_id == "2") { //Nacional y Regional
            $view = view('contrato-nac-reg', ['data' => $data, 'punto_de_ascenso'=>$punto_de_ascenso]);
        } else if ($data['viaje'][0]->categoria_id == "5") { //Internacional
            $view = view('contrato-internacional', ['data' => $data, 'punto_de_ascenso'=>$punto_de_ascenso]);
        } else if ($data['viaje'][0]->categoria_id == "6") { //Crucero
            $view = view('contrato-crucero', ['data' => $data, 'punto_de_ascenso'=>$punto_de_ascenso]);
        } else {
            $view = view('contrato', ['data' => $data, 'punto_de_ascenso'=>$punto_de_ascenso]);
        }

        $contratoPDF = PDF::loadHTML($view)->setPaper('a4', 'portrait');

        return $contratoPDF->stream();
    }
    public function recibo_pago($pasajero_id, $id_recibo, Request $request) {

        $datos_pago = DB::table('caja2020')->where('id',$id_recibo)->first();
        //$fecha = $request->query('fecha');
        $fecha = date("d/m/Y", strtotime($datos_pago->fecha));
        //$fecha = date("d/m/Y");
        $concepto = $datos_pago->concepto;

        $prenum = 1;
        $num_recibo = $id_recibo;
        if ($id_recibo > 99999999) {
            $prenum = 2;
            $num_recibo = $id_recibo - 99999999;
        }
        $prenum = substr(str_repeat(0, 4).$prenum, - 4);
        $num_recibo = substr(str_repeat(0, 8).$num_recibo, - 8);

        function basico($numero) {
            $valor = array ('uno','dos','tres','cuatro','cinco','seis','siete','ocho',
            'nueve','diez','once','doce','trece','catorce','quince','dieciseis','diecisiete','dieciocho','diecinueve','veinte','veintiuno ','vientidos ','veintitrés ', 'veinticuatro','veinticinco',
            'veintiséis','veintisiete','veintiocho','veintinueve');
            return $valor[$numero - 1];
        }
        function basico2($numero) {
            $valor = array ('un','dos','tres','cuatro','cinco','seis','siete','ocho','nueve');
            return $valor[$numero - 1];
        }  
        function decenas($n) {
            $decenas = array (30=>'treinta',40=>'cuarenta',50=>'cincuenta',60=>'sesenta',
            70=>'setenta',80=>'ochenta',90=>'noventa');
            if( $n <= 29) return basico($n);
            $x = $n % 10;
            if ( $x == 0 ) {
                return $decenas[$n];
            } else return $decenas[$n - $x].' y '. basico($x);
        } 
        function centenas($n) {
            $cientos = array (100 =>'cien',200 =>'doscientos',300=>'trescientos',
            400=>'cuatrocientos', 500=>'quinientos',600=>'seiscientos',
            700=>'setecientos',800=>'ochocientos', 900 =>'novecientos');
            if( $n >= 100) {
                if ( $n % 100 == 0 ) {
                    return $cientos[$n];
                } else {
                    $u = (int) substr($n,0,1);
                    $d = (int) substr($n,1,2);
                    return (($u == 1)?'ciento':$cientos[$u*100]).' '.decenas($d);
                }
            } else return decenas($n);
        }  
        function miles($n) {
            if($n > 999) {
                if( $n == 1000) {return 'mil';}
                else {
                    $l = strlen($n);
                    $c = (int)substr($n,0,$l-3);
                    $x = (int)substr($n,-3);
                    if($c == 1) {$cadena = 'mil '.centenas($x);}
                    else if($x != 0) {$cadena = centenas($c).' mil '.centenas($x);}
                    else $cadena = centenas($c). ' mil';
                    return $cadena;
                }
            } else return centenas($n);
        }
        function millones($n) {
            if($n == 1000000) {return 'un millón';}
            else {
                $l = strlen($n);
                $c = (int)substr($n,0,$l-6);
                $x = (int)substr($n,-6);
                if($c == 1) {
                    $cadena = ' millón ';
                } else {
                    $cadena = ' millones ';
                }
                return miles($c).$cadena.(($x > 0)?miles($x):'');
            }
        }
        function convertir($n) {
            switch (true) {
                case ( $n >= 1 && $n <= 29) : return basico($n); break;
                case ( $n >= 30 && $n < 100) : return decenas($n); break;
                case ( $n >= 100 && $n < 1000) : return centenas($n); break;
                case ($n >= 1000 && $n <= 999999): return miles($n); break;
                case ($n >= 1000000): return millones($n);
            }
        }

        $saldoRestante = 0;
        $data_cuota_exc = DB::table('cuotas_excursiones')
                            ->where('id_caja',$id_recibo)
                            ->join('caja2020', 'caja2020.id', '=', 'cuotas_excursiones.id_caja')
                            ->select('cuotas_excursiones.id_pasajero','cuotas_excursiones.id_viaje','caja2020.monto as cuota')
                            ->first();
        $data_cuota_seguro = DB::table('cuotas_seguros')
                            ->where('id_caja',$id_recibo)
                            ->join('caja2020', 'caja2020.id', '=', 'cuotas_seguros.id_caja')
                            ->select('cuotas_seguros.id_pasajero','cuotas_seguros.id_viaje','caja2020.monto as cuota')
                            ->first();
                            
        if (isset($data_cuota_exc)) {

            $data_pasajero_id = $data_cuota_exc->id_pasajero;
            $dataPasajero = DB::table('pasajero')->where('id',$data_pasajero_id)->first();
            $nombre = $dataPasajero->apellido.', '.$dataPasajero->nombre;
            $concepto = 'Pago a cuenta de excursiones';

            $dataViaje = DB::table('viaje')->where('id',$data_cuota_exc->id_viaje)->first();
            $excursiones = DB::table('excursiones')->where('id_viaje',$data_cuota_exc->id_viaje)->get();
			$reserva_excursiones = DB::table('reserva_excursiones')
									->join('excursiones', 'excursiones.id', '=', 'reserva_excursiones.id_excursion')
									->where([['excursiones.id_viaje',$data_cuota_exc->id_viaje],['reserva_excursiones.id_pasajero',$data_pasajero_id]])
									->select('excursiones.id')
									->get();

            $tarifa = 0;
			foreach ($excursiones as $excursion) {
				foreach ($reserva_excursiones as $exc) {
					if ($exc->id == $excursion->id) {
						$tarifa += $excursion->costo;
					}
				}
			}
            $entregado = 0;
            $cuotas = DB::table('cuotas_excursiones')
						->where([['id_viaje',$data_cuota_exc->id_viaje],['id_pasajero',$data_pasajero_id]])
						->join('caja2020', 'caja2020.id', '=', 'cuotas_excursiones.id_caja')
						->select('caja2020.monto as cuota')
						->get();
			foreach ($cuotas as $cuota) {
				$entregado += $cuota->cuota;
			}
            $saldoRestante = $tarifa - $entregado;

            $dataDestino = DB::table('destino')->where('id',$dataViaje->destino_id)->first();
            $ciudad = $dataDestino->ciudad;
            $provincia = $dataDestino->provincia;
            if ($ciudad != "" and $provincia != "") {
                $viaje = $ciudad.", ".$provincia;
            } else {
                if ($ciudad == "") {
                    $viaje = $provincia;
                } else {
                    $viaje = $ciudad;
                }
            }
            $fechaViaje = date('d-m-Y', strtotime($dataViaje->fecha_hora_salida));

            $separo_numero = explode('.', $data_cuota_exc->cuota);
            $primer_numero = $separo_numero[0];
            $count_array = count($separo_numero);
            if ($count_array > 1) {
                $segundo_numero = $separo_numero[1];
            }

            $primer_numero = ucfirst(convertir($primer_numero));
            if (isset($segundo_numero) && $segundo_numero > 0) {
                $segundo_numero = convertir($segundo_numero);
                $valor_letras = $primer_numero." con ".$segundo_numero;
            } else {
                $valor_letras = $primer_numero;
            }

            $monto = number_format($data_cuota_exc->cuota, 2, ',', '.');
            $moneda = "$";
            if ($datos_pago->tipo_transaccion_id == 5) {
                $moneda = 'U$S';
            }
            if ($datos_pago->tipo_transaccion_id == 8) {
                $moneda = '€';
            }
            if ($datos_pago->tipo_transaccion_id == 13) {
                $moneda = 'R$';
            }

            $view = view('recibo', compact('fecha','prenum','num_recibo','nombre','concepto','saldoRestante','viaje','fechaViaje','valor_letras','monto','moneda'));
            //$customPaper = array(0,0,283.80,411.00);
            $customPaper = array(0,0,264.00,740.00);
            $contratoPDF = PDF::loadHTML($view)->setPaper($customPaper, 'Landscape');

            return $contratoPDF->stream();

        } else if (isset($data_cuota_seguro)) {

            $data_pasajero_id = $data_cuota_seguro->id_pasajero;
            $dataPasajero = DB::table('pasajero')->where('id',$data_pasajero_id)->first();
            $nombre = $dataPasajero->apellido.', '.$dataPasajero->nombre;
            $concepto = 'Pago a cuenta de seguro al viajero';

            $dataViaje = DB::table('viaje')->where('id',$data_cuota_seguro->id_viaje)->first();
            $seguro = DB::table('seguros')->where([['id_viaje',$data_cuota_seguro->id_viaje],['id_pasajero',$data_pasajero_id]])->first();

            $tarifa = $seguro->costo;
			$entregado = 0;
			$cuotas = DB::table('cuotas_seguros')
						->where([['id_viaje',$data_cuota_seguro->id_viaje],['id_pasajero',$data_pasajero_id]])
						->join('caja2020', 'caja2020.id', '=', 'cuotas_seguros.id_caja')
						->select('caja2020.monto as cuota', 'caja2020.tipo_transaccion_id', 'caja2020.monto_cambio')
						->get();
			
			foreach ($cuotas as $cuota) {
				$monto_cambio = '1';
				if (($cuota->tipo_transaccion_id == "5" || $cuota->tipo_transaccion_id == "8" || $cuota->tipo_transaccion_id == "13") && is_numeric($cuota->monto_cambio)) {
					$monto_cambio = $cuota->monto_cambio;
				}
				$entregado += $cuota->cuota * $monto_cambio;
			}
			$saldoRestante = $tarifa - $entregado;

            $dataDestino = DB::table('destino')->where('id',$dataViaje->destino_id)->first();
            $ciudad = $dataDestino->ciudad;
            $provincia = $dataDestino->provincia;
            if ($ciudad != "" and $provincia != "") {
                $viaje = $ciudad.", ".$provincia;
            } else {
                if ($ciudad == "") {
                    $viaje = $provincia;
                } else {
                    $viaje = $ciudad;
                }
            }
            $fechaViaje = date('d-m-Y', strtotime($dataViaje->fecha_hora_salida));

            $separo_numero = explode('.', $data_cuota_seguro->cuota);
            $primer_numero = $separo_numero[0];
            $count_array = count($separo_numero);
            if ($count_array > 1) {
                $segundo_numero = $separo_numero[1];
            }

            $primer_numero = ucfirst(convertir($primer_numero));
            if (isset($segundo_numero) && $segundo_numero > 0) {
                $segundo_numero = convertir($segundo_numero);
                $valor_letras = $primer_numero." con ".$segundo_numero;
            } else {
                $valor_letras = $primer_numero;
            }

            $monto = number_format($data_cuota_seguro->cuota, 2, ',', '.');
            $moneda = "$";
            if ($datos_pago->tipo_transaccion_id == 5) {
                $moneda = 'U$S';
            }
            if ($datos_pago->tipo_transaccion_id == 8) {
                $moneda = '€';
            }
            if ($datos_pago->tipo_transaccion_id == 13) {
                $moneda = 'R$';
            }

            $view = view('recibo', compact('fecha','prenum','num_recibo','nombre','concepto','saldoRestante','viaje','fechaViaje','valor_letras','monto','moneda'));
            //$customPaper = array(0,0,283.80,411.00);
            $customPaper = array(0,0,264.00,740.00);
            $contratoPDF = PDF::loadHTML($view)->setPaper($customPaper, 'Landscape');

            return $contratoPDF->stream();

        } else {
            if ($pasajero_id == 0) {
                $reserva_info_id = DB::table('cuota2020')->where('transaction_id',$id_recibo)->value('reserva_info_id');
                $data_pasajero_id = DB::table('reserva_info')->where('id',$reserva_info_id)->value('pasajero_id');
                $reservaInfo = DB::table('reserva_info')->where('pasajero_id',$data_pasajero_id)->where('viaje_id',$datos_pago->viaje_id)->first();
            } else {
                $reservaInfo = DB::table('reserva_info')->where('pasajero_id',$pasajero_id)->where('viaje_id',$datos_pago->viaje_id)->first();
            }

            $dataPasajero = DB::table('pasajero')->where('id',$reservaInfo->pasajero_id)->first();
            $nombre = $dataPasajero->apellido.', '.$dataPasajero->nombre;
            $dataViaje = DB::table('viaje')->where('id',$datos_pago->viaje_id)->first();
            $dataCuota2020 = DB::table('cuota2020')->where([['reserva_info_id',$reservaInfo->id]])->get();

            $costo_viaje = $dataViaje->precio;
            if (isset($reservaInfo->precio_opcional) && $reservaInfo->precio_opcional != "") {
                $costo_viaje = $reservaInfo->precio_opcional;
            }

            $sumatoriaCuotas = 0;
            foreach ($dataCuota2020 as $cuotas) {
                $dataCuota = DB::table('caja2020')->where('id',$cuotas->transaction_id)->first();
                $precioCuota = $dataCuota->monto;

                if ($dataCuota->tipo_transaccion_id == 5 || $dataCuota->tipo_transaccion_id == 8 || $dataCuota->tipo_transaccion_id == 13) {
                    $precioCuota = $precioCuota * (($dataCuota->monto_cambio > 0) ? $dataCuota->monto_cambio : 1);
                }

                $sumatoriaCuotas = $sumatoriaCuotas + $precioCuota;
            }
            $saldoRestante = $costo_viaje - $sumatoriaCuotas;

            $dataDestino = DB::table('destino')->where('id',$dataViaje->destino_id)->first();
            $ciudad = $dataDestino->ciudad;
            $provincia = $dataDestino->provincia;
            if ($ciudad != "" and $provincia != "") {
                $viaje = $ciudad.", ".$provincia;
            } else {
                if ($ciudad == "") {
                    $viaje = $provincia;
                } else {
                    $viaje = $ciudad;
                }
            }
            $fechaViaje = date('d-m-Y', strtotime($dataViaje->fecha_hora_salida));

            $separo_numero = explode('.', $datos_pago->monto);
            $primer_numero = $separo_numero[0];
            $count_array = count($separo_numero);
            if ($count_array > 1) {
                $segundo_numero = $separo_numero[1];
            }

            $primer_numero = ucfirst(convertir($primer_numero));
            if (isset($segundo_numero) && $segundo_numero > 0) {
                $segundo_numero = convertir($segundo_numero);
                $valor_letras = $primer_numero." con ".$segundo_numero;
            } else {
                $valor_letras = $primer_numero;
            }

            $monto = number_format($datos_pago->monto, 2, ',', '.');
            $moneda = "$";
            if ($datos_pago->tipo_transaccion_id == 5) {
                $moneda = 'U$S';
            }
            if ($datos_pago->tipo_transaccion_id == 8) {
                $moneda = '€';
            }
            if ($datos_pago->tipo_transaccion_id == 13) {
                $moneda = 'R$';
            }

            $view = view('recibo', compact('fecha','prenum','num_recibo','nombre','concepto','saldoRestante','viaje','fechaViaje','valor_letras','monto','moneda'));
            //$customPaper = array(0,0,283.80,411.00);
            $customPaper = array(0,0,264.00,740.00);
            $contratoPDF = PDF::loadHTML($view)->setPaper($customPaper, 'Landscape');

            return $contratoPDF->stream();
            //return $view;
        }

    }
    public function ver_recibo_general($id_recibo) {
        $datos_pago = DB::table('recibos_generales')->where('id',$id_recibo)->first();
        $fecha = date("d/m/Y", strtotime($datos_pago->fecha));
        $concepto = $datos_pago->concepto;
        $saldoRestante = $datos_pago->saldo_restante;

        $dataPasajero = DB::table('pasajero')->where('id',$datos_pago->pasajero_id)->first();
        $nombre = $dataPasajero->apellido.', '.$dataPasajero->nombre;

        if ($datos_pago->viaje_id == "0") {
            $viaje = $datos_pago->viaje;
            $fechaViaje = "";
        } else {
            $dataViaje = DB::table('viaje')->where('id',$datos_pago->viaje_id)->first();
            $dataDestino = DB::table('destino')->where('id',$dataViaje->destino_id)->first();
            $ciudad = $dataDestino->ciudad;
            $provincia = $dataDestino->provincia;
            if ($ciudad != "" and $provincia != "") {
                $viaje = $ciudad.", ".$provincia;
            } else {
                if ($ciudad == "") {
                    $viaje = $provincia;
                } else {
                    $viaje = $ciudad;
                }
            }
            $fechaViaje = date('d-m-Y', strtotime($dataViaje->fecha_hora_salida));
        }

        $prenum = 3;
        $num_recibo = $id_recibo;
        if ($id_recibo > 99999999) {
            $prenum = 4;
            $num_recibo = $id_recibo - 99999999;
        }
        $prenum = substr(str_repeat(0, 4).$prenum, - 4);
        $num_recibo = substr(str_repeat(0, 8).$num_recibo, - 8);


        $separo_numero = explode('.', $datos_pago->total);
        $primer_numero = $separo_numero[0];
        $count_array = count($separo_numero);
        if ($count_array > 1) {
            $segundo_numero = $separo_numero[1];
        }

        function basicoVer($numero) {
            $valor = array ('uno','dos','tres','cuatro','cinco','seis','siete','ocho',
            'nueve','diez','once','doce','trece','catorce','quince','dieciseis','diecisiete','dieciocho','diecinueve','veinte','veintiuno ','vientidos ','veintitrés ', 'veinticuatro','veinticinco',
            'veintiséis','veintisiete','veintiocho','veintinueve');
            return $valor[$numero - 1];
        }

        function basico2Ver($numero) {
            $valor = array ('un','dos','tres','cuatro','cinco','seis','siete','ocho','nueve');
            return $valor[$numero - 1];
        }
            
        function decenasVer($n) {
            $decenas = array (30=>'treinta',40=>'cuarenta',50=>'cincuenta',60=>'sesenta',
            70=>'setenta',80=>'ochenta',90=>'noventa');
            if( $n <= 29) return basicoVer($n);
            $x = $n % 10;
            if ( $x == 0 ) {
                return $decenas[$n];
            } else return $decenas[$n - $x].' y '. basicoVer($x);
        }
            
        function centenasVer($n) {
            $cientos = array (100 =>'cien',200 =>'doscientos',300=>'trescientos',
            400=>'cuatrocientos', 500=>'quinientos',600=>'seiscientos',
            700=>'setecientos',800=>'ochocientos', 900 =>'novecientos');
            if( $n >= 100) {
                if ( $n % 100 == 0 ) {
                    return $cientos[$n];
                } else {
                    $u = (int) substr($n,0,1);
                    $d = (int) substr($n,1,2);
                    return (($u == 1)?'ciento':$cientos[$u*100]).' '.decenasVer($d);
                }
            } else return decenasVer($n);
        }
            
        function milesVer($n) {
            if($n > 999) {
                if( $n == 1000) {return 'mil';}
                else {
                    $l = strlen($n);
                    $c = (int)substr($n,0,$l-3);
                    $x = (int)substr($n,-3);
                    if($c == 1) {$cadena = 'mil '.centenasVer($x);}
                    else if($x != 0) {$cadena = centenasVer($c).' mil '.centenasVer($x);}
                    else $cadena = centenasVer($c). ' mil';
                    return $cadena;
                }
            } else return centenasVer($n);
        }
            
        function millonesVer($n) {
            if($n == 1000000) {return 'un millón';}
            else {
                $l = strlen($n);
                $c = (int)substr($n,0,$l-6);
                $x = (int)substr($n,-6);
                if($c == 1) {
                    $cadena = ' millón ';
                } else {
                    $cadena = ' millones ';
                }
                return milesVer($c).$cadena.(($x > 0)?milesVer($x):'');
            }
        }
        function convertirVer($n) {
            switch (true) {
                case ( $n >= 1 && $n <= 29) : return basicoVer($n); break;
                case ( $n >= 30 && $n < 100) : return decenasVer($n); break;
                case ( $n >= 100 && $n < 1000) : return centenasVer($n); break;
                case ($n >= 1000 && $n <= 999999): return milesVer($n); break;
                case ($n >= 1000000): return millonesVer($n);
            }
        }

        $primer_numero = ucfirst(convertirVer($primer_numero));
        if (isset($segundo_numero)) {
            $segundo_numero = convertirVer($segundo_numero);
            $valor_letras = $primer_numero." con ".$segundo_numero;
        } else {
            $valor_letras = $primer_numero;
        }

        $monto = number_format($datos_pago->total, 2, ',', '.');

        //$view = view('recibo', ['data' => $data]);
        $view = view('recibo', compact('fecha','prenum','num_recibo','nombre','concepto','saldoRestante','viaje','fechaViaje','valor_letras','monto'));
        //$customPaper = array(0,0,283.80,411.00);
        $customPaper = array(0,0,264.00,740.00);
        $contratoPDF = PDF::loadHTML($view)->setPaper($customPaper, 'Landscape');

        return $contratoPDF->stream();
        //return $view;
    }
    public function cierre_dia($anio, $mes, $dia) {

        $date = $anio."-".$mes."-01";
        $dateFinal = $anio."-".$mes."-31";
        $transactions = Caja::whereYear('fecha', '=', $anio)
            ->whereMonth('fecha', '=', $mes)
            ->whereDay('fecha', '=', $dia)
            ->with('oficina', 'tipoTransaccion', 'viaje.destino')
            ->get();

        $suma_pesos_efectivo_bb = 0;
        $suma_pesos_efectivo_pigue = 0;
        $suma_pesos_tarj_credito_bb = 0;
        $suma_pesos_tarj_credito_pigue = 0;
        $suma_pesos_tarj_debito_bb = 0;
        $suma_pesos_tarj_debito_pigue = 0;
        $suma_pesos_cta_prov_bb = 0;
        $suma_pesos_cta_prov_pigue = 0;
        $suma_pesos_cta_nac_bb = 0;
        $suma_pesos_cta_nac_pigue = 0;
        $suma_pesos_pago_terc_bb = 0;
        $suma_pesos_pago_terc_pigue = 0;
        $suma_pesos_cobro_ruta_bb = 0;
        $suma_pesos_cobro_ruta_pigue = 0;
        $suma_pesos_cta_credicoop_bb = 0;
        $suma_pesos_cta_credicoop_pigue = 0;
        $suma_pesos_egresos_efectivo_bb = 0;
        $suma_pesos_egresos_efectivo_pigue = 0;
        $suma_pesos_egresos_transf_bb = 0;
        $suma_pesos_egresos_transf_pigue = 0;
        $suma_pesos_egresos_credito_bb = 0;
        $suma_pesos_egresos_credito_pigue = 0;
        $suma_pesos_egresos_debito_bb = 0;
        $suma_pesos_egresos_debito_pigue = 0;
        $suma_dolares_ingresos_bb = 0;
        $suma_dolares_ingresos_pigue = 0;
        $suma_dolares_egresos_bb = 0;
        $suma_dolares_egresos_pigue = 0;
        
        foreach ($transactions as $transac) {
            if ($transac->oficina_id == 1 and $transac->tipo_transaccion_id == 1) {
                $suma_pesos_efectivo_bb = $suma_pesos_efectivo_bb + $transac->monto;
            }
            if ($transac->oficina_id == 2 and $transac->tipo_transaccion_id == 1) {
                $suma_pesos_efectivo_pigue = $suma_pesos_efectivo_pigue + $transac->monto;
            }
            if ($transac->oficina_id == 1 and $transac->tipo_transaccion_id == 2) {
                $suma_pesos_tarj_credito_bb = $suma_pesos_tarj_credito_bb + $transac->monto;
            }
            if ($transac->oficina_id == 2 and $transac->tipo_transaccion_id == 2) {
                $suma_pesos_tarj_credito_pigue = $suma_pesos_tarj_credito_pigue + $transac->monto;
            }
            if ($transac->oficina_id == 1 and $transac->tipo_transaccion_id == 9) {
                $suma_pesos_tarj_debito_bb = $suma_pesos_tarj_debito_bb + $transac->monto;
            }
            if ($transac->oficina_id == 2 and $transac->tipo_transaccion_id == 9) {
                $suma_pesos_tarj_debito_pigue = $suma_pesos_tarj_debito_pigue + $transac->monto;
            }
            if ($transac->oficina_id == 1 and $transac->tipo_transaccion_id == 3) {
                $suma_pesos_cta_prov_bb = $suma_pesos_cta_prov_bb + $transac->monto;
            }
            if ($transac->oficina_id == 2 and $transac->tipo_transaccion_id == 3) {
                $suma_pesos_cta_prov_pigue = $suma_pesos_cta_prov_pigue + $transac->monto;
            }
            if ($transac->oficina_id == 1 and $transac->tipo_transaccion_id == 4) {
                $suma_pesos_cta_nac_bb = $suma_pesos_cta_nac_bb + $transac->monto;
            }
            if ($transac->oficina_id == 2 and $transac->tipo_transaccion_id == 4) {
                $suma_pesos_cta_nac_pigue = $suma_pesos_cta_nac_pigue + $transac->monto;
            }
            if ($transac->oficina_id == 1 and $transac->tipo_transaccion_id == 11) {
                $suma_pesos_pago_terc_bb = $suma_pesos_pago_terc_bb + $transac->monto;
            }
            if ($transac->oficina_id == 2 and $transac->tipo_transaccion_id == 11) {
                $suma_pesos_pago_terc_pigue = $suma_pesos_pago_terc_pigue + $transac->monto;
            }
            if ($transac->oficina_id == 1 and $transac->tipo_transaccion_id == 12) {
                $suma_pesos_cobro_ruta_bb = $suma_pesos_cobro_ruta_bb + $transac->monto;
            }
            if ($transac->oficina_id == 2 and $transac->tipo_transaccion_id == 12) {
                $suma_pesos_cobro_ruta_pigue = $suma_pesos_cobro_ruta_pigue + $transac->monto;
            }
            if ($transac->oficina_id == 1 and $transac->tipo_transaccion_id == 14) {
                $suma_pesos_cta_credicoop_bb = $suma_pesos_cta_credicoop_bb + $transac->monto;
            }
            if ($transac->oficina_id == 2 and $transac->tipo_transaccion_id == 14) {
                $suma_pesos_cta_credicoop_pigue = $suma_pesos_cta_credicoop_pigue + $transac->monto;
            }
            $metodo_pago = DB::table('caja2020')->where('id',$transac->id)->value('metodo_pago');
            if ($transac->oficina_id == 1 and $transac->tipo_transaccion_id == 6) {
                if ($metodo_pago == 'efectivo' or $metodo_pago == '') {
                    $suma_pesos_egresos_efectivo_bb = $suma_pesos_egresos_efectivo_bb + $transac->monto;
                }
            }
            if ($transac->oficina_id == 2 and $transac->tipo_transaccion_id == 6) {
                if ($metodo_pago == 'efectivo' or $metodo_pago == '') {
                    $suma_pesos_egresos_efectivo_pigue = $suma_pesos_egresos_efectivo_pigue + $transac->monto;
                }
            }
            if ($transac->oficina_id == 1 and $transac->tipo_transaccion_id == 6) {
                if ($metodo_pago == 'transf_bancaria' or $metodo_pago == '') {
                    $suma_pesos_egresos_transf_bb = $suma_pesos_egresos_transf_bb + $transac->monto;
                }
            }
            if ($transac->oficina_id == 2 and $transac->tipo_transaccion_id == 6) {
                if ($metodo_pago == 'transf_bancaria' or $metodo_pago == '') {
                    $suma_pesos_egresos_transf_pigue = $suma_pesos_egresos_transf_pigue + $transac->monto;
                }
            }
            if ($transac->oficina_id == 1 and $transac->tipo_transaccion_id == 6) {
                if ($metodo_pago == 'tarjeta_credito' or $metodo_pago == '') {
                    $suma_pesos_egresos_credito_bb = $suma_pesos_egresos_credito_bb + $transac->monto;
                }
            }
            if ($transac->oficina_id == 2 and $transac->tipo_transaccion_id == 6) {
                if ($metodo_pago == 'tarjeta_credito' or $metodo_pago == '') {
                    $suma_pesos_egresos_credito_pigue = $suma_pesos_egresos_credito_pigue + $transac->monto;
                }
            }
            if ($transac->oficina_id == 1 and $transac->tipo_transaccion_id == 6) {
                if ($metodo_pago == 'tarjeta_debito' or $metodo_pago == '') {
                    $suma_pesos_egresos_debito_bb = $suma_pesos_egresos_debito_bb + $transac->monto;
                }
            }
            if ($transac->oficina_id == 2 and $transac->tipo_transaccion_id == 6) {
                if ($metodo_pago == 'tarjeta_debito' or $metodo_pago == '') {
                    $suma_pesos_egresos_debito_pigue = $suma_pesos_egresos_debito_pigue + $transac->monto;
                }
            }
            if ($transac->oficina_id == 1 and $transac->tipo_transaccion_id == 5) {
                $suma_dolares_ingresos_bb = $suma_dolares_ingresos_bb + $transac->monto;
            }
            if ($transac->oficina_id == 2 and $transac->tipo_transaccion_id == 5) {
                $suma_dolares_ingresos_pigue = $suma_dolares_ingresos_pigue + $transac->monto;
            }
            if ($transac->oficina_id == 1 and $transac->tipo_transaccion_id == 7) {
                $suma_dolares_egresos_bb = $suma_dolares_egresos_bb + $transac->monto;
            }
            if ($transac->oficina_id == 2 and $transac->tipo_transaccion_id == 7) {
                $suma_dolares_egresos_pigue = $suma_dolares_egresos_pigue + $transac->monto;
            }
        }

    	$view = view('cierre_dia', compact('anio','mes','dia','suma_pesos_efectivo_bb','suma_pesos_efectivo_pigue',
                    'suma_pesos_tarj_credito_bb','suma_pesos_tarj_credito_pigue','suma_pesos_tarj_debito_bb',
                    'suma_pesos_tarj_debito_pigue','suma_pesos_cta_prov_bb','suma_pesos_cta_prov_pigue','suma_pesos_cta_credicoop_bb','suma_pesos_cta_credicoop_pigue',
                    'suma_pesos_cta_nac_bb','suma_pesos_cta_nac_pigue','suma_pesos_egresos_efectivo_bb','suma_pesos_pago_terc_bb','suma_pesos_pago_terc_pigue',
                    'suma_pesos_cobro_ruta_bb','suma_pesos_cobro_ruta_pigue','suma_pesos_egresos_efectivo_pigue','suma_pesos_egresos_transf_bb','suma_pesos_egresos_transf_pigue',
                    'suma_dolares_ingresos_bb','suma_dolares_ingresos_pigue','suma_dolares_egresos_bb','suma_dolares_egresos_pigue',
                    'suma_pesos_egresos_credito_bb','suma_pesos_egresos_credito_pigue','suma_pesos_egresos_debito_bb','suma_pesos_egresos_debito_pigue'));
        
        $contratoPDF = PDF::loadHTML($view)->setPaper('a4', 'portrait');

        return $contratoPDF->stream();
    }
    public function cierre_mes($anio, $mes) {

        $date = $anio."-".$mes."-01";
        $dateFinal = $anio."-".$mes."-31";
        $transactions = Caja::whereYear('fecha', '=', $anio)
            ->whereMonth('fecha', '=', $mes)
            ->with('oficina', 'tipoTransaccion', 'viaje.destino')
            ->get();

        $suma_pesos_efectivo_bb = 0;
        $suma_pesos_efectivo_pigue = 0;
        $suma_pesos_tarj_credito_bb = 0;
        $suma_pesos_tarj_credito_pigue = 0;
        $suma_pesos_tarj_debito_bb = 0;
        $suma_pesos_tarj_debito_pigue = 0;
        $suma_pesos_cta_prov_bb = 0;
        $suma_pesos_cta_prov_pigue = 0;
        $suma_pesos_cta_nac_bb = 0;
        $suma_pesos_cta_nac_pigue = 0;
        $suma_pesos_pago_terc_bb = 0;
        $suma_pesos_pago_terc_pigue = 0;
        $suma_pesos_cobro_ruta_bb = 0;
        $suma_pesos_cobro_ruta_pigue = 0;
        $suma_pesos_cta_credicoop_bb = 0;
        $suma_pesos_cta_credicoop_pigue = 0;
        $suma_pesos_egresos_efectivo_bb = 0;
        $suma_pesos_egresos_efectivo_pigue = 0;
        $suma_pesos_egresos_transf_bb = 0;
        $suma_pesos_egresos_transf_pigue = 0;
        $suma_pesos_egresos_credito_bb = 0;
        $suma_pesos_egresos_credito_pigue = 0;
        $suma_pesos_egresos_debito_bb = 0;
        $suma_pesos_egresos_debito_pigue = 0;
        $suma_dolares_ingresos_bb = 0;
        $suma_dolares_ingresos_pigue = 0;
        $suma_dolares_egresos_bb = 0;
        $suma_dolares_egresos_pigue = 0;
        
        foreach ($transactions as $transac) {
            if ($transac->oficina_id == 1 and $transac->tipo_transaccion_id == 1) {
                $suma_pesos_efectivo_bb = $suma_pesos_efectivo_bb + $transac->monto;
            }
            if ($transac->oficina_id == 2 and $transac->tipo_transaccion_id == 1) {
                $suma_pesos_efectivo_pigue = $suma_pesos_efectivo_pigue + $transac->monto;
            }
            if ($transac->oficina_id == 1 and $transac->tipo_transaccion_id == 2) {
                $suma_pesos_tarj_credito_bb = $suma_pesos_tarj_credito_bb + $transac->monto;
            }
            if ($transac->oficina_id == 2 and $transac->tipo_transaccion_id == 2) {
                $suma_pesos_tarj_credito_pigue = $suma_pesos_tarj_credito_pigue + $transac->monto;
            }
            if ($transac->oficina_id == 1 and $transac->tipo_transaccion_id == 9) {
                $suma_pesos_tarj_debito_bb = $suma_pesos_tarj_debito_bb + $transac->monto;
            }
            if ($transac->oficina_id == 2 and $transac->tipo_transaccion_id == 9) {
                $suma_pesos_tarj_debito_pigue = $suma_pesos_tarj_debito_pigue + $transac->monto;
            }
            if ($transac->oficina_id == 1 and $transac->tipo_transaccion_id == 3) {
                $suma_pesos_cta_prov_bb = $suma_pesos_cta_prov_bb + $transac->monto;
            }
            if ($transac->oficina_id == 2 and $transac->tipo_transaccion_id == 3) {
                $suma_pesos_cta_prov_pigue = $suma_pesos_cta_prov_pigue + $transac->monto;
            }
            if ($transac->oficina_id == 1 and $transac->tipo_transaccion_id == 4) {
                $suma_pesos_cta_nac_bb = $suma_pesos_cta_nac_bb + $transac->monto;
            }
            if ($transac->oficina_id == 2 and $transac->tipo_transaccion_id == 4) {
                $suma_pesos_cta_nac_pigue = $suma_pesos_cta_nac_pigue + $transac->monto;
            }
            if ($transac->oficina_id == 1 and $transac->tipo_transaccion_id == 11) {
                $suma_pesos_pago_terc_bb = $suma_pesos_pago_terc_bb + $transac->monto;
            }
            if ($transac->oficina_id == 2 and $transac->tipo_transaccion_id == 11) {
                $suma_pesos_pago_terc_pigue = $suma_pesos_pago_terc_pigue + $transac->monto;
            }
            if ($transac->oficina_id == 1 and $transac->tipo_transaccion_id == 12) {
                $suma_pesos_cobro_ruta_bb = $suma_pesos_cobro_ruta_bb + $transac->monto;
            }
            if ($transac->oficina_id == 2 and $transac->tipo_transaccion_id == 12) {
                $suma_pesos_cobro_ruta_pigue = $suma_pesos_cobro_ruta_pigue + $transac->monto;
            }
            if ($transac->oficina_id == 1 and $transac->tipo_transaccion_id == 14) {
                $suma_pesos_cta_credicoop_bb = $suma_pesos_cta_credicoop_bb + $transac->monto;
            }
            if ($transac->oficina_id == 2 and $transac->tipo_transaccion_id == 14) {
                $suma_pesos_cta_credicoop_pigue = $suma_pesos_cta_credicoop_pigue + $transac->monto;
            }
            $metodo_pago = DB::table('caja2020')->where('id',$transac->id)->value('metodo_pago');
            if ($transac->oficina_id == 1 and $transac->tipo_transaccion_id == 6) {
                if ($metodo_pago == 'efectivo' or $metodo_pago == '') {
                    $suma_pesos_egresos_efectivo_bb = $suma_pesos_egresos_efectivo_bb + $transac->monto;
                }
            }
            if ($transac->oficina_id == 2 and $transac->tipo_transaccion_id == 6) {
                if ($metodo_pago == 'efectivo' or $metodo_pago == '') {
                    $suma_pesos_egresos_efectivo_pigue = $suma_pesos_egresos_efectivo_pigue + $transac->monto;
                }
            }
            if ($transac->oficina_id == 1 and $transac->tipo_transaccion_id == 6) {
                if ($metodo_pago == 'transf_bancaria' or $metodo_pago == '') {
                    $suma_pesos_egresos_transf_bb = $suma_pesos_egresos_transf_bb + $transac->monto;
                }
            }
            if ($transac->oficina_id == 2 and $transac->tipo_transaccion_id == 6) {
                if ($metodo_pago == 'transf_bancaria' or $metodo_pago == '') {
                    $suma_pesos_egresos_transf_pigue = $suma_pesos_egresos_transf_pigue + $transac->monto;
                }
            }
            if ($transac->oficina_id == 1 and $transac->tipo_transaccion_id == 6) {
                if ($metodo_pago == 'tarjeta_credito' or $metodo_pago == '') {
                    $suma_pesos_egresos_credito_bb = $suma_pesos_egresos_credito_bb + $transac->monto;
                }
            }
            if ($transac->oficina_id == 2 and $transac->tipo_transaccion_id == 6) {
                if ($metodo_pago == 'tarjeta_credito' or $metodo_pago == '') {
                    $suma_pesos_egresos_credito_pigue = $suma_pesos_egresos_credito_pigue + $transac->monto;
                }
            }
            if ($transac->oficina_id == 1 and $transac->tipo_transaccion_id == 6) {
                if ($metodo_pago == 'tarjeta_debito' or $metodo_pago == '') {
                    $suma_pesos_egresos_debito_bb = $suma_pesos_egresos_debito_bb + $transac->monto;
                }
            }
            if ($transac->oficina_id == 2 and $transac->tipo_transaccion_id == 6) {
                if ($metodo_pago == 'tarjeta_debito' or $metodo_pago == '') {
                    $suma_pesos_egresos_debito_pigue = $suma_pesos_egresos_debito_pigue + $transac->monto;
                }
            }
            if ($transac->oficina_id == 1 and $transac->tipo_transaccion_id == 5) {
                $suma_dolares_ingresos_bb = $suma_dolares_ingresos_bb + $transac->monto;
            }
            if ($transac->oficina_id == 2 and $transac->tipo_transaccion_id == 5) {
                $suma_dolares_ingresos_pigue = $suma_dolares_ingresos_pigue + $transac->monto;
            }
            if ($transac->oficina_id == 1 and $transac->tipo_transaccion_id == 7) {
                $suma_dolares_egresos_bb = $suma_dolares_egresos_bb + $transac->monto;
            }
            if ($transac->oficina_id == 2 and $transac->tipo_transaccion_id == 7) {
                $suma_dolares_egresos_pigue = $suma_dolares_egresos_pigue + $transac->monto;
            }
        }

    	$view = view('cierre_mes', compact('anio','mes','suma_pesos_efectivo_bb','suma_pesos_efectivo_pigue',
                    'suma_pesos_tarj_credito_bb','suma_pesos_tarj_credito_pigue','suma_pesos_tarj_debito_bb',
                    'suma_pesos_tarj_debito_pigue','suma_pesos_cta_prov_bb','suma_pesos_cta_prov_pigue','suma_pesos_cta_credicoop_bb','suma_pesos_cta_credicoop_pigue',
                    'suma_pesos_cta_nac_bb','suma_pesos_cta_nac_pigue','suma_pesos_egresos_efectivo_bb','suma_pesos_pago_terc_bb','suma_pesos_pago_terc_pigue',
                    'suma_pesos_cobro_ruta_bb','suma_pesos_cobro_ruta_pigue','suma_pesos_egresos_efectivo_pigue','suma_pesos_egresos_transf_bb','suma_pesos_egresos_transf_pigue',
                    'suma_dolares_ingresos_bb','suma_dolares_ingresos_pigue','suma_dolares_egresos_bb','suma_dolares_egresos_pigue',
                    'suma_pesos_egresos_credito_bb','suma_pesos_egresos_credito_pigue','suma_pesos_egresos_debito_bb','suma_pesos_egresos_debito_pigue'));
        
        $contratoPDF = PDF::loadHTML($view)->setPaper('a4', 'portrait');

        return $contratoPDF->stream();
    }
}
