<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\model\sistema\Viaje;

class HistorialController extends Controller
{
    public function index() {
    	return view('historial', ['title' => 'HISTORIAL DE VIAJES']);
    }

    public function getFromMonth(Request $request) {
        $date = strtotime($request->date);
        $month = date('m', $date);
        $year = date('Y', $date);
        $viajes = Viaje::whereMonth('fecha_hora_salida', '=', $month)
            ->whereYear('fecha_hora_salida', '=', $year)
            ->where('deleted', 0)
            ->orderBy('fecha_hora_salida', 'asc')
            ->with('destino', 'incluye', 'categoria')
            ->get()->all();
        return $viajes;
    }
}
