<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\model\sistema\RecibosGenerales;
use App\model\sistema\ReservaInfo;
use App\model\sistema\TipoTransaccion;
use App\model\sistema\Oficina;
use App\model\sistema\Cuota;
use App\model\sistema\Viaje;
use App\model\sistema\Caja;
use App\model\sistema\Pasajero;
use App\model\sistema\Anotaciones;
use App\model\sistema\ListaEspera;
use App\model\sistema\HistorialButacas;
use App\model\sistema\SaldosAFavor;
use App\model\core\Common;
use Validator;
use Illuminate\Support\Facades\DB;

class RecibosController extends Controller
{
	public function index(Request $request) {
		$idRecibo = $request->query('id');

		$recibosGenerales = RecibosGenerales::where('deleted', 0)->get();

		$recibosArray = array();
		foreach ($recibosGenerales as $recibos) {
			$dataPasajero = DB::table('pasajero')->where('id', $recibos->pasajero_id)->first();
			if ($recibos->viaje_id == "0") {
				$viaje = $recibos->viaje;
			} else {
				$dataViaje = DB::table('viaje')->where('id', $recibos->viaje_id)->first();
				$dataDestino = DB::table('destino')->where('id', $dataViaje->destino_id)->first();
				$fecha_viaje = date("d-m-Y", strtotime($dataViaje->fecha_hora_salida));
				$viaje = $dataDestino->ciudad.', '.$dataDestino->provincia.' ('.$fecha_viaje.')';
			}
			//$fecha = \DateTime::createFromFormat('d/m/Y', $recibos->fecha)->format('Y-m-d');
			$fecha = date("d/m/Y", strtotime($recibos->fecha));
			$recibosArray[] = array('id'=>$recibos->id,'nombre'=>$dataPasajero->nombre,'apellido'=>$dataPasajero->apellido,'viaje'=>$viaje,'total'=>$recibos->total,'fecha'=>$fecha,
									'concepto'=>$recibos->concepto,'saldo_restante'=>$recibos->saldo_restante,'id_pasajero'=>$dataPasajero->id,'id_viaje'=>$recibos->viaje_id);
		}
		$recibosGenerales = $recibosArray;

		$pasajeros = Pasajero::all();
		$fecha_hora_actual = date('Y-m-d h-m-s');
		$viajes = Viaje::where('fecha_hora_retorno', '>=', $fecha_hora_actual)->orderBy('fecha_hora_salida', 'asc')->get();
		$viajesArray = array();
		foreach ($viajes as $viaje) {
			$fecha = date("d-m-Y", strtotime($viaje->fecha_hora_salida));
			$dataDestino = DB::table('destino')->where('id', $viaje->destino_id)->first();
			$destino = $dataDestino->ciudad.', '.$dataDestino->provincia.' ('.$fecha.')';
			$viajesArray[] = array('id'=>$viaje->id,'destino'=>$destino);
		}
		$viajes = $viajesArray;

		return view('recibos-generales', ['idRecibo'=>$idRecibo,'recibosGenerales'=>$recibosGenerales,'pasajeros'=>$pasajeros,'viajes'=>$viajes, 'title' => 'Recibos Generales']);
	}
	public function store_recibo(Request $request) {
		$pasajero = $request->pasajero;
		$viaje = $request->viaje;
		$otro_viaje = $request->otro_viaje;
		$monto_total = $request->monto_total;
		$fecha = \DateTime::createFromFormat('d/m/Y', $request->fecha)->format('Y-m-d');
		$concepto = $request->concepto;
		if (empty($request->saldo_restante)) {
			$saldo_restante = '0';
		} else {
			$saldo_restante = $request->saldo_restante;
		}

		$transaction = new RecibosGenerales;
		$transaction->pasajero_id = $pasajero;
		if ($viaje == "-1") {
			$transaction->viaje_id = 0;
			$transaction->viaje = $otro_viaje;
		} else {
			$transaction->viaje_id = $viaje;
		}
		$transaction->total = $monto_total;
		$transaction->fecha = $fecha;
		$transaction->concepto = $concepto;
		$transaction->saldo_restante = $saldo_restante;
		$transaction->deleted = 0;
		$transaction->timestamp = date('Y-m-d H-m-s');
        $transaction->id_user = auth()->id();
		$transaction->save();

		if ($request->mostrarRecibo == 1) {
			return redirect('/sistema/recibos-generales?id='.$transaction->id);
		} else {
			return redirect('/sistema/recibos-generales');
		}
	}
	public function update_recibo(Request $request) {
		$id = $request->idReciboEdit;
		$pasajero = $request->pasajero;
		$viaje = $request->viaje;
		$otro_viaje = $request->otro_viaje;
		$monto_total = $request->monto_total;
		$fecha = \DateTime::createFromFormat('d/m/Y', $request->fecha)->format('Y-m-d');
		$concepto = $request->concepto;
		if (empty($request->saldo_restante)) {
			$saldo_restante = '0';
		} else {
			$saldo_restante = $request->saldo_restante;
		}
		if ($viaje == "-1") {
			$viaje = 0;
		} else {
			$otro_viaje = "";
		}

		RecibosGenerales::find($id)->update(['pasajero_id'=>$pasajero,
											'viaje_id'=>$viaje,
											'viaje'=>$otro_viaje,
											'total'=>$monto_total,
											'fecha'=>$fecha,
											'concepto'=>$concepto,
											'saldo_restante'=>$saldo_restante,
											'id_user'=>auth()->id()
											]);

		if ($request->mostrarRecibo == 1) {
			return redirect('/sistema/recibos-generales?id='.$id);
		} else {
			return redirect('/sistema/recibos-generales');
		}
	}
	public function delete_recibo(Request $request) {
		$id = $request->idReciboDelete;
		RecibosGenerales::find($id)->update(['deleted'=>1,'id_user'=>auth()->id()]);
		return redirect('/sistema/recibos-generales');
	}
}
