<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\model\sistema\RoomType;
use App\model\sistema\RoomTypeRelation;
use Illuminate\Support\Facades\DB;

class RoomController extends Controller
{
    const SHAREABLE_ROOMS = [2, 4];

	static function getAll() {
		return RoomType::get();
	}

    static function getWithoutSharingRooms() {
        return RoomType::where('id', '<', 8)->get();
    }

    static function saveRoomTypesForTrip($data, $viajeId) {
    	foreach ($data as $item) {
    		$field = DB::table('viaje_tipo_habitacion')->where([
    			['viaje_id', '=', $viajeId],
    			['tipo_habitacion_id', '=', $item['id']]
    		])->get()->first();
    		if ($field) {
    			$field = DB::table('viaje_tipo_habitacion')->where([
    			['viaje_id', '=', $viajeId],
    			['tipo_habitacion_id', '=', $item['id']]
    		])->update(['cantidad' => $item['cant']]);
    		} else {
    			DB::table('viaje_tipo_habitacion')->insert([
    				'viaje_id' => $viajeId,
    				'tipo_habitacion_id' => $item['id'],
    				'cantidad' => $item['cant']
    			]);
    		}
    	}
    }

    static function getForViaje($viajeId) {
        $roomTypes = RoomTypeRelation::where('viaje_id', $viajeId)
            ->with('type')
            ->get()
            ->all();

        foreach ($roomTypes as $room) {
            if (self::isRoomShareable($room)) {
                array_push($roomTypes, self::getShareableRoom($room));
            }
        }
        
        return $roomTypes;
    }

    private static function isRoomShareable($room) {
        return in_array($room->tipo_habitacion_id, self::SHAREABLE_ROOMS);
    }

    private static function getShareableRoom($roomType) {
        $shareableRoomType = new RoomTypeRelation();
        $roomTypeId = $roomType->tipo_habitacion_id == 2 ? 8 : 9;

        $shareableRoomType->tipo_habitacion_id = $roomTypeId;
        $shareableRoomType->type = RoomType::where('id', $roomTypeId)->get()->first();
        $shareableRoomType->cantidad = $shareableRoomType->type->cantidad_camas * $roomType->cantidad;

        return $shareableRoomType;
    }

    static function find($roomId) {
        return RoomType::find($roomId);
    }
}
