<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\model\sistema\Viaje;
use App\model\sistema\Users;
use App\model\sistema\SaldosAFavor;
use App\model\sistema\Pasajero;
use App\model\sistema\Caja;
use App\model\sistema\Oficina;
use App\model\sistema\TipoTransaccion;
use App\model\core\Common;
use Validator;
use DateTime;
use Illuminate\Support\Facades\DB;

class SaldosController extends Controller {

	public function __construct() {
		$this->middleware('auth');
	}

    public function index() {
        $saldos_a_favor = SaldosAFavor::all();
		$sumatoria_saldos = 0;
        $resultado = array();
		foreach ($saldos_a_favor as $saldos) {
            $dataPasajero = DB::table('pasajero')->where('id',$saldos->pasajero_id)->first();
			if (!empty($saldos->viaje_anotado)) {
				$dataViajeAnotado = DB::table('viaje')->where('id',$saldos->viaje_anotado)->first();
				$dataDestinoAnotado = DB::table('destino')->where('id',$dataViajeAnotado->destino_id)->first();
				$fechaDestinoAnotado = date("d-m-Y", strtotime($dataViajeAnotado->fecha_hora_salida));
				$viaje_anotado = $dataDestinoAnotado->ciudad/* .", ".$dataDestinoAnotado->provincia */.' ('.$fechaDestinoAnotado.')';
			} else {
				$viaje_anotado = '';
			}
			$viaje_nuevo = "";
            if ($saldos->nuevo_viaje != "") {
				$array = explode(",", $saldos->nuevo_viaje);
				$count = count($array);
				if ($count > 1) {
					for ($i=0; $i < $count; $i++) { 
						$dataViajeNuevo = DB::table('viaje')->where('id',$array[$i])->first();
						$dataDestinoNuevo = DB::table('destino')->where('id',$dataViajeNuevo->destino_id)->first();
						$dataCiudadNuevo = $dataDestinoNuevo->ciudad;
						$dataProvinciaNuevo = $dataDestinoNuevo->provincia;
						$fechaViaje = date("d-m-Y", strtotime($dataViajeNuevo->fecha_hora_salida)); 
						if ($viaje_nuevo == "") {
							$viaje_nuevo = $dataCiudadNuevo." (".$fechaViaje.')';
						} else {
							$viaje_nuevo = $viaje_nuevo."; ".$dataCiudadNuevo." (".$fechaViaje.')';
						}
					}
				} else {
					$dataViajeNuevo = DB::table('viaje')->where('id',$saldos->nuevo_viaje)->first();
					$dataDestinoNuevo = DB::table('destino')->where('id',$dataViajeNuevo->destino_id)->first();
					$dataCiudadNuevo = $dataDestinoNuevo->ciudad;
					$dataProvinciaNuevo = $dataDestinoNuevo->provincia;
					$fechaViaje = date("d-m-Y", strtotime($dataViajeNuevo->fecha_hora_salida)); 
					$viaje_nuevo = $dataCiudadNuevo." (".$fechaViaje.')';
				}
            } else {
                $viaje_nuevo = "-";
            }
			
			$saldo = $saldos->saldo;
			$saldo_usado = $saldos->saldo_usado;
			if ($saldo_usado != "") {
				$total = $saldo - $saldo_usado;
			} else {
				$total = $saldo;
			}
			$sumatoria_saldos = $sumatoria_saldos + $total;
			
			$resultado[] = array("id"=>$dataPasajero->id,"nombre"=>$dataPasajero->nombre,"apellido"=>$dataPasajero->apellido,"viaje_anotado"=>$viaje_anotado,
                                "viaje_nuevo"=>$viaje_nuevo,"saldo"=>$total,"forma_pago"=>$saldos->forma_pago,"fechas_pagos"=>$saldos->fechas_pagos,
								"comentario"=>$saldos->comentario,'id_saldos_a_favor'=>$saldos->id,"fecha_usado"=>$saldos->fechas_usado,'id_saldos_a_favor'=>$saldos->id);
		}
		$saldos_a_favor = $resultado;

		$pasajeros = Pasajero::all();

		$sumatoria_saldos = number_format($sumatoria_saldos,2,',','.');

    	return view('/saldos-a-favor', ['saldos_a_favor'=>$saldos_a_favor,'pasajeros'=>$pasajeros,'sumatoria_saldos'=>$sumatoria_saldos,'title' => 'SALDOS A FAVOR']);
    }
	public function nuevo_saldo_a_favor(Request $request) {

		$cant_saldo = str_replace(',', '.', str_replace('.', '', $request->cant_saldo));

		$saldos_a_favor = new SaldosAFavor;
		$saldos_a_favor->pasajero_id = $request->pasajero_id;
		$saldos_a_favor->saldo = $cant_saldo;
		$saldos_a_favor->forma_pago = $request->forma_pago;
		$saldos_a_favor->viaje_anotado = null;
		$saldos_a_favor->fechas_pagos = date('d-m-Y');
		$saldos_a_favor->comentario = $request->comentario;
		$saldos_a_favor->timestamp = date('Y-m-d H:i:s');
		$saldos_a_favor->id_user = auth()->id();
		$saldos_a_favor->save();

		return redirect('/sistema/saldos-a-favor');
	}
	public function devolver_saldo_a_favor(Request $request) {
		$fecha = date('Y-m-d');
		$monto_a_pasar2 = $request->monto_a_pasar2;
		$tipo_dev_dinero2 = $request->tipo_dev_dinero2;
		$metodo_pago = "";

		$data_pasajero = DB::table('pasajero')->where('id',$request->pasajeroID)->first();

		if ($request->tipo_dev_dinero == "efectivo") {
			$metodo_pago = "efectivo";
		}
		if ($request->tipo_dev_dinero == "transferencia") {
			$metodo_pago = "transf_bancaria";
		}

		$transaction = new Caja;
		$transaction->fecha = $fecha;
		$transaction->concepto = 'Devolución a '.$data_pasajero->apellido.', '.$data_pasajero->nombre;
		$transaction->monto = $request->monto_a_pasar;
		$transaction->tipo_transaccion_id = '6';
		$transaction->metodo_pago = $metodo_pago;
		$transaction->oficina_id = $request->oficina_dev;
        $transaction->id_user = auth()->id();
		$transaction->save();

		if ($tipo_dev_dinero2 != "" && $monto_a_pasar2 != "" && $monto_a_pasar2 > 0) {
			if ($tipo_dev_dinero2 == "efectivo") {
				$metodo_pago = "efectivo";
			}
			if ($tipo_dev_dinero2 == "transferencia") {
				$metodo_pago = "transf_bancaria";
			}
			$transaction = new Caja;
			$transaction->fecha = $fecha;
			$transaction->concepto = 'Devolución a '.$data_pasajero->apellido.', '.$data_pasajero->nombre;
			$transaction->monto = $request->monto_a_pasar2;
			$transaction->tipo_transaccion_id = '6';
			$transaction->metodo_pago = $metodo_pago;
			$transaction->oficina_id = $request->oficina_dev;
			$transaction->id_user = auth()->id();
			$transaction->save();
		}

		DB::table('saldos_a_favor')->where('id',$request->idSaldos)->delete();

		return redirect('/sistema/saldos-a-favor');
	}
	public function pasar_saldo_a_favor(Request $request) {

		$fecha = date('Y-m-d h:m:s');
		$data_pasajero = DB::table('pasajero')->where('id',$request->pasajeroIDPasarSaldo)->first();
		$dataSaldos = DB::table('saldos_a_favor')->where('id',$request->idSaldosPasarSaldo)->first();
		$cant_pasar = $request->cantidad_a_pasar;

		if ($cant_pasar == $request->cantEntregadaPasarSaldo) {
			$saldos_a_favor = new SaldosAFavor;
			$saldos_a_favor->pasajero_id = $request->pasajero_a_transf;
			$saldos_a_favor->saldo = $request->cantEntregadaPasarSaldo;
			$saldos_a_favor->forma_pago = $dataSaldos->forma_pago;
			$saldos_a_favor->viaje_anotado = $dataSaldos->viaje_anotado;
			$saldos_a_favor->fechas_pagos = $dataSaldos->fechas_pagos;
			$saldos_a_favor->comentario = 'Dinero recibido de '.$data_pasajero->apellido.', '.$data_pasajero->nombre.'.';
			$saldos_a_favor->timestamp = $fecha;
			$saldos_a_favor->id_user = auth()->id();
			$saldos_a_favor->save();

			DB::table('saldos_a_favor')->where('id',$request->idSaldosPasarSaldo)->delete();
		} else {
			$diferencia = $request->cantEntregadaPasarSaldo - $cant_pasar;

			$saldos_a_favor = new SaldosAFavor;
			$saldos_a_favor->pasajero_id = $request->pasajero_a_transf;
			$saldos_a_favor->saldo = $cant_pasar;
			$saldos_a_favor->fechas_pagos = date('d-m-Y');
			$saldos_a_favor->comentario = 'Dinero recibido de '.$data_pasajero->apellido.', '.$data_pasajero->nombre.'.';
			$saldos_a_favor->timestamp = $fecha;
			$saldos_a_favor->id_user = auth()->id();
			$saldos_a_favor->save();
	
			if (empty($dataSaldos->forma_pago)) {
				$forma_pago = '-$'.$cant_pasar.' (Pasado a Pasajero)';
			} else {
				$forma_pago = $dataSaldos->forma_pago.', -$'.$cant_pasar.' (Pasado a Pasajero)';
			}
			if (empty($dataSaldos->comentario)) {
				$comentario = 'Pasó saldo a '.$data_pasajero->apellido.', '.$data_pasajero->nombre;
			} else {
				$comentario = $dataSaldos->comentario.', Pasó saldo a '.$data_pasajero->apellido.', '.$data_pasajero->nombre;
			}
			DB::table('saldos_a_favor')->where('id',$request->idSaldosPasarSaldo)->update(['saldo'=>$diferencia,'forma_pago'=>$forma_pago,'comentario'=>$comentario,'id_user'=>auth()->id()]);
		}

		return redirect('/sistema/saldos-a-favor');
	}
	public function delete_saldo_a_favor(Request $request) {

		DB::table('saldos_a_favor')->where('id',$request->idSaldoDelete)->delete();

		return back();
	}
}
