<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\model\sistema\Viaje;
use App\model\sistema\Destino;
use App\model\sistema\ReservaInfo;
use App\model\sistema\Incluye;
use App\model\sistema\CategoriaViaje;
use App\model\sistema\Locked;

use Validator;
use Illuminate\Support\Facades\DB;

class ViajesIndController extends Controller
{

	protected $viajeModel;

	public function __construct(Request $request) {
        $this->middleware('auth');
    }

    public function index() {
        $destinos = Destino::get();
        return view('viajes-individuales', ['title'=> 'VIAJES INDIVIDUALES', 'destinos' => $destinos]);
    }

    public function getActive() {
        
        $viajes = Viaje::where([['viaje.deleted', 0],['individual',1]])
                ->whereDate('fecha_hora_retorno', '>=', date('Y-m-d'))
                ->orderBy('viaje.fecha_hora_salida', 'asc')
                ->with('incluye', 'destino', 'categoria', 'habitaciones.type', 'reserva', 'reservainfo')
                ->get();
               
        return $viajes->toJson();
    }
}
