<?php

namespace App\model\core;

class Common {
    CONST PESOS = 1;
    CONST TARJETA_CREDITO = 2;
    CONST CUENTA_PROVINCIA = 3;
    CONST CUENTA_NACION = 4;
    CONST DOLARES = 5;
    CONST GASTOS = 6;
    CONST GASTOS_DOLARES = 7;
    CONST EUROS = 8;
    CONST TARJETA_DEBITO = 9;
    CONST PAGO_A_TERCEROS = 11;
    CONST COBRO_EN_RUTA = 12;
    CONST REALES = 13;
    CONST CUENTA_CREDICOOP = 14;

	static function intFormatMoney($num, $cantDecimals = 0) {
		return \number_format($num, $cantDecimals, ",", ".");
	}

    static function getCurrencySymbol($currencyType) {
        switch ($currencyType) {
            case self::PESOS:
                return '$';
            case self::DOLARES:
                return 'U$S';
            case self::EUROS:
                return '€';
            case self::REALES:
                return 'R$';
            }
    }

	static function array_splice_assoc(&$input, $offset, $length, $replacement = null) {
        $replacement = (array) $replacement;
        $key_indices = array_flip(array_keys($input));
        if (isset($input[$offset]) && is_string($offset)) {
                $offset = $key_indices[$offset];
        }
        if (isset($input[$length]) && is_string($length)) {
                $length = $key_indices[$length] - $offset;
        }

        $input = array_slice($input, 0, $offset, TRUE)
                + $replacement
                + array_slice($input, $offset + $length, NULL, TRUE);
        return $input;
	}

    static function isPayingWithDifferentCurrency($viajeCurrency, $payingCurrency) {
        if ($viajeCurrency == self::PESOS && ($payingCurrency <= self::CUENTA_NACION)) {
            return false;
        } elseif ($viajeCurrency == self::DOLARES && $payingCurrency == self::DOLARES) {
            return false;
        } elseif ($viajeCurrency == self::EUROS && $payingCurrency == self::EUROS) {
            return false;
        } elseif ($viajeCurrency == self::REALES && $payingCurrency == self::REALES) {
            return false;
        }
        if ($viajeCurrency == self::PESOS && ($payingCurrency == self::TARJETA_DEBITO)) {
            return false;
        }
        if ($payingCurrency == "10") {
            return false;
        }
        if ($payingCurrency == "11") {
            return false;
        }
        if ($payingCurrency == "12") {
            return false;
        }
        if ($payingCurrency == "14") {
            return false;
        }
        return true;
    }

    static function formatDate($date) {
        return date("d/m/Y", strtotime($date));  
    }
}
