<?php

namespace App\model\sistema;

use Illuminate\Database\Eloquent\Model;

class Caja extends Model
{
	protected $table = 'caja2020';
	public $timestamps = false;
	protected $fillable = ['viaje_id'];

	protected $casts = [
        'monto' => 'float',
        'monto_cambio' => 'float',
        'tipo_transaccion_id' => 'integer'
    ];

	public function oficina() {
		return $this->belongsTo('App\model\sistema\Oficina');
	}

	public function tipoTransaccion() {
		return $this->belongsTo('App\model\sistema\TipoTransaccion');
	}

	public function viaje() {
		return $this->belongsTo('App\model\sistema\Viaje');
	}

	public function cuota() {
		return $this->hasOne('App\model\sistema\Cuota');
	}
}
