<?php

namespace App\model\sistema;

use Illuminate\Database\Eloquent\Model;

class ReservaInfo extends Model
{
    protected $table = 'reserva_info';
    public $timestamps = false;
    protected $fillable = ['reserva_id', 'pasajero_id', 'viaje_id', 'nro_asiento', 'tipo_habitacion', 'precio_opcional', 'avisado'];
    protected $casts = [
        'precio_opcional' => 'float',
    ];

    public function viaje() {
        return $this->belongsTo('App\model\sistema\Viaje');
    }

    public function reserva() {
        return $this->belongsTo('App\model\sistema\Reserva');
    }

    public function pasajero() {
        return $this->belongsTo('App\model\sistema\Pasajero');
    }

    public function cuotas() {
        return $this->hasMany('App\model\sistema\Cuota');
    }
}
