<?php

namespace App\model\sistema;

use Illuminate\Database\Eloquent\Model;

class Viaje extends Model
{
    protected $table = 'viaje';
    public $timestamps = false;
	protected $fillable = [
        'imagen_portada'
    ];
    protected $casts = [
    	'moneda' => 'integer',
		'precio' => 'float',
        'estado' => 'integer',
        'aereo' => 'integer'
    ];

    public function caja() {
		return $this->hasMany('App\model\sistema\Caja');
	}

	public function incluye() {
		return $this->hasMany('App\model\sistema\Incluye');
	}

	public function destino() {
		return $this->belongsTo('App\model\sistema\Destino');
	}

	public function reserva() {
		return $this->hasMany('App\model\sistema\Reserva');
	}

	public function reservainfo() {
		return $this->hasMany('App\model\sistema\ReservaInfo');
	}

	public function habitaciones() {
		return $this->hasMany('App\model\sistema\RoomTypeRelation');
	}

	public function categoria() {
		return $this->belongsTo('App\model\sistema\CategoriaViaje');
	}

	public function tipoTransaccion() {
		return $this->belongsTo('App\model\sistema\TipoTransaccion', 'moneda');
	}
}
