class sistema_TipoTransaccion {
	static getCurrencyMethod(currencyType) {
	    switch (currencyType) {
	        case sistema_TipoTransaccion.PESOS:
	        case sistema_TipoTransaccion.TARJETA_CREDITO:
	        case sistema_TipoTransaccion.CUENTA_PROVINCIA:
	        case sistema_TipoTransaccion.CUENTA_NACION:
	        case sistema_TipoTransaccion.GASTOS_PESOS:
	            return sistema_TipoTransaccion.toMoneyString;
	        case sistema_TipoTransaccion.DOLARES:
	        case sistema_TipoTransaccion.GASTOS_DOLARES:
	            return sistema_TipoTransaccion.toDollarString;
	        case sistema_TipoTransaccion.EUROS:
	            return sistema_TipoTransaccion.toEuroString;
	    }
	}

	static toMoneyString(amount, cantDecimals) {
    return '$ ' + formatMoney(amount, cantDecimals);
	}

	static toDollarString(amount) {
	    return 'U$S ' + formatMoney(amount);
	}

	static toEuroString(amount) {
	    return '€ ' + formatMoney(amount);
	}

	static getCurrencySymbol(currencyType) {
	    switch (currencyType) {
	        case sistema_TipoTransaccion.PESOS:
	        case sistema_TipoTransaccion.TARJETA_CREDITO:
	        case sistema_TipoTransaccion.CUENTA_PROVINCIA:
	        case sistema_TipoTransaccion.CUENTA_NACION:
	        case sistema_TipoTransaccion.GASTOS_PESOS:
	            return '$';
	        case sistema_TipoTransaccion.DOLARES:
	        case sistema_TipoTransaccion.GASTOS_DOLARES:
	            return 'U$S';
	        case sistema_TipoTransaccion.EUROS:
	            return '€';
	    }
	}
}

sistema_TipoTransaccion.PESOS = 1;
sistema_TipoTransaccion.TARJETA_CREDITO = 2;
sistema_TipoTransaccion.CUENTA_PROVINCIA = 3;
sistema_TipoTransaccion.CUENTA_NACION = 4;
sistema_TipoTransaccion.DOLARES = 5;
sistema_TipoTransaccion.GASTOS_PESOS = 6;
sistema_TipoTransaccion.GASTOS_DOLARES = 7;
sistema_TipoTransaccion.EUROS = 8;