class bus_View {
	constructor(data) {
		this.data = data;
		return this.render();
	}

	render() {
		this.bus = $('<div>', {class: "bus"}).append([
			$('<div>', {class: "ground-floor"}).append([
			 	$('<h5>').html('PLANTA BAJA'),
				$('<div>', {class: "seats"}).append([
					$('<div>', {class: "row-3"}).append(this.renderSeats(51, 60, 3)),
					$('<div>', {class: "row-2"}).append(this.renderSeats(50, 59, 3)),
					$('<div>', {class: "row-1"}).append(this.renderSeats(49, 58, 3))
				])
			]),
			$('<div>', {class: "top-floor"}).append([
				$('<h5>').html('PLANTA ALTA'),
				$('<div>', {class: "seats"}).append([
					$('<div>', {class: "row-4"}).append([
						this.renderSeats(4, 8, 2),
						this.renderSeats(12, 12, 1),
						this.renderSeats(16, 48, 4)
					]),
					$('<div>', {class: "row-3"}).append([
						this.renderSeats(3, 7, 2),
						this.renderSeats(11, 11, 1),
						this.renderSeats(15, 47, 4)
					]),
					$('<div>', {class: "row-2"}).append([
						this.renderSeats(2, 2, 1, true),
						this.renderSeats(10, 46, 4)
					]),
					$('<div>', {class: "row-1"}).append([
						this.renderSeats(1, 1, 1, true),
						this.renderSeats(9, 45, 4)
					])
				])
			])
		]);
		return this.bus;
	}

	renderSeats(first, last, next, haveEmptySpace) {
		var output = $('<div>', {class: 'seatsContainer'});

		for(var i = first; i <= last; i = i + next) {
			var popupAttr;
			var seat = $('<div>', { class: 'seat' + (haveEmptySpace ? ' empty-space' : '') }).append([
				$('<a>', {
					class: this.isSeatOccupied(i) ? 'occupied' : 'free',
					tabindex: "0",
					role: "button",
					'data-seat': this.isSeatOccupied(i) ? this.data[i] : i,
				}).html((i < 10 ? '0' : '') + i)
			])
			
			if (this.isSeatOccupied(i)) {
				seat.attr('data-trigger', 'focus');
				seat.attr('data-container', 'body');
				seat.attr('data-toggle', 'popover');
				seat.attr('data-placement', 'right');
				seat.attr('title', this.data[i].pasajero.apellido + ', ' + this.data[i].pasajero.nombre);

				this.renderPopover(seat, i);
			}

			output.append(seat)
		}
		return output;
	}

	isSeatOccupied(index) {
		return this.data && index in this.data;
	}

	renderPopover(seat, index) {
		var _this = this;
        seat.popover({
            html: true,
            content: function() {
                return 'DNI: ' + _this.data[index].pasajero.dni + '<br>' +
                	(_this.data[index].tipo_habitacion ? 'Habitaci\xF3n ' + _this.data[index].tipo_habitacion : '');
            }
        });
    }
}

