class caja_LibroDiarioRow {
	constructor(transaction) {
		this.transaction = transaction;
		return this.render();
	}

	render() {
		var currencySymbol = sistema_TipoTransaccion.getCurrencyMethod(this.transaction.tipo_transaccion_id);
		var haberMonto = this.calculateHaberMonto();
		this.row = $('<tr>', {class: 'rowTransaction' + this.transaction.id}).append([
			this.nroFactura = $('<td>').html(this.transaction.nro_factura ? this.transaction.nro_factura : ''),
			this.concepto = $('<td>').html(this.transaction.concepto),
			$('<td>').html(this.transaction.viaje
				? this.transaction.viaje.destino.ciudad + ' ' +moment(this.transaction.viaje.fecha_hora_salida).format('DD/MM/YYYY')
				: ''),
			this.tipoTransaccion = $('<td>').html(this.transaction.tipo_transaccion.nombre),
			this.haber = $('<td>').html(this.isIncome(this.transaction) ? currencySymbol(haberMonto) : ''),
			this.debe = $('<td>').html(!this.isIncome(this.transaction) ? currencySymbol(this.transaction.monto) : ''),
			this.oficina = $('<td>').html(this.transaction.oficina.nombre),
			$('<td>', {class: 'LibroDiarioActionsColumn'}).html(this.createActionsMenu())
		]);

		this.editButton.on('click', this.onClickEdit.bind(this));
		this.removeButton.on('click', this.onClickRemove.bind(this));

		return this.row;
	}

	calculateHaberMonto() {
		return this.transaction.monto_cambio ? this.transaction.monto * this.transaction.monto_cambio : this.transaction.monto;
	}

	createActionsMenu() {
		return $('<div>', {'class': "dropdown", 'style':"display: inline"}).append([
			$('<button>', {'class':"btnActionsMenu btn btn-default dropdown-toggle", 'type':"button", 'data-toggle':"dropdown", 'aria-haspopup':"true", 'aria-expanded':"true"}).append([
                $('<i>', {'class': 'fas fa-bars'}),
                $('<span>', {'class': 'caret'})
			]),
			$('<ul>', {'class': "dropdown-menu dropdown-menu-right", 'aria-labelledby':"dropdownMenu1"}).append([
				this.editButton = $('<li>').append([$('<a>', {'class': 'dropdown-item js-right-sidebar'}).append([
					$('<i>', {'class': 'fas fa-edit'}), ' Editar'])
				]),
				$('<li>').append([
					this.removeButton = $('<a>', {'class': 'dropdown-item'}).append([$('<i>', {'class': 'fas fa-trash'}), ' Borrar'])
				])
			])
		])
	}

	isIncome(transaction) {
		return transaction.tipo_transaccion_id != 6 && transaction.tipo_transaccion_id != 7;
	}

	onClickEdit(event) {
		var form = new caja_Form(this.isIncome(this.transaction), this.transaction);
		form.get().on('updatetransaction', this.onUpdateTransaction.bind(this))
	}

	onUpdateTransaction(event, transaction) {
		this.transaction = transaction;
		this.updateColumns();
		this.row.trigger('updatetransaction', this.transaction);
	}

	updateColumns() {
		this.nroFactura.html(this.transaction.nro_factura);
		this.concepto.html(this.transaction.concepto);
		this.tipoTransaccion.html(this.transaction.tipo_transaccion.nombre);

		var currencySymbol = sistema_TipoTransaccion.getCurrencyMethod(this.transaction.tipo_transaccion_id);
		var haberMonto = this.calculateHaberMonto();
		this.haber.html(this.isIncome(this.transaction) ? currencySymbol(haberMonto) : '');
		this.debe.html(!this.isIncome(this.transaction) ? currencySymbol(this.transaction.monto) : '');
		this.oficina.html(this.transaction.oficina.nombre);
	}

	onClickRemove(event) {
		this.row.trigger('removetransaction', this.transaction.id);
	}
}