class caja_ResumeTable {
	constructor(transactions) {
		this.transactions = transactions;
		this.initializeProps();
		this.calculateMontos();
		this.render();
	}

	render() {
		this.widget = $('<div>', {'class': 'collapse', 'id': "tablaResumenContainer"}).append([
			$('<div>', {class: 'ResumeTableTitle bg-teal'}).html('Cierre del Dia'),
			this.table = $('<table>', {'class': 'table table-striped tabla-circuitos LibroResumen'}).append([
				$('<thead>').append([
					$('<th>').html('TIPO'),
					$('<th>').html('BAHIA BLANCA'),
					$('<th>').html('PIGUE'),
					$('<th>').html('SUBTOTAL'),
				]),
				this.tableBody = $('<tbody>').append(this.createTableBody())
			])
		]);
	}

	get() {
		return this.widget;
	}

	initializeProps() {
		this[sistema_TipoTransaccion.PESOS + 'Bahia'] = 0;
		this[sistema_TipoTransaccion.PESOS + 'Pigue'] = 0;
		this[sistema_TipoTransaccion.PESOS + 'Total'] = 0;

		this[sistema_TipoTransaccion.TARJETA_CREDITO + 'Bahia'] = 0;
		this[sistema_TipoTransaccion.TARJETA_CREDITO + 'Pigue'] = 0;
		this[sistema_TipoTransaccion.TARJETA_CREDITO + 'Total'] = 0;

		this[sistema_TipoTransaccion.CUENTA_PROVINCIA + 'Bahia'] = 0;
		this[sistema_TipoTransaccion.CUENTA_PROVINCIA + 'Pigue'] = 0;
		this[sistema_TipoTransaccion.CUENTA_PROVINCIA + 'Total'] = 0;

		this[sistema_TipoTransaccion.CUENTA_NACION + 'Bahia'] = 0;
		this[sistema_TipoTransaccion.CUENTA_NACION + 'Pigue'] = 0;
		this[sistema_TipoTransaccion.CUENTA_NACION + 'Total'] = 0;

		this.totalPesosBahia = 0;
		this.totalPesosPigue = 0;
		this.totalIngresosPesos = 0;
		
		this[sistema_TipoTransaccion.DOLARES + 'Bahia'] = 0;
		this[sistema_TipoTransaccion.DOLARES + 'Pigue'] = 0;
		this[sistema_TipoTransaccion.DOLARES + 'Total'] = 0;

		this[sistema_TipoTransaccion.GASTOS_PESOS + 'Bahia'] = 0;
		this[sistema_TipoTransaccion.GASTOS_PESOS + 'Pigue'] = 0;
		this[sistema_TipoTransaccion.GASTOS_PESOS + 'Total'] = 0;

		this[sistema_TipoTransaccion.GASTOS_DOLARES + 'Bahia'] = 0;
		this[sistema_TipoTransaccion.GASTOS_DOLARES + 'Pigue'] = 0;
		this[sistema_TipoTransaccion.GASTOS_DOLARES + 'Total'] = 0;
	}

	calculateMontos() {
		this.transactions.forEach(function(transaction) {
			this.addMontoToTipoTransaccion(transaction);
		}, this)
	}

	addMontoToTipoTransaccion(transaction) {
		var medioPago = transaction.tipo_transaccion.nombre;
		var montoReal = transaction.monto_cambio ? transaction.monto_cambio * transaction.monto : transaction.monto;
		var officeName = this.getOfficeName(transaction.oficina.id);
		switch(transaction.tipo_transaccion_id) {
			case sistema_TipoTransaccion.PESOS:
				this[sistema_TipoTransaccion.PESOS + officeName] += montoReal;
				this[sistema_TipoTransaccion.PESOS + 'Total'] += montoReal;
				this['totalPesos' + officeName] += montoReal;
				this.totalIngresosPesos += montoReal;
				break;
			case sistema_TipoTransaccion.TARJETA_CREDITO:
				this[sistema_TipoTransaccion.TARJETA_CREDITO + officeName] += montoReal;
				this[sistema_TipoTransaccion.TARJETA_CREDITO + 'Total'] += montoReal;
				this['totalPesos' + officeName] += montoReal;
				this.totalIngresosPesos += montoReal;
				break;
			case sistema_TipoTransaccion.CUENTA_PROVINCIA:
				this[sistema_TipoTransaccion.CUENTA_PROVINCIA + officeName] += montoReal;
				this[sistema_TipoTransaccion.CUENTA_PROVINCIA + 'Total'] += montoReal;
				this['totalPesos' + officeName] += montoReal;
				this.totalIngresosPesos += montoReal;
				break;
			case sistema_TipoTransaccion.CUENTA_NACION:
				this[sistema_TipoTransaccion.CUENTA_NACION + officeName] += montoReal;
				this[sistema_TipoTransaccion.CUENTA_NACION + 'Total'] += montoReal;
				this['totalPesos' + officeName] += montoReal;
				this.totalIngresosPesos += montoReal;
				break;
			case sistema_TipoTransaccion.GASTOS_PESOS:
				this[sistema_TipoTransaccion.GASTOS_PESOS + officeName] += montoReal;
				this[sistema_TipoTransaccion.GASTOS_PESOS + 'Total'] += montoReal;
				break;
			case sistema_TipoTransaccion.DOLARES:
				this[sistema_TipoTransaccion.DOLARES + officeName] += montoReal;
				this[sistema_TipoTransaccion.DOLARES + 'Total'] += montoReal;
				break;
			case sistema_TipoTransaccion.GASTOS_DOLARES:
				this[sistema_TipoTransaccion.GASTOS_DOLARES + officeName] += montoReal;
				this[sistema_TipoTransaccion.GASTOS_DOLARES + 'Total'] += montoReal;
				break;
			}
	}

	getOfficeName(oficinaId) {
		return oficinaId == 1 ? 'Bahia' : 'Pigue';
	}

	createPesosColumns() {
		return caja_ResumeTable.FORMAS_PAGO.map(function(medioPago) {
			if (medioPago == sistema_TipoTransaccion.DOLARES ||
				medioPago == sistema_TipoTransaccion.GASTOS_PESOS ||
				medioPago == sistema_TipoTransaccion.GASTOS_DOLARES ||
				medioPago == sistema_TipoTransaccion.EUROS
			) {
				return;
			}
			return $('<tr>').append([
				$('<td>').html(this.getMedioPagoNombre(medioPago)),
				$('<td>').html(sistema_TipoTransaccion.toMoneyString(this[medioPago + 'Bahia'])),
				$('<td>').html(sistema_TipoTransaccion.toMoneyString(this[medioPago + 'Pigue'])),
				$('<td>').html(sistema_TipoTransaccion.toMoneyString(this[medioPago + 'Total'])),
			]);
		}, this).concat([$('<tr>', {class: 'rowTotales'}).append([
				$('<td>').html('SUBTOTAL INGRESOS'),
				$('<td>').html(sistema_TipoTransaccion.toMoneyString(this.totalPesosBahia)),
				$('<td>').html(sistema_TipoTransaccion.toMoneyString(this.totalPesosPigue)),
				$('<td>').html(sistema_TipoTransaccion.toMoneyString(this.totalIngresosPesos))
			]),
			$('<tr>', {class: 'rowTotales'}).append([
				$('<td>').html('SUBTOTAL EGRESOS'),
				$('<td>').html(sistema_TipoTransaccion.toMoneyString(this[sistema_TipoTransaccion.GASTOS_PESOS + 'Bahia'])),
				$('<td>').html(sistema_TipoTransaccion.toMoneyString(this[sistema_TipoTransaccion.GASTOS_PESOS + 'Pigue'])),
				$('<td>').html(sistema_TipoTransaccion.toMoneyString(this[sistema_TipoTransaccion.GASTOS_PESOS + 'Total']))
			]),
			$('<tr>', {class: 'rowTotales'}).append([
				$('<td>').html('TOTAL'),
				$('<td>').html(sistema_TipoTransaccion.toMoneyString(this.totalPesosBahia - this[sistema_TipoTransaccion.GASTOS_PESOS + 'Bahia'])),
				$('<td>').html(sistema_TipoTransaccion.toMoneyString(this.totalPesosPigue - this[sistema_TipoTransaccion.GASTOS_PESOS + 'Pigue'])),
				$('<td>').html(sistema_TipoTransaccion.toMoneyString(this.totalIngresosPesos - this[sistema_TipoTransaccion.GASTOS_PESOS + 'Total']))
			])
		])
	}

	createDollarsColumns() {
		return caja_ResumeTable.FORMAS_PAGO.map(function(medioPago) {
			if (medioPago != sistema_TipoTransaccion.DOLARES && medioPago != sistema_TipoTransaccion.GASTOS_DOLARES) {
				return;
			}
			return $('<tr>').append([
				$('<td>').html(this.getMedioPagoNombre(medioPago)),
				$('<td>').html(sistema_TipoTransaccion.toDollarString(this[medioPago + 'Bahia'])),
				$('<td>').html(sistema_TipoTransaccion.toDollarString(this[medioPago + 'Pigue'])),
				$('<td>').html(sistema_TipoTransaccion.toDollarString(this[medioPago + 'Total'])),
			]);
		}, this).concat([
			$('<tr>', {class: 'rowTotales'}).append([
				$('<td>').html('TOTAL'),
				$('<td>').html(sistema_TipoTransaccion.toMoneyString(this[sistema_TipoTransaccion.DOLARES + 'Bahia'] - this[sistema_TipoTransaccion.GASTOS_DOLARES + 'Bahia'])),
				$('<td>').html(sistema_TipoTransaccion.toMoneyString(this[sistema_TipoTransaccion.DOLARES + 'Pigue'] - this[sistema_TipoTransaccion.GASTOS_DOLARES + 'Pigue'])),
				$('<td>').html(sistema_TipoTransaccion.toMoneyString(this[sistema_TipoTransaccion.DOLARES + 'Total'] - this[sistema_TipoTransaccion.GASTOS_DOLARES + 'Total']))
			])
		]);
	}

	createTableBody() {
		return [
			$('<tr>').append([
				$('<td>', {class: 'RowTitle', colspan: 4}).html('<strong>PESOS</strong>')
			])
			].concat(this.createPesosColumns())
			.concat([
				$('<tr>').append([
					$('<td>', {class: 'RowTitle', colspan: 4}).html('<strong>DOLARES</strong>')
				])
				].concat(this.createDollarsColumns())
			);
	}

	getMedioPagoNombre(medioPago) {
		switch(medioPago) {
			case sistema_TipoTransaccion.PESOS:
				return 'Efectivo';
			case sistema_TipoTransaccion.TARJETA_CREDITO:
				return 'Tarjeta de Credito';
			case sistema_TipoTransaccion.CUENTA_PROVINCIA:
				return 'Cuenta Provincia';
			case sistema_TipoTransaccion.CUENTA_NACION:
				return 'Cuenta Nacion';
			case sistema_TipoTransaccion.DOLARES:
				return 'Ingresos';
			case sistema_TipoTransaccion.GASTOS_PESOS:
				return 'Gastos Pesos';
			case sistema_TipoTransaccion.GASTOS_DOLARES:
				return 'Egresos';

		}
	}

	updateMontos() {
		this.initializeProps();
		this.calculateMontos();
		this.tableBody.html(this.createTableBody());
	}
}

caja_ResumeTable.FORMAS_PAGO = [
	sistema_TipoTransaccion.PESOS,
	sistema_TipoTransaccion.TARJETA_CREDITO,
	sistema_TipoTransaccion.CUENTA_PROVINCIA,
	sistema_TipoTransaccion.CUENTA_NACION,
	sistema_TipoTransaccion.DOLARES,
	sistema_TipoTransaccion.GASTOS_PESOS,
	sistema_TipoTransaccion.GASTOS_DOLARES,
	sistema_TipoTransaccion.EUROS
];