class cuentas_CuotasTable {
	constructor(cuotas, moneda) {
		this.cuotas = cuotas;
		this.moneda = moneda;
		return this.render();
	}

	render() {
		if (this.cuotas.length == 0) {
			return $('<p>', {class: "emptyListaCuotas"}).html('Todavia no hay cuotas entregadas.');
		}
		return this.table = $('<table>', {id: 'tableCuotas', class: 'table table-bordered'}).append([
			$('<thead>').append([
				$('<th>').html('Fecha Entrega'),
				$('<th>').html('Monto'),
				$('<th>').html('Medio de Pago')
			]),
			$('<tbody>').append(this.createRows())
		]);
	}

	get() {
		return this.table;
	}

	createRows() {
		var rows = [];
		var currencyFormatMethod = sistema_TipoTransaccion.getCurrencyMethod(this.moneda);
		this.cuotas.forEach(function(cuota) {
			var row = $('<tr>').append([
				$('<td>').html(moment(cuota.transaction.fecha).format('DD/MM/YYYY')),
				$('<td>').html(currencyFormatMethod(cuota.transaction.monto)),
				$('<td>').html(cuota.transaction.tipo_transaccion.nombre)
			]);
			rows.push(row);
		}, this);

		return rows;
	}
}