class cuentas_FormReserva {
	constructor(info, viaje, reserva) {
		this.info = info;
		this.viaje = viaje;
		this.reserva = reserva;
		this.getFormData().then(this.onDataReady.bind(this));
		this.render();
	}

	render() {
		$('#sidebar_right_errors').hide();
		$('#sidebar_right_title').html('EDITAR RESERVA');

		this.form = $('<form>', {id: "formReserva"}).append([
	        this.puntoAscenso = $('<div>', {class: "form-group"}).append([
	           $('<div>', {class: "form-line"}).append([
   	                $('<input>', {type: "text", class:"puntoAscenso form-control", placeholder:"Punto de Ascenso"}).val(
   	                	this.info.sube_en ? this.info.sube_en : this.info.pasajero.localidad
   	                )
   	           	])
	        ]),
	        $('<div>', {class:"input-group"}).append([
				$('<div>', {class:"form-line"}).append([
					$('<span>', {class:"input-group-addon"}).html('$'),
					$('<input>', {type:"text", class:"tarifa form-control", placeholder:"Tarifa"}).val(
						formatMoney(this.getTarifa())
					)
				])
			]),
	        $('<div>', {class: "form-group"}).append([
	           $('<div>', {class: "form-line"}).append(
	                this.input = $('<textarea>', {class:"infoExtra form-control", placeholder:"Informacion Adicional"}).val(
	                	this.info.info ? this.info.info : null
	                )
	           	)
	        ]),
	        $('<div>', {class: "form-group", style: "text-align: right"}).append([
	            this.saveButton = $('<button>', {class: "btn btn-success"}).html('Guardar'), ' ',
	            $('<button>', {class: "btn btn-danger", id: "sidebar_right_cancelar"}).html('Cancelar')
	        ])
		])

		$('#rightsidebarContainer').html(this.form);
		$('.tarifa').mask("#.##0,00", {reverse: true});
		this.saveButton.on('click', this.onAtemptSaveReserva.bind(this));
	}

	get() {
		return this.form;
	}

	getTarifa() {
		return this.info.precio_opcional != null && this.info.precio_opcional != undefined ? this.info.precio_opcional : this.viaje.precio
	}

	getFormData() {
		return $.ajax({
			url: base_url + '/cuentas/'+ this.viaje.id +'/getFormData',
			type: 'GET',
		})
	}

	onDataReady(response) {
		this.users = response.users;
		this.createUserSelector().insertBefore(this.puntoAscenso);
		if (!this.isCircuitoRegional()) {
			this.createRoomTypeSelector(response.roomTypes, response.reservas).insertBefore(this.puntoAscenso);
		}
	}

	isCircuitoRegional() {
		return this.viaje.noches == 0;
	}

	onAtemptSaveReserva(event) {
		event.preventDefault();
		var data = {
			id: this.info.reserva_id,
			pasajero_id: this.info.pasajero.id,
			viaje_id: this.info.viaje_id,
			sube_en: $('.puntoAscenso').val(),
			tarifa: stringToFloatDecimals($('.tarifa').val()),
			info: $('.infoExtra').val(),
			user_id: $('#userInvolved').val()
		};
		if (!this.isCircuitoRegional()) {
			data.tipo_habitacion_id = this.roomSelector.getValue();
		}
		this.saveReserva(data);
	}

	saveReserva(data) {
		if (!this.isCircuitoRegional() && !this.roomSelector.validateSelectedRoom(this.reserva.info.length)) {
			return;
		}

		$.ajax({
			url: base_url+'/cuentas/saveReserva',
			type: 'POST',
			data: {
				_token: $('meta[name="csrf-token"]').attr('content'),
				data: data
			},
			success: this.onSaveReservaFinished.bind(this, data)
		})
	}

	onSaveReservaFinished(data) {
		swal('Hecho', 'Reserva guardada con exito', 'success');
		this.info.sube_en = data.sube_en;
		this.info.precio_opcional = data.tarifa;
		this.info.info = data.info;

		this.reserva.tipo_habitacion_id = this.roomSelector.getValue();

		for (var i = 0; i < this.users.length; i++) {
			if (this.users[i].id == data.user_id) {
				this.reserva.user = this.users[i];
				break;
			}
			
		}

		if (!this.isCircuitoRegional()) {
			for (var j = 0; j < this.roomTypes.length; j++) {
				if (this.roomTypes[j].tipo_habitacion_id == data.tipo_habitacion_id) {
					this.reserva.habitacion = this.roomTypes[j].type;
					break;
				}
			}
		}
		this.form.trigger('updatereserva');
	}

	createUserSelector() {
		var select = $('<select>', {class: 'form-control', id: 'userInvolved'});
		this.users.forEach(function(user) {
			var option = $('<option>', {value: user.id}).html(user.lastName + ', ' + user.name);
			select.append(option);
		}, this);
		select.val(this.reserva.user_id);
		return $('<div>', {class: 'form-group'}).append(select);
	}

	createRoomTypeSelector(roomTypes, reservas) {
		this.roomTypes = Array.from(JSON.parse(roomTypes));
		reservas = Array.from(JSON.parse(reservas));
		this.roomSelector = new room_Selector(this.roomTypes, reservas, this.reserva.tipo_habitacion_id)
		return $('<div>', {class: "form-group"}).append([
			this.roomSelector.get()
		])
	}
}