class destino_Form {
	constructor(destino) {
		this.destino = destino;
		this.files = [];
		this.deletedImages = [];
		this.render();
	}

	render() {
		this.form = $('<form>', {id: "formDestino", action: '#'}).append([
	        $('<div>', {class: "form-group"}).append([
	            $('<div>', {class: "form-line formDestino"}).append([
	                $('<input>', {type: "text", class: "ciudadInput form-control", placeholder: "Ciudad"}).val(this.destino ? this.destino.ciudad : null)
	            ])
	        ]),
	        $('<div>', {class: "input-group"}).append([
	            $('<div>', {class: "form-line"}).append([
	                $('<input>', {type:"text", class:"provinciaInput form-control", placeholder:"Provincia"}).val(this.destino ? this.destino.provincia : null)
	            ])
	        ]),
	        $('<div>', {class: "input-group"}).append([
	            $('<div>', {class: "form-line"}).append([
	                $('<input>', {type:"text", class:"youtubeInput form-control", placeholder:"Link Youtube"}).val(this.destino && this.destino.youtube_id ? 'https://youtu.be/' + this.destino.youtube_id : null)
	            ])
	        ]),
	        $('<div>', {class:"form-group"}).append([
                $('<div>', {class: "block-header"}).html('<h2>Imagenes</h2>'),
                $('<div>', {class: 'dropzone', id: 'imageInput'}).append([
                	$('<div>', {class:"dz-message"}).append([
                        $('<div>', {class: "drag-icon-cph"}).html('<i class="material-icons">touch_app</i>'),
                        $('<h3>').html('Suelte archivos aqui o clickee para subir.')
                	])
                ])
	        ]),
	        $('<div>', {class: "destinoFormNavBar form-group"}).append([
	            this.saveButton = $('<button>', {class: "btnSaveDestino btn btn-success"}).html('Guardar'),
	            $('<button>', {class: "btn btn-danger", id: "sidebar_right_cancelar"}).html('Cancelar')
	        ])
	    ]);
	    
		$('#sidebar_right_errors').hide();
		$('#sidebar_right_title').html((this.destino ? 'EDITAR' : 'CREAR') + ' DESTINO');
		$('#rightsidebarContainer').html(this.form);
		this.initializeDropzone();
		this.saveButton.on('click', this.onClickSaveDestino.bind(this));
	}

	get() {
		return this.form;
	}

	onClickSaveDestino(event) {
		event.preventDefault();
    	event.stopPropagation();
		var destino = new FormData();
		this.destino && destino.append('id', this.destino.id);
		destino.append('_token', $('meta[name="csrf-token"]').attr('content'));
		destino.append('ciudad', $('.ciudadInput').val());
		destino.append('provincia', $('.provinciaInput').val());
		destino.append('link_youtube', $('.youtubeInput').val());

		if (this.files) {
			this.files.forEach(function(file) {
				destino.append('images[]', file);
			}, this)
		}

		if (this.deletedImages.length > 0) {
			this.deletedImages.forEach(function(fileId) {
				destino.append('deletedImages[]', fileId);
			})
		}

		$.ajax({
			url: base_url + '/destinos/save',
			type: 'POST',
			data: destino,
			datatype: 'JSON',
			cache: false,
        	contentType: false,
        	processData: false,
        	beforeSend: this.appendLoader.bind(this),
        	success: this.onSaveDestino.bind(this)
		});
	}

	onSaveDestino(data) {
		this.loader.remove();
		if (data.errors) {
			showErrors('#sidebar_right_errors', data.errors)
		} else {
			swal({
				title: 'Hecho',
				text: 'Destino guardado con exito',
				icon: 'success'
			});
			this.destino = data;
			this.form.trigger('savedestino', [this.destino]);
		}
	}

	appendLoader() {
		this.loader = new Loader('xs');
		$('.destinoFormNavBar').append(this.loader);
	}

	initializeDropzone() {
		this.dropzone = new Dropzone('div#imageInput', {
        	url: base_url + '/destinos/bufferImages',
        	headers: {
            	'x-csrf-token': token,
        	},
        	uploadMultiple: true,
        	acceptedFiles: 'image/*',
        	addRemoveLinks: true,
        	dictRemoveFile: 'Eliminar',
        	processingmultiple: this.onProcessingUpload.bind(this),
        	successmultiple: this.onFinishBufferImages.bind(this),
        	removedfile: this.onRemovedFile.bind(this)
        });
        this.prepareImagesIfNeeded();
	}

	prepareImagesIfNeeded() {
		if (!this.destino) {
			return;
		}
		this.destino.image.forEach(function(image) {
			var mockFile = {
				name: image.name,
				size: image.size,
				id: image.id
			};
    		this.dropzone.displayExistingFile(mockFile, folder_url + '/' + image.path);
		}, this)
	}

	onProcessingUpload() {
		this.saveButton.attr('disabled', true);
	}

	onFinishBufferImages(files, response) {
		this.saveButton.attr('disabled', false);
		if (response == 'ok') {
			this.files = this.files.length > 0 ? this.files.concat(files) : files;
		}
	}

	onRemovedFile(file, url) {
		for (var i = 0; i < this.files.length; i++) {
			if (file == this.files[i]) {
				this.files.splice(i, 1);
				break;
			}
		}
	
		file.previewElement.remove();
		if (file.id) {
			this.deletedImages.push(file.id);
		}
	}
}