class destino_Row {
	constructor(destino) {
		this.destino = destino;
		return this.render();
	}

	render() {
		var buttons = this._createActionButtons();
		this.row = $('<tr>', {class: 'destinoRow' + this.destino.id}).append([
			this.ciudad = $('<td>').html(this.destino.ciudad),
			this.provincia = $('<td>').html(this.destino.provincia),
			$('<td>').html(buttons),
		]);
		this.editButton.on('click', this.onClickEdit.bind(this));
		this.removeButton.on('click', this.onClickRemove.bind(this));
		return this.row;
	}

	_createActionButtons() {
		return [
			this.editButton = $('<button>', {class: 'btn btn-primary js-right-sidebar'}).html('<i class="fas fa-edit"></i>'),
			' ',
			this.removeButton = $('<button>', {class: 'btn btn-danger'}).html('<i class="fas fa-trash"></i>')
		]
	}

	onClickEdit() {
		var form = new destino_Form(this.destino);
		form.get().on('savedestino', this.onDestinoSaved.bind(this));
	}

	onDestinoSaved(event, destino) {
		this.destino = destino;
		this.ciudad.html(this.destino.ciudad);
		this.provincia.html(this.destino.provincia);
		this.row.trigger('savedestino', [this.destino]);
	}

	onClickRemove() {
		swal({
			title: 'Borrar Destino',
			text: 'Esta seguro que desea borrar el destino?',
			icon: 'warning',
			buttons: {
            	cancelar : {
            		text: "Cancelar",
    				value: null,
    				className: "swal-button swal-button--cancel keepSideBar"
            	},
            	confirm : {
            		text: "Aceptar",
    				value: 1,
    				className: "keepSideBar"
            	}
            }
		}).then(this.onClickAceptarBorrarDestino.bind(this))
	}

	onClickAceptarBorrarDestino(value) {
		if (value) {
			$.ajax({
				url: base_url + '/destinos/remove',
				type: 'POST',
				data: {
					_token: $('meta[name="csrf-token"]').attr('content'),
					destinoId: this.destino.id
				},
				success: this.onDestinoRemovalAttempt.bind(this)
			})
		}
	}

	onDestinoRemovalAttempt(response) {
		if (response == 0) {
			swal('Error', 'Este destino tiene asociados viajes existentes. Borrelos antes de continunar', 'error');
		} else {
			this.row.trigger('removedestino', [this.destino]);
		}
	}
}