class pasajero_Form {
	constructor(pasajero) {
		this.pasajero = pasajero || null;
		this.render();
	}

	render() {
		$('#sidebar_right_errors').hide();
		var actionText = this.pasajero ? 'EDITAR' : 'CREAR';
		$('#sidebar_right_title').html(actionText + ' PASAJERO');

		this.form = $('<form>', {id: "formPasajero"}).append([
	        $('<div>', {class: "form-group"}).append([
	            $('<div>', {class: "form-line"}).append([
	                $('<input>', {type: "text", class: "nombre form-control", placeholder:"Nombre"}).val(this.pasajero ? this.pasajero.nombre : null)
	            ])
	        ]),
	        $('<div>', {class: "form-group"}).append([
	            $('<div>', {class: "form-line"}).append([
	                $('<input>', {type: "text", class: "apellido form-control", placeholder: "Apellido"}).val(this.pasajero ? this.pasajero.apellido : null)
	            ])
	        ]),
	        $('<div>', {class: "form-group"}).append([
	            $('<div>', {class: "form-line"}).append([
	                $('<input>', {type: "text", class: "dni form-control", placeholder: "DNI"}).val(this.pasajero ? this.pasajero.dni : null)
	            ])
	        ]),
	        $('<div>', {class: "input-group date"}).append([
	            $('<div>', {class: "form-line"}).append([
	                this.fechaNacimiento = $('<input>', {type: "text", class: "fecha_nacimiento form-control", placeholder: "Fecha de Nacimiento"}).val(
	                	this.pasajero ? moment(this.pasajero.fecha_nacimiento).format('DD/MM/YYYY') : null
	                )
	            ]),
	            $('<span>', {class: "input-group-addon"}).html('<i class="material-icons">date_range</i>')
	        ]),
	        $('<div>', {class: "form-group"}).append([
	            $('<div>', {class: "form-line"}).append([
	                $('<input>', {type: "text", class: "domicilio form-control", placeholder:"Domicilio"}).val(this.pasajero ? this.pasajero.domicilio : null)
	            ])
	        ]),
	        $('<div>', {class: "form-group"}).append([
	            $('<div>', {class: "form-line"}).append([
	                $('<input>', {type: "text", class: "localidad form-control", placeholder: "Localidad"}).val(this.pasajero ? this.pasajero.localidad : null)
	            ])
	        ]),
	        $('<div>', {class: "form-group"}).append([
	            $('<div>', {class: "form-line"}).append([
	                $('<input>', {type: "text", class: "telefono form-control", placeholder: "Telefono"}).val(this.pasajero ? this.pasajero.telefono : null)
	            ])
	        ]),
	        $('<div>', {class: "form-group"}).append([
	            $('<div>', {class: "form-line"}).append([
	                $('<input>', {type: "text", class: "email form-control", placeholder: "Email"}).val(this.pasajero ? this.pasajero.email : null)
	            ])
	        ]),
	        $('<div>', {class: "form-group"}).append([
	            $('<label>', {for: "comentarios"}).html('Comentarios Adicionales'),
	            $('<div>', {class: "form-line"}).append([
	                $('<textarea>', {class: "comentarios form-control"}).val(this.pasajero ? this.pasajero.comentarios : null)
	            ])
	        ]),
	        $('<div>', {class: "form-group", style: 'text-align: right'}).append([
	            this.saveBtn = $('<button>', {class: "btn btn-success"}).html('Guardar'), ' ',
	            $('<button>', {class: "btn btn-danger", id: "sidebar_right_cancelar"}).html('Cancelar')
	        ])
	    ]);

		$('#rightsidebarContainer').html(this.form)
		this.initPlugins();
		this.saveBtn.on('click', this.onClickSave.bind(this));
	}

	get() {
		return this.form;
	}

	initPlugins() {
		this.fechaNacimiento.datepicker({
			autoclose: true,
	        container: '.input-group.date',
	        format: 'dd/mm/yyyy',
	        startView: 2,
	        language: 'es'
		});
	}

    onClickSave(event) {
    	event.preventDefault();
        var data = this.getValue();
        
    	$.ajax({
    		url: base_url+'/pasajeros/save',
    		type: 'POST',
    		data: {
    			_token: $('meta[name="csrf-token"]').attr('content'),
    			pasajero: data
    		},
	    	success: this.onAttemptSave.bind(this)
        })
    }

    onAttemptSave(data) {
        if (data.errors) {
            showErrors('#sidebar_right_errors', data.errors)
        } else {
            this.pasajero = data;
			swal('Hecho','Pasajero guardado con exito','success');
            this.form.trigger('savecompleted', this.pasajero);
        }
    }

	getValue() {
	    var data = {
	        nombre: $('.nombre').val(),
	        apellido: $('.apellido').val(),
	        dni: $('.dni').val(),
	        fecha_nacimiento: $('.fecha_nacimiento').val(),
	        domicilio: $('.domicilio').val(),
	        localidad: $('.localidad').val(),
	        telefono: $('.telefono').val(),
	        email: $('#formPasajero .email').val(),
	        comentarios: $('#formPasajero .comentarios').val()
	    }
	    if (this.pasajero) {
		    data.id = this.pasajero.id;
	    }
	    return data;
	}
}
