class reserva_View {
	constructor(viaje) {
		this.viaje = viaje;
		this.form = new reserva_Form(this.viaje);
		this.form.get().on('ready', this.onFormDataReady.bind(this));
	}

	render() {;
		this.view = [
			$('<div>', {class: "reservarBus"}).append([
		        $('<div>', {class: "block-header"}).append( $('<h2>').html('1. SELECCIONAR ASIENTOS') ),
	    		this.busContainer = $('<div>', {class: "busContainer"}).append(
	    			this.bus = new bus_View(this.asientosOcupados)
	    		)
		 	]),
		 	this.passengerSelector = $('<div>', {class: "passengerSelector", style: "display: none"}).append([
		 		$('<div>', {class: "block-header"}).append([
		    		$('<h2>').append([
		    			'2. SELECCIONAR PASAJEROS',
		    			'<small>Seleccione o cree pasajeros para los asientos seleccionados.</small>'
		    		])
		 		]),
		 		this.form.get()
		 	])
	 	];

		$('#reservaViewContainer').append(this.view);
	}

	getAsientosOcupados() {
		return $.ajax({
			url: base_url + '/reservar/' + this.viaje.id + '/getSeatsOccupied',
			type: 'GET'
		});
	}

	onFormDataReady() {
		//debugger;
		this.getAsientosOcupados().then(this.onSeatsReady.bind(this));
	}

	onSeatsReady(response) {
		this.asientosOcupados = response;

		this.render();
		this.bus.on('click', 'a.free', this.onClickBusSeat.bind(this));
		this.bus.on('click', 'a.selected', this.onClickBusSelectedSeat.bind(this));
	}

	onClickBusSeat(event) {
		var seat = $(event.currentTarget);
		seat.removeClass('free').addClass('selected');
		this.renderFormReserva(seat.data('seat'));
	}

	onClickBusSelectedSeat(event) {
		var seat = $(event.currentTarget);
		seat.removeClass('selected').addClass('free');
		this.removeFormAsiento(seat.data('seat'));
	}

	renderFormReserva(nroAsiento) {
		if(this.form.isSelectionEmpty()) {
			this.passengerSelector.show();
		}
		this.form.addSelectedSeat(nroAsiento);
	}

	removeFormAsiento(seat) {
		this.form.removeSelectedSeat(seat);
		if(this.form.isSelectionEmpty()) {
			this.passengerSelector.hide();
		}
	}
}