class room_Selector {
	constructor(roomTypes, reservas, roomIdSelected) {
		var calculator = new room_AvailabilityCalculator(roomTypes, reservas, true);
		this.roomsAvailability = calculator.calculate();
		this.roomTypes = roomTypes;
		this.roomIdSelected = roomIdSelected;
		this.sharingDouble = 0;
		this.sharingTriple = 0;
		return this.render();
	}

	render() {
		this.select = $('<select>', {class: "form-control", id:'roomSelect'}).append($('<option>', {
			hidden: true,
			selected: true,
			disabled: true
		})
		.html('Seleccione tipo de habitacion'))
		.append( this.roomTypes.map(this.createRoomTypeOption.bind(this)) );

		this.roomIdSelected && this.select.val(this.roomIdSelected);
	}

	get() {
		return this.select;
	}

	isRoomAvailable(index) {
		return this.roomsAvailability[index].cantidad > 0;
	}

	createRoomTypeOption(item) {
		var index = item.type.id;
		var unit = item.type.id == 8 || item.type.id == 9 ? ' plazas' : ' habitaciones'
		return $('<option>', {
			value: item.type.id,
			disabled: !this.isRoomAvailable(index)
		})
		.html(item.type.nombre + ' (' + this.roomsAvailability[index].cantidad + unit +' disponibles)')
	}

	validateSelectedRoom(cantSeatsSelected) {
		var roomSelected = this.select.val();
		if (roomSelected && cantSeatsSelected > this.roomsAvailability[roomSelected].cantidadCamas) {
			swal(
				'Adevertencia',
				'La cantidad de pasajeros ('+ cantSeatsSelected +') de esta reserva supera la capacidad de la '+
				'habitacion seleccionada. Por favor, seleccione otro tipo de habitacion.',
				'warning'
			);
			return false;
		}
		return true;
	}

	getValue() {
		return parseInt(this.select.val());
	}
}
