class viaje_Info {
	constructor(viaje) {
		this.viaje = viaje;
        if (this.viaje.habitaciones && this.viaje.habitaciones.length > 0) {
            var calculator = new room_AvailabilityCalculator(this.viaje.habitaciones, this.viaje.reserva, false);
            this.roomAvailability = calculator.calculate();
        }
		return this.render();
	}

	render() {
        var bus = new bus_View(this.viaje.busSeats);
        var incluyeItems = this.createIncluyeItems();
        var currencyMethod = sistema_TipoTransaccion.getCurrencyMethod(this.viaje.moneda)
        return this.info = $('<div>', { class:"slider"}).append([
            $('<div>', {class:"viajeInfo"}).append([
                $('<div>', {class: "viajeInfoBusLayout"}).html(bus),
                $('<div>', {class: "viajeInfoTextLayout"}).append([
                    $('<ul>', {class: "list-group list-group-flush"}).append([
                        $('<li>', {class: "list-group-item"}).html(
                            '<strong>Salida</strong> ' + moment(this.viaje.fecha_hora_salida).format('DD/MM/YYYY')
                        ),
                        $('<li>', {class: "list-group-item"}).html(
                            '<strong>Retorno</strong> ' + moment(this.viaje.fecha_hora_retorno).format('DD/MM/YYYY')
                        ),
                        $('<li>', {class: "list-group-item"}).html('<strong>Tipo</strong> ' + this.viaje.categoria.nombre),
                        $('<li>', {class: "list-group-item"}).html('<strong>Noches</strong> ' + this.viaje.noches),
                        $('<li>', {class: "list-group-item"}).html('<strong>Precio</strong> ' + currencyMethod(this.viaje.precio)),
                        this.createRoomSectionIfNeeded(),
                        $('<li>', {class: "list-group-item"}).html(
                            '<strong>Incluye</strong>' +
                            '<ul class="list-group list-group-flush">' + incluyeItems + '</ul>')
                    ])
                ])
            ])
        ]);
	}

    createIncluyeItems() {
        var lista = '';
        if(this.viaje.incluye.length == 0) {
            lista = '<p>Este viaje no incluye items.</p>';
        } else {
            this.viaje.incluye.forEach(function(item){
                lista += '<li class="list-group-item">'+item.descripcion+'</li>'
            });
        }
        return lista;
    }

    createRoomSectionIfNeeded() {
        if (this.viaje.noches == 0) {
            return;
        }
        var roomsContent = this.createRoomTypeBadges();
        return $('<li>', {class: "list-group-item"}).append([
            $('<span>').html('<strong>Habitaciones Disponibles</strong>'),
            roomsContent
        ]);
    }

    createRoomTypeBadges() {
        if (!this.roomAvailability) {
            return $('<span>', {style:'display:block'}).html('Todavia no hay habitaciones seleccionadas');
        }
        var badges = [];
        for (const roomType in this.roomAvailability) {
            if (this.roomAvailability[roomType].cantidad > 0) {
                badges.push($('<span>', {class: "badge bg-teal badgeRoomType"}).html(this.roomAvailability[roomType].cantidad + ' ' + this.roomAvailability[roomType].nombre));
            }
        }
        if (badges.length > 0) {
            return $('<ul>', {class: "list-group list-group-flush"}).append(badges);
        } else {
            return $('<span>', {style:'display:block'}).html('Ya no hay habitaciones disponibles');
        }
    }
}