class viaje_TableRow {
	constructor(viaje) {
		this.viaje = viaje;
		return this.render();
	}

	render() {
		var statusMenu = new viaje_StatusMenu(this.viaje, this.isEditable());
		var medioTransporte = this.viaje.aereo ? 'flight' : 'directions_bus';
		this.row = $('<tr>', {'class': 'viajeRow' + this.viaje.id}).append([
			$('<td>').append([
				$('<i>', {'class': 'material-icons'}).html(medioTransporte),
				' ',
				this.linkViaje = $('<a>', {'class': 'details-control destino', 'role': 'button'}).append([
					$('<strong>').html(this.viaje.destino.ciudad)
				]),
				statusMenu
			]),
			this.fechaSalida = $('<td>').html(moment(this.viaje.fecha_hora_salida).format('DD/MM/YYYY')),
			$('<td>').html(this.buildViajeMenu())
		])
		if (userSession.role == 2) {
			this.editButton.on('click', this.onClickEditButton.bind(this));
			this.removeButton.on('click', this.onClickRemoveButton.bind(this));
		}
		this.linkViaje.on('click', this.onClickDetallesViaje.bind(this));
		this.row.on('updatestatusviaje', this.onUpdateStatusViaje.bind(this));
		return this.row;
	}

	isEditable() {
		return true;
	}

	shouldShowReservaButton() {
		return this.viaje.estado == 2;
	}

	buildViajeMenu() {
		var menu = [];
		if (this.shouldShowReservaButton()) {
			menu.push(this.reservaButton = this.createReservarButton());
		}
		if (userSession.role == 2) {
			menu.push(
				$('<div>', {'style':"display: inline"}).append([
					this.cuentasButton = $('<a>', {
						'href': base_url + '/cuentas/' + this.viaje.id,
						'class':"viajeSectionButton btn bg-teal"})
					.html('CUENTAS'),
					$('<div>', {'class': "dropdown", 'style':"display: inline"}).append([
						$('<button>', {'class':"btn btn-default dropdown-toggle", 'type':"button", 'data-toggle':"dropdown", 'aria-haspopup':"true", 'aria-expanded':"true"}).append([
		                    $('<i>', {'class': 'fas fa-bars'}),
		                    $('<span>', {'class': 'caret'})
						]),
						$('<ul>', {'class': "dropdown-menu dropdown-menu-right", 'aria-labelledby':"dropdownMenu1"}).append([
							this.editButton = $('<li>').append([$('<a>', {'class': 'dropdown-item js-right-sidebar'}).append([
								$('<i>', {'class': 'fas fa-edit'}), ' Editar'])
							]),
							$('<li>').append([
								this.removeButton = $('<a>', {'class': 'btnBorrarViaje dropdown-item'}).append([$('<i>', {'class': 'fas fa-trash'}), ' Borrar'])
							])
						])
					])
				])
			)
		}
		return menu;
	}

	onClickEditButton() {
        var form = new viaje_Form(this.viaje);
        form.get().on('updateviaje', this.onSaveViaje.bind(this));
	}

	onSaveViaje(event, viaje) {
		this.viaje = viaje;
		this.linkViaje.html('<strong>' + this.viaje.destino.ciudad + '</strong>');
		this.fechaSalida.html(moment(this.viaje.fecha_hora_salida).format('DD/MM/YYYY'));
		this.row.trigger('updateviaje', [this.viaje]);
	}

	onClickRemoveButton() {
		this.row.trigger('removeviaje', [{viajeId: this.viaje.id}]);
	}

	onClickDetallesViaje() {
		this.row.trigger('detallesviaje', [this.viaje]);
	}

	createReservarButton() {
		return $('<a>', {
				'href': base_url + '/reservar/' + this.viaje.id,
				'class':"viajeSectionButton btn bg-teal"})
			.html('RESERVAR');
	}

	onUpdateStatusViaje(event, estado) {
		var isInDom = !!this.reservaButton && $.contains(document, this.reservaButton[0]);
		if (estado == 1 || estado == 3 && isInDom) {
			this.reservaButton.remove();
		} else if (estado == 2 && !isInDom) {
			this.reservaButton = this.createReservarButton();
			this.reservaButton.insertBefore(this.cuentasButton);
		}
	}
}