class sistema_TipoTransaccion {
	static getCurrencyMethod(currencyType) {
	    switch (currencyType) {
	        case sistema_TipoTransaccion.PESOS:
	        case sistema_TipoTransaccion.TARJETA_CREDITO:
			case sistema_TipoTransaccion.TARJETA_DEBITO:
			case sistema_TipoTransaccion.SALDO_A_FAVOR:
	        case sistema_TipoTransaccion.CUENTA_PROVINCIA:
	        case sistema_TipoTransaccion.CUENTA_NACION:
	        case sistema_TipoTransaccion.GASTOS_PESOS:
			case sistema_TipoTransaccion.PAGO_A_TERCEROS:
			case sistema_TipoTransaccion.COBRO_EN_RUTA:
			case sistema_TipoTransaccion.CUENTA_CREDICOOP:
	            return sistema_TipoTransaccion.toMoneyString;
	        case sistema_TipoTransaccion.DOLARES:
	        case sistema_TipoTransaccion.GASTOS_DOLARES:
	            return sistema_TipoTransaccion.toDollarString;
	        case sistema_TipoTransaccion.EUROS:
	        case sistema_TipoTransaccion.GASTOS_EUROS:
	            return sistema_TipoTransaccion.toEuroString;
	        case sistema_TipoTransaccion.REALES:
	        case sistema_TipoTransaccion.GASTOS_REALES:
	            return sistema_TipoTransaccion.toRealString;
	    }
	}

	static toMoneyString(amount, cantDecimals) {
    	return '$ ' + formatMoney(amount, cantDecimals);
	}

	static toDollarString(amount) {
	    return 'U$S ' + formatMoney(amount);
	}

	static toEuroString(amount) {
	    return '€ ' + formatMoney(amount);
	}

	static toRealString(amount) {
	    return 'R$ ' + formatMoney(amount);
	}

	static getCurrencySymbol(currencyType) {
	    switch (currencyType) {
	        case sistema_TipoTransaccion.PESOS:
	        case sistema_TipoTransaccion.TARJETA_CREDITO:
			case sistema_TipoTransaccion.TARJETA_DEBITO:
			case sistema_TipoTransaccion.SALDO_A_FAVOR:
	        case sistema_TipoTransaccion.CUENTA_PROVINCIA:
	        case sistema_TipoTransaccion.CUENTA_NACION:
			case sistema_TipoTransaccion.GASTOS_PESOS:
	        case sistema_TipoTransaccion.PAGO_A_TERCEROS:
			case sistema_TipoTransaccion.COBRO_EN_RUTA:
			case sistema_TipoTransaccion.CUENTA_CREDICOOP:
	            return '$';
	        case sistema_TipoTransaccion.DOLARES:
	        case sistema_TipoTransaccion.GASTOS_DOLARES:
	            return 'U$S';
	        case sistema_TipoTransaccion.EUROS:
			case sistema_TipoTransaccion.GASTOS_EUROS:
	            return '€';
	        case sistema_TipoTransaccion.REALES:
	        case sistema_TipoTransaccion.GASTOS_REALES:
	            return 'R$';
	    }
	}
}

sistema_TipoTransaccion.PESOS = 1;
sistema_TipoTransaccion.TARJETA_CREDITO = 2;
sistema_TipoTransaccion.CUENTA_PROVINCIA = 3;
sistema_TipoTransaccion.CUENTA_NACION = 4;
sistema_TipoTransaccion.DOLARES = 5;
sistema_TipoTransaccion.GASTOS_PESOS = 6;
sistema_TipoTransaccion.GASTOS_DOLARES = 7;
sistema_TipoTransaccion.EUROS = 8;
sistema_TipoTransaccion.TARJETA_DEBITO = 9;
sistema_TipoTransaccion.SALDO_A_FAVOR = 10;
sistema_TipoTransaccion.PAGO_A_TERCEROS = 11;
sistema_TipoTransaccion.COBRO_EN_RUTA = 12;
sistema_TipoTransaccion.REALES = 13;
sistema_TipoTransaccion.CUENTA_CREDICOOP = 14;
sistema_TipoTransaccion.GASTOS_EUROS = 15;
sistema_TipoTransaccion.GASTOS_REALES = 16;