class caja_ResumeTable {
	constructor(transactions) {
		this.transactions = transactions;
		this.initializeProps();
		this.calculateMontos();
		this.render();
	}

	render() {
		this.widget = $('<div>', {'class': 'collapse', 'id': "tablaResumenContainer"}).append([
			$('<div>', {class: 'ResumeTableTitle bg-teal'}).html('Cierre del Dia'),
			this.table = $('<table>', {'class': 'table table-striped tabla-circuitos LibroResumen'}).append([
				$('<thead>').append([
					$('<th>').html('TIPO'),
					$('<th>').html('BAHIA BLANCA'),
					$('<th>').html('PIGUE'),
					$('<th>').html('SUBTOTAL'),
				]),
				this.tableBody = $('<tbody>').append(this.createTableBody())
			])
		]);
	}

	get() {
		return this.widget;
	}

	initializeProps() {
		this[sistema_TipoTransaccion.PESOS + 'Bahia'] = 0;
		this[sistema_TipoTransaccion.PESOS + 'Pigue'] = 0;
		this[sistema_TipoTransaccion.PESOS + 'Total'] = 0;

		this[sistema_TipoTransaccion.TARJETA_CREDITO + 'Bahia'] = 0;
		this[sistema_TipoTransaccion.TARJETA_CREDITO + 'Pigue'] = 0;
		this[sistema_TipoTransaccion.TARJETA_CREDITO + 'Total'] = 0;

		this[sistema_TipoTransaccion.TARJETA_DEBITO + 'Bahia'] = 0;
		this[sistema_TipoTransaccion.TARJETA_DEBITO + 'Pigue'] = 0;
		this[sistema_TipoTransaccion.TARJETA_DEBITO + 'Total'] = 0;

		this[sistema_TipoTransaccion.CUENTA_PROVINCIA + 'Bahia'] = 0;
		this[sistema_TipoTransaccion.CUENTA_PROVINCIA + 'Pigue'] = 0;
		this[sistema_TipoTransaccion.CUENTA_PROVINCIA + 'Total'] = 0;

		this[sistema_TipoTransaccion.CUENTA_NACION + 'Bahia'] = 0;
		this[sistema_TipoTransaccion.CUENTA_NACION + 'Pigue'] = 0;
		this[sistema_TipoTransaccion.CUENTA_NACION + 'Total'] = 0;

		this[sistema_TipoTransaccion.CUENTA_CREDICOOP + 'Bahia'] = 0;
		this[sistema_TipoTransaccion.CUENTA_CREDICOOP + 'Pigue'] = 0;
		this[sistema_TipoTransaccion.CUENTA_CREDICOOP + 'Total'] = 0;

		this[sistema_TipoTransaccion.PAGO_A_TERCEROS + 'Bahia'] = 0;
		this[sistema_TipoTransaccion.PAGO_A_TERCEROS + 'Pigue'] = 0;
		this[sistema_TipoTransaccion.PAGO_A_TERCEROS + 'Total'] = 0;

		this[sistema_TipoTransaccion.COBRO_EN_RUTA + 'Bahia'] = 0;
		this[sistema_TipoTransaccion.COBRO_EN_RUTA + 'Pigue'] = 0;
		this[sistema_TipoTransaccion.COBRO_EN_RUTA + 'Total'] = 0;

		this.totalGastosBahiaEFT = 0;
		this.totalGastosBahiaTB = 0;
		this.totalGastosBahiaTC = 0;
		this.totalGastosBahiaTD = 0;
		this.totalGastosPigueEFT = 0;
		this.totalGastosPigueTB = 0;
		this.totalGastosPigueTC = 0;
		this.totalGastosPigueTD = 0;
		this.totalGastosEFT = 0;
		this.totalGastosTB = 0;
		this.totalGastosTC = 0;
		this.totalGastosTD = 0;

		this.totalPesosBahia = 0;
		this.totalPesosPigue = 0;
		this.totalIngresosPesos = 0;
		
		this[sistema_TipoTransaccion.DOLARES + 'Bahia'] = 0;
		this[sistema_TipoTransaccion.DOLARES + 'Pigue'] = 0;
		this[sistema_TipoTransaccion.DOLARES + 'Total'] = 0;

		this[sistema_TipoTransaccion.GASTOS_PESOS + 'Bahia'] = 0;
		this[sistema_TipoTransaccion.GASTOS_PESOS + 'Pigue'] = 0;
		this[sistema_TipoTransaccion.GASTOS_PESOS + 'Total'] = 0;

		this[sistema_TipoTransaccion.GASTOS_DOLARES + 'Bahia'] = 0;
		this[sistema_TipoTransaccion.GASTOS_DOLARES + 'Pigue'] = 0;
		this[sistema_TipoTransaccion.GASTOS_DOLARES + 'Total'] = 0;
		
		this[sistema_TipoTransaccion.REALES + 'Bahia'] = 0;
		this[sistema_TipoTransaccion.REALES + 'Pigue'] = 0;
		this[sistema_TipoTransaccion.REALES + 'Total'] = 0;
	}

	calculateMontos() {
		this.transactions.forEach(function(transaction) {
			this.addMontoToTipoTransaccion(transaction);
		}, this)
	}

	addMontoToTipoTransaccion(transaction) {
		var medioPago = transaction.tipo_transaccion.nombre;
		//var montoReal = transaction.monto_cambio ? transaction.monto_cambio * transaction.monto : transaction.monto;
		var montoReal = transaction.monto;

		var montoEFT = 0; // Efectivo
		var montoTB = 0; // Transf. Bancaria
		var montoTC = 0; // Tarjeta Credito
		var montoTD = 0; // Tarjeta Debito
		if (transaction.metodo_pago == "efectivo") {
			montoEFT = transaction.monto;
		}
		if (transaction.metodo_pago == "transf_bancaria") {
			montoTB = transaction.monto;
		}
		if (transaction.metodo_pago == "tarjeta_credito") {
			montoTC = transaction.monto;
		}
		if (transaction.metodo_pago == "tarjeta_debito") {
			montoTD = transaction.monto;
		}

		var officeName = this.getOfficeName(transaction.oficina.id);
		switch(transaction.tipo_transaccion_id) {
			case sistema_TipoTransaccion.PESOS:
				this[sistema_TipoTransaccion.PESOS + officeName] += montoReal;
				this[sistema_TipoTransaccion.PESOS + 'Total'] += montoReal;
				this['totalPesos' + officeName] += montoReal;
				this.totalIngresosPesos += montoReal;
				break;
			case sistema_TipoTransaccion.TARJETA_CREDITO:
				this[sistema_TipoTransaccion.TARJETA_CREDITO + officeName] += montoReal;
				this[sistema_TipoTransaccion.TARJETA_CREDITO + 'Total'] += montoReal;
				this['totalPesos' + officeName] += montoReal;
				this.totalIngresosPesos += montoReal;
				break;
			case sistema_TipoTransaccion.TARJETA_DEBITO:
				this[sistema_TipoTransaccion.TARJETA_DEBITO + officeName] += montoReal;
				this[sistema_TipoTransaccion.TARJETA_DEBITO + 'Total'] += montoReal;
				this['totalPesos' + officeName] += montoReal;
				this.totalIngresosPesos += montoReal;
				break;
			case sistema_TipoTransaccion.CUENTA_PROVINCIA:
				this[sistema_TipoTransaccion.CUENTA_PROVINCIA + officeName] += montoReal;
				this[sistema_TipoTransaccion.CUENTA_PROVINCIA + 'Total'] += montoReal;
				this['totalPesos' + officeName] += montoReal;
				this.totalIngresosPesos += montoReal;
				break;
			case sistema_TipoTransaccion.CUENTA_NACION:
				this[sistema_TipoTransaccion.CUENTA_NACION + officeName] += montoReal;
				this[sistema_TipoTransaccion.CUENTA_NACION + 'Total'] += montoReal;
				this['totalPesos' + officeName] += montoReal;
				this.totalIngresosPesos += montoReal;
				break;
			case sistema_TipoTransaccion.CUENTA_CREDICOOP:
				this[sistema_TipoTransaccion.CUENTA_CREDICOOP + officeName] += montoReal;
				this[sistema_TipoTransaccion.CUENTA_CREDICOOP + 'Total'] += montoReal;
				this['totalPesos' + officeName] += montoReal;
				this.totalIngresosPesos += montoReal;
				break;
			case sistema_TipoTransaccion.PAGO_A_TERCEROS:
				this[sistema_TipoTransaccion.PAGO_A_TERCEROS + officeName] += montoReal;
				this[sistema_TipoTransaccion.PAGO_A_TERCEROS + 'Total'] += montoReal;
				break;
			case sistema_TipoTransaccion.COBRO_EN_RUTA:
				this[sistema_TipoTransaccion.COBRO_EN_RUTA + officeName] += montoReal;
				this[sistema_TipoTransaccion.COBRO_EN_RUTA + 'Total'] += montoReal;
				this['totalPesos' + officeName] += montoReal;
				this.totalIngresosPesos += montoReal;
				break;
			case sistema_TipoTransaccion.GASTOS_PESOS:
				this[sistema_TipoTransaccion.GASTOS_PESOS + officeName] += montoReal;
				this[sistema_TipoTransaccion.GASTOS_PESOS + 'Total'] += montoReal;
				this['totalGastos' + officeName + 'EFT'] += montoEFT;
				this['totalGastos' + officeName + 'TB'] += montoTB;
				this['totalGastos' + officeName + 'TC'] += montoTC;
				this['totalGastos' + officeName + 'TD'] += montoTD;
				this['totalTGastos' + officeName + 'EFT'] += montoEFT;
				this['totalTGastos' + officeName + 'TB'] += montoTB;
				this['totalTGastos' + officeName + 'TC'] += montoTC;
				this['totalTGastos' + officeName + 'TD'] += montoTD;
				this.totalGastosEFT += montoEFT;
				this.totalGastosTB += montoTB;
				this.totalGastosTC += montoTC;
				this.totalGastosTD += montoTD;
				break;
			case sistema_TipoTransaccion.DOLARES:
				this[sistema_TipoTransaccion.DOLARES + officeName] += montoReal;
				this[sistema_TipoTransaccion.DOLARES + 'Total'] += montoReal;
				break;
			case sistema_TipoTransaccion.GASTOS_DOLARES:
				this[sistema_TipoTransaccion.GASTOS_DOLARES + officeName] += montoReal;
				this[sistema_TipoTransaccion.GASTOS_DOLARES + 'Total'] += montoReal;
				break;
			case sistema_TipoTransaccion.REALES:
				this[sistema_TipoTransaccion.REALES + officeName] += montoReal;
				this[sistema_TipoTransaccion.REALES + 'Total'] += montoReal;
				break;
			}
	}

	getOfficeName(oficinaId) {
		return oficinaId == 1 ? 'Bahia' : 'Pigue';
	}

	createPesosColumns() {
		return caja_ResumeTable.FORMAS_PAGO.map(function(medioPago) {
			if (medioPago == sistema_TipoTransaccion.DOLARES ||
				medioPago == sistema_TipoTransaccion.REALES ||
				medioPago == sistema_TipoTransaccion.GASTOS_PESOS ||
				medioPago == sistema_TipoTransaccion.GASTOS_DOLARES ||
				medioPago == sistema_TipoTransaccion.EUROS
			) {
				return;
			}
			return $('<tr>').append([
				$('<td>').html(this.getMedioPagoNombre(medioPago)),
				$('<td>').html(sistema_TipoTransaccion.toMoneyString(this[medioPago + 'Bahia'])),
				$('<td>').html(sistema_TipoTransaccion.toMoneyString(this[medioPago + 'Pigue'])),
				$('<td>').html(sistema_TipoTransaccion.toMoneyString(this[medioPago + 'Total'])),
			]);
		}, this).concat([$('<tr>', {class: 'rowTotales'}).append([
				$('<td>').html('SUBTOTAL INGRESOS'),
				$('<td>').html(sistema_TipoTransaccion.toMoneyString(this.totalPesosBahia)),
				$('<td>').html(sistema_TipoTransaccion.toMoneyString(this.totalPesosPigue)),
				$('<td>').html(sistema_TipoTransaccion.toMoneyString(this.totalIngresosPesos))
			]),
			$('<tr>', {class: ''}).append([
				$('<td>').html('Egresos Efectivo'),
				$('<td>').html(sistema_TipoTransaccion.toMoneyString(this.totalGastosBahiaEFT)),
				$('<td>').html(sistema_TipoTransaccion.toMoneyString(this.totalGastosPigueEFT)),
				$('<td>').html(sistema_TipoTransaccion.toMoneyString(this.totalGastosEFT))
			]),
			$('<tr>', {class: ''}).append([
				$('<td>').html('Egresos Transf. Bancaria'),
				$('<td>').html(sistema_TipoTransaccion.toMoneyString(this.totalGastosBahiaTB)),
				$('<td>').html(sistema_TipoTransaccion.toMoneyString(this.totalGastosPigueTB)),
				$('<td>').html(sistema_TipoTransaccion.toMoneyString(this.totalGastosTB))
			]),
			$('<tr>', {class: ''}).append([
				$('<td>').html('Egresos Tarjeta Crédito'),
				$('<td>').html(sistema_TipoTransaccion.toMoneyString(this.totalGastosBahiaTC)),
				$('<td>').html(sistema_TipoTransaccion.toMoneyString(this.totalGastosPigueTC)),
				$('<td>').html(sistema_TipoTransaccion.toMoneyString(this.totalGastosTC))
			]),
			$('<tr>', {class: ''}).append([
				$('<td>').html('Egresos Tarjeta Débito'),
				$('<td>').html(sistema_TipoTransaccion.toMoneyString(this.totalGastosBahiaTD)),
				$('<td>').html(sistema_TipoTransaccion.toMoneyString(this.totalGastosPigueTD)),
				$('<td>').html(sistema_TipoTransaccion.toMoneyString(this.totalGastosTD))
			]),
			$('<tr>', {class: 'rowTotales'}).append([
				$('<td>').html('SUBTOTAL EGRESOS'),
				$('<td>').html(sistema_TipoTransaccion.toMoneyString(this[sistema_TipoTransaccion.GASTOS_PESOS + 'Bahia'])),
				$('<td>').html(sistema_TipoTransaccion.toMoneyString(this[sistema_TipoTransaccion.GASTOS_PESOS + 'Pigue'])),
				$('<td>').html(sistema_TipoTransaccion.toMoneyString(this[sistema_TipoTransaccion.GASTOS_PESOS + 'Total']))
			]),
			$('<tr>', {class: 'rowTotales'}).append([
				$('<td>').html('TOTAL'),
				$('<td>').html(sistema_TipoTransaccion.toMoneyString(this.totalPesosBahia - this.totalGastosBahiaEFT - this.totalGastosBahiaTB - this.totalGastosBahiaTC - this.totalGastosBahiaTD)),
				$('<td>').html(sistema_TipoTransaccion.toMoneyString(this.totalPesosPigue - this.totalGastosPigueEFT - this.totalGastosPigueTB - this.totalGastosPigueTC - this.totalGastosPigueTD)),
				$('<td>').html(sistema_TipoTransaccion.toMoneyString(this.totalIngresosPesos - this.totalGastosEFT - this.totalGastosTB - this.totalGastosTC - this.totalGastosTD))
			])
		])
	}

	createDollarsColumns() {
		return caja_ResumeTable.FORMAS_PAGO.map(function(medioPago) {
			if (medioPago != sistema_TipoTransaccion.DOLARES && medioPago != sistema_TipoTransaccion.GASTOS_DOLARES) {
				return;
			}
			return $('<tr>').append([
				$('<td>').html(this.getMedioPagoNombre(medioPago)),
				$('<td>').html(sistema_TipoTransaccion.toDollarString(this[medioPago + 'Bahia'])),
				$('<td>').html(sistema_TipoTransaccion.toDollarString(this[medioPago + 'Pigue'])),
				$('<td>').html(sistema_TipoTransaccion.toDollarString(this[medioPago + 'Total'])),
			]);
		}, this).concat([
			$('<tr>', {class: 'rowTotales'}).append([
				$('<td>').html('TOTAL'),
				$('<td>').html(sistema_TipoTransaccion.toDollarString(this[sistema_TipoTransaccion.DOLARES + 'Bahia'] - this[sistema_TipoTransaccion.GASTOS_DOLARES + 'Bahia'])),
				$('<td>').html(sistema_TipoTransaccion.toDollarString(this[sistema_TipoTransaccion.DOLARES + 'Pigue'] - this[sistema_TipoTransaccion.GASTOS_DOLARES + 'Pigue'])),
				$('<td>').html(sistema_TipoTransaccion.toDollarString(this[sistema_TipoTransaccion.DOLARES + 'Total'] - this[sistema_TipoTransaccion.GASTOS_DOLARES + 'Total']))
			])
		]);
	}

	createTableBody() {
		return [
			$('<tr>').append([
				$('<td>', {class: 'RowTitle', colspan: 4}).html('<strong>PESOS</strong>')
			])
			].concat(this.createPesosColumns())
			.concat([
				$('<tr>').append([
					$('<td>', {class: 'RowTitle', colspan: 4}).html('<strong>DOLARES</strong>')
				])
				].concat(this.createDollarsColumns())
			);
	}

	getMedioPagoNombre(medioPago) {
		switch(medioPago) {
			case sistema_TipoTransaccion.PESOS:
				return 'Efectivo';
			case sistema_TipoTransaccion.TARJETA_CREDITO:
				return 'Tarjeta de Credito';
			case sistema_TipoTransaccion.TARJETA_DEBITO:
				return 'Tarjeta de Debito';
			case sistema_TipoTransaccion.CUENTA_PROVINCIA:
				return 'Cuenta Provincia';
			case sistema_TipoTransaccion.CUENTA_NACION:
				return 'Cuenta Nacion';
			case sistema_TipoTransaccion.CUENTA_CREDICOOP:
				return 'Cuenta Credicoop';
			case sistema_TipoTransaccion.PAGO_A_TERCEROS:
				return 'Pago a Terceros';
			case sistema_TipoTransaccion.COBRO_EN_RUTA:
				return 'Cobro en Ruta';
			case sistema_TipoTransaccion.DOLARES:
				return 'Ingresos';
			case sistema_TipoTransaccion.GASTOS_PESOS:
				return 'Gastos Pesos';
			case sistema_TipoTransaccion.GASTOS_DOLARES:
				return 'Egresos';
			case sistema_TipoTransaccion.REALES:
				return 'Reales';

		}
	}

	updateMontos() {
		this.initializeProps();
		this.calculateMontos();
		this.tableBody.html(this.createTableBody());
	}
}

caja_ResumeTable.FORMAS_PAGO = [
	sistema_TipoTransaccion.PESOS,
	sistema_TipoTransaccion.TARJETA_CREDITO,
	sistema_TipoTransaccion.TARJETA_DEBITO,
	sistema_TipoTransaccion.CUENTA_PROVINCIA,
	sistema_TipoTransaccion.CUENTA_NACION,
	sistema_TipoTransaccion.PAGO_A_TERCEROS,
	sistema_TipoTransaccion.COBRO_EN_RUTA,
	sistema_TipoTransaccion.DOLARES,
	sistema_TipoTransaccion.GASTOS_PESOS,
	sistema_TipoTransaccion.GASTOS_DOLARES,
	sistema_TipoTransaccion.EUROS,
	sistema_TipoTransaccion.CUENTA_CREDICOOP,
	sistema_TipoTransaccion.REALES
];