class cuentas_CuotasTable {
	constructor(cuotas, moneda, pasajero_id) {
		this.cuotas = cuotas;
		this.moneda = moneda;
		this.pasajero_id = pasajero_id;
		return this.render();
	}

	render() {
		if (this.cuotas.length == 0) {
			return $('<p>', {class: "emptyListaCuotas"}).html('Todavia no hay cuotas entregadas.');
		}
		return this.table = $('<table>', {id: 'tableCuotas', class: 'table table-bordered'}).append([
			$('<thead>').append([
				$('<th>').html('Fecha Entrega'),
				$('<th>').html('Monto'),
				$('<th>').html('Medio de Pago'),
				$('<th>').html('Recibo')
			]),
			$('<tbody>').append(this.createRows())
		]);
	}

	get() {
		return this.table;
	}

	createRows() {
		var rows = [];
		var currencyFormatMethod = sistema_TipoTransaccion.getCurrencyMethod(this.moneda);
		this.cuotas.forEach(function(cuota) {
			var moneda_monto = currencyFormatMethod(cuota.transaction.monto);
			var nombreTransaccion = "";
			var tipoCambio = "";
			if (cuota.transaction.tipo_transaccion === undefined) {
				if (cuota.transaction.tipo_transaccion_id == 1) { nombreTransaccion = "Efectivo"; }
				if (cuota.transaction.tipo_transaccion_id == 2) { nombreTransaccion = "Tarjeta Credito"; }
				if (cuota.transaction.tipo_transaccion_id == 3) { nombreTransaccion = "Cuenta Provincia"; }
				if (cuota.transaction.tipo_transaccion_id == 4) { nombreTransaccion = "Cuenta Nacion"; }
				if (cuota.transaction.tipo_transaccion_id == 14) { nombreTransaccion = "Cuenta Credicoop"; }
				if (cuota.transaction.tipo_transaccion_id == 5) { nombreTransaccion = "Dolares"; }
				if (cuota.transaction.tipo_transaccion_id == 8) { nombreTransaccion = "Euros"; }
				if (cuota.transaction.tipo_transaccion_id == 9) { nombreTransaccion = "Tarjeta Debito"; }
				if (cuota.transaction.tipo_transaccion_id == 11) { nombreTransaccion = "Pago a Terceros"; }
				if (cuota.transaction.tipo_transaccion_id == 12) { nombreTransaccion = "Cobro en Ruta"; }
				if (cuota.transaction.tipo_transaccion_id == 13) { nombreTransaccion = "Reales"; }
			} else {
				nombreTransaccion = cuota.transaction.tipo_transaccion.nombre;
			}

			if (cuota.transaction.tipo_transaccion_id == 5 || cuota.transaction.tipo_transaccion_id == 8 || cuota.transaction.tipo_transaccion_id == 13) {
				currencyFormatMethod = sistema_TipoTransaccion.getCurrencyMethod(cuota.transaction.tipo_transaccion_id);
				moneda_monto = currencyFormatMethod(cuota.transaction.monto);
				tipoCambio = " (Cambio: $"+cuota.transaction.monto_cambio+")";
			} else {
				currencyFormatMethod = sistema_TipoTransaccion.getCurrencyMethod(this.moneda);
				moneda_monto = currencyFormatMethod(cuota.transaction.monto);
			}
			var row = $('<tr>').append([
				$('<td>').html(moment(cuota.transaction.fecha).format('DD/MM/YYYY')),
				$('<td>').html(moneda_monto),
				$('<td>').html(nombreTransaccion + tipoCambio),
				$('<td>').append([$('<a href="../recibo/'+this.pasajero_id+'/'+cuota.transaction.id+'" target="_blank">', {'class': 'dropdown-item js-right-sidebar','style':'cursor:pointer;'}).append([
					$('<i>', {'class': 'fas fa-print'}), ''])
				])
			]);
			rows.push(row);
		}, this);

		return rows;
	}
}