class cuentas_FormReserva {
	constructor(info, viaje, reserva) {
		this.info = info;
		this.viaje = viaje;
		/* if (this.viaje.habitaciones && this.viaje.habitaciones.length > 0) {
            var calculator = new room_AvailabilityCalculator(this.viaje.habitaciones, this.viaje.reserva, false);
            this.roomAvailability = calculator.calculate();
        } */
		this.reserva = reserva;
		//this.seatsOcuppied = seatsOcuppied;
		this.getFormData().then(this.onDataReady.bind(this));
		this.render();
	}

	render() {
		//console.log(this.seatsOcuppied);
		//var bus = new bus_View(this.seatsOcuppied);
		$('#sidebar_right_errors').hide();
		$('#sidebar_right_title').html('EDITAR RESERVA');

		this.form = $('<form>', {id: "formReserva"}).append([
	        this.puntoAscenso = $('<div>', {class: "form-group"}).append([
	           $('<div>', {class: "form-line"}).append([
   	                $('<input>', {type: "text", class:"puntoAscenso form-control", placeholder:"Punto de Ascenso"}).val(
   	                	this.info.sube_en ? this.info.sube_en : this.info.pasajero.localidad
   	                )
   	           	])
	        ]),
	        $('<div>', {class:"input-group"}).append([
				$('<div>', {class:"form-line"}).append([
					$('<span>', {class:"input-group-addon"}).html('$'),
					$('<input>', {type:"text", class:"tarifa form-control", placeholder:"Tarifa"}).val(
						formatMoney(this.getTarifa())
					)
				])
			]),
	        $('<div>', {class: "form-group"}).append([
	           $('<div>', {class: "form-line"}).append(
	                this.input = $('<textarea>', {class:"infoExtra form-control", placeholder:"Informacion Adicional", rows: "1"}).val(
	                	this.info.info ? this.info.info : null
	                )
	           	)
	        ]),
	        $('<div>', {class: "form-group"}).append([
	           $('<div>', {class: "form-line"}).append(
	                $('<textarea>', {class:"comentarioPasajero form-control", placeholder:"Comentarios del Pasajero", rows: "1"}).val(
	                	this.info.pasajero.comentarios ? this.info.pasajero.comentarios : null
	                )
	           	)
	        ]),
	        $('<div>', {class: "form-group", style: "text-align: right"}).append([
	            this.saveButton = $('<button>', {class: "btn btn-success"}).html('Guardar'), ' ',
	            $('<button>', {class: "btn btn-danger", id: "sidebar_right_cancelar"}).html('Cancelar')
	        ])
		])

		$('#rightsidebarContainer').html(this.form);
		$('.tarifa').mask("#.##0,00", {reverse: true});
		this.saveButton.on('click', this.onAtemptSaveReserva.bind(this));
	}

	get() {
		return this.form;
	}

	getTarifa() {
		return this.info.precio_opcional != null && this.info.precio_opcional != undefined ? this.info.precio_opcional : this.viaje.precio
	}

	getFormData() {
		return $.ajax({
			url: base_url + '/cuentas/'+ this.viaje.id +'/getFormData',
			type: 'GET',
		})
	}

	onDataReady(response) {
		this.users = response.users;
		this.createUserSelector().insertBefore(this.puntoAscenso);
		if (!this.isCircuitoRegional() && this.info.solo_transporte == '0') {
			this.createRoomTypeSelector(response.roomTypes, response.reservas, response.reservainfo).insertBefore(this.puntoAscenso);
		}
	}

	isCircuitoRegional() {
		return this.viaje.noches == 0;
	}

	onAtemptSaveReserva(event) {
		event.preventDefault();
		var data = {
			id: this.info.reserva_id,
			pasajero_id: this.info.pasajero.id,
			viaje_id: this.info.viaje_id,
			sube_en: $('.puntoAscenso').val(),
			tarifa: stringToFloatDecimals($('.tarifa').val()),
			info: $('.infoExtra').val(),
			comentario: $('.comentarioPasajero').val(),
			user_id: $('#userInvolved').val()
		};
		if (!this.isCircuitoRegional() && this.info.solo_transporte == '0') {
			data.tipo_habitacion_id = this.roomSelector.getValue();
		}
		this.saveReserva(data);
	}

	saveReserva(data) {
		if (!this.isCircuitoRegional() && this.info.solo_transporte == '0' && !this.roomSelector.validateSelectedRoom(this.reserva.info.length)) {
			return;
		}

		$.ajax({
			url: base_url+'/cuentas/saveReserva',
			type: 'POST',
			data: {
				_token: $('meta[name="csrf-token"]').attr('content'),
				data: data
			},
			success: this.onSaveReservaFinished.bind(this, data)
		})
	}

	onSaveReservaFinished(data) {
		swal('Hecho', 'Reserva guardada con exito', 'success');
		this.info.sube_en = data.sube_en;
		this.info.precio_opcional = data.tarifa;

		let comentarios = '';
		if (data.comentario != null && data.comentario != "") {
			comentarios = '<strong>'+data.comentario+'</strong><br>';
		}

		let editores = '';
		if (this.info.editores_info != null && this.info.editores_info != "") {
			editores = ' <i class="fa fa-info-circle" style="margin-left:2px;color:#00b0e4;" title="Editores: '+this.info.editores_info+'"></i>';
		}

		this.info.info = comentarios + data.info + editores;

		if (this.roomSelector != undefined) {
			this.reserva.tipo_habitacion_id = this.roomSelector.getValue();
		}

		for (var i = 0; i < this.users.length; i++) {
			if (this.users[i].id == data.user_id) {
				this.reserva.user = this.users[i];
				break;
			}
			
		}

		if (!this.isCircuitoRegional() && this.info.solo_transporte == '0') {
			for (var j = 0; j < this.roomTypes.length; j++) {
				if (this.roomTypes[j].tipo_habitacion_id == data.tipo_habitacion_id) {
					this.reserva.habitacion = this.roomTypes[j].type;
					break;
				}
			}
		}
		this.form.trigger('updatereserva');
	}

	createUserSelector() {
		var select = $('<select>', {class: 'form-control', id: 'userInvolved'});
		this.users.forEach(function(user) {
			var option = $('<option>', {value: user.id}).html(user.lastName + ', ' + user.name);
			select.append(option);
		}, this);
		select.val(this.reserva.user_id);
		return $('<div>', {class: 'form-group'}).append(select);
	}

	createRoomTypeSelector(roomTypes, reservas, reservainfo) {
		this.roomTypes = Array.from(JSON.parse(roomTypes));
		reservas = Array.from(JSON.parse(reservas));
		this.reservainfo = Array.from(JSON.parse(reservainfo));
		this.roomSelector = new room_Selector(this.roomTypes, reservas, this.reservainfo, this.reserva.tipo_habitacion_id);
		//this.roomSelector = new room_Selector(this.roomTypes, this.reservas, this.reservainfo);
		return $('<div>', {class: "form-group"}).append([
			this.roomSelector.get()
		])
	}
}
class cuentas_FormChangeButaca {
	constructor(info, viaje, reserva) {
		this.info = info;
		this.viaje = viaje;
		this.reserva = reserva;
		this.render();
	}

	render() {
		$('#sidebar_right_errors').hide();
		$('#sidebar_right_title').html('CAMBIAR BUTACA');

		this.form = $('<form>', {id: "formChangeButaca"}).append([
			$('<div>', {class:"input-group"}).append([
				$('<div>', {class:"form-line"}).append([
					$('<span>', {style:"width:30%;padding: 6px 0px;"}).html('Número Butaca'),
					$('<input>', {style:"width:15%", type:"text", class:"form-control nro-butaca", placeholder:"",disabled:""}).val(this.info.nro_asiento),
					$('<div>', {class: "form-group", style: "text-align: left;margin:0;padding-bottom:6px;"}).append([
						this.changeSeatButton = $('<button>', {class: "btn btn-info view-bus"}).prop('type','button').html('Mostrar Bus')
					]),
				])
			]),
			$('<div>', {class: "form-group"}).append([
				$('<div>', {class:"bus-seats", style:"display:none"}).html('')
			]),
	        $('<div>', {class: "form-group", style: "text-align: right"}).append([
	            this.saveButton = $('<button>', {class: "btn btn-success"}).html('Guardar'), ' ',
	            $('<button>', {class: "btn btn-danger", id: "sidebar_right_cancelar"}).html('Cancelar')
	        ])
		])

		$('#rightsidebarContainer').html(this.form);
		this.getSeatsOcuppied(this.viaje).then(this.onSeatsOcuppied.bind(this));
		this.changeSeatButton.on('click', this.onViewBus.bind(this));
		this.saveButton.on('click', this.onAtemptSaveReserva.bind(this));
	}

	get() {
		return this.form;
	}

	onAtemptSaveReserva(event) {
		event.preventDefault();
		var data = {
			id: this.info.reserva_id,
			viaje_id: this.info.viaje_id,
			pasajero_id: this.info.pasajero.id,
			nro_asiento: $('.nro-butaca').val()
		};
		this.saveReserva(data);
	}

	saveReserva(data) {
		$.ajax({
			url: base_url+'/cuentas/saveChangeButaca',
			type: 'POST',
			data: {
				_token: $('meta[name="csrf-token"]').attr('content'),
				data: data
			},
			success: this.onSaveReservaFinished.bind(this, data)
		})
	}

	onSaveReservaFinished(data) {
		swal('Hecho', 'Cambio de Butaca guardado con exito', 'success');
		this.info.nro_asiento = data.nro_asiento;
		this.form.trigger('updateChangeButaca');
	}

	onClickViewBus() {
		this.bus = new bus_View(this.seatsOcuppied,this.viaje);
		this.bus.on('click', 'a.free', this.onClickBusSeat.bind(this));
		this.bus.on('click', 'a.selected', this.onClickBusSelectedSeat.bind(this));
		$('.bus-seats').html(this.bus);
	}
	getSeatsOcuppied() {
		return $.ajax({
			url: base_url+'/bus/' + this.info.viaje_id,
			type: 'GET'
		});
	}
	onSeatsOcuppied(response) {
		this.seatsOcuppied = response;
		this.onClickViewBus();
	}
	onViewBus() {
		$('.bus-seats').toggle();
		var textButton = $('.view-bus').text();
		if (textButton == "Mostrar Bus") {
			$('.view-bus').text('Ocultar Bus');
		} else {
			$('.view-bus').text('Mostrar Bus');
		}
	}
	onClickBusSeat(event) {
		var seat = $(event.currentTarget);
		$(".selected").removeClass("selected").addClass('free');
		seat.removeClass('free').addClass('selected');
		if (event.currentTarget['innerHTML'][0] == 0) {
			$('.nro-butaca').val(event.currentTarget['innerHTML'][1]);
		} else {
			$('.nro-butaca').val(event.currentTarget['innerHTML']);
		}
	}
	onClickBusSelectedSeat(event) {
		var seat = $(event.currentTarget);
		seat.removeClass('selected').addClass('free');
		$('.nro-butaca').val(this.info.nro_asiento);
	}
}