class cuentas_Row {
	constructor(info, reserva, viaje) {
		/* console.log([info, reserva, viaje]) */
		this.info = info;
		this.reserva = reserva;
		this.viaje = viaje;
		this.converterMethod = sistema_TipoTransaccion.getCurrencyMethod(this.viaje.moneda);
		//this.getSeatsOcuppied(this.viaje).then(this.onSeatsOcuppied.bind(this));
		this.initProps();
		this.calculateMontos();
		this.render();
	}

	render() {
		var checked = "";
		var valorChecked = 0;
		if (this.info.avisado == 1) {
			var checked = "checked";
			valorChecked = 1;
		}
		var colorFondo = "";
		var tipo_viajero = (this.info.pasajero.coordinador == 1) ? "Coordinador" : "Titularidad";
		this.tipo_viajero = tipo_viajero;
		if (this.info.pasajero.coordinador == 1) {
			colorFondo = "#8ecdff";
		}
		if (this.info.solo_transporte == 1) {
			colorFondo = "#ffdb86";
		}
		let twin_matrimonial = "";
		if (this.reserva.twin_matrimonial) {
			twin_matrimonial = " ("+this.reserva.twin_matrimonial+")";
		}
		let comentarios = '';
		if (this.info.pasajero.comentarios != null && this.info.pasajero.comentarios != "") {
			comentarios = '<strong>'+this.info.pasajero.comentarios+'</strong><br>';
		}
		let editores = '';
		if (this.info.editores_info != null && this.info.editores_info != "") {
			editores = ' <i class="fa fa-info-circle" style="margin-left:2px;color:#00b0e4;" title="Editores: '+this.info.editores_info+'"></i>';
		}
		let info = '';
		if (this.info.info != null) {
			info = this.info.info;
		}
		let add_comision = '';
		if (this.reserva.user.role == "1" && this.info.cobro_comision == "0") {
			add_comision = '<i class="fa fa-plus-circle" style="cursor:pointer;color:#0075ff;" title="Agregar Comisión" data-toggle="modal" data-target="#modalAddComision" onclick="loadDataModalAddComision('+this.reserva.user.id+',\''+this.reserva.user.name+'\',\''+this.reserva.user.lastName+'\','+this.info.id+');"></i>';
		}

		let user_reserva = '';
		if (this.reserva.user_reservo != null && this.reserva.user.id != this.reserva.user_reservo.id) {
			user_reserva = '('+this.reserva.user_reservo.lastName+', '+this.reserva.user_reservo.name+')';
		}

		this.row = $('<tr>', {class: 'pasajero' + this.info.pasajero.id, style: 'background:'+colorFondo}).append([
			$('<td style="text-align: center;vertical-align:inherit;">').html('<span id="valorChecked'+this.info.nro_asiento+'" style="display:none;">'+valorChecked+'</span><input type="checkbox" '+checked+' id="avisado'+this.info.nro_asiento+'" onchange="saveCheckbox(\''+this.info.id+'\',\''+this.info.nro_asiento+'\');" value="1" style="position:inherit;opacity:1;transform: scale(1.5);cursor:pointer;">'),
			$('<td>', {class: 'columnas-ocultas columna-codigo'}).html(this.info.reserva_id),
			this.userInvolved = $('<td>').html(
				'<a href="../users/'+this.reserva.user.id+'">'+this.reserva.user.lastName + ', ' + this.reserva.user.name + '</a> ' + add_comision + ' <span style="font-size:10px">' + user_reserva + '</span>'
			),
			$('<td>').html(moment(this.reserva.created_at).format('DD/MM/YYYY')),
			//$('<td>', {class: "colAsiento"}).html('<span class="busSeat cuentasRow">' + this.info.nro_asiento + '</span>'),
			this.nroAsiento = $('<td>', {class: "colAsiento"}).html('<span class="busSeat cuentasRow">' + this.info.nro_asiento + '</span>'),
			$('<td>').html(this.info.pasajero.apellido + ', ' + this.info.pasajero.nombre),
			$('<td>', {class: 'columnas-ocultas columna-dni'}).html(this.info.pasajero.dni),
			$('<td>', {class: 'columnas-ocultas columna-nacimiento'}).html(moment(this.info.pasajero.fecha_nacimiento).format('DD/MM/YYYY')),
			$('<td>', {class: 'columnas-ocultas columna-localidad'}).html(this.info.pasajero.localidad),
			$('<td>', {class: 'columnas-ocultas columna-telefono'}).html(this.info.pasajero.telefono),
			$('<td>').append([
				this.subeEn = $('<span>').html(this.info.sube_en ? this.info.sube_en : this.info.pasajero.localidad),
			]),
			this.roomColumn = this.viaje.noches > 0 ? $('<td>').html(this.reserva.habitacion ? this.reserva.habitacion.nombre+twin_matrimonial : null) : null,
			this.infoExtra = $('<td>').html(comentarios + info + editores),
			this.tarifa = $('<td>', {style: "text-align: right"}).html(this.converterMethod(this.getTarifa())),
			this.columnEntregado = $('<td>').html(this.converterMethod(this.entregado)),
			this.columnSaldo = $('<td>').html(this.converterMethod(this.saldo)),
			$('<td>').html(this.createMenu())
		]);

		this.editButton.on('click', this.onClickEdit.bind(this));
		this.changeButacaButton.on('click', this.onClickChangeButaca.bind(this));
		this.detallesButton.on('click', this.onClickDetallesCuotas.bind(this));
		//this.cancelReservaButton.on('click', this.onAtemptCancelReserva.bind(this));
	}

	get() {
		return this.row;
	}

	getTarifa() {
		return this.info.precio_opcional != null && this.info.precio_opcional != undefined ? this.info.precio_opcional : this.viaje.precio
	}

	initProps() {
		this.entregado = 0;
		this.saldo = this.getTarifa();
	}

	createMenu() {

		var viajeID = this.info.viaje_id;
		var pasajero_id = this.info.pasajero.id;
		var nombre = this.info.pasajero.nombre;
		var apellido = this.info.pasajero.apellido;
		var id_reserva = this.reserva.id;

		return $('<div>', {class: "dropdown", style: "display: inline"}).append([
            $('<button>', {class: "btn btn-default dropdown-toggle", type: "button", 'data-toggle': "dropdown", 'aria-haspopup': "true", 'aria-expanded': "true"}).html(
                '<i class="fas fa-bars"></i><span class="caret"></span>'
            ),
            $('<ul>', {class: "dropdown-menu dropdown-menu-right", 'aria-labelledby': "dropdownMenu1"}).append([
                this.detallesButton = $('<li>').html('<a href="#" class="dropdown-item js-right-sidebar" onclick="loadCalendarioCuotas()"><i class="fas fa-file-alt"></i> Ver Detalle</a>'),
                this.contratoButton = $('<li>').html('<a href="../contrato/'+id_reserva+'" target="_blank" class="dropdown-item"><i class="fas fa-info" style="margin-left:3px;margin-right:4px;"></i> Ver Contrato</a>'),
													this.changeButacaButton = $('<li>').html('<a href="#" class="dropdown-item js-right-sidebar"><i class="fas fa-retweet"></i> Cambiar Butaca</a>'),
                this.editButton = $('<li>').html('<a href="#" class="dropdown-item js-right-sidebar"><i class="fas fa-edit"></i> Editar</a>'),
                /* this.cancelReservaButton =  $('<li>').html('<a href="#" class="dropdown-item"><i class="fas fa-ban"></i> Cancelar Reserva</a>') */
				$('<li>').html('<a href="#" data-toggle="modal" data-target="#modalCambiarTitular" onclick="loadDataModalCambiarTitular('+viajeID+',\''+nombre+'\',\''+apellido+'\','+pasajero_id+','+this.info.pasajero.coordinador+');" class="dropdown-item"><i class="fas fa-retweet"></i> Cambiar '+this.tipo_viajero+'</a>'),
				$('<li>').html('<a href="#" data-toggle="modal" data-target="#modalCambiarViaje" onclick="loadDataModalCambiarViaje('+viajeID+',\''+nombre+'\',\''+apellido+'\','+pasajero_id+');" class="dropdown-item"><i class="fas fa-location-arrow"></i> Cambiar de Viaje</a>'),
				$('<li>').html('<a href="#" data-toggle="modal" data-target="#modalCancelReserva" onclick="loadDataModalCancel('+pasajero_id+','+viajeID+',\''+this.entregado+'\');" class="dropdown-item"><i class="fas fa-ban"></i> Cancelar Reserva</a>')
            ])
		]);
	}

	calculateMontos() {
		this.info.cuotas.forEach(function(cuota) {
			let monto_conv = cuota.transaction.monto;

			if (cuota.transaction.tipo_transaccion != undefined) {
				if (cuota.transaction.tipo_transaccion.id == 5 || cuota.transaction.tipo_transaccion.id == 8 || cuota.transaction.tipo_transaccion.id == 13) {
					monto_conv = cuota.transaction.monto * (cuota.transaction.monto_cambio ? cuota.transaction.monto_cambio : 1);
				}
			}

			this.entregado += monto_conv;
			this.saldo -= monto_conv;
		}, this);
	}

	getEntregado() {
		return this.entregado;
	}

	onClickDetallesCuotas() {
		event.preventDefault();
		//console.log(this.info);
		//console.log(this.viaje.moneda);
		var form = new cuentas_FormCuotas(this.info, this.viaje.moneda);
		form.get().on('savecuota', this.onSaveCuota.bind(this));
	}

	onSaveCuota(event, cuota) {
		this.updateMontos();
		this.row.trigger('savecuota', cuota);
	}

	updateMontos() {
		this.initProps();
		this.calculateMontos();
		this.columnEntregado.html(this.converterMethod(this.entregado));
		this.columnSaldo.html(this.converterMethod(this.saldo));
	}

	onClickEdit() {
		event.preventDefault();
		//console.log(this.seatsOcuppied);
		//var form = new cuentas_FormReserva(this.info, this.viaje, this.reserva, this.seatsOcuppied);
		var form = new cuentas_FormReserva(this.info, this.viaje, this.reserva);
		form.get().on('updatereserva', this.onUpdateReserva.bind(this));
	}

	onClickChangeButaca() {
		event.preventDefault();
		var form = new cuentas_FormChangeButaca(this.info, this.viaje, this.reserva);
		form.get().on('updateChangeButaca', this.onUpdateChangeButaca.bind(this));
	}

	onUpdateReserva(event) {
		this.userInvolved.html(this.reserva.user.lastName + ', ' + this.reserva.user.name);
		this.subeEn.html(this.info.sube_en ? this.info.sube_en : this.info.pasajero.localidad);
		this.infoExtra.html(this.info.info ? this.info.info : '');
		this.nroAsiento.html('<span class="busSeat cuentasRow">' + this.info.nro_asiento + '</span>');
		this.tarifa.html(this.converterMethod(this.getTarifa()));
		if (this.roomColumn && this.reserva.habitacion) {
			this.roomColumn.html(this.reserva.habitacion.nombre)
		}
		this.updateMontos();
		this.row.trigger('updatereserva', this.info.pasajero_id);
	}

	onUpdateChangeButaca(event) {
		this.nroAsiento.html('<span class="busSeat cuentasRow">' + this.info.nro_asiento + '</span>');
		this.row.trigger('updateChangeButaca', this.info.pasajero_id);
	}

	onAtemptCancelReserva(event) {
		event.preventDefault();
		swal({
            title: 'Cancelar Reserva',
            text: 'Esta seguro que desea cancelar esta reserva?',
            icon: 'warning',
            buttons: ['Cancelar', 'Aceptar']
        }).then((value) => {
        	if(value) {
				this.cancelReserva();
        	}
        })
	}

	cancelReserva() {
		var data = {
			id: this.info.id,
			reserva_id: this.info.reserva_id
		};
		$.ajax({
			url: base_url + '/cuentas/cancelReserva',
			type: 'POST',
			data: {
				_token: token,
				data: data
			},
			success : this.onCancelReserva.bind(this)
		})
	}

	onCancelReserva() {
		this.row.trigger('cancelreserva', [this.info]);
	}
}

function saveCheckbox(id_reserva_info,seat) {
	var value = $('#avisado'+seat).is(":checked");
	var valor = 0;
	if(value) {
		valor = 1;
	}
	$('#valorChecked'+seat).text(valor);
	$.ajax({
		url: base_url + "/cuentas/guardarCheck/"+id_reserva_info+"/"+seat+"/"+valor,
		success:
		function(){}
	})
}