class destino_Form {
	constructor(destino) {
		this.destino = destino;
		this.files = [];
		this.deletedImages = [];
		this.render();
	}

	render() {
		this.form = $('<form>', {id: "formDestino", action: '#'}).append([
	        $('<div>', {class: "form-group"}).append([
	            $('<div>', {class: "form-line formDestino"}).append([
	                $('<input>', {type: "text", class: "ciudadInput form-control", placeholder: "Ciudad"}).val(this.destino ? this.destino.ciudad : null)
	            ])
	        ]),
	        $('<div>', {class: "input-group"}).append([
	            $('<div>', {class: "form-line"}).append([
	                $('<input>', {type:"text", class:"provinciaInput form-control", placeholder:"Provincia"}).val(this.destino ? this.destino.provincia : null)
	            ])
	        ]),
	        $('<div>', {class: "input-group"}).append([
	            $('<div>', {class: "form-line"}).append([
	                $('<input>', {type:"text", class:"youtubeInput form-control", placeholder:"Link Youtube"}).val(this.destino && this.destino.youtube_id ? 'https://www.youtube.com/watch?v=' + this.destino.youtube_id : null)
	            ])
	        ]),
			$('<div>', {class: "form-group"}).append([
	            $('<div>', {class: "form-line"}).append([
	                $('<textarea>', {rows: "3", class: "detalleInput form-control", placeholder: "Detalle del Destino"}).val(this.destino ? this.destino.detalle : null)
	            ])
	        ]),
			this.destino ? $('<div>', {class:"form-group"}).append([
				$('<div>', {class: "block-header"}).html('<h2>Imágenes</h2>'),
				$('<div>', {id: "imagenes-"+this.destino.id, class: "div-imagenes"}).html(''),
				$('<div>', {style: "max-width: 150px;position:relative;"}).append([
					$('<button>', {type: "button", onclick: "openImagen("+this.destino.id+")", style: "padding:5px 10px;border:2px solid #777;border-radius:5px;"}).html('Nueva Imagen +'),
					$('<input>', {type: "file", name: "new_img", id: "imagen_destino"+this.destino.id, style: "position: absolute;top:0;display:none;"})
				])
			]) : null,
			/* $('<div>', {class:"form-group"}).append([
				$('<div>', {class: "block-header"}).html('<h2>Imágenes</h2>'),
				$('<div>', {id: "imagenes-"+this.destino.id, class: "div-imagenes"}).html(''),
				$('<div>', {style: "max-width: 150px;position:relative;"}).append([
					$('<button>', {type: "button", onclick: "openImagen("+this.destino.id+")", style: "padding:5px 10px;border:2px solid #777;border-radius:5px;"}).html('Nueva Imagen +'),
					$('<input>', {type: "file", name: "new_img", id: "imagen_destino"+this.destino.id, style: "position: absolute;top:0;display:none;"})
				])
			]), */
	        $('<div>', {class: "destinoFormNavBar form-group"}).append([
	            this.saveButton = $('<button>', {class: "btnSaveDestino btn btn-success"}).html('Guardar'),
	            $('<button>', {class: "btn btn-danger", id: "sidebar_right_cancelar"}).html('Cancelar')
	        ])
	    ]);
	    
		$('#sidebar_right_errors').hide();
		$('#sidebar_right_title').html((this.destino ? 'EDITAR' : 'CREAR') + ' DESTINO');
		$('#rightsidebarContainer').html(this.form);
		this.saveButton.on('click', this.onClickSaveDestino.bind(this));
	}

	get() {

		function imageExists(image_url){
			var http = new XMLHttpRequest();
		
			http.open('HEAD', image_url, false);
			http.send();
		
			return http.status != 404;
		}

		if (this.destino) {
		
			const id_destino = this.destino.id;

			this.destino.image.forEach(function(image) {
				let path = '../'+image.path
	
				var imgContainer = document.createElement('div');
				imgContainer.style.maxWidth = '150px';
				imgContainer.style.position = 'relative';
				imgContainer.style.height = 'fit-content';
				imgContainer.setAttribute('onclick', 'loadDataDeleteImage('+image.id+')')
				imgContainer.setAttribute('id', 'div-image-'+image.id)
	
				var img = document.createElement('img');
				img.src = path;
				img.alt = 'imagen-portada';
				img.width = '150';
	
				var hoverDiv = document.createElement('div');
				hoverDiv.className = 'hover-image';
				hoverDiv.setAttribute('data-toggle', 'modal');
				hoverDiv.setAttribute('data-target', '#modalDeleteImagen');
	
				var trashIcon = document.createElement('i');
				trashIcon.className = 'fa fa-trash';
				trashIcon.style.color = '#fff';
				trashIcon.style.opacity = '0';
				trashIcon.style.fontSize = '20px';
	
				hoverDiv.appendChild(trashIcon);
				imgContainer.appendChild(img);
				imgContainer.appendChild(hoverDiv);
	
				document.getElementById('imagenes-' + id_destino).appendChild(imgContainer);
			})
		}

		return this.form;
	}

	onClickSaveDestino(event) {
		event.preventDefault();
    	event.stopPropagation();
		var destino = new FormData();
		this.destino && destino.append('id', this.destino.id);
		destino.append('_token', $('meta[name="csrf-token"]').attr('content'));
		destino.append('ciudad', $('.ciudadInput').val());
		destino.append('provincia', $('.provinciaInput').val());
		destino.append('detalle', $('.detalleInput').val());
		destino.append('link_youtube', $('.youtubeInput').val());

		if (this.files) {
			this.files.forEach(function(file) {
				destino.append('images[]', file);
			}, this)
		}

		if (this.deletedImages.length > 0) {
			this.deletedImages.forEach(function(fileId) {
				destino.append('deletedImages[]', fileId);
			})
		}

		$.ajax({
			url: base_url + '/destinos/save',
			type: 'POST',
			data: destino,
			datatype: 'JSON',
			cache: false,
        	contentType: false,
        	processData: false,
        	beforeSend: this.appendLoader.bind(this),
        	success: this.onSaveDestino.bind(this)
		});
	}

	onSaveDestino(data) {
		this.loader.remove();
		if (data.errors) {
			showErrors('#sidebar_right_errors', data.errors)
		} else {
			swal({
				title: 'Hecho',
				text: 'Destino guardado con exito',
				icon: 'success'
			});
			this.destino = data;
			this.form.trigger('savedestino', [this.destino]);
		}
	}

	appendLoader() {
		this.loader = new Loader('xs');
		$('.destinoFormNavBar').append(this.loader);
	}

	initializeDropzone() {
		this.dropzone = new Dropzone('div#imageInput', {
        	url: base_url + '/destinos/bufferImages',
        	headers: {
            	'x-csrf-token': token,
        	},
        	uploadMultiple: true,
        	acceptedFiles: 'image/*',
        	addRemoveLinks: true,
        	dictRemoveFile: 'Eliminar',
        	processingmultiple: this.onProcessingUpload.bind(this),
        	successmultiple: this.onFinishBufferImages.bind(this),
        	removedfile: this.onRemovedFile.bind(this)
        });
        this.prepareImagesIfNeeded();
	}

	prepareImagesIfNeeded() {
		if (!this.destino) {
			return;
		}
		this.destino.image.forEach(function(image) {
			var mockFile = {
				name: image.name,
				size: image.size,
				id: image.id
			};
    		this.dropzone.displayExistingFile(mockFile, folder_url + '/' + image.path);
		}, this)
	}

	onProcessingUpload() {
		this.saveButton.attr('disabled', true);
	}

	onFinishBufferImages(files, response) {
		this.saveButton.attr('disabled', false);
		if (files[0]['accepted']) { // response == 'ok'
			this.files = this.files.length > 0 ? this.files.concat(files) : files;
		}
	}

	onRemovedFile(file, url) {
		for (var i = 0; i < this.files.length; i++) {
			if (file == this.files[i]) {
				this.files.splice(i, 1);
				break;
			}
		}
	
		file.previewElement.remove();
		if (file.id) {
			this.deletedImages.push(file.id);
		}
	}
}