class destinos_Table {
	constructor() {
		this._getData().then(this.onDataReady.bind(this));
		this.render();
	}

	render() {
		this.tableBody = $('<tbody>').append(this.createLoader())
		var createButton = this._createButtonIfNeeded();
		this.table = $('<table>', {'class': 'table table-bordered tabla-circuitos tablaDestinos'}).append(
			[$('<thead>').append([
				$('<tr>').append([
					$('<th>').html('Ciudad'),
					$('<th>').html('Provincia'),
					$('<th>').html('Acciones').append([createButton]),
				])
			]),
			this.tableBody,
			$('<tfoot>', {'style': 'display:none'}).append([
				$('<tr>').append([
					$('<th>').html('Ciudad'),
					$('<th>').html('Provincia'),
					$('<th>').html('Acciones'),
				])
			])
		]);
		this.table.on('savedestino', this.onDestinoSaved.bind(this));
		this.table.on('removedestino', this.onDestinoRemove.bind(this));
	}

	get() {
		return this.table;
	}

	_getData() {
		return $.ajax({
			url: base_url + '/destinos/getAll',
			type: 'GET',
		})
	}

	onDataReady(response) {
		this.destinos = JSON.parse(response);
		this.createRows();
		this.table.DataTable({
			pageLength: 25,
		    language: {
	            url: base_url+'/../js/vendors/dataTables/spanish.json'
		    },
	        columnDefs: [{
	            orderable: false,
	            targets: 2
	        }]
		});
	}

	initDataTable() {
		this.table.DataTable({
			pageLength: 25,
		    language: {
	            url: base_url+'/../js/vendors/dataTables/spanish.json'
		    },
	        columnDefs: [{
	            orderable: false,
	            targets: 2
	        }]
		});
	}

	_createButtonIfNeeded() {
		if (userSession.role != 2) {
			return;
		}
		var btn = $('<a>', {
			'href': "#",
			'class': "btnTableAdd js-right-sidebar",
			'id': "",
			'data-close': "true"
		}).append([
			$('<i>', {'class': "fas fa-plus-circle fa-lg"}),
			' Nuevo'
		]);
		btn.on('click', this.onClickBtnCreate.bind(this));
		return btn;
	}

	onClickBtnCreate() {
		var form = new destino_Form();
		form.get().on('savedestino', this.onDestinoSaved.bind(this));
	}

	createRows() {
		this.tableBody.html('');
		if (this.destinos.length > 0) {
			this.destinos.forEach(function(destino) {
				var row = new destino_Row(destino);
				row.appendTo(this.tableBody);
			}, this)
		} else {
			this._appendEmptyMessage();
		}
	}

	_appendEmptyMessage() {
		var message = this.appendUniqueColumn($('<span>').html('No hay destinos cargados.'))
		this.tableBody.html(message);
	}

	createLoader() {
		return this.appendUniqueColumn(new Loader);
	}

	appendUniqueColumn(content) {
		return $('<tr>').append(
			$('<td>', {
				'class': 'uniqueColumn',
				'colspan': 3
			}).append(content)
		);
	}

	onDestinoSaved(event, destino) {
		var tr = $('.destinoRow' + destino.id);
    	if (tr.length > 0) {
    		this.table.DataTable().row(tr).invalidate().draw();
    	} else {
			var row = new destino_Row(destino);
			this.destinos.push(destino);
			this.table.DataTable().row.add(row[0]).draw();
    	}
	}

	onDestinoRemove(event, destino) {
		var tr = $('.destinoRow' + destino.id)
		this.table.DataTable()
			.row(tr)
			.remove()
			.draw();
		swal('Exito', 'Destino borrado con exito', 'success');
	}
}