class cuentas_FormCuotasPasajeros {
	constructor(info) {
		this.info = info;
		console.log(this.info);
		this.getData().then(this.onDataReady.bind(this));
		this.render();
	}

	render() {
		$('#sidebar_right_errors').hide();
		$('#rightsidebarContainer').html($('<div>', {class: 'LoaderContainer'}).append(new Loader()));
		this.setTitle();

		this.form = $('<form>', {id: "form_cuotas", action: base_url+"/pasajeros/saveCuota", method: "post"}).append([
	        $('<div>', {class: "block-header"}).append(
				$('<p>', {class: "", style:"text-align: left;font-weight: 100;margin-left: 0px;"}).html('Pasajero: '+this.info.apellido + ', ' + this.info.nombre)
	        ),
	        $('<div>', {class: "form-group"}).append([
	            $('<div>', {class: "form-line"}).append([
	                this.viajeSelect = $('<select>', {name: "viajesAnotados", id: "viajesAnotados", class: "form-control", required:"required"}).append(
	                    $('<option>', {hidden: true, disabled: true, selected: true, value: ""}).html('Elija el viaje')
	                )
	            ])
	        ]), 
	        $('<div>', {class: "input-group"}).append([
	            $('<div>', {class: "form-line"}).append([
	                $('<span>', {class: "input-group-addon", style:'width:unset', id: "tipoMoneda"}).html('$'),
	                $('<input>', {type: "text", class: "montoCuota form-control", placeholder: "Monto", name:"monto", id:"monto", required:"required"})
	            ])
	        ]),
	        $('<div>', {class: "form-group"}).append([
	            $('<div>', {class: "form-line"}).append([
	                this.medioPagoSelect = $('<select>', {name: "medio_pago", id: "medio_pago", class: "form-control", onchange: "changeMedioPago();", required:"required"}).append(
	                    $('<option>', {hidden: true, disabled: true, selected: true, value: ""}).html('Elija medio de pago')
	                )
	            ])
	        ]),
	        $('<div>', {class: "input-group", id: "tipoCambioDiv", style: 'display:none'}).append([
	            $('<div>', {class: "form-line"}).append([
	                $('<span>', {class: "input-group-addon", style:'width:unset', id: "tipoMonedaCambio"}).html('$'),
	                $('<input>', {type: "text", class: "montoCambio form-control", placeholder: "Tipo de Cambio", name:"tipoCambio"})
	            ])
	        ]),
	        $('<div>', {class: "form-group"}).append([
	            $('<div>', {class: "form-line"}).append([
	                this.oficinaSelect = $('<select>', {name: "oficina", id: "oficina", class: "form-control", required:"required"}).append(
	                    $('<option>', {hidden: true, disabled: true, selected: true, value: ""}).html('Elija oficina')
	                )
	            ])
	        ]),
	        $('<div>', {class: "form-group"}).append([
	            $('<div>', {class: "form-line"}).append([
	                this.verRecibo = $('<select>', {name: "verRecibo", id: "verRecibo", class: "form-control"}).append(
	                    $('<option>', {value: "1"}).html('Mostrar Recibo'),
						$('<option>', {value: "0"}).html('No Mostrar Recibo')
	                )
	            ])
	        ]),
	        $('<div>', {class: "input-group", style: 'display:none'}).append([
	            $('<div>', {class: "form-line"}).append([
	                $('<input>', {type: "hidden", class: "form-control", name:"idPasajero", value: this.info.id})
	            ])
	        ]),
	        $('<div>', {class: "input-group", style: 'display:none'}).append([
	            $('<div>', {class: "form-line"}).append([
	                $('<input>', {type: "hidden", class: "form-control", name:"_token", value: $('meta[name="csrf-token"]').attr('content')})
	            ])
	        ]),
	        $('<div>', {class:"form-group", style: "text-align: right"}).append([
	            this.saveButton = $('<button>', {class: "btn-save-cuota btn btn-success", type: "submit"}).html('Guardar'), ' ',
	            $('<button>', {class: "btnCancelCuota btn btn-danger", id: "sidebar_right_cancelar"}).html('Cancelar')
        	])
		]);

		//cargarSaldosAFavor(this.info.pasajero_id, this.info.precio_opcional, this.info.viaje_id);

		//this.saveButton.on('click', this.onClickSave.bind(this));		

	}

	get() {
		return this.form;
	}

	setTitle() {
		$('#sidebar_right_title').html('AGREGAR CUOTA');
	}

	getData() {
    	return $.ajax({
    		url: base_url + '/caja/getformdata',
    		type: 'GET'
    	});	
    }

	onDataReady(response) {
    	this.oficinas = JSON.parse(response[0]);
    	this.mediosPago = this.filterTransactionTypes(JSON.parse(response[1]));
    	this.appendViajesOptions();
    	this.appendOficinasOptions();
    	this.appendMediosPagoOptions();
		$('.montoCuota').mask("#.##0,00", {reverse: true});
		$('.montoCambio').mask("#.##0,00", {reverse: true});
    	$('#rightsidebarContainer').html(this.form);
    }

    filterTransactionTypes(transactions) {
    	return transactions.filter(function(transaction) {
			return transaction.id != 4 && transaction.id != 6 && transaction.id != 7 && transaction.id != 15 && transaction.id != 16;
    	}, this);
    }

    appendViajesOptions() {
    	var options = [];
    	this.info.viajes.forEach(function(viaje) {
    		var option = $('<option>', {value: viaje.id}).html(viaje.destino);
    		options.push(option);
    	}, this);
    	this.viajeSelect.append(options);
        if (this.transaction) {
            this.viajeSelect.val(this.transaction.viaje_id);
        }
    }

    appendOficinasOptions() {
    	var options = [];
    	this.oficinas.forEach(function(oficina) {
    		var option = $('<option>', {value: oficina.id}).html(oficina.nombre);
    		options.push(option);
    	}, this);
    	this.oficinaSelect.append(options);
        if (this.transaction) {
            this.oficinaSelect.val(this.transaction.oficina_id);
        }
    }

    appendMediosPagoOptions() {
    	var options = [];
    	this.mediosPago.forEach(function(medioPago) {
			if (medioPago.id != 10) {
				var option = $('<option>', {value: medioPago.id}).html(medioPago.nombre);
				options.push(option);
			}
    	}, this);
    	this.medioPagoSelect.append(options);
        if (this.transaction) {
			this.medioPagoSelect.val(this.transaction.tipo_transaccion_id);
        }

        this.medioPagoSelect.change(this.onMedioDePagoSelectChange.bind(this));
    }


	/* onClickSave(event) {
		event.preventDefault();
		var cuota = this.getValue();
		this.saveCuota(cuota);
	}

	getValue() {
		var montoEntregado = $('#form_cuotas .montoCuota').val();
		var idViaje = $('#viajesAnotados').val();
		return {
			monto: stringToFloatDecimals(montoEntregado),
			pasajero_id: this.info.id,
			viaje_id: idViaje,
			medio_pago_id: $('#form_cuotas #medio_pago').val(),
			oficina_id: $('#form_cuotas #oficina').val()
		};
	}

	saveCuota(data) {
		$.ajax({
			url: base_url+'/cuentas/saveCuota',
			type: 'POST',
			data: {
				_token: $('meta[name="csrf-token"]').attr('content'),
				data: data
			},
			success: this.onSave.bind(this)
		})
	} */

	onSave(response) {
		var pasajero = $('#form_cuotas').data('pasajero');
		if(response.errors) {
			showErrors('#sidebar_right_errors', response.errors);
		} else {
			var cuota = $.parseJSON(response);
			/* if (this.info.cuotas === "") {
				this.cuotas.push(cuota);
			} else {
				this.info.cuotas.push(cuota);
			} */
			this.info.cuotas.push(cuota);
			this.form.trigger('savecuota', cuota);

			var idPasajero = this.info.pasajero_id;

			swal({
				title: 'Hecho',
				text: 'Cuota guardada con exito.',
				icon:'success'
			});
			var verRecibo = $('#verRecibo option:selected').val();
			if (verRecibo == "1") {
				setTimeout(function(){ window.open('../recibo/'+idPasajero+'/'+cuota.transaction.id); }, 3000);
			}
		}
	}

	onMedioDePagoSelectChange(event) {
		event.preventDefault();
		if (this.isPayingWithDifferentCurrency()) {
			//this.tipoCambioContainer.show();
			this.tipoCambioAddOn.html(sistema_TipoTransaccion.getCurrencySymbol(this.medioPagoSelect.val()))
		} else {
			//this.tipoCambioContainer.hide();
		}
	}

	isPayingWithDifferentCurrency() {
		return (
			this.moneda == sistema_TipoTransaccion.DOLARES && this.medioPagoSelect.val() != sistema_TipoTransaccion.DOLARES
		) || (
			this.moneda == sistema_TipoTransaccion.EUROS && this.medioPagoSelect.val() != sistema_TipoTransaccion.EUROS
		) || (
			this.moneda == sistema_TipoTransaccion.REALES && this.medioPagoSelect.val() != sistema_TipoTransaccion.REALES
		);
	}
}

/* function cargarSaldosAFavor(pasajero_id, precio_opcional, viaje_id) {
	if (precio_opcional === null) {
		var precio_viaje = 0;
	} else {
		var precio_viaje = precio_opcional;
	}
	$.ajax({
		url: base_url + "/cuentas/saldo-a-favor/"+pasajero_id+"/"+precio_viaje+"/"+viaje_id,
		success:
		function(response) {
			//alert(response['monto']);
			if (response['sumatoria'] > 0) {
				setTimeout(
					function() {
						$('#msgSaldoAFavor').text('El pasajero posee saldo a favor ($'+response["sumatoria"]+').');
						$('#msgSaldoAFavor').css({"font-style": "italic", "color": "#ff4c4c", "font-weight": "100", "margin": "0", "margin-top": "10px", "text-align": "left"});
						$('#medio_pago').append($('<option>', {
							value: '10',
							text: 'Saldo a Favor'
						}));
						$('#monto').val(response["monto"]);
						$("#medio_pago option[value=10]").prop("selected", true);
					}, 1000);
			}
		}
	})
} */
function changeMedioPago() {
	var medio_pago = $('#medio_pago').val();
	if (medio_pago == "5" || medio_pago == "8") {
		$('#tipoCambioDiv').show();
	} else {
		$('#tipoCambioDiv').hide();
	}
}