class pasajero_Row {
	constructor(pasajero) {
		this.pasajero = pasajero;
		return this.render();
	}

	render() {
		this.editBtn = $('<button>', {class: "btn btn-primary js-right-sidebar"}).html('<i class="fas fa-edit"></i>');
		this.deleteBtn = $('<button>', {class: "btn bg-pink"}).html('<i class="fas fa-trash"></i>');
		var dataViajes = this.pasajero.viajes;
		var cantViajes = dataViajes.length;
		this.addPagoBtn = '';
		if (cantViajes > 0) {
			this.addPagoBtn = $('<button>', {type:"button", class:"btn bg-green", id:"id-add-cuotas"}).html('<i class="fas fa-dollar-sign"></i>').attr("data-toggle", "modal").attr("data-target", "#modalCuotas").attr("onClick", "loadDataPasajero("+this.pasajero.id+")");
		}
		this.row = $('<tr>', {class: 'pasajero-' + this.pasajero.id}).append([
			this.nombre = $('<td>'),
			this.dni = $('<td>'),
			this.fechaNac = $('<td>'),
			this.localidad = $('<td>'),
			this.telefono = $('<td>'),
			this.comentarios = $('<td>'),
			this.actionButtons = $('<td style="display:flex;">').append([this.editBtn, ' ', this.deleteBtn, ' ', this.addPagoBtn])
		])

		this.updateContent();
		this.editBtn.on('click', this.onClickEditar.bind(this));
    	this.deleteBtn.on('click', this.onClickBorrar.bind(this));

    	return this.row;
	}

	updateContent() {
		this.nombre.html(this.createPasajeroLink());
		this.dni.html(this.pasajero.dni);
		this.fechaNac.html(moment(this.pasajero.fecha_nacimiento).format('DD/MM/YYYY'));
		this.comentarios.html(this.pasajero.comentarios);
		this.localidad.html(this.pasajero.localidad);
		this.telefono.html(this.pasajero.telefono);
	}

	createPasajeroLink() {
		return $('<a>', {
			href: base_url + '/pasajeros/' + this.pasajero.id
		}).html(this.pasajero.apellido + ', ' + this.pasajero.nombre);
	}

	onClickEditar(event) {
        event.preventDefault();
        var form = new pasajero_Form(this.pasajero);
        form.get().on('savecompleted', this.onUpdatePasajero.bind(this));
    }

    onUpdatePasajero(event, pasajero) {
    	this.pasajero = pasajero;
    	this.updateContent();
    	this.row.trigger('updatetable', this.pasajero.id);
    }

	onClickBorrar(event) {
        event.preventDefault();
        this.row.trigger('removepasajero', this.pasajero.id);
    }
}