class pasajero_Table {
	constructor() {
		this.getData().then(this.onDataReady.bind(this));
		this.render();
	}

	render() {
		this.createButton = $('<button>', {class: "btnTableAdd js-right-sidebar"}).html('<i class="fas fa-plus-circle fa-lg"></i> Nuevo')
		this.table = $('<table>', {class: "table table-bordered tabla-circuitos", id: "tabla_pasajero"}).append([
        	$('<thead>').append([
        		$('<tr>').append([
	        		$('<th>').html('Nombre y Apellido'),
	        		$('<th>').html('DNI'),
	        		$('<th>').html('Fecha de Nacimiento'),
	        		$('<th>').html('Localidad'),
	        		$('<th>').html('Tel&eacute;fono'),
	        		$('<th>').html('Comentarios'),
	        		$('<th>').html(this.createButton)
        		])
        	]),
        	this.tbody = $('<tbody>').append([
        		$('<div>', {style: 'text-align:center; margin: 10px 0'}).append(
        			new Loader()
        		)
        	])
        ])

        this.createButton.on('click', this.onClickCrear.bind(this));
        this.table.on('updatetable', this.onUpdateTable.bind(this));
        this.table.on('removepasajero', this.onRemovePasajero.bind(this));
	}

	get() {
		return this.table;
	}

	getData() {
		return $.ajax({
			url: base_url + '/pasajeros/getAll',
			type: 'GET',
		});
	}

	onDataReady(response) {
		this.pasajeros = response;
		this.tbody.html('');

		this.pasajeros.forEach(function(pasajero) {
			var row = new pasajero_Row(pasajero);
			this.tbody.append(row)
		}, this);

        this.initTable();
	}

	initTable() {
	    return this.table.DataTable({
	        pageLength: 50,
	        language: {
	            url: base_url+'/../js/vendors/dataTables/spanish.json'
	        },
	        columnDefs: [{
	            orderable: false,
	            targets: 6
	        }]
	    });
	}

	onClickCrear(event) {
        event.preventDefault();
        var form = new pasajero_Form();
        form.get().on('savecompleted', this.onPasajeroSaveCompleted.bind(this))
	}

	onPasajeroSaveCompleted(event, newPasajero) {
		this.pasajeros.push(newPasajero);
		var newRow = new pasajero_Row(newPasajero);
		this.table.DataTable().row.add(newRow[0]).draw();
	}

	onUpdateTable(event, pasajeroId) {
		var tr = $('.pasajero-' + pasajeroId);
		this.table.DataTable().row(tr).invalidate().draw();
	}

	onRemovePasajero(event, pasajeroId) {
		swal({
            title: 'Borrar Pasajero',
            text: 'Esta seguro que desea borrar este pasajero?',
            icon: 'warning',
            buttons: ['Cancelar', 'Aceptar'],
        }).then(this.onConfirmDelete.bind(this, pasajeroId));
	}

	onConfirmDelete(pasajeroId, confirm) {
        if(confirm) {
            $.ajax({
                url: base_url+'/pasajeros/delete',
                type: 'POST',
                data: {
                    _token: $('meta[name="csrf-token"]').attr('content'),
                    id: pasajeroId
                },
                success: this.onDeleteCompleted.bind(this)
            })
        }
    }

    onDeleteCompleted(pasajeroId) {
    	this.table.DataTable()
			.row($('.pasajero-' + pasajeroId))
			.remove()
			.draw();
        swal('Borrado exitoso', 'Viaje borrado con exito', 'success')
    }
}