class room_Selector {
	constructor(roomTypes, reservas, reservainfo, roomIdSelected) {
		var calculator = new room_AvailabilityCalculator(roomTypes, reservas, true);
		this.roomsAvailability = calculator.calculate();
		this.roomTypes = roomTypes;
		this.reservas = reservas;
		this.reservainfo = reservainfo;
		if (this.roomTypes && this.roomTypes.length > 0) {
            var calculator = new room_AvailabilityCalculator(this.roomTypes, this.reservas, false);
            this.roomAvailability = calculator.calculate();
        }
		this.roomIdSelected = roomIdSelected;
		this.sharingDouble = 0;
		this.sharingTriple = 0;
		return this.render();
	}

	render() {
		this.container = $('<div>');

		this.select = $('<select>', {class: "form-control", id:'roomSelect'}).append($('<option>', {
			hidden: true,
			selected: true,
			disabled: true
		})
		.html('Seleccione tipo de habitacion'))
		.append( this.roomTypes.map(this.createRoomTypeOption.bind(this)) );

		this.roomIdSelected && this.select.val(this.roomIdSelected);
		this.select.on('change', this.checkRoom.bind(this));

		this.container.append(this.select);

		this.contSelect = $('<div id="tipoHab" style="display:none;">');

		this.contSelect.append('<p style="margin: 15px 0 5px 0;">¿Habitacion Twin o Matrimonial?</p>');
		this.secondSelect = $('<select>', { class: "form-control", id: 'secondRoomSelect' });
        this.secondSelect.append($('<option>', { value: 'twin' }).text('Twin'));
        this.secondSelect.append($('<option>', { value: 'matrimonial' }).text('Matrimonial'));

		this.contSelect.append(this.secondSelect);

		this.container.append(this.contSelect);
	}

	get() {
		return this.container;
	}

	isRoomAvailable(index) {
		return this.roomsAvailability[index].cantidad > 0;
	}

	createRoomTypeOption(item) {
		var index = item.type.id;
		var unit = item.type.id == 8 || item.type.id == 9 ? ' plazas' : ' habitaciones';

		var badges = [];
        var restan = 0;
        var libres = 0;
        var dobles = 0;
        var aCompartirDobles = 0;
        var aCompartirTriples = 0;

        for (var cantRooms in this.reservas) {

            var id = this.reservas[cantRooms]['id'];

            var contador = 0;
            for (var cantViajeId in this.reservainfo) {
                if (id == this.reservainfo[cantViajeId]['reserva_id']) {
                    contador++;
                }
            }
            if (this.reservas[cantRooms]['tipo_habitacion_id'] == 8) {
                aCompartirDobles = aCompartirDobles + contador;
            }
            if (this.reservas[cantRooms]['tipo_habitacion_id'] == 9) {
                aCompartirTriples = aCompartirTriples + contador;
            }

        }
        var restanDoblesComp = 0;
        var restanTriplesComp = 0;
        if (aCompartirDobles > 0) {
            restanDoblesComp = aCompartirDobles/2;
            if (!Number.isInteger(restanDoblesComp)) {
                restanDoblesComp = restanDoblesComp.toFixed(1)
            }
        }
        if (aCompartirTriples > 0) {
            restanTriplesComp = aCompartirTriples/3;
            if (!Number.isInteger(restanTriplesComp)) {
                restanTriplesComp = restanTriplesComp.toFixed(1)
            }
        }
		
		var posicion = 0;
        for (const roomType in this.roomsAvailability) {
			if ((roomType != 8) && (roomType != 9)) {

				var lengthArray = this.roomTypes.length;
				for (let index = 0; index < lengthArray; index++) {
					if (this.roomTypes[index].tipo_habitacion_id == roomType) {
						var cantidad_total = this.roomTypes[index].cantidad;
					}
				}
				restan = cantidad_total - this.roomAvailability[roomType]['cantidad'];
				libres = cantidad_total - restan;
				if (roomType == 2) {
					libres = libres - restanDoblesComp;
					if (!Number.isInteger(libres)) {
						libres = Math.trunc(libres);
					}
				}
				if (roomType == 4) {
					libres = libres - restanTriplesComp;
					if (!Number.isInteger(libres)) {
						var b = Math.trunc(libres);
						var c = libres - b;
						if (c < 0.5) {
							libres = b;
						} else {
							libres = b;
						}
					}
				}
				if (roomType == "1") {
					if (this.roomIdSelected == 1) {
						var single = libres + 1;
					} else {
						var single = libres;
					}
				}
				if (roomType == "2") {
					if (this.roomIdSelected == 2) {
						var doble = libres + 1;
					} else {
						var doble = libres;
					}
					if (!Number.isInteger(restanDoblesComp)) {
						if (this.roomIdSelected == 8) {
							var acompdoble = doble*2 + 2;
							doble = doble + 1;
						} else {
							var acompdoble = doble*2 + 1;
						}
					} else {
						if (this.roomIdSelected == 8) {
							var acompdoble = doble*2 + 1;
						} else {
							var acompdoble = doble*2;
						}
					}
				}
				if (roomType == "3") {
					if (this.roomIdSelected == 3) {
						var matrimonial = libres + 1;
					} else {
						var matrimonial = libres;
					}
				}
				if (roomType == "4") {
					if (this.roomIdSelected == 4) {
						var triple = libres + 1;
					} else {
						var triple = libres;
					}
					if (!Number.isInteger(restanTriplesComp)) {
						var b2 = Math.trunc(libres);
						var c2 = triple - b2;
						if (c2 < 0.5) {
							if (this.roomIdSelected == 9) {
								var acomptriple = b2*3 + 3;
								triple = triple + 1;
							} else {
								var acomptriple = b2*3 + 2;
							}
						} else {
							if (this.roomIdSelected == 9) {
								var acomptriple = b2*3 + 2;
							} else {
								var acomptriple = b2*3 + 1;
							}
						}
					} else {
						if (this.roomIdSelected == 9) {
							var acomptriple = triple*3 + 1;
						} else {
							var acomptriple = triple*3;
						}
					}
				}
				if (roomType == "5") {
					if (this.roomIdSelected == 5) {
						var cuadruple = libres + 1;
					} else {
						var cuadruple = libres;
					}
				}
				if (roomType == "6") {
					if (this.roomIdSelected == 6) {
						var quintuple = libres + 1;
					} else {
						var quintuple = libres;
					}
				}
				if (roomType == "7") {
					if (this.roomIdSelected == 7) {
						var sextuple = libres + 1;
					} else {
						var sextuple = libres;
					}
				}
				posicion++;				
			}
        }
		
		if (index == "1") {
			if (single > 0) {
				return $('<option>', {value: index}).html(item.type.nombre + ' (' + single + unit +' disponibles)');
			} else {
				return $('<option>', {value: index, disabled: ""}).html(item.type.nombre + ' (' + single + unit +' disponibles)');
			}
		}
		if (index == "2") {
			if (doble > 0) {
				return $('<option>', {value: index}).html(item.type.nombre + ' (' + doble + unit +' disponibles)');
			} else {
				return $('<option>', {value: index, disabled: ""}).html(item.type.nombre + ' (' + doble + unit +' disponibles)');
			}
		}
		if (index == "3") {
			if (matrimonial > 0) {
				return $('<option>', {value: index}).html(item.type.nombre + ' (' + matrimonial + unit +' disponibles)');
			} else {
				return $('<option>', {value: index, disabled: ""}).html(item.type.nombre + ' (' + matrimonial + unit +' disponibles)');
			}
		}
		if (index == "4") {
			if (triple > 0) {
				return $('<option>', {value: index}).html(item.type.nombre + ' (' + triple + unit +' disponibles)');
			} else {
				return $('<option>', {value: index, disabled: ""}).html(item.type.nombre + ' (' + triple + unit +' disponibles)');
			}
		}
		if (index == "5") {
			if (cuadruple > 0) {
				return $('<option>', {value: index}).html(item.type.nombre + ' (' + cuadruple + unit +' disponibles)');
			} else {
				return $('<option>', {value: index, disabled: ""}).html(item.type.nombre + ' (' + cuadruple + unit +' disponibles)');
			}
		}
		if (index == "6") {
			if (quintuple > 0) {
				return $('<option>', {value: index}).html(item.type.nombre + ' (' + quintuple + unit +' disponibles)');
			} else {
				return $('<option>', {value: index, disabled: ""}).html(item.type.nombre + ' (' + quintuple + unit +' disponibles)');
			}
		}
		if (index == "7") {
			if (sextuple > 0) {
				return $('<option>', {value: index}).html(item.type.nombre + ' (' + sextuple + unit +' disponibles)');
			} else {
				return $('<option>', {value: index, disabled: ""}).html(item.type.nombre + ' (' + sextuple + unit +' disponibles)');
			}
		}
		if (index == "8") {
			if (acompdoble > 0) {
				return $('<option>', {value: index}).html(item.type.nombre + ' (' + acompdoble + unit +' disponibles)');
			} else {
				return $('<option>', {value: index, disabled: ""}).html(item.type.nombre + ' (' + acompdoble + unit +' disponibles)');
			}
		}
		if (index == "9") {
			if (acomptriple > 0) {
				return $('<option>', {value: index}).html(item.type.nombre + ' (' + acomptriple + unit +' disponibles)');
			} else {
				return $('<option>', {value: index, disabled: ""}).html(item.type.nombre + ' (' + acomptriple + unit +' disponibles)');
			}
		}
	}

	validateSelectedRoom(cantSeatsSelected) {
		var roomSelected = this.select.val();
		if (roomSelected && cantSeatsSelected > this.roomsAvailability[roomSelected].cantidadCamas) {
			swal(
				'Adevertencia',
				'La cantidad de pasajeros ('+ cantSeatsSelected +') de esta reserva supera la capacidad de la '+
				'habitacion seleccionada. Por favor, seleccione otro tipo de habitacion.',
				'warning'
			);
			return false;
		}
		return true;
	}

	checkRoom() {
		var roomSelected = this.select.val();
		if (roomSelected == 4 || roomSelected == 5) {
			$('#tipoHab').show();
		} else {
			$('#tipoHab').hide();
		}
	}

	getValue() {
		return parseInt(this.select.val());
	}
}
