renderUserForm = function(title, user) {
	$('#form_user').trigger('reset');
	$('#sidebar_right_title').html(title+' USUARIO');
	if (user) {
		$('#form_user').data('user', user);
		$('.nombre').val(user.name);
		$('.apellido').val(user.lastName);
		$('.dni').val(user.dni);
		$('.telefono').val(user.nroTelefono);
		$('#userRole').val(user.role).selectpicker('render');
		$('#form_user .email').val(user.email);
		$('.password').attr("placeholder", "Nueva constraseña");
		$('.passwordRepeat').attr("placeholder", "Confirmar nueva contraseña");
	} else {
		$('#form_user').data('user', null);
		$('.password').attr("placeholder", "Constraseña");
		$('.passwordRepeat').attr("placeholder", "Confirmar contraseña");
	}
	$('#sidebar_right_errors').hide('400');
}

getUserForm = function() {
	var user = $('#form_user').data('user');
	if(!user) {
		user = {};
	}
	user.name = $('.nombre').val();
	user.lastName = $('.apellido').val();
	user.dni = $('.dni').val();
	user.nroTelefono = $('.telefono').val();
	user.role = $('#userRole').val();
	user.email = $('#form_user .email').val();
	user.password = $('.password').val();
	user.passwordRepeat = $('.passwordRepeat').val();
	return user;
}

renderTableUser = function(user) {
	var row = $('<tr/>', { 'data-user': JSON.stringify(user) })
    row.addClass('user-'+user.id)
	var role = user.role === '1' ? 'Vendedor' : 'Administrador';
	var actions = renderUserActions();
	var string = $(
		'<td>'+user.lastName+', '+user.name+'</td>'+
		'<td>'+user.dni+'</td>'+
		'<td>'+user.email+'</td>'+
		'<td>'+user.nroTelefono+'</td>'+
		'<td>'+role+'</td>'+
		'<td>'+actions+'</td>'
	);
	row.html(string);
	$('#tableUsers tbody').find('tr.user-'+user.id).length > 0 ? $('#tableUsers tbody tr.user-'+user.id).replaceWith(row) : $('#tableUsers tbody').prepend(row);
}

renderUserActions = function() {
	return '<div class="dropdown">'+
        '<button class="btn btn-default dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">'+
            '<i class="fas fa-bars"></i>'+
            '<span class="caret"></span>'+
        '</button>'+
        '<ul class="dropdown-menu" aria-labelledby="dropdownMenu1">'+
            '<li><a href="#" class="dropdown-item btnEditarUser js-right-sidebar"><i class="fas fa-edit"></i> Editar</a></li>'+
            '<li><a href="#" class="dropdown-item"><i class="fas fa-ban"></i> Desactivar</a></li>'+
        '</ul>'+
    '</div>';
}

$(document).ready(function() {
	
	$('#tablaUsers').DataTable({
        pageLength: 50,
        language: {
            url: base_url+'/../js/vendors/dataTables/spanish.json'
        }
    });

	$('#tablaVendedores').DataTable({
        pageLength: 50,
        language: {
            url: base_url+'/../js/vendors/dataTables/spanish.json'
        }
    });

	$('.botoneraUser').on('click', '#btnCreateUser', function(event) {
		event.preventDefault();
		renderUserForm('CREAR', null);
	});

	$('#form_user').on('click', '#btn_save_user', function(event) {
		event.preventDefault();
		var user = getUserForm();
		$.ajax({
			url: base_url+'/users/save',
			type: 'POST',
			data: {
				_token: $('meta[name="csrf-token"]').attr('content'),
				user: user
			},
			success: function(data) {
				if (data.errors) {
                    showErrors('#sidebar_right_errors', data.errors);
                } else {
                	var user = $.parseJSON(data);
                    swal('Hecho', 'Usuario guardado con exito.', 'success')
                    document.location.href = base_url + '/users';
                    //renderTableUser(user);
                }
			}
		})
		
	});

	// ENVIA LA DATA DE UN USER AL FORM PARA PODER EDITARLO
	$('#tableUsers').on('click', '.btnEditarUser', function(event) {
		event.preventDefault();
		var user = $(this).parent('li').parent('ul').parent('div').parent('td').parent('tr').data('user');
		renderUserForm('EDITAR', user);
	});

	$(document).on('click', '.btnDeshabilitarUser', function(event) {
		event.preventDefault();
				swal({
            title: 'Deshabilitar Usuario',
            text: 'Esta seguro que desea deshabilitar este usuario?',
            icon: 'warning',
            buttons: {
            	cancelar : {
            		text: "Cancelar",
    				value: false,
    				className: "swal-button swal-button--cancel keepSideBar"
            	},
            	confirm : {
            		text: "Aceptar",
    				value: true
            	}
            }
        }).then((value) => {
        	if(value) {
				var id = $(this).data('id');
				$.post(base_url + '/users/disable', {
					_token: token,
					id: id
				}).done(function(response) {
					$('#tablaUsers').DataTable()
						.row($('.user-' + id))
						.remove()
						.draw();
				});
        	}
        })
	});

	$(document).on('click', '.btnDeshabilitarVendedor', function(event) {
		event.preventDefault();
				swal({
            title: 'Deshabilitar Vendedor',
            text: 'Esta seguro que desea deshabilitar este vendedor?',
            icon: 'warning',
            buttons: {
            	cancelar : {
            		text: "Cancelar",
    				value: false,
    				className: "swal-button swal-button--cancel keepSideBar"
            	},
            	confirm : {
            		text: "Aceptar",
    				value: true
            	}
            }
        }).then((value) => {
        	if(value) {
				var id = $(this).data('id');
				$.post(base_url + '/users/disable', {
					_token: token,
					id: id
				}).done(function(response) {
					$('#tablaVendedores').DataTable()
						.row($('.user-' + id))
						.remove()
						.draw();
				});
        	}
        })
	});

	$(document).on('click', '.btnHabilitarUser', function(event) {
		event.preventDefault();
		var id = $(this).data('id');
		$.post(base_url + '/users/enable', {
			_token: token,
			id: id
		}).done(function(response) {
			document.location.href = base_url + '/users';
		});
	});
});