class viaje_Form {
	constructor(viaje,individual) {
		this.viaje = viaje || null;
		this.individual = individual || null;
		this.incluye = {'saved': [], 'deleted': []};
		this.getData().then(this.onDataReady.bind(this));
		this.render();
	}

	render() {
        $('#rightsidebarContainer').html($('<div>', {style: 'text-align: center'}).append(new Loader()));

		this.form = $('<form>', {id:"formViaje", enctype:"multipart/form-data"}).append([
            this.formContainer = $('<div>', {class: 'formViajeContainer'}).append([
    			$('<div>', {class:"form-group", id: "selectDestinoSection"}).append([
    				$('<div>', {class:"form-line formDestino"}).append([
    					this.destinosSelect = $('<select>', {name: 'destino', class:"form-control selectSearcher", id:"selectDestino", 'data-live-search': true, title: "Seleccione un destino"}),
    					$('<span>', {style:"margin-left: 0.5em"}).append(
                            this.btnCrearDestino = $('<button>', {class: "btn bg-teal-outline"}).html('Crear Destino')
                        )
    				])
    			]),
                $('<div>', {style: "background: #009e8c66; padding: 10px; border-radius: 10px; margin-bottom: 10px; display: none", id: "crearDestinoSection"}).append([
                    $('<div>', {style: "display: flex; justify-content: space-between; margin-bottom: 10px;"}).append([
                        $('<p>', {style: "margin: 0;"}).text('CREAR DESTINO'),
                        $('<span>').append(
                            this.btnElegirDestino=$('<button>',{class:"btn",style:'padding-bottom: 0;padding-top: 0;padding-left: 5px;padding-right: 6px;border-radius: 100%;background: red;color: #fff;font-weight: bold;'}).html('x')
                        )
                    ]),
                    $('<div>', {class: "form-group", style: "margin-bottom: 10px;"}).append([
                        $('<div>', {class: "form-line", style: "border-radius: 5px;overflow: hidden;"}).append([
                            $('<input>', {type: "text", class: "ciudadInput form-control", placeholder: "Ciudad", style:"padding-left: 5px;"}).val('')
                        ])
                    ]),
                    $('<div>', {class: "form-group", style: "margin-bottom: 0;"}).append([
                        $('<div>', {class: "form-line", style: "border-radius: 5px;overflow: hidden;"}).append([
                            $('<input>', {type:"text", class:"provinciaInput form-control", placeholder:"Provincia", style:"padding-left: 5px;"}).val('')
                        ])
                    ]),
                ]),
                $('<input>', {type: "text", style:"display: none;", id: "inputCrearDestino"}).val('0'),
    			$('<div>', {class:"input-group date", id:"viajeFechaSalida"}).append([
    				$('<div>', {class:"form-line"}).append([
    					$('<input>', {type:"text", class:"fechaSalida form-control", placeholder:"Fecha de Salida"}).val(this.viaje ? moment(this.viaje.fecha_hora_salida).format('DD/MM/YYYY') : null)
    				]),
    				$('<span>', {class: "input-group-addon"}).html('<i class="material-icons">date_range</i>')
    			]),
    			$('<div>', {class:"input-group date", id:"viajeFechaRetorno"}).append([
    				$('<div>', {class:"form-line"}).append([
    					$('<input>', {type:"text", class:"fechaRetorno form-control", placeholder:"Fecha de Retorno"}).val(this.viaje ? moment(this.viaje.fecha_hora_retorno).format('DD/MM/YYYY') : null)
    				]),
    				$('<span>', {class:"input-group-addon"}).html('<i class="material-icons">date_range</i>')
    			]),
    			$('<div>', {class:"form-group", style: 'display: flex'}).append([
                        $('<div>', {class: 'form-line', style: "border-bottom: none;"}).append(
                            this.monedaSelect = $('<select>', {class:"moneda form-control", id: 'monedaSelect', name: 'moneda', style: "border: 1px solid #ddd;"}).append([
                                $('<option>', {hidden: true}).html('Seleccione moneda'),
                                $('<option>', {value: sistema_TipoTransaccion.PESOS}).html('Pesos - $'),
                                $('<option>', {value: sistema_TipoTransaccion.DOLARES}).html('Dolares - U$S'),
                                $('<option>', {value: sistema_TipoTransaccion.EUROS}).html('Euros - €'),
                                $('<option>', {value: sistema_TipoTransaccion.REALES}).html('Reales - R$')
                            ])
                        ),
                        $('<div>', {class: 'form-line', style: "margin-left: 10px;"}).append(
    					   $('<input>', {type:"text", class:"precio form-control", placeholder:"Precio"}).val(this.viaje ? formatMoney(this.viaje.precio) : null)
                        )
    			]),
                $('<div>', {class:"form-group"}).append([
                    $('<div>', {class:"form-line formCategoriaViaje", style: "border-bottom: none;"}).append([
                        this.categoriaSelect = $('<select>', {name: 'categoria', class:"form-control", id:"selectCategoriaViaje", style: "border: 1px solid #ddd;"})
                    ])
                ]),
                $('<div>', {class:"form-group"}).append([
                    $('<div>', {class:"form-line formTipoBusViaje", style: "border-bottom: none;"}).append([
                        this.cochesSelect = $('<select>', {name: 'tipo_de_coche', class:"form-control", id:"selectTipoBusViaje", style: "border: 1px solid #ddd;"})
                    ])
                ]),
                $('<div>', {class:"form-check"}).append([
                    $('<input>', {type: 'checkbox', class: 'form-check-input', id: 'aereoCheckbox'}),
                    $('<label>', {class: 'form-check-label', for: 'aereoCheckbox'}).html('Viaje Aereo')
                ]),
                $('<div>', {class:"form-group"}).append([
                    $('<div>', {class:"form-line"}).append([
                        this.nochesInput = $('<input>', {type:"number", min:0, class:"noches form-control", placeholder:"Cantidad de Noches"}).val(this.viaje ? this.viaje.noches : null)
                    ])
                ]),
                this.roomTypeContainer = $('<div>', {class: 'form-group', style: !this.shouldShowRooms() ? 'display: none' : null}).append([
                    $('<span>', {style: 'margin-right: 0.5em'}).html('Tipos de Habitacion'),
                    this.roomTypeButton = $('<button>', {class: 'btn bg-teal-outline'}).html('Seleccionar'),
                    this.roomTypeList = $('<div>', {class: 'RoomTypeList'})
                ]),
                $('<div>', {class:"form-group"}).append([
                    $('<span>').html('Incluye'),
                    $('<div>', {class:"botones-incluye", id:"botones_incluye"}).append([
                        this.btnAddItem = $('<button>', {class:"btn btn-sm bg-teal"}).html('<i class="fas fa-plus"></i>'),
                        this.btnRemoveItem = $('<button>', {class:"btn btn-sm bg-teal-outline", style:'margin-left:0.5em'}).html('<i class="fas fa-minus"></i>')
                    ]),
    				this.incluyeList = $('<div>', {class:"incluyeContainer"}).append([
    					$('<div>', {class:"entry-incluye"}).append([
    						$('<div>', {class:"form-group", style:"margin-bottom: 10px;"}).append([
    							$('<div>', {class:"form-line"}).append([
    								this.lastIncluyeInput = $('<input>', {class:"input-incluye form-control", name:"incluye[]", type:"text"})
    							])
    						])
    					])
    				])
                ]),
                $('<div>', {class:""}).append([
                    this.isViajeInd = $('<input>', {type:"text", name:'viajeIndividual', id:'viajeIndividual', class:"form-control", style:'display:none'}).val(this.individual ? 1 : '')
                ]),
                $('<div>', {class:"form-group"}).append([
                    $('<div>', {class:"form-line formMostrarWeb", style:"border: none"}).append([
                        $('<span>', {style:"margin-right: 0.5em; padding: 6px 0;"}).html('¿Mostrar en la Web?'),
                        $('<select>', {name: 'mostrar_web', class:"form-control", id:"selectMostrarWeb", style:"width: 80px; border: 1px solid #ddd;"}).append([
                            $('<option>', {value: 1}).html('Si'),
                            $('<option>', {value: 0}).html('No')
                        ]).val(this.viaje ? this.viaje.mostrar_web : 1)
                    ])
                ]),
                $('<div>', {class:"form-group"}).append([
                    $('<span>').html('Itinerario'),
                    $('<div>', {id:"itinerario"}).append([this.viaje ? this.viaje.itinerario : ''])
                ]),
    			$('<div>', {class:"form-group", style:"text-align: right"}).append([
    				this.btnSave = $('<button>', {class:"btn bg-teal"}).html('Guardar'),
    				$('<button>', {class:"btn bg-teal-outline", id:'sidebar_right_cancelar', style:'margin-left:0.5em'}).html('Cancelar')
    			])
            ])
		]);

        this.initHeader();

        if(this.viaje) {
            this.createCamposInfo();
            this.monedaSelect.val(this.viaje.moneda);
        }

        this.btnCrearDestino.on('click', this.onClickCrearDestino.bind(this));
        this.btnElegirDestino.on('click', this.onClickElegirDestino.bind(this));
        this.btnAddItem.on('click', this.onClickAddIncluyeItem.bind(this));
        this.btnRemoveItem.on('click', this.onClickRemoveIncluyeItem.bind(this));
        this.nochesInput.on('change', this.onNochesInputChange.bind(this));
        this.lastIncluyeInput.on('keypress', this.onInputIncluyePressEnter.bind(this));
        this.roomTypeButton.on('click', this.onClickRoomTypeButton.bind(this));
        this.btnSave.on('click', this.onClickSave.bind(this));

    }

    get() {
        return this.form;
    }

    getData() {
        return $.ajax({
            url: base_url + '/viaje/getFormData',
            type: 'GET',
        })
    }

    shouldShowRooms() {
        return this.viaje && this.viaje.noches > 0;
    }

    initHeader() {
		$('#sidebar_right_title').html(this.viaje ? 'EDITAR VIAJE' : 'CREAR VIAJE');
		$('#sidebar_right_errors').hide('400');
    }

	onDataReady(response) {
		this.destinos = JSON.parse(response.destinos);
        this.categorias = JSON.parse(response.categorias);
        this.createAndAppendDestinosOptions();
        this.createAndAppendCategoriasOptions();
        this.createTextAreaItinerario();
        this.createAndAppendCochesOptions();
        $('#rightsidebarContainer').html(this.form);
        this.destinosSelect.selectpicker('val', this.viaje ? this.viaje.destino_id : null);
        this.initPlugins();

        if (this.viaje) {
            $('#aereoCheckbox').prop('checked', !!this.viaje.aereo);
        }
        
        var roomTypes = JSON.parse(response.roomTypes);
        this.formRoomTypes = new viaje_FormRoomType(this.viaje, roomTypes, this.roomTypeList);

        this.formRoomTypes.get().on('goback', this.onGoBack.bind(this));
	}

	createAndAppendDestinosOptions() {
		var options = [];
		this.destinos.forEach(function(destino){
			var option = $('<option>', {value:destino.id}).html(destino.ciudad)
			options.push(option);
		}, this)
		this.destinosSelect.append(options);
	}

    createAndAppendCategoriasOptions() {
        var options = [];
        options.push($('<option>', {hidden: true, value: ''}).html('Seleccione tipo de viaje'))
        this.categorias.forEach(function(categoria){
            var option = $('<option>', {value:categoria.id}).html(categoria.nombre)
            options.push(option);
        }, this)
        this.categoriaSelect
            .append(options)
            .val(this.viaje ? this.viaje.categoria_id : null);
    }

    createTextAreaItinerario() {
        const checkElement = () => {
            const myEle = document.getElementById('itinerario');
    
            if (myEle) {
                new Quill('#itinerario', {
                    theme: 'snow'
                });
            } else {
                setTimeout(checkElement, 100);
            }
        };
    
        checkElement();
    }

    createAndAppendCochesOptions() {
        var options = [];
        options.push($('<option>', {hidden: true, value: ''}).html('Seleccione tipo de coche'));
        options.push($('<option>', {value: '1'}).html('Coche Mix'));
        options.push($('<option>', {value: '2'}).html('Coche Semicama'));
        options.push($('<option>', {value: '3'}).html('Coche Cama'));
        options.push($('<option>', {value: '4'}).html('Mini Bus'));
        options.push($('<option>', {value: '6'}).html('Bus Turístico'));
        options.push($('<option>', {value: '5'}).html('Combi'));
        this.cochesSelect
            .append(options)
            .val(this.viaje ? this.viaje.tipo_bus : null);
    }

	initPlugins() {
        $('.precio').mask("#.##0,00", {reverse: true});
        $('.noches').mask("#");
        this.initDatePicker();
    }

	initDatePicker() {
        $('#viajeFechaSalida input').datepicker({
            autoclose: true,
            format: 'dd/mm/yyyy',
            container: '#viajeFechaSalida',
            language: 'es'
        });
        $('#viajeFechaRetorno input').datepicker({
            autoclose: true,
            format: 'dd/mm/yyyy',
            container: '#viajeFechaRetorno',
            language: 'es'
        });
    }

    createCamposInfo() {
        if (this.viaje.incluye.length == 0) {
        	return;
        }
    	var items = [];
        this.viaje.incluye.forEach(function(item){
            items.push($('<div class="entry-incluye">'+
                    '<div class="form-group" style="margin-bottom: 10px;">'+
                        '<div class="form-line">'+
                            '<input class="input-incluye form-control" name="incluye[]" type="text" data-id="'+item.id+'" value="'+item.descripcion+'" />'+
                        '</div>'+
                    '</div>'+
                '</div>'))
        });
    	this.incluyeList.html(items);
    }

    onClickAddIncluyeItem(event) {
        event.preventDefault();

        this.lastIncluyeInput.off('keypress');
        this.lastIncluyeInput = $('<input>', {class: "input-incluye form-control", name: "incluye[]", type: "text"})
        this.lastIncluyeInput.on('keypress', this.onInputIncluyePressEnter.bind(this));

        $('.incluyeContainer').append(
        	$('<div>', {class: "entry-incluye"}).append(
                $('<div>', {class: "form-group", style: "margin-bottom: 10px;"}).append(
                    $('<div>', {class:"form-line"}).append(this.lastIncluyeInput)
                )
            )
        );
        this.lastIncluyeInput.focus();
    }

    onClickRemoveIncluyeItem(event){
        if ($('.entry-incluye').length > 1) {
        	var input = $('.entry-incluye:last').find('input');
            this.incluye['deleted'].push(input.data('id'));
            $('.entry-incluye:last').remove()
        }

        this.lastIncluyeInput.off('keypress');
        this.lastIncluyeInput = $('input.input-incluye:last');
        this.lastIncluyeInput.on('keypress', this.onInputIncluyePressEnter.bind(this));
        this.lastIncluyeInput.focus();

        return false;
    }

	onClickSave(event) {
        event.preventDefault();
        this.saveViaje();
    }

    // OBTIENE LOS DATOS DEL FORM VIAJE
    getValue() {
        this.incluye['saved'] = [];
        var formValue = {};
        this.getIncluyeValue();
        if (this.viaje) {
        	formValue.id = this.viaje.id;
        }
        formValue.crear_destino = $('#inputCrearDestino').val();
        formValue.destino_id = $('#selectDestino').val();
        formValue.ciudad = $('.ciudadInput').val();
        formValue.provincia = $('.provinciaInput').val();
        formValue.precio = stringToFloatDecimals($('.precio').val());
        formValue.moneda = $('#monedaSelect').val();
        formValue.fecha_hora_salida = $('.fechaSalida').val();
        formValue.fecha_hora_retorno = $('.fechaRetorno').val();
        formValue.categoria = this.categoriaSelect.val();
        formValue.tipo_de_coche = $('#selectTipoBusViaje').val();
        formValue.aereo = $('#aereoCheckbox').is(':checked') ? 1 : 0;
        formValue.noches = $('.noches').val();
        formValue.viajeIndividual = $('#viajeIndividual').val();
        formValue.incluye = this.incluye;
        formValue.roomTypes = this.formRoomTypes.getValue();
        formValue.mostrar_web = $('#selectMostrarWeb').val();
        formValue.itinerario = $('#itinerario .ql-editor').html();
        return formValue;
    }

    getIncluyeValue() {
        var _this = this;
    	$('.input-incluye').each(function(input){
            if(_this.viaje != null) {
                if($(this).val() != '') {
                    _this.incluye['saved'].push({descripcion: $(this).val(), id: $(this).data('id')})
                }
                else if ($(this).data('id')) {
                    _this.incluye['deleted'].push($(this).data('id'))
                }
            } else {
                if($(this).val() != '')
                    _this.incluye['saved'].push({descripcion: $(this).val()})
            }
        })
    }

    saveViaje() {
        var viaje = this.getValue();
        $.ajax({
            url: base_url+'/viaje/save',
            type: 'POST',
            data: {
                _token: $('meta[name="csrf-token"]').attr('content'),
                viaje: viaje
            },
            success: this.onAttemptSaveViaje.bind(this),
            error: function(response) {
                swal('Error', 'Hubo un error al guardar el viaje. Por favor, intente nuevamente', 'error')
            }
        });
    }

    onAttemptSaveViaje(response) {
        if (response.errors) {
            showErrors('#sidebar_right_errors', response.errors)
        } else {
            swal('Hecho', 'Viaje guardado con \u00E9xito.','success')
            this.viaje = response;
            this.form.trigger('updateviaje', [this.viaje]);
        }
    }

    onNochesInputChange(event) {
        event.preventDefault();
        if (this.nochesInput.val() > 0) {
            this.roomTypeContainer.show();
        } else {
            this.roomTypeContainer.hide();
        }
    }

    onClickRoomTypeButton(event) {
        event.preventDefault();
        this.formContainer.hide();
        this.formRoomTypes.toggleVisible(true);
    }

    onGoBack() {
        this.initHeader();
        this.formContainer.show();
        this.formRoomTypes.toggleVisible(false);
    }

    onClickCrearDestino(event) {
        event.preventDefault();

        $('#selectDestinoSection').hide()
        $('#crearDestinoSection').show()
        $('#inputCrearDestino').val("1")
    }

    onClickElegirDestino(event) {
        event.preventDefault();

        $('#crearDestinoSection').hide()
        $('#selectDestinoSection').show()
        $('#inputCrearDestino').val("0")
    }

    onInputIncluyePressEnter(event) {
        if(event.which == 13) {
            this.onClickAddIncluyeItem(event);
        }
    }
}