class viaje_FormRoomType {
	constructor(viaje, roomTypes, badgesContainer) {
		this.viaje = viaje;
		this.roomTypes = roomTypes;
		this.badgesContainer = badgesContainer;
		this.render();
	}

	render() {
		this.form = $('<div>', {class: 'formRoomTypes', style: 'display:none'}).append(
			this.createRoomTypesRows(),
			$('<div>', {class:"form-group", style:"text-align: right"}).append([
				this.btnBack = $('<button>', {class:"btn bg-teal", style:'margin-left:0.5em'}).html('Volver')
			])
		);
		$('#formViaje').append(this.form);

		this.btnBack.on('click', this.onClickBack.bind(this));
		this.update();
	}

	createRoomTypesRows() {
		var rows = [];
		this.roomTypes.forEach(function(roomType) {
			var value = this.getValueIfExists(roomType);
			var input = $('<input>', {class: 'form-control ' + this.createClassName(roomType.nombre) + 'Type', type: 'number', min: 0, style: 'border: 1px solid #ccc;', 'data-id': roomType.id}).val(value ? value : 0)
			var row = $('<div>', {class: 'form-group row'}).append([
				$('<label>', {class: 'col-sm-4 col-form-label', style: 'margin-top: 5px'}).html(roomType.nombre),
				$('<div>', {class: 'col-sm-2'}).append(input)
			]);
			input.on('change', this.onInputChange.bind(this));
			rows.push(row);
		}, this);
		return rows;
	}

	getValueIfExists(roomType) {
		if (!this.viaje || !this.viaje.habitaciones) {
			return null;
		}
		for (var i = 0; i < this.viaje.habitaciones.length; i++) {
			var room = this.viaje.habitaciones[i];
			if (room.tipo_habitacion_id == roomType.id) {
				return room.cantidad;
			}
		}
		return null;
	}

	get() {
		return this.form;
	}

	update() {
		var badges = [];
		this.roomTypes.forEach(function(roomType) {
			var value = $('.' + this.createClassName(roomType.nombre) + 'Type').val();
			if (value > 0) {
				badges.push($('<span>', {class: "badge bg-teal badgeRoomType"}).html(value + ' ' + roomType.nombre));
			}
		}, this);
		if (badges.length > 0) {
			this.badgesContainer.html(badges);
		} else {
			var message = $('<p>').html('Todavia no hay habitaciones seleccionadas');
			this.badgesContainer.html(message);
		}
	}

	onInputChange(event) {
		this.update();
	}

	toggleVisible(value) {
		if (value) {
			$('#sidebar_right_errors').hide('400');
			$('#sidebar_right_title').html('SELECCIONAR TIPOS DE HABITACION');
			this.form.show();
		} else {
			this.form.hide();
		}
	}

	onClickBack(event) {
		event.preventDefault();
		this.form.trigger('goback');
	}

	getValue() {
		var values = [];
		this.roomTypes.forEach(function(roomType) {
			var value = $('.' + this.createClassName(roomType.nombre) + 'Type').val();
			if (value > 0) {
				values.push({ id: roomType.id, cant: value });
			}
		}, this);
		return values;
	}

	createClassName(name) {
		return name.replace(/\s/g, '');
	}
}
