class viaje_Info {
	constructor(viaje, seatsOcuppied) {
		this.viaje = viaje;
        if (this.viaje.habitaciones && this.viaje.habitaciones.length > 0) {
            var calculator = new room_AvailabilityCalculator(this.viaje.habitaciones, this.viaje.reserva, false);
            this.roomAvailability = calculator.calculate();
        }
        this.seatsOcuppied = seatsOcuppied;
		return this.render();
	}

	render() {
        var bus = new bus_View(this.seatsOcuppied, this.viaje, "blocked");
        var incluyeItems = this.createIncluyeItems();
        var currencyMethod = sistema_TipoTransaccion.getCurrencyMethod(this.viaje.moneda)
        var cant_butacas = cantButOcupadas(this.viaje.id);
        return this.info = $('<div>', { class:"slider"}).append([
            $('<div>', {class:"viajeInfo"}).append([
                $('<div>', {class: "viajeInfoBusLayout"}).html(bus),
                $('<div>', {class: "viajeInfoTextLayout"}).append([
                    $('<ul>', {class: "list-group list-group-flush"}).append([
                        $('<li>', {class: "list-group-item"}).html(
                            '<a href="'+base_url+'/lista-de-espera/'+this.viaje.id+'" class="viajeSectionButton btn bg-teal mb-5px">LISTA DE ESPERA</a>'
                        ),
                        $('<li>', {class: "list-group-item"}).html(
                            '<strong>Butacas Ocupadas</strong> <span id="canButOcupadasId'+this.viaje.id+'"></>'
                        ),
                        $('<li>', {class: "list-group-item"}).html(
                            '<strong>Salida</strong> ' + moment(this.viaje.fecha_hora_salida).format('DD/MM/YYYY')
                        ),
                        $('<li>', {class: "list-group-item"}).html(
                            '<strong>Retorno</strong> ' + moment(this.viaje.fecha_hora_retorno).format('DD/MM/YYYY')
                        ),
                        $('<li>', {class: "list-group-item"}).html('<strong>Tipo</strong> ' + this.viaje.categoria.nombre),
                        $('<li>', {class: "list-group-item"}).html('<strong>Noches</strong> ' + this.viaje.noches),
                        $('<li>', {class: "list-group-item"}).html('<strong>Precio</strong> ' + currencyMethod(this.viaje.precio)),
                        this.createRoomSectionIfNeeded(),
                        this.createRoomOccupiedIfNeeded(),
                        $('<li>', {class: "list-group-item"}).html(
                            '<strong>Incluye</strong>' +
                            '<ul class="list-group list-group-flush">' + incluyeItems + '</ul>')
                    ])
                ])
            ])
        ]);
	}

    createIncluyeItems() {
        var lista = '';
        if(this.viaje.incluye.length == 0) {
            lista = '<p>Este viaje no incluye items.</p>';
        } else {
            this.viaje.incluye.forEach(function(item){
                lista += '<li class="list-group-item">'+item.descripcion+'</li>'
            });
        }
        return lista;
    }

    createRoomSectionIfNeeded() {
        if (this.viaje.noches == 0) {
            return;
        }
        var roomsContent = this.createRoomTypeBadges();
        return $('<li>', {class: "list-group-item"}).append([
            $('<span>').html('<strong>Habitaciones Disponibles</strong>'),
            roomsContent
        ]);
    }

    createRoomTypeBadges() {
        if (!this.roomAvailability) {
            return $('<span>', {style:'display:block'}).html('Todavia no hay habitaciones seleccionadas');
        }

        var badges = [];
        var restan = 0;
        var libres = 0;
        var aCompartirDobles = 0;
        var aCompartirTriples = 0;

        for (var cantRooms in this.viaje.reserva) {

            var id = this.viaje.reserva[cantRooms]['id'];

            var contador = 0;
            for (var cantViajeId in this.viaje.reservainfo) {
                if (id == this.viaje.reservainfo[cantViajeId]['reserva_id']) {
                    contador++;
                }
            }
            if (this.viaje.reserva[cantRooms]['tipo_habitacion_id'] == 8) {
                aCompartirDobles = aCompartirDobles + contador;
            }
            if (this.viaje.reserva[cantRooms]['tipo_habitacion_id'] == 9) {
                aCompartirTriples = aCompartirTriples + contador;
            }

        }
        var restanDoblesComp = 0;
        var restanTriplesComp = 0;
        if (aCompartirDobles > 0) {
            restanDoblesComp = aCompartirDobles/2;
            if (!Number.isInteger(restanDoblesComp)) {
                restanDoblesComp = restanDoblesComp.toFixed(1)
            }
        }
        if (aCompartirTriples > 0) {
            restanTriplesComp = aCompartirTriples/3;
            if (!Number.isInteger(restanTriplesComp)) {
                restanTriplesComp = restanTriplesComp.toFixed(1)
            }
        }

        for (const roomType in this.roomAvailability) {

            var lengthArray = this.viaje.habitaciones.length;
            for (let index = 0; index < lengthArray; index++) {
                if (this.viaje.habitaciones[index].tipo_habitacion_id == roomType) {
                    var cantidad_total = this.viaje.habitaciones[index].cantidad;
                }                    
            }
            restan = cantidad_total - this.roomAvailability[roomType]['cantidad'];
            libres = cantidad_total - restan;
            if (roomType == 2) {
                libres = libres - restanDoblesComp;
                if (!Number.isInteger(libres)) {
                    libres = Math.trunc(libres);
                    badges.push($('<span>', {class: "badge bg-teal badgeRoomType"}).html('1 Plaza a Compartir Doble'));
                }
            }
            if (roomType == 4) {
                libres = libres - restanTriplesComp;
                if (!Number.isInteger(libres)) {
                    var b = Math.trunc(libres);
                    var c = libres - b;
                    if (c < 0.5) {
                        libres = b;
                        badges.push($('<span>', {class: "badge bg-teal badgeRoomType"}).html('1 Plaza a Compartir Triple'));
                    } else {
                        libres = b;
                        badges.push($('<span>', {class: "badge bg-teal badgeRoomType"}).html('2 Plazas a Compartir Triple'));
                    }
                }
            }
            if (libres != 0) {
                badges.push($('<span>', {class: "badge bg-teal badgeRoomType"}).html(libres + ' ' + this.roomAvailability[roomType].nombre));
            }
        }
        if (badges.length > 0) {
            return $('<ul>', {class: "list-group-flush",style:"padding-left:0;"}).append(badges);
        } else {
            return $('<span>', {style:'display:block'}).html('Ya no hay habitaciones disponibles');
        }
    }

    createRoomOccupiedIfNeeded() {
        if (this.viaje.noches == 0) {
            return;
        }
        var roomsOccupied = this.createOccupiedRoomTypeBadges();
        return $('<li>', {class: "list-group-item"}).append([
            $('<span>').html('<strong>Habitaciones Ocupadas</strong>'),
            roomsOccupied
        ]);
    }
    createOccupiedRoomTypeBadges() {
        if (!this.roomAvailability) {
            return $('<span>', {style:'display:block'}).html('Todavia no hay habitaciones ocupadas');
        }
        var badges = [];
        var restan = 0;
        var aCompartirDobles = 0;
        var aCompartirTriples = 0;

        for (var cantRooms in this.viaje.reserva) {

            var id = this.viaje.reserva[cantRooms]['id'];

            var contador = 0;
            for (var cantViajeId in this.viaje.reservainfo) {
                if (id == this.viaje.reservainfo[cantViajeId]['reserva_id']) {
                    contador++;
                }
            }
            if (this.viaje.reserva[cantRooms]['tipo_habitacion_id'] == 8) {
                aCompartirDobles = aCompartirDobles + contador;
            }
            if (this.viaje.reserva[cantRooms]['tipo_habitacion_id'] == 9) {
                aCompartirTriples = aCompartirTriples + contador;
            }

        }
        var restanDoblesComp = 0;
        var restanTriplesComp = 0;
        if (aCompartirDobles > 0) {
            restanDoblesComp = aCompartirDobles/2;
            if (!Number.isInteger(restanDoblesComp)) {
                restanDoblesComp = restanDoblesComp.toFixed(1)
            }
        }
        if (aCompartirTriples > 0) {
            restanTriplesComp = aCompartirTriples/3;
            if (!Number.isInteger(restanTriplesComp)) {
                restanTriplesComp = restanTriplesComp.toFixed(1)
            }
        }

        for (const roomType in this.roomAvailability) {

            var lengthArray = this.viaje.habitaciones.length;
            for (let index = 0; index < lengthArray; index++) {
                if (this.viaje.habitaciones[index].tipo_habitacion_id == roomType) {
                    var cantidad_total = this.viaje.habitaciones[index].cantidad;
                }                    
            }
            restan = cantidad_total - this.roomAvailability[roomType]['cantidad'];
            if ((roomType == 2) && (restanDoblesComp != 0)) {
                badges.push($('<span>', {class: "badge bg-teal badgeRoomType"}).html(restanDoblesComp + ' a Compartir Doble'));
            }
            if ((roomType == 4) && (restanTriplesComp != 0)) {
                badges.push($('<span>', {class: "badge bg-teal badgeRoomType"}).html(restanTriplesComp + ' a Compartir Triple'));
            }
            if (restan != 0) {
                badges.push($('<span>', {class: "badge bg-teal badgeRoomType"}).html(restan + ' ' + this.roomAvailability[roomType].nombre));
            }
        }

        if (badges.length > 0) {
            return $('<ul>', {class: "list-group-flush",style:"padding-left:0;"}).append(badges);
        } else {
            return $('<span>', {style:'display:block'}).html('Habitaciones Completas');
        }
    }
}

function cantButOcupadas(id) {
    $.ajax({
        url: "sistema/getDataButOcupadas/"+id,
        success: function(response){
            $('#canButOcupadasId'+id).text(response);
        }
    });
}