class viaje_StatusMenu {
	constructor(viaje, isEditable) {
		this.viaje = viaje;
        this.isEditable = isEditable;
		return this.render();
	}

	render() {
		var props = this.getStatusProps();
        return this.createMenuOrLabel(props);
    }

    createMenuOrLabel(props) {
        if (userSession.role == 2) {
            return this.createMenu(props);
        } else {
            return this.createLabel(props);
        }
    }

    createMenu(props) {
        this.menu = $('<div>', {'class':"dropdown dropdownEstadoViaje"}).append([
            $('<button>', {'class': 'statusViaje btn btn-xs '+props[1]+' dropdown-toggle', 'data-toggle':'dropdown', 'aria-haspopup': 'true', 'aria-expanded': 'true'}).append([
                $('<strong>').html(props[0]),
                this.isEditable ? $('<span>', {'class': 'caret'}) : null
            ]),
            this.getMenuIfNeeded()
        ]);
        return this.menu;
    }

    getMenuIfNeeded() {
        if (!this.isEditable) {
            return;
        }

        var menu = $('<ul>', {'class': 'dropdown-menu dropdown-menu-right', 'aria-labelledby': 'dropdownMenu1'}).append([
            this.activeBtn = $('<li>').html($('<a>', {'href': "#", 'class': "linkStatusMenu btn btn-xs bg-amber dropdown-item", 'data-status': '2'}).html('Activo')),
            this.cancelBtn = $('<li>').html($('<a>', {'href':"#", 'class':"linkStatusMenu btn btn-xs label-danger dropdown-item", 'data-status': '1'}).html('Cancelado')),
            this.completedBtn = $('<li>').html($('<a>', {'href':"#", 'class':"linkStatusMenu btn btn-xs label-success dropdown-item", 'data-status': '4'}).html('Completo')),
            this.cerradoBtn = $('<li>').html($('<a>', {'href':"#", 'class':"linkStatusMenu btn btn-xs label-info dropdown-item", 'data-status': '5'}).html('Cerrado'))
        ]);
        this.activeBtn.on('click', this.onClickStatusViaje.bind(this));
        this.cancelBtn.on('click', this.onClickStatusViaje.bind(this));
        this.completedBtn.on('click', this.onClickStatusViaje.bind(this));
        this.cerradoBtn.on('click', this.onClickStatusViaje.bind(this));
        return menu;
    }

    createLabel(props) {
        return $('<label>', {class: 'LabelStatusViaje ' + props[1]}).html(props[0]);
    }

	getStatusProps() {
        if (this.viaje.estado == 1) {
            return ['Cancelado', 'label-danger'];
        } else if (this.viaje.estado == 2 && !this.viajeIsEnded()) {
            $('#viajeSection'+this.viaje.id).show();
            return ['Activo', 'bg-amber'];
        } else if (this.viajeIsEnded()){
            return ['Finalizado', 'label-success'];
        } else if (this.viaje.estado == 5 && !this.viajeIsEnded()){
            $('#viajeSection'+this.viaje.id).hide();
            return ['Cerrado', 'label-info'];
        } else {
            $('#viajeSection'+this.viaje.id).hide();
            return ['Completo', 'label-success'];
        }
    }

    viajeIsEnded() {
        var currentDate = moment().format('YYYY-MM-DD');
        var retornoDate = moment(this.viaje.fecha_hora_retorno).format('YYYY-MM-DD')
        return currentDate > retornoDate;
    }

    onClickStatusViaje(event) {
        event.preventDefault();
        var newStatus = $(event.currentTarget).find('a').data('status');
        this.saveStatusViaje(newStatus);
    }

    saveStatusViaje(newStatus) {
        $.ajax({
            url: base_url+'/viaje/updateStatus',
            type: 'POST',
            data: {
                _token: $('meta[name="csrf-token"]').attr('content'),
                id: this.viaje.id,
                newStatus: newStatus
            },
            success: this.onSaveStatusViaje.bind(this)
        }) 
    }

    onSaveStatusViaje(response) {
        this.viaje.estado = parseInt(response);
        this.viaje.estado_descripcion = this.getStatusProps()[0];
        this.updateMenu();
        this.menu.trigger('updatestatusviaje', [this.viaje.estado]);
    }

    updateMenu() {
        var button = this.menu.find('button');
        var props = this.getStatusProps();
        button.removeClass()
            .addClass('statusViaje btn btn-xs '+props[1]+' dropdown-toggle')
            .html('<strong>' + props[0] + '</string> <span class="caret"></span>');
    }
}