class viaje_Table {
	constructor(viajes) {
		this.viajes = viajes;
        //this.viajes = this.getAsientosOcupados().then(this.onSeatsReady.bind(this));
		this.render();
	}
	
	render() {
		var rows = this.buildRows();
		this.table = $('<table>', {'class': 'table table-bordered tabla-circuitos', 'id': 'tablaViaje'}).append([
			$('<thead>').append([
				$('<tr>').append([
					$('<th>').html('Destino'),
					$('<th>').html('Fecha'),
					$('<th>').html(this.createCreatorButtonIfNeeded())
				])
			]),
			$('<tbody>').append(rows)
		])
		this.loadDataTables();
		this.table.on('detallesviaje', this.onClickDetallesViaje.bind(this));
		this.table.on('updateviaje', this.onUpdateViaje.bind(this));
		this.table.on('removeviaje', this.onClickDeleteViaje.bind(this));
	}

	get() {
		return this.table;
	}

	buildRows() {
		var rows = [];
		this.viajes.forEach(function(viaje) {
			rows.push(new viaje_TableRow(viaje));
		}, this);
		return rows;
	}

	loadDataTables() {
        $.fn.dataTable.moment( 'DD/MM/YYYY' );
		this.table.DataTable({
            pageLength: 25,
            language: {
                url: base_url+'/../js/vendors/dataTables/spanish.json'
            },
            aaSorting: [],
            columnDefs: [{
                orderable: false,
                targets: 2
            }]
        });
	}

	createCreatorButtonIfNeeded() {
		if (userSession.role != 2) {
            return;
        }
        this.btnCreate = $('<a>', {href:"#", class:"btnTableAdd js-right-sidebar", id:"btn_crear_viaje", 'data-close':"true"})
                .html('<i class="fas fa-plus-circle fa-lg"></i> Nuevo');
        
        if (window.location.pathname == "/sistema/viajes-individuales" || window.location.pathname == "/circuitos-dev/public/sistema/viajes-individuales") {
            this.btnCreate.on('click', this.onClickCreateViajeInd.bind(this));
        } else {
            this.btnCreate.on('click', this.onClickCreateViaje.bind(this));
        }
		return this.btnCreate;
	}

	onClickCreateViaje() {
		var form = new viaje_Form();
		form.get().on('updateviaje', this.onUpdateViaje.bind(this));
	}

	onClickCreateViajeInd() {
		var form = new viaje_Form(undefined, 1);
		form.get().on('updateviaje', this.onUpdateViaje.bind(this));
	}

	onClickDetallesViaje(event, viaje) {
        var tr = $('.viajeRow' + viaje.id)
        var row = this.table.DataTable().row(tr);

        if ( row.child.isShown() ) {
            $('div.slider', row.child()).slideUp( function () {
                row.child.hide('400');
                tr.removeClass('shown');
            } );
        } else {
            $.ajax({
                url: base_url+'/bus/' + viaje.id,
                type: 'GET',
                data: {_token: $('meta[name="csrf-token"]').attr('content')},
                success: this.onBusDataReady.bind(this, viaje, row, tr)
            })
        }
    }

    onBusDataReady(viaje, row, tr, response) {
        viaje.busSeats = response;
        var viajeInfo = new viaje_Info(viaje, viaje.busSeats);
        row.child(viajeInfo).show('400');
        tr.addClass('shown');
        $('div.slider', row.child()).slideDown();
    }

    onUpdateViaje(event, viaje) {
    	var tr = $('.viajeRow' + viaje.id);
    	if (tr.length > 0) {
    		this.table.DataTable().row(tr).invalidate().draw();
    	} else {
    		viaje.estado = 2;
    		this.viajes.push(viaje);
    		var newRow = new viaje_TableRow(viaje);
    		this.table.DataTable().row.add(newRow[0]).draw();
    	}
    }

    onClickDeleteViaje(event, data) {
        event.preventDefault();
        swal({
            title: 'Borrar Viaje',
            text: 'Esta seguro que desea borrar este viaje?',
            icon: 'warning',
            buttons: ['Cancelar', 'Aceptar'],
        }).then((value) => {
            if(value) {
                $.ajax({
                    url: base_url+'/viaje/borrar',
                    type: 'POST',
                    data: {
                        _token: $('meta[name="csrf-token"]').attr('content'),
                        id: data.viajeId
                    },
                    success: this.onDeleteViaje.bind(this, data.viajeId)
                })
            }
        })
    }

    onDeleteViaje(viajeId, response) {
        this.table.DataTable()
			.row($('.viajeRow' + viajeId))
			.remove()
			.draw();
        swal('Hecho', 'Viaje borrado con \u00E9xito.', 'success');
    }

    updateAllViajes(viajes) {
        this.viajes = viajes;
        this.table.DataTable().rows().every(function(index) {
            this.row(0).remove();
        });
        this.viajes.forEach(function(viaje) {
            var row = new historial_TableRow(viaje);
            this.table.DataTable().row.add(row[0]);
        }, this);
        this.table.DataTable().draw();
    }

    /* getAsientosOcupados() {
		return $.ajax({
			url: base_url + '/reservar/' + this.viaje.id + '/getSeatsOccupied',
			type: 'GET'
		});
	}
	onFormDataReady() {
		//debugger;
		this.getAsientosOcupados().then(this.onSeatsReady.bind(this));
	}
	onSeatsReady(response) {
		//console.log(response);
		this.asientosOcupados = response;

        this.render();
	} */
}