@php
	use App\model\core\Common;
@endphp
<!DOCTYPE html>
	<head>
		<style type="text/css">
			html {
				font-family: Arial;
				font-size: 10px;
				line-height: 12px;
			}
			footer { 
			    position: fixed;
			    bottom: -30px;
			    left: 0px;
			    right: 0px;
			    height: 20px;
			    text-align: center;
			}
			p {
			    page-break-after: always;
			    text-align: justify;
			}
			p:last-child {
			    page-break-after: never;
			}
			table, th, td {
				border: 1px solid rgb(121, 121, 121);
				border-collapse: collapse;
			}
			td {
				padding: 4px;
			}
			/* .primerTitulo, .segundoTitulo, .tercerTitulo {
				text-decoration: underline;
			} */
			.primerTitulo, .segundoTitulo {
				text-align: center;
				margin: 1.5rem;
			}
			.primerTitulo {
				font-size: 13px;
				margin-top: 3rem;
			}
			.segundoTitulo {
				font-size: 11px;
			}
			.tercerTitulo {
				margin: 0.5rem 0;
			}
			.contratoTable, .contratoPersonTable {
				width: 100%;
				margin-bottom: 1.5rem;
			}
			.contratoTable {
				font-weight: bold;
			}
			.contratoPersonTable {
				font-size: 12px;
				text-align: center;
			}
			.separator {
			    width: 100%;
			    border-top: 1px solid black;
			    margin-top: 1.5rem;
			}
			.firmaText {
			    margin-top: 0.5rem;
			}
			.firmaContainer {
			    margin: 2.5rem 0;
			}
			.firma, .aclaracion {
			    width: 50%;
			    display: inline-block;
			    float: left;
			    text-align: center;
			}
		</style>
		<title>Cierre de Día ({{$dia}}-{{$mes}}-{{$anio}})</title>
	</head>
	<body>
  		<footer>Circuitos Viajes y Turismo SAS - Legajo 9866 - Casa Central Urquiza 265 - Pigüé - Teléfono: (02923) 437676</footer>
		<h1 class="primerTitulo">CIERRE DE DÍA ({{$dia}}-{{$mes}}-{{$anio}})</h1>

		<table class="contratoPersonTable">
			<tr>
				<th>TIPO</th>
				<th>BAHÍA BLANCA</th>
				<th>PIGÜÉ</th>
				<th>SUBTOTAL</th>
			</tr>
			<tr>
				<td colspan="4"><span style="font-weight: bold;">PESOS</span></td>
			</tr>
			<tr>
				<td>Efectivo</td>
				<td>$ {{number_format($suma_pesos_efectivo_bb, 2, ',', '.')}}</td>
				<td>$ {{number_format($suma_pesos_efectivo_pigue, 2, ',', '.')}}</td>
				@php $sumatoria_pesos_efectivo = $suma_pesos_efectivo_bb + $suma_pesos_efectivo_pigue; @endphp
				<td>$ {{number_format($sumatoria_pesos_efectivo, 2, ',', '.')}}</td>
			</tr>
			<tr>
				<td>Tarjeta de Crédito</td>
				<td>$ {{number_format($suma_pesos_tarj_credito_bb, 2, ',', '.')}}</td>
				<td>$ {{number_format($suma_pesos_tarj_credito_pigue, 2, ',', '.')}}</td>
				@php $sumatoria_pesos_tarj_credito = $suma_pesos_tarj_credito_bb + $suma_pesos_tarj_credito_pigue; @endphp
				<td>$ {{number_format($sumatoria_pesos_tarj_credito, 2, ',', '.')}}</td>
			</tr>
			<tr>
				<td>Tarjeta de Débito</td>
				<td>$ {{number_format($suma_pesos_tarj_debito_bb, 2, ',', '.')}}</td>
				<td>$ {{number_format($suma_pesos_tarj_debito_pigue, 2, ',', '.')}}</td>
				@php $sumatoria_pesos_tarj_debito = $suma_pesos_tarj_debito_bb + $suma_pesos_tarj_debito_pigue; @endphp
				<td>$ {{number_format($sumatoria_pesos_tarj_debito, 2, ',', '.')}}</td>
			</tr>
			<tr>
				<td>Cuenta Provincia</td>
				<td>$ {{number_format($suma_pesos_cta_prov_bb, 2, ',', '.')}}</td>
				<td>$ {{number_format($suma_pesos_cta_prov_pigue, 2, ',', '.')}}</td>
				@php $sumatoria_pesos_cta_prov = $suma_pesos_cta_prov_bb + $suma_pesos_cta_prov_pigue; @endphp
				<td>$ {{number_format($sumatoria_pesos_cta_prov, 2, ',', '.')}}</td>
			</tr>
			<tr>
				<td>Cuenta Nación</td>
				<td>$ {{number_format($suma_pesos_cta_nac_bb, 2, ',', '.')}}</td>
				<td>$ {{number_format($suma_pesos_cta_nac_pigue, 2, ',', '.')}}</td>
				@php $sumatoria_pesos_cta_nac = $suma_pesos_cta_nac_bb + $suma_pesos_cta_nac_pigue; @endphp
				<td>$ {{number_format($sumatoria_pesos_cta_nac, 2, ',', '.')}}</td>
			</tr>
			<tr>
				<td>Pago a Terceros</td>
				<td>$ {{number_format($suma_pesos_pago_terc_bb, 2, ',', '.')}}</td>
				<td>$ {{number_format($suma_pesos_pago_terc_pigue, 2, ',', '.')}}</td>
				@php $sumatoria_pesos_pago_terc = $suma_pesos_pago_terc_bb + $suma_pesos_pago_terc_pigue; @endphp
				<td>$ {{number_format($sumatoria_pesos_pago_terc, 2, ',', '.')}}</td>
			</tr>
			<tr>
				<td>Cobro en Ruta</td>
				<td>$ {{number_format($suma_pesos_cobro_ruta_bb, 2, ',', '.')}}</td>
				<td>$ {{number_format($suma_pesos_cobro_ruta_pigue, 2, ',', '.')}}</td>
				@php $sumatoria_pesos_cobro_ruta = $suma_pesos_cobro_ruta_bb + $suma_pesos_cobro_ruta_pigue; @endphp
				<td>$ {{number_format($sumatoria_pesos_cobro_ruta, 2, ',', '.')}}</td>
			</tr>
			<tr>
				<td>Cuenta Credicoop</td>
				<td>$ {{number_format($suma_pesos_cta_credicoop_bb, 2, ',', '.')}}</td>
				<td>$ {{number_format($suma_pesos_cta_credicoop_pigue, 2, ',', '.')}}</td>
				@php $sumatoria_pesos_cta_credicoop = $suma_pesos_cta_credicoop_bb + $suma_pesos_cta_credicoop_pigue; @endphp
				<td>$ {{number_format($sumatoria_pesos_cta_credicoop, 2, ',', '.')}}</td>
			</tr>
			<tr style="font-weight: bold;">
				<td>SUBTOTAL INGRESOS</td>
				@php $subtotal_ingresos_bb = $suma_pesos_efectivo_bb + $suma_pesos_tarj_credito_bb + $suma_pesos_tarj_debito_bb + $suma_pesos_cta_prov_bb + $suma_pesos_cta_nac_bb + $suma_pesos_cobro_ruta_bb; @endphp
				<td>$ {{number_format($subtotal_ingresos_bb, 2, ',', '.')}}</td>
				@php $subtotal_ingresos_pigue = $suma_pesos_efectivo_pigue + $suma_pesos_tarj_credito_pigue + $suma_pesos_tarj_debito_pigue + $suma_pesos_cta_prov_pigue + $suma_pesos_cta_nac_pigue + $suma_pesos_cobro_ruta_pigue; @endphp
				<td>$ {{number_format($subtotal_ingresos_pigue, 2, ',', '.')}}</td>
				@php $subtotal_ingresos_subtotal = $sumatoria_pesos_efectivo + $sumatoria_pesos_tarj_credito + $sumatoria_pesos_tarj_debito + $sumatoria_pesos_cta_prov + $sumatoria_pesos_cta_nac + $sumatoria_pesos_cobro_ruta; @endphp
				<td>$ {{number_format($subtotal_ingresos_subtotal, 2, ',', '.')}}</td>
			</tr>
			<tr>
				<td>Egresos Efectivo</td>
				<td>$ {{number_format($suma_pesos_egresos_efectivo_bb, 2, ',', '.')}}</td>
				<td>$ {{number_format($suma_pesos_egresos_efectivo_pigue, 2, ',', '.')}}</td>
				@php $sumatoria_pesos_egresos_efectivo = $suma_pesos_egresos_efectivo_bb + $suma_pesos_egresos_efectivo_pigue; @endphp
				<td>$ {{number_format($sumatoria_pesos_egresos_efectivo, 2, ',', '.')}}</td>
			</tr>
			<tr>
				<td>Egresos Transf. Bancaria</td>
				<td>$ {{number_format($suma_pesos_egresos_transf_bb, 2, ',', '.')}}</td>
				<td>$ {{number_format($suma_pesos_egresos_transf_pigue, 2, ',', '.')}}</td>
				@php $sumatoria_pesos_egresos_transf = $suma_pesos_egresos_transf_bb + $suma_pesos_egresos_transf_pigue; @endphp
				<td>$ {{number_format($sumatoria_pesos_egresos_transf, 2, ',', '.')}}</td>
			</tr>
			<tr>
				<td>Egresos Tarjeta Crédito</td>
				<td>$ {{number_format($suma_pesos_egresos_credito_bb, 2, ',', '.')}}</td>
				<td>$ {{number_format($suma_pesos_egresos_credito_pigue, 2, ',', '.')}}</td>
				@php $sumatoria_pesos_egresos_credito = $suma_pesos_egresos_credito_bb + $suma_pesos_egresos_credito_pigue; @endphp
				<td>$ {{number_format($sumatoria_pesos_egresos_credito, 2, ',', '.')}}</td>
			</tr>
			<tr>
				<td>Egresos Tarjeta Débito</td>
				<td>$ {{number_format($suma_pesos_egresos_debito_bb, 2, ',', '.')}}</td>
				<td>$ {{number_format($suma_pesos_egresos_debito_pigue, 2, ',', '.')}}</td>
				@php $sumatoria_pesos_egresos_debito = $suma_pesos_egresos_debito_bb + $suma_pesos_egresos_debito_pigue; @endphp
				<td>$ {{number_format($sumatoria_pesos_egresos_debito, 2, ',', '.')}}</td>
			</tr>
			<tr style="font-weight: bold;">
				<td>SUBTOTAL EGRESOS</td>
				@php $subtotal_egresos_bb = $suma_pesos_egresos_efectivo_bb + $suma_pesos_egresos_transf_bb + $suma_pesos_egresos_credito_bb + $suma_pesos_egresos_debito_bb; @endphp
				<td>$ {{number_format($subtotal_egresos_bb, 2, ',', '.')}}</td>
				@php $subtotal_egresos_pigue = $suma_pesos_egresos_efectivo_pigue + $suma_pesos_egresos_transf_pigue + $suma_pesos_egresos_credito_pigue + $suma_pesos_egresos_debito_pigue; @endphp
				<td>$ {{number_format($subtotal_egresos_pigue, 2, ',', '.')}}</td>
				@php $subtotal_egresos_subtotal = $sumatoria_pesos_egresos_efectivo + $sumatoria_pesos_egresos_transf + $sumatoria_pesos_egresos_credito + $sumatoria_pesos_egresos_debito; @endphp
				<td>$ {{number_format($subtotal_egresos_subtotal, 2, ',', '.')}}</td>
			</tr>
			<tr style="font-weight: bold;">
				<td>TOTAL</td>
				@php $total_pesos_bb = $subtotal_ingresos_bb - $subtotal_egresos_bb; @endphp
				<td>$ {{number_format($total_pesos_bb, 2, ',', '.')}}</td>
				@php $total_pesos_pigue = $subtotal_ingresos_pigue - $subtotal_egresos_pigue; @endphp
				<td>$ {{number_format($total_pesos_pigue, 2, ',', '.')}}</td>
				@php $total_pesos_subtotal = $subtotal_ingresos_subtotal - $subtotal_egresos_subtotal; @endphp
				<td>$ {{number_format($total_pesos_subtotal, 2, ',', '.')}}</td>
			</tr>
			<tr>
				<td colspan="4"><span style="font-weight: bold;">DÓLARES</span></td>
			</tr>
			<tr>
				<td>Ingresos</td>
				<td>U$S {{number_format($suma_dolares_ingresos_bb, 2, ',', '.')}}</td>
				<td>U$S {{number_format($suma_dolares_ingresos_pigue, 2, ',', '.')}}</td>
				@php $sumatoria_dolares_ingresos = $suma_dolares_ingresos_bb + $suma_dolares_ingresos_pigue; @endphp
				<td>U$S {{number_format($sumatoria_dolares_ingresos, 2, ',', '.')}}</td>
			</tr>
			<tr>
				<td>Egresos</td>
				<td>U$S {{number_format($suma_dolares_egresos_bb, 2, ',', '.')}}</td>
				<td>U$S {{number_format($suma_dolares_egresos_pigue, 2, ',', '.')}}</td>
				@php $sumatoria_dolares_egresos = $suma_dolares_egresos_bb + $suma_dolares_egresos_pigue; @endphp
				<td>U$S {{number_format($sumatoria_dolares_egresos, 2, ',', '.')}}</td>
			</tr>
			<tr style="font-weight: bold;">
				<td>TOTAL</td>
				@php $total_dolares_bb = $suma_dolares_ingresos_bb - $suma_dolares_egresos_bb; @endphp
				<td>U$S {{number_format($total_dolares_bb, 2, ',', '.')}}</td>
				@php $total_dolares_pigue = $suma_dolares_ingresos_pigue - $suma_dolares_egresos_pigue; @endphp
				<td>U$S {{number_format($total_dolares_pigue, 2, ',', '.')}}</td>
				@php $total_dolares_subtotal = $sumatoria_dolares_ingresos - $sumatoria_dolares_egresos; @endphp
				<td>U$S {{number_format($total_dolares_subtotal, 2, ',', '.')}}</td>
			</tr>
		</table>

	</body>
</html>
