@php
	use App\model\core\Common;
@endphp
<!DOCTYPE html>
	<head>
		<style type="text/css">
			html {
				font-family: Arial;
				font-size: 10px;
				line-height: 12px;
			}
			.image {
				background:url(images/logoMarcaAgua.png) no-repeat;
				background-position: center;
				background-size: 65%;
				width: 100%;
				height: auto;
				margin: auto;
			}
			footer { 
			    position: fixed;
			    bottom: -30px;
			    left: 0px;
			    right: 0px;
			    height: 20px;
			    text-align: center;
			}

			p {
			    page-break-after: always;
			    text-align: justify;
			}

			p:last-child {
			    page-break-after: never;
			}

			table, th, td {
				border: 1px solid black;
				border-collapse: collapse;
			}

			td {
				padding: 4px;
			}

			.primerTitulo, .segundoTitulo, .tercerTitulo {
				text-decoration: underline;
			}

			.primerTitulo, .segundoTitulo {
				text-align: center;
				margin: 1.5rem;
			}

			.primerTitulo {
				font-size: 13px;
				margin-top: 3rem;
			}

			.segundoTitulo {
				font-size: 11px;
			}

			.tercerTitulo {
				margin: 0.5rem 0;
			}

			.contratoTable, .contratoPersonTable {
				width: 100%;
				margin-bottom: 1.5rem;
			}

			.contratoTable {
				font-weight: bold;
			}

			.contratoPersonTable {
				font-size: 12px;
				text-align: center;
			}

			.separator {
			    width: 100%;
			    border-top: 1px solid black;
			    margin-top: 1.5rem;
			}

			.firmaText {
			    margin-top: 0.5rem;
			}

			.firmaContainer {
			    margin: 2.5rem 0;
			}

			.firma, .aclaracion {
			    width: 50%;
			    display: inline-block;
			    float: left;
			    text-align: center;
			}
		</style>
		<title>Contrato CRUCERO</title>
	</head>
	<body class="image">
  		<footer>Circuitos Viajes y Turismo SAS - Legajo 9866 - Casa Central Urquiza 265 - Pigüé - Teléfono: (02923) 437676</footer>
		<h1 class="primerTitulo">CONTRATO DE SERVICIOS TURÍSTICOS CIRCUITOS EVT SAS</h1>

		<table class="contratoTable">
			<tbody>
				<tr>
					<td>NOMBRE | APELLIDO DEL CONTRATANTE: {{$data['seats'][0]->nombre}} {{$data['seats'][0]->apellido}}</td>
					<td>FECHA DE RESERVA: {{ Common::formatDate($data['reserva'][0]->created_at) }}</td>
				</tr>
				<tr>
					<td>TELÉFONO: {{ $data['seats'][0]->telefono }}</td>
					<td>DESTINO: {{ $data['viaje'][0]->ciudad }}</td>
				</tr>
				<tr>
					<td>LUGAR DE EMBARQUE: {{$punto_de_ascenso}}</td>
					<td>FECHA DE VIAJE: {{ Common::formatDate($data['viaje'][0]->fecha_hora_salida) }}</td>
				</tr>
				<tr>
					<td>TIPO DE HABITACIÓN: {{ property_exists($data['reserva'], 'tipo_habitacion') ? $data['reserva'][0]->tipo_habitacion : '' }}</td>
					<td>VALOR DEL VIAJE POR PERSONA: </td>
				</tr>
			</tbody>
		</table>

		<h2 class="segundoTitulo">DATOS DE PASAJEROS QUE FORMAN PARTE DE LA RESERVA</h2>

		<table class="contratoPersonTable">
			<tr>
				<th>NOMBRE Y APELLIDO</th>
				<th>DNI</th>
				<th>FECHA DE NACIMIENTO</th>
			</tr>
			@foreach($data['seats'] as $seat)
			<tr>
				<td>{{ $seat->nombre }} {{ $seat->apellido }}</td>
				<td>{{ $seat->dni }}</td>
				<td>{{ Common::formatDate($seat->fecha_nacimiento) }}</td>
			</tr>
			@endforeach
		</table>

		<h1 class="primerTitulo">BASES Y CONDICIONES DE CONTRATACION DE CIRCUITOS EVT</h1>
		<div class="section">
			<h3 class="tercerTitulo">RESERVAS</h3>
			<p>
				1) Para reservar butaca se deberá entregar una seña mínima
				equivalente al 30% del valor total de los servicios por pasajero. El
				saldo restante podrá liquidarse en efectivo o bien con tarjetas de
				débito y/o crédito. Los pagos a crédito podrán ser en 3, 6 o 12
				cuotas, y se deberán sumar los cargos administrativos sobre el
				saldo a abonar. El pago con tarjeta de débito se tomará con los
				mismos cargos administrativos y bancarios considerados en las
				tarjetas de crédito. (Consultar en Circuitos EVT SAS).<br>
				2) Los servicios deberán estar cancelados en su totalidad 15 días
				corridos antes de la fecha de salida.<br>
				3) Para reservar PROMOCIONES realizadas en servicios operados
				por Circuitos EVT SAS, se deberá entregar una seña mínima
				equivalente al 40% del valor total de los servicios. Los mismos
				deberán estar cancelados en su totalidad 30 días corridos luego del
				pago de la seña correspondiente en el día de la reserva. En caso de
				no cumplirse con lo descripto, se perderá el beneficio obtenido,
				actualizándose el precio al valor normal de los servicios contratados
				en cuestión.<br>
				4) Las butacas de la parte inferior del bus (butaca cama) NO
				contarán con tarifa diferencial, siendo distribuidas de acuerdo a
				disponibilidad y por orden cronológico de venta.<br>
				5) Las butacas reservadas sin seña, podrán mantenerse durante 3
				días hábiles, superado ese tiempo, si no se ha realizado la seña
				correspondiente, se procederá a la liberación de la misma.<br>
				6) Los viajes internacionales estarán expresados en moneda dólar
				estadounidense. Los servicios internacionales se podrán abonar en
				la moneda citada o bien en pesos argentinos al cambio del día
				según tipo de cambio vendedor del Banco Provincia de Buenos
				Aires, descontándose del total la suma correspondiente a dólares.
				NO SE CONGELARÁ EL TIPO DE CAMBIO, si lo hará el valor en
				dólares estadounidenses entregados hasta ese momento.
			</p>
		</div>

		<div class="section">
			<h3 class="tercerTitulo">POLÍTICAS DE MENORES EN CIRCUITOS GRUPALES REGIONALES Y NACIONALES</h3>
			<p>
				1) Los menores de 0 a 3 años viajarán sin cargo, debiendo abonar
				únicamente el valor del seguro al viajero correspondiente.
				Consultar a Circuitos EVT SAS.<br>
				2) Los menores de 4 a 10 años abonarán el 80% del valor total de
				los servicios en salidas nacionales operadas por Circuitos EVT SAS.
				En caso de circuitos regionales, los menores deberán abonar el 90%
				del valor total de los servicios operados por Circuitos EVT SAS.<br>
				3) Los menores de 11 años en adelante abonarán el 100% del valor
				total de los servicios operados por Circuitos EVT SAS.<br>
				4) En aquellas ocasiones en las cuales los menores realicen
				excursiones y la prestación de la misma sea por parte de un tercero, 
				se aplicará el descuento correspondiente, de acuerdo a lo que el
				prestador del servicio considere.
				Documentación obligatoria para viajes con menores de 18 años.
				CONSULTAR POR DOCUMENTACION PARA CIRCULAR EN EL PAIS Y
				FUERA DEL MISMO PARA MENORES DE 18 AÑOS SÓLOS Y CON
				ACOMPAÑANTES.
			</p>
		</div>

		<div class="section">
			<h3 class="tercerTitulo">CANCELACIONES EN CIRCUITOS GRUPALES REGIONALES Y NACIONALES</h3>
			<p>
				1) El pasajero podrá cancelar los servicios contratados. El
				reembolso de dinero estará sujeto a la política de cancelaciones de
				Circuitos EVT SAS. Para efectivizar dicha cancelación, previamente
				se deberá enviar el comunicado correspondiente a la siguiente
				dirección de e-mail: cancelacionescircuitos@gmail.com<br>
				A) Cancelación 45 días corridos antes del inicio del circuito, se
				retendrá el 50% del valor de seña percibida en concepto de reserva
				de servicios.<br>
				B) Cancelación 30 días corridos antes del inicio del circuito, se
				retendrá el 100% del valor de seña percibida en concepto de
				reserva de servicios.<br>
				C) Cancelación 7 días corridos antes del inicio del circuito, se
				retendrá el 50% de valor total de viaje.<br>
				D) Cancelaciones 48 hs antes del inicio del viaje, se retendrá el
				100%.<br>
				E) Para cancelaciones y reintegros por medios electrónicos de pago,
				se retendrán independientemente de la fecha de cancelación, los
				gastos derivados de la facturación del pago.
			</p>
		</div>

		<div class="section">
			<h3 class="tercerTitulo">EXCURSIONES OPERADAS POR CIRCUITOS EVT SAS O TERCEROS PRESTADORES DE SERVICIOS</h3>
			<p>
				1) En los diferentes circuitos operados por Circuitos EVT SAS, se
				proponen excursiones que serán de carácter OPTATIVO no
				obligatorio, a menos que estén incluidas, las cuales estarán
				detalladas en su correspondiente itinerario de viaje.<br>
				2) Todas las excursiones opcionales que se realicen dentro del
				territorio de nuestro país, estarán expresadas en valor Pesos
				Argentinos.<br>
				3) Todas las actividades que se realicen fuera de la República
				Argentina, estarán expresadas en Dólares Estadounidense o bien
				en valores de moneda local. Pudiendo ser abonadas en Pesos
				Argentinos al cambio del día según tipo de cambio vendedor del
				Banco Provincia de Buenos Aires.<br>
				4) El orden de las actividades expresadas en el itinerario es de
				carácter tentativo, el cual será decidido por el coordinador durante
				el circuito, de acuerdo a como lo considere conveniente.<br>
				5) El cumplimiento de las actividades estará supeditado a
				condiciones climáticas. En caso de ser suspendidas, podrán ser
				reprogramadas según el coordinador considere oportuno. En caso
				que las mismas no puedan ser realizadas y/o reprogramadas por
				casos fortuitos, inclemencias climáticas, etc. Circuitos EVT SAS no
				se responsabilizará.<br>
				6) Si una excursión es cancelada por diversos motivos antes del
				inicio de la misma, se le reintegrará el 100% de lo abonado a cada
				uno de los pasajeros.<br>
				7) Si una excursión es cancelada por casos fortuitos, inclemencias
				climáticas, etc. luego del inicio de la misma, Circuitos EVT SAS no
				será responsable de la cancelación, no generándose derecho a
				reintegro alguno.<br>
				8) Todas las excursiones deberán ser abonadas en contado efectivo,
				antes del inicio de la primera excursión, durante el viaje en
				cuestión.<br>
				9) En aquellos casos en donde el destino cuente con servicio de
				PENSIÓN COMPLETA, el pasajero no contará con el almuerzo
				correspondiente al día de excursión, ya que se considera PENSIÓN
				COMPLETA AL SERVICIO PRESTADO EN EL HOTEL Y/O EL
				RESTAURANTE DERIVADO DEL ALOJAMIENTO, a menos que sea
				especificado por Circuitos EVT SAS.
			</p>
		</div>

		<div class="section">
			<h3 class="tercerTitulo">INGRESOS A RESERVAS Y PARQUES PROVINCIALES Y NACIONALES, PREDIOS, MUSEOS, ESPECTÁCULOS Y OTROS</h3>
			<p>
				1) En ningún destino estarán incluidos los ingresos a los lugares
				mencionados en el título del apartado.<br>
				2) En caso de que existan beneficios de descuento y/o liberación
				para jubilados y/o pensionados, estudiantes, menores y otros, será
				responsabilidad del Pasajero contar con la documentación
				pertinente para exigir el descuento y/o liberación correspondiente.
				En caso de no contar con la documentación respaldatoria, Circuitos
				EVT SAS no será responsable de la ausencia de la misma, por lo cual
				el Pasajero deberá abonar el ingreso, tarifa, etc. del servicio en
				cuestión.<br>
				3) En caso de que la visita a un determinado espacio esté incluido
				dentro del cronograma de actividades y el Pasajero no desee
				ingresar, deberá esperar el regreso del grupo en el ingreso del
				establecimiento o lugar que se recomiende como espera. En el caso
				de que el Pasajero que decida no esperar y decida volver por cuenta
				propia, Circuitos EVT SAS no se responsabilizará del traslado del
				Pasajero en cuestión hacia el hotel y/o lugar que se traslade.<br>
				4) En caso de que un ingreso a los ya mencionados esté incluido
				según itinerario, el mismo será informado con anterioridad al
				Pasajero.
			</p>
		</div>
		
		<div class="section">
			<h3 class="tercerTitulo">NO INCLUIDOS EN LOS PAQUETES PROGRAMADOS POR CIRCUITOS EVT SAS</h3>
			<p>
				1) Bebidas de los almuerzos y/o cenas, a menos que sea
				especificado.<br>
				2) Comidas que el pasajero efectúe durante el viaje desde la ciudad
				de origen hacia el destino y viceversa, a menos que sea
				especificado.<br>
				3) No estarán incluidas las propinas en hoteles, restaurantes,
				terminales, entre otros.<br>
				4) Llamadas telefónicas que realice el pasajero durante la estadía
				en el hotel.<br>
				5) Almuerzos realizados fuera del hotel.<br>
				6) No estará incluido todo aquello que no esté especificado por
				contrato.<br>
			</p>
		</div>

		<div class="section">
			<h3 class="tercerTitulo">CONDICIONES GENERALES DEL CONTRATO DE SERVICIOS TURÍSTICOS (Aplicado conforme Res. 256/00)</h3>
			<p>
				<strong><u>SOLICITUDES Y PAGOS</u></strong> 1) El precio y/o reservación de los servicios que componen el tour quedan sujetos a modificaciones sin previo aviso cuando se produzca una alteración en los servicios, modificaciones en los costos o en los tipos de cambio previstos, por causas no imputables a las partes. 2) Todos los importes pagados antes de la confirmación definitiva de los servicios son percibidos en concepto de reserva. La confirmación definitiva de los servicios y precios respectivos se producirá con la emisión de pasajes y/u órdenes de servicios y la facturación correspondiente. 3) El pago del saldo del precio deberá ser cumplido en el plazo y condiciones que las partes acuerden, caso contrario, la Empresa podrá cancelar la solicitud de inscripción sin previo aviso, no teniendo el interesado derecho a reintegro alguno. 4) Las operaciones a crédito deberán satisfacer los términos y condiciones fijados para las mismas. <br>
				<strong><u>LOS PRECIOS INCLUYEN</u></strong> 1) Transporte según lo especificado en cada caso. 2) Alojamiento en los hoteles hosterías, lodges, etc. indicados y ocupando el tipo de habitaciones (simples, dobles, triples, con o sin baño, etc.) según tarifa elegida y/o con o sin impuestos. 3) Régimen de comidas según se indique en cada oportunidad. 4) Visitas y excursiones que se mencionen en el itinerario. 5) Traslados hasta y desde aeropuertos, terminales y hoteles, cuando se indique. 6) La cantidad prevista de días de alojamiento, teniendo en cuenta que el día de alojamiento hotelero se computa desde las 15 horas (ingreso) y finaliza a las 9 horas (salida) del día siguiente, independientemente de la hora de llegada y de salida y de la utilización completa o fraccionada del mismo. 7) La duración del tour será indicada en cada caso tomando como primer día, el de salida y como último incluido el día de salida del destino, independientemente del horario de salida o de llegada en el primer día o en el último. <br>
				<strong><u>SERVICIOS O RUBROS NO INCLUIDOS</u></strong> 1) Extras, bebidas, lavado de ropa, propinas, tasas de embarque, DNT, tasas sobre servicios, IVA y otros impuestos actuales y/o futuros, cualquier gasto de índole personal, excesos de equipaje, llamadas telefónicas, gastos de visados, excursiones opcionales que figuran en los diversos itinerarios, impuestos y/o aduaneros y/o de migraciones ni ningún servicio y/o gasto que no se encuentre expresamente indicado por la empresa. 2) Los gastos por prolongación de los servicios por deseo voluntario de los Pasajeros como así tampoco la estadías, comidas y/o gastos adicionales y/o perjuicios producidos por cancelaciones, demoras en las salidas o llegadas de los medios de transporte o por razones imprevistas ajenas a la Empresa y/o derivados de causas de fuerza mayor o fuera de control de la Empresa. 3) Alimentación en ruta, excepto aquellas que estuviesen expresamente incluidas en los programas. 4) Los gastose intereses en las operaciones a crédito. <br>
				<strong><u>LIMITACIONES AL DERECHO DE PERMANENCIA</u></strong> La empresa se reserva el derecho de hacer que abandone el tour en cualquier punto del mismo todo pasajero cuya conducta, modo de obrar, estado de salud u otras razones graves a juicio de la empresa provoque peligro o cause molestias a los restantes viajeros o pueda malograr el éxito de la excursión o el normal desarrollo de la misma, sin derecho de reembolso por los servicios restantes no utilizados. <br>
				<strong><u>DOCUMENTACION</u></strong> 1) La documentación y visado necesarios para viajar son de índole estrictamente personal siendo, por ello, responsabilidad exclusiva del Pasajero contar con los documentos, pasaportes y visados en perfecto estado y vigencia. La Empresa no será responsable por inconvenientes que sufrieran los Pasajeros que carezcan de tal condición. En caso de que algún Pasajero no pudiera viajar por estas razones, perderá el total de los servicios contratados, sin derecho a reclamo alguno; lo mismo en caso que las autoridades de cualquier país rehusaren permitir la entrada del Pasajero. El Pasajero deberá informarse en el Consulado pertinente sobre los requisitos vigentes que exigen las autoridades migratorias, aduaneras y sanitarias del país al que tengan programado viajar. <br>
				<strong><u>CANCELACIONES Y DEVOLUCIONES</u></strong> 1) La fecha de cancelación será establecida el día que la Empresa reciba por medio fehaciente la comunicación del pasajero en tal sentido. 2) En caso de desistimiento de operaciones contratadas a crédito no tendrán reembolso los importes abonados por los Pasajeros en concepto de gastos administrativos, sellados e intereses. 3) En caso de desistimientos que afecten servicios contratados en firme por la Empresa, el reembolso correspondiente estará sujeto a las
				condiciones contractuales bajo las cuales presten sus servicios las empresas respectivas (hoteles, transportes, etc.). 4) En todos los casos de reintegros, la Empresa podrá retener del precio abonado, los gastos incurridos más la comisión del diez (10) por ciento de los servicios contratados con terceros sobre la tarifa total de venta más impuestos, más gastos administrativos y de gestión. 5) Una vez iniciados los servicios, la suspensión, modificación o interrupción de los servicios por parte del pasajero por razones personales de cualquier índole, no dará lugar a reclamo, reembolso o devolución alguna. <br>
				<strong><u>TRANSPORTE NO REGULAR O CHARTER:</u></strong> Rige lo estipulado en el punto de las cancelaciones. Sin perjuicio de ello, en estos casos sólo se reintegrará la proporción del precio correspondiente a los servicios terrestres (hotelería, pensión, excursiones, transporte, actividades varias, etc.) que determine el organizador según la modalidad con que operen los prestadores de los servicios. Para que ésta cláusula sea válida deberá determinarse en el primer documento entregado al pasajero la calidad del transporte. <br>
				<strong><u>CESION Y TRANSFERENCIA:</u></strong> El derecho que confiere al Pasajero el contrato de servicios turísticos, podrá ser cedido o transferido a otras personas por única vez hasta treinta (30) días antes de la fecha de salida, siempre que no hayan disposiciones en contrario por parte del transportista, del hotelero y/o del prestador de los servicios contratados, únicamente en servicios operados por Circuitos EVT SAS. En el supuesto que los Pasajeros sean de distintas edades (mayores-menores), el precio se ajustará según tarifarios vigentes. <br>
				<strong><u>RESPONSABILIDAD:</u></strong> 1) La Empresa declara expresamente que actúa como intermediaria en la reserva y contratación de los distintos servicios vinculados e incluidos en el respectivo tour: hoteles, restaurantes, medios de transporte, medios de elevación (para esquiar), etc. Por consiguiente, la empresa declina toda responsabilidad por deficiencias en la prestación de cualquiera de estos servicios, como así también, por daños y perjuicios que pudieran sufrir los pasajeros en las personas y en los bienes, cualquier sea la causa que los origine, retrasos, postergaciones, cancelaciones o irregularidades, que pudieran ocurrir durante la ejecución de los servicios a las personas que efectúen el viaje por su mediación, así como deterioro, pérdida o extravío de equipaje y demás objetos de su propiedad, ya que su responsabilidad queda exclusivamente a cargo de los respectivos prestadores de servicios. No obstante ello, la eventual responsabilidad de la Empresa, sea que intervenga como organizadora o intermediaria de viaje, será determinada conforme las disposiciones contenidas en la Convención Internacional relativa al Contrato de Viaje aprobada por la Ley N° 19.918. 2) La Empresa no se responsabiliza por los hechos que se produzcan por caso fortuito o fuerza mayor, fenómenos climáticos o hechos de la naturaleza que acontezcan antes o durante el desarrollo del tour, que impidan, demoren o de cualquier modo, obstaculicen la ejecución total o parcial de las prestaciones contratadas. 3) La Empresa no se responsabiliza por las alteraciones de horarios, postergaciones y/o cancelaciones, las comodidades, equipos utilizados, etc. de las empresas transportadoras. 4) En ningún caso la Empresa responderá frente a los Pasajeros por daños indirectos o lucro cesante. <br>
				<strong><u>ALTERACIONES|MODIFICACIONES (según decreto 2182/72):</u></strong> La Empresa podrá justificadamente anular cualquier Tour o viaje individual o colectivo y/o modificar el itinerario y/o los horarios o días de salidas y/o de regreso de los viajes o tours contratados, como así también los hoteles y servicios contratados cuando ocurra cualquiera de las siguientes causas: 1) Si fuere necesario para el mejor desenvolvimiento del Tour y/o si circunstancias de fuerza mayor o caso fortuito obligaran a ello. 2) Cuando la Empresa, pese a haber obrado con la debida previsión, no pueda disponer por causas ajenas a su voluntad de la totalidad de las reservas de hoteles, transportes u otros servicios esenciales contratados y siempre que se encuentre al día en sus obligaciones económicas con los que habrían de prestarlos. 3) Cuando la alteración de tarifas o de tipos de cambio de moneda obligue a un aumento sustancial en el precio del viaje y que ello dé lugar a las consecuentes anulaciones entre las personas inscriptas; 4) Cuando no se haya alcanzado un número suficiente de inscripciones. La anulación se comunicará con un mínimo de 10 días de anticipación a la fecha de salida, quedando la Empresa desligada de toda responsabilidad mediante el reembolso de la cantidad recibida. 5) Una vez comenzado el viaje, la suspensión, modificación o interrupción de los servicios por parte del pasajero por razones personales de cualquier índole, no dará lugar a reclamo alguno, reembolso o devolución alguna. <br>
				<strong><u>RECLAMOS|REEMBOLSOS:</u></strong> 1) En ningún caso, la Empresa costeará los eventuales costos y/o cargos y/o impuestos y/o gravámenes derivados de las transferencias bancarias o similares que se utilicen para realizar cualquier tipo de devolución y/o reembolso y/o reintegro. 2) Cuando se trate de reembolsos por servicios no utilizados y en el caso de no hacerse efectiva la devolución de inmediato, la Empresa deberá cursar a las empresas prestatarias de servicios, dentro de los cinco (5) días de recibido el reclamo, el pedido de confirmación de los importes solicitados por el Pasajero. 3) En los casos de vuelos regulares, las condiciones de recargos, multas, postergación de fechas y horarios de partida, son de la exclusiva incumbencia de las transportadoras con quien deberá entenderse directamente el Pasajero. La Empresa no tiene control sobre estas penalidades y políticas de cancelación. 4) En los casos que los servicios aéreos sean a través de vuelos charters o vuelos especiales, las fechas de partida y regresos son inmodificables para los Pasajeros. 5) La no presentación en el mostrador con la anticipación necesaria o el no embarque por problemas de documentación, dará lugar a la cancelación y pérdida del vuelo que se trate, sin derecho a reclamación, reembolso o devolución alguna. 6) Las fechas y horarios previstos para partida y regreso son de exclusiva competencia del transportador aéreo, el que podrá modificarla de acuerdo con usos y necesidades a razones técnicas o cualquier otra, propia de la actividad. 7) La no presentación a la salida del tour grupal sin debida justificación, dará lugar a la cancelación y pérdida de dicho tour que se trate, sin derecho a reclamación, reembolso o devolución alguna. <br>
				<strong><u>EQUIPAJE:</u></strong> La Empresa no se responsabiliza por el deterioro y/o extravío y/o hurto y/o robo y/o pérdida del Equipaje y demás efectos personales de los Pasajeros. <br>
				<strong><u>CONOCIMIENTO Y ACEPTACIÓN DE CONDICIONES:</u></strong> El presente contrato y en su caso la prestación de los servicios, se regirá por estas condiciones generales, la Ley 18.829, su Reglamentación y por la Resolución Nº 256/00 o sus reemplazantes y por la Convención de Bruselas aprobada por Ley 19918, siendo conjuntamente con la documentación entregada al pasajero el Contrato de Viaje que establece dicha convención. Estas condiciones son entregadas por la Empresa al Pasajero al momento de realizar la reserva de los servicios o la solicitud de inscripción. El Pasajero declara conocer y aceptar las presentes condiciones generales de contratación y dicha aceptación queda ratificada por medio de uno cualesquiera de los siguientes actos: 1) El pago de la reserva y/o de los servicios contratados antes del inicio del viaje, por cualquier forma o modalidad. 2) La aceptación de la factura de los servicios contratados. 3) Mediante el uso de una porción cualquiera de los servicios contratados. <br>
				<strong><u>RESOLUCIÓN DE CONFLICTOS:</u></strong> Toda cuestión que surja con motivo de la celebración, cumplimiento, incumplimiento, prórroga o rescisión del presente contrato, serán sometidas por las partes a los tribunales Ordinarios del Departamento Judicial de Bahía Blanca, con renuncia a todo otro fuero y/o jurisdicción. A tal efecto Circuitos EVT SAS constituye domicilio especial en Urquiza 265 de la localidad de Pigué, y el contratante en el domicilio denunciado ut supra.
			</p>
		</div>

		<div class="separator"></div>
		<div class="firmaText">En prueba de conformidad, previa lectura y ratificaci&oacute;n:</div>
		<div class="firmaContainer">
			<div class="firma">FIRMA:</div>
			<div class="aclararion">ACLARACI&Oacute;N:</div>
		</div>

	</body>
</html>
