@php
	use App\model\core\Common;
@endphp
<!DOCTYPE html>
	<head>
		<style type="text/css">
			html {
				font-family: Arial;
				font-size: 10px;
				line-height: 12px;
			}
			.image {
				background:url(images/logoMarcaAgua.png) no-repeat;
				background-position: center;
				background-size: 65%;
				width: 100%;
				height: auto;
				margin: auto;
			}
			footer { 
			    position: fixed;
			    bottom: -30px;
			    left: 0px;
			    right: 0px;
			    height: 20px;
			    text-align: center;
			}

			p {
			    page-break-after: always;
			    text-align: justify;
			}

			p:last-child {
			    page-break-after: never;
			}

			table, th, td {
				border: 1px solid black;
				border-collapse: collapse;
			}

			td {
				padding: 4px;
			}

			.primerTitulo, .segundoTitulo, .tercerTitulo {
				text-decoration: underline;
			}

			.primerTitulo, .segundoTitulo {
				text-align: center;
				margin: 1.5rem;
			}

			.primerTitulo {
				font-size: 13px;
				margin-top: 5rem;
			}

			.segundoTitulo {
				font-size: 11px;
			}

			.tercerTitulo {
				margin: 0.5rem 0;
			}

			.contratoTable, .contratoPersonTable {
				width: 100%;
				margin-bottom: 1.5rem;
			}

			.contratoTable {
				font-weight: bold;
			}

			.contratoPersonTable {
				font-size: 12px;
				text-align: center;
			}

			.separator {
			    width: 100%;
			    border-top: 1px solid black;
			    margin-top: 1.5rem;
			}

			.firmaText {
			    margin-top: 0.5rem;
			}

			.firmaContainer {
				margin-top: 50px;
			}

			.firma, .aclaracion {
			    width: 40%;
			    display: inline-block;
			    float: left;
			    text-align: left;
			}
		</style>
		<title>Contrato</title>
	</head>
	<body class="image">
  		<footer>Circuitos Viajes y Turismo SAS - Legajo 9866 - Casa Central Urquiza 265 - Pigüé - Teléfono: (02923) 437676</footer>
		<h1 class="primerTitulo">CONTRATO DE SERVICIOS TURÍSTICOS CIRCUITOS EVT SAS</h1>

		<table class="contratoTable">
			<tbody>
				<tr>
					<td>NOMBRE | APELLIDO DEL CONTRATANTE: {{$data['seats'][0]->nombre}} {{$data['seats'][0]->apellido}}</td>
					<td>FECHA DE RESERVA: {{ Common::formatDate($data['reserva'][0]->created_at) }}</td>
				</tr>
				<tr>
					<td>TELÉFONO: {{ $data['seats'][0]->telefono }}</td>
					<td>DESTINO: {{ $data['viaje'][0]->ciudad }}</td>
				</tr>
				<tr>
					<td>LUGAR DE EMBARQUE: {{$punto_de_ascenso}}</td>
					<td>FECHA DE VIAJE: {{ Common::formatDate($data['viaje'][0]->fecha_hora_salida) }}</td>
				</tr>
				<tr>
					<td>TIPO DE HABITACIÓN: {{ property_exists($data['reserva'], 'tipo_habitacion') ? $data['reserva'][0]->tipo_habitacion : '' }}</td>
					<td>VALOR DEL VIAJE POR PERSONA: </td>
				</tr>
			</tbody>
		</table>

		<h2 class="segundoTitulo">DATOS DE PASAJEROS QUE FORMAN PARTE DE LA RESERVA</h2>

		<table class="contratoPersonTable">
			<tr>
				<th>NOMBRE Y APELLIDO</th>
				<th>DNI</th>
				<th>FECHA DE NACIMIENTO</th>
			</tr>
			@foreach($data['seats'] as $seat)
			<tr>
				<td>{{ $seat->nombre }} {{ $seat->apellido }}</td>
				<td>{{ $seat->dni }}</td>
				<td>{{ Common::formatDate($seat->fecha_nacimiento) }}</td>
			</tr>
			@endforeach
		</table>

		<h1 class="primerTitulo">BASES Y CONDICIONES DE CONTRATACION DE CIRCUITOS EVT</h1>
		<div class="section">
			<h3 class="tercerTitulo">RESERVAS</h3>
			<p>
				1) Para reservar butaca se deberá entregar una seña mínima equivalente al 30% del valor total de los servicios por pasajero. El saldo restante podrá liquidarse en
                efectivo, tarjetas de débito, crédito o trasferencia bancaria. Los pagos a crédito podrán ser en 3, 6 o 12 cuotas, y se deberán sumar los cargos administrativos y de
                financiación sobre el saldo a abonar. El pago con tarjeta de débito, transferencia bancaria y/o billeteras virtuales se les adicionará los cargos administrativos y
                bancarios correspondientes.<br>
				2) Los servicios deberán estar cancelados en su totalidad 15 días corridos antes de la fecha de salida.<br>
				3) Para reservar PROMOCIONES realizadas en servicios operados por Circuitos EVT SAS, se deberá entregar una seña mínima equivalente al 40% del valor total
                de los servicios. Los mismos deberán estar cancelados en su totalidad 21 días corridos luego del pago de la seña correspondiente en el día de la reserva. En caso de
                no cumplirse con lo descripto, se perderá el beneficio obtenido, actualizándose el precio al valor normal de los servicios contratados en cuestión.<br>
				4) Las butacas de la parte inferior del bus (butaca cama) NO contarán con tarifa diferencial, siendo distribuidas de acuerdo a disponibilidad y por orden cronológico
                de venta.<br>
				5) La butaca reservada sin seña, podrá mantenerse durante 3 días hábiles, superado ese tiempo, si no se ha realizado la seña correspondiente, se procederá a la
                liberación de la misma.<br>
				6) La entrega de la seña correspondiente NO congela el valor de los servicios contratados, siendo posible sufrir actualizaciones de tarifas sin previo aviso hasta el
                momento en que la reserva se encuentre cancelada en su totalidad.
			</p>
		</div>

		<div class="section">
			<h3 class="tercerTitulo">POLÍTICAS DE MENORES EN CIRCUITOS GRUPALES REGIONALES Y NACIONALES</h3>
			<p>
				1) Los menores de 0 a 3 años viajarán sin cargo en los servicios operados por Circuitos EVT SAS, debiendo abonar únicamente los gastos
                administrativos y de reserva. (Consultar en Circuitos EVT SAS).<br>
				2) Los menores de 4 a 9 años abonarán el 80% del valor total de los servicios en salidas nacionales operadas por Circuitos EVT SAS. En caso de circuitos
                regionales, los menores deberán abonar el 90% del valor total de los servicios operados por Circuitos EVT SAS.<br>
				3) Los menores de 10 años en adelante abonarán el 100% del valor total de los servicios operados por Circuitos EVT SAS.<br>
				4) En caso de viaje con menores de 18 años, se deberá presentar la documentación respaldatoria que avale la autorización para que los menores puedan viajar por
                el país o fuera del mismo. (Consultar en Circuitos EVT SAS la documentación pertinente).
			</p>
		</div>

		<div class="section">
			<h3 class="tercerTitulo">CANCELACIONES EN CIRCUITOS GRUPALES REGIONALES Y NACIONALES</h3>
			<p>
				1) El pasajero podrá cancelar los servicios contratados cuando lo desee, tomándose como fecha de cancelación el día que la Empresa reciba por medio fehaciente la
                comunicación del pasajero en tal sentido, siendo el único medio de comunicación válido el envío de un e-mail a la casilla: cancelacionescircuitos@gmail.com. El
                reembolso de dinero estará sujeto a la política de cancelaciones de Circuitos EVT SAS.<br>
                2) Penalidades según su fecha de cancelación:<br>
                <span style="margin-left: 15px;">
                    A) Cancelación 45 días corridos antes del inicio del circuito, se retendrá el 50% del valor de seña percibida en concepto de reserva de servicios.<br>
                </span>
                <span style="margin-left: 15px;">
                    B) Cancelación 30 días corridos antes del inicio del circuito, se retendrá el 100% del valor de seña percibida en concepto de reserva de servicios.<br>
                </span>
                <span style="margin-left: 15px;">
                    C) Cancelación 15 días corridos antes del inicio del circuito, se retendrá el 50% de valor total de viaje.<br>
                </span>
                <span style="margin-left: 15px;">
                    D) Cancelaciones 7 días antes del inicio del viaje, se retendrá el 100% del valor de viaje.<br>
                </span>
				Para cancelaciones y reintegros por medios electrónicos de pago, se retendrán independientemente de la fecha de cancelación, los gastos derivados de la
                facturación del pago, comisión de tarjetas, intereses bancarios, e impuestos. El reintegro del dinero, en caso de que lo hubiese, será realizado a través del mismo medio de
                pago.
			</p>
		</div>

		<div class="section">
			<h3 class="tercerTitulo">EXCURSIONES OPERADAS POR CIRCUITOS EVT SAS O TERCEROS PRESTADORES DE SERVICIOS</h3>
			<p>
				1) En los diferentes circuitos operados por Circuitos EVT SAS, se proponen excursiones que serán de carácter OPTATIVO, no obligatorio, a menos que estén
                incluidas, las cuales estarán detalladas en su correspondiente itinerario de viaje.<br>
				2) Todas las excursiones opcionales que se realicen dentro del territorio de nuestro país, estarán expresadas en valor Pesos Argentinos.<br>
				3) Todas las actividades que se realicen fuera de la República Argentina, estarán expresadas en moneda Dólares Estadounidenses o bien en valores de moneda
                local de destino, independientemente si la prestación estuviese o no a cargo de Circuitos EVT SAS.
                Los servicios internacionales se deben abonar en la moneda en que se encuentren expresados. Sin embargo, para aquellos servicios que según el itinerario puedan
                ser abonados en pesos argentinos, se descontará del valor total del servicio el equivalente en dólares de acuerdo a la entrega realizada, tomando para dicha
                equivalencia la cotización del día del Dólar Turista publicado por el Banco Provincia de Buenos Aires al momento del pago. En este último caso, NO SE
                CONGELARÁ EL TIPO DE CAMBIO, si lo hará el valor en dólares estadounidenses entregados hasta ese momento.<br>
				4) El orden de las actividades expresadas en el itinerario es de carácter tentativo, el cual será decidido por el coordinador durante el circuito, de acuerdo a como lo
                considere conveniente, pudiéndose modificar en el momento mismo del circuito en función del mayor beneficio para el grupo.<br>
				5) Si una excursión es cancelada por Circuitos EVT SAS por diversos motivos antes del inicio de la misma, se le reintegrará el 100% de lo abonado a cada uno de
                los pasajeros.<br>
				6) El cumplimiento de las actividades estará supeditado a condiciones climáticas. Si una excursión es cancelada por casos fortuitos, inclemencias climáticas, etc.
                luego del inicio de la misma, Circuitos EVT SAS no será responsable de la cancelación, no generándose derecho a reintegro alguno.<br>
				7) Todas las excursiones deberán ser abonadas antes del inicio de la primera excursión ya sea en efectivo, tarjeta de débito, crédito o trasferencia bancaria, durante
                el viaje en cuestión, o bien antes del inicio del mismo.<br>
				8) Si un pasajero cancela una excursión contratada, no tendrá derecho a reembolso alguno.<br>
				9) El pago anticipado en concepto de excursiones, será contemplado como “Saldo a favor de excursiones”. El valor de las mismas NO podrá ser congelado estando
                supeditado a actualizaciones de tarifas hasta el momento de inicio del viaje, salvo disposición en contrario.<br>
				10) En aquellos casos en donde el destino cuente con servicio de PENSIÓN COMPLETA y el pasajero realice alguna de las excursiones de carácter OPTATIVOS,
                salvo disposición en contrario, NO contará con el almuerzo correspondiente al día de excursión. Ello en virtud de que se considera Pensión Completa al servicio
                prestado en el restaurante del hotel y/o en el restaurante derivado del alojamiento.<br>
				11) Para aquellas excursiones prestadas directamente por Circuitos EVT SAS, los menores de 10 años obtendrán un 20% de descuento respecto del valor total de la
                excursión.<br>
				12) En aquellas ocasiones en las cuales los menores realicen excursiones y la prestación de la misma sea por parte de un tercero, se aplicará el descuento
                correspondiente en caso de que el prestador del servicio así lo considere.
			</p>
		</div>

		<div class="section">
			<h3 class="tercerTitulo">INGRESOS A RESERVAS Y PARQUES PROVINCIALES Y NACIONALES, PREDIOS, MUSEOS, ESPECTÁCULOS Y OTROS</h3>
			<p>
				1) En ningún destino estarán incluidos los ingresos a los lugares mencionados en el título del apartado, a menos que Circuitos EVT SAS así lo disponga.<br>
				2) En caso de que existan beneficios de descuento y/o liberación para jubilados y/o pensionados, estudiantes, menores y otros, será responsabilidad del Pasajero
                contar con la documentación pertinente para exigir el descuento y/o liberación correspondiente. En caso de no contar con la documentación respaldatoria, Circuitos
                EVT SAS no será responsable ante la ausencia de la misma, por lo cual el pasajero deberá abonar la tarifa plana del servicio, sin ningún tipo de descuento.<br>
				3) En caso de que la visita a un determinado espacio esté incluida dentro del cronograma de actividades y el pasajero no desee ingresar, deberá aguardar al regreso
                del grupo en el ingreso del establecimiento o lugar que se recomiende como espera. En el caso de que un pasajero decida no esperar y elija irse por cuenta propia,
                Circuitos EVT SAS no se responsabilizará del traslado del pasajero en cuestión hacia el hotel y/o lugar que se traslade.
			</p>
		</div>
		
		<div class="section">
			<h3 class="tercerTitulo">SERVICIOS INCLUIDOS DENTRO DE LOS PAQUETES PROGRAMADOS POR CIRCUITOS EVT SAS</h3>
			<p>
				1) Transporte exclusivo para el grupo.<br>
				2) Alojamiento en los hoteles, hosterías, lodges, etc. indicados y ocupando el tipo de habitaciones según tarifa elegida por el pasajero al momento de la reserva.<br>
				3) Régimen de comidas según se indique en cada oportunidad.<br>
				4) Actividades establecidas en el itinerario.<br>
				5) Coordinación acompañante desde el inicio hasta la finalización del viaje y durante las excursiones que sean nombradas en el itinerario como OPCIONALES.<br>
				6) La cantidad de noches previstas, hacen referencia a la cantidad de noches en alojamiento, independientemente de la hora de llegada y de salida del destino.<br>
				7) La duración del tour será indicada en cada caso tomando como primer día, el de salida y como último el día previsto de arribo, independientemente del horario
                en cual suceda.
			</p>
		</div>
		
		<div class="section">
			<h3 class="tercerTitulo">SERVICIOS NO INCLUIDOS EN LOS PAQUETES PROGRAMADOS POR CIRCUITOS EVT SAS</h3>
			<p>
				1) Bebidas de los almuerzos y/o cenas, salvo disposición en contrario.<br>
				2) Comidas que el pasajero efectúe durante el traslado desde la ciudad de origen hacia el destino y viceversa, a menos que sea especificado.<br>
				3) No estarán incluidas las propinas en hoteles, restaurantes, terminales, entre otros.<br>
				4) Llamadas telefónicas que realice el pasajero durante la estadía en el hotel.<br>
				5) Cualquier tipo de comidas y/o bebidas consumidas en rutas, puertos o aeropuertos.<br>
				6) Traslado hasta los puntos de ascenso y/o descenso para la realización del circuito.<br>
				7) Excursiones de carácter opcional.<br>
				8) Tasas de embarque, tasas de servicios, DNT, impuestos y/o tasas de cualquier índole actuales y/o futuros<br>
				9) Gastos por prolongación de los servicios por deseo voluntario de los Pasajeros como así tampoco las estadías, comidas y/o gastos adicionales y/o perjuicios
                producidos por cancelaciones, demoras en las salidas o llegadas de los medios de transporte o por razones imprevistas ajenas a la Empresa y/o derivados de causas de
                fuerza mayor.<br>
				10) Excesos de equipaje en caso de existir.<br>
				11) Seguro de asistencia al viajero.<br>
				12) Impuestos aduaneros y/o de migraciones, gastos de visados.<br>
				13) Cualquier otro tipo de gasto por cualquier medio de pago que realice el pasajero durante la realización del circuito.<br>
				14) No estará incluido todo aquello que no esté especificado por contrato.
			</p>
		</div>
		
		<div class="section">
			<h3 class="tercerTitulo">LIMITACIONES AL DERECHO DE PERMANENCIA</h3>
			<p>
				La documentación necesaria para viajar es de índole estrictamente personal siendo, por ello, responsabilidad exclusiva del pasajero contar con los documentos,
                pasaportes y visados en perfecto estado y vigencia. La Empresa no será responsable por inconvenientes que sufrieran los pasajeros que carezcan de tal condición. En
                caso de que algún pasajero no pudiera viajar por estas razones, perderá el total de los servicios contratados, sin derecho a reclamo alguno; lo mismo en caso que las
                autoridades de cualquier país rehusaren permitir la entrada del pasajero.
			</p>
		</div>
		
		<div class="section">
			<h3 class="tercerTitulo">DOCUMENTACION</h3>
			<p>
				La documentación necesaria para viajar es de índole estrictamente personal siendo, por ello, responsabilidad exclusiva del pasajero contar con los documentos,
                pasaportes y visados en perfecto estado y vigencia. La Empresa no será responsable por inconvenientes que sufrieran los pasajeros que carezcan de tal condición. En
                caso de que algún pasajero no pudiera viajar por estas razones, perderá el total de los servicios contratados, sin derecho a reclamo alguno; lo mismo en caso que las
                autoridades de cualquier país rehusaren permitir la entrada del pasajero.
			</p>
		</div>
		
		<div class="section">
			<h3 class="tercerTitulo">RESPONSABILIDAD</h3>
			<p>
				La Empresa no se responsabiliza por los hechos que se produzcan por caso fortuito o fuerza mayor, fenómenos climáticos o hechos de la naturaleza que acontezcan
                antes o durante el desarrollo del tour, que impidan, demoren o, de cualquier modo, obstaculicen la ejecución total o parcial de las prestaciones contratadas.
			</p>
		</div>
		
		<div class="section">
			<h3 class="tercerTitulo">ALTERACIONES|MODIFICACIONES</h3>
			<p>
				La Empresa podrá justificadamente anular cualquier Tour o viaje individual o colectivo y/o modificar el itinerario y/o los horarios o días de salidas y/o de regreso de
                los viajes o tours contratados, como así también los hoteles y servicios contratados cuando ocurra cualquiera de las siguientes causas: 1) Si fuere necesario para el
                mejor desenvolvimiento del tour y/o casos fortuitos obligaran a ello. 2) Cuando la Empresa, pese a haber obrado con la debida previsión, no pueda disponer por
                causas ajenas a su voluntad de la totalidad de las reservas de hoteles, transportes u otros servicios esenciales contratados. 3) Cuando la alteración de tarifas o de
                tipos de cambio de moneda obligue a un aumento sustancial en el precio del viaje y que ello dé lugar a las consecuentes anulaciones entre las personas inscriptas; 4)
                Cuando no se haya alcanzado un número suficiente de inscripciones. La anulación se comunicará con un mínimo de 7 días corridos de anticipación a la fecha de
                salida, quedando la Empresa desligada de toda responsabilidad mediante el reembolso de la cantidad recibida.
			</p>
		</div>
		
		<div class="section">
			<h3 class="tercerTitulo">EQUIPAJE</h3>
			<p>
				La Empresa no se responsabiliza por el deterioro y/o extravío y/o hurto y/o robo y/o pérdida del equipaje y demás efectos personales de los pasajeros.
			</p>
		</div>
		
		<div class="section">
			<h3 class="tercerTitulo">CONOCIMIENTO Y ACEPTACIÓN DE CONDICIONES</h3>
			<p>
				El presente contrato es entregado por la Empresa al Pasajero al momento de realizar la reserva de los servicios o la solicitud de inscripción. La entrega puede ser
                efectuada tanto en soporte papel, como por medios digitales –mail, WhatsApp, etc.-. El Pasajero declara conocer y aceptar las presentes condiciones generales de
                contratación y dicha aceptación queda ratificada por medio de cualesquiera de los siguientes actos: 1) El pago de la reserva y/o de los servicios contratados antes del
                inicio del viaje; 2) La aceptación de la factura de los servicios contratados; 3) Mediante el uso de una porción cualquiera de los servicios contratados.
			</p>
		</div>
		
		<div class="section">
			<h3 class="tercerTitulo">RESOLUCIÓN DE CONFLICTOS</h3>
			<p>
				Toda cuestión que surja con motivo de la celebración, cumplimiento, incumplimiento, prórroga o rescisión del presente contrato, serán sometidas por las partes a los
                tribunales Ordinarios del Departamento Judicial de Bahía Blanca, con renuncia a todo otro fuero y/o jurisdicción. A tal efecto Circuitos EVT SAS constituye
                domicilio especial en Urquiza 265 de la localidad de Pigüé, y el contratante en el domicilio denunciado infra.
			</p>
		</div>

		<div class="separator"></div>
		<div class="firmaText">En prueba de conformidad, previa lectura y ratificaci&oacute;n:</div>
		<div class="firmaContainer">
			<div class="firma">FIRMA:</div>
			<div class="aclararion">ACLARACI&Oacute;N:</div>
		</div>
		<div class="firmaContainer">
			<div class="firma">DOMICILIO:</div>
		</div>

	</body>
</html>
