@php
	use App\model\core\Common;
@endphp
<!DOCTYPE html>
<html>
<head>
	<title>Recibo de Pago</title>
    <style>
        @page {
            margin: 5px;
        }
        body {
            padding: 0;
            margin: 0;
        }
        html {
            font-family: Arial, sans-serif;
            font-size: 12px;
            line-height: 12px;
        }
        p {
            margin: 2px;
        }
        .contenedor {
            display: inline-block;
            width: 49.4%;
            height: 338px;
            border: 2px solid #333;
            border-radius: 10px;
            box-sizing: border-box;
            vertical-align: top;
        }
        .header {
            display: block;
            vertical-align: top;
            box-sizing: border-box;
            border-bottom: 2px solid #333;
        }
        .infoEmpresa {
            display: inline-block;
            width: 60%;
            box-sizing: border-box;
            vertical-align: top;
            border-right: 2px solid #333;
        }
        .logo, .contacto {
            display: inline-block;
            vertical-align: top;
            box-sizing: border-box;
        }
        .logo img {
            display: block;
            margin: 10px 12px;
        }
        .contacto {
            margin-top: 2px;
        }
        .infoRecibo {
            display: inline-block;
            width: 38%;
            box-sizing: border-box;
            vertical-align: top;
        }
        .infoRecibo div {
            margin: 15px 0;
            margin-bottom: 0;
        }
        .fecha {
            display: inline-block;
            width: 50%;
            border-bottom: 1px solid #555;
            margin-top: 0px;
            font-style: italic;
            color: #555
        }
        .pasajero {
            display: block;
            vertical-align: top;
            box-sizing: border-box;
            border-bottom: 2px solid #333;
            padding: 8px 0;
        }
        .pasajero p {
            display: inline-block;
            font-size: 16px;
        }
        .datos {
            display: block;
            vertical-align: top;
            box-sizing: border-box;
            border-bottom: 2px solid #333;
            padding: 6px;
            height: 135px;
        }
        .datos p {
            font-size: 16px;
            line-height: 18px;
            margin-bottom: 10px;
        }
        .footer {
            display: block;
            vertical-align: top;
            box-sizing: border-box;
            position: absolute;
        }
        .monto {
            display: inline-block;
            width: 45%;
            height: 52px;
            box-sizing: border-box;
            vertical-align: top;
            border-right: 2px solid #333;
            padding-top: 5px;
        }
        .monto p {
            font-size: 16px;
            line-height: 18px;
            margin-top: 15px;
            margin-left: 5px;
        }
        .firma {
            display: inline-block;
            width: 53%;
            box-sizing: border-box;
            vertical-align: top;
            margin-left: 5px;
        }
        .firma p {
            font-size: 14px;
        }
        .underline {
            border-bottom: 1px solid #333;
            color:#444;
            font-style: italic;
        }
        .border {
            border: 1px solid #333;
            padding: 4px;
            color:#444;
            font-style: italic;
        }
    </style>
</head>
<body>
    @for ($i = 0; $i < 2; $i++)
        <section class="contenedor">
            <div class="header">
                <div class="infoEmpresa">
                    <div class="logo">
                        <img src="{{ asset('images/logoIndex.png') }}" width="70">
                    </div>
                    <div class="contacto">
                        <p>Urquiza 265 (Pigüé)</p>
                        <p style="margin-bottom: 5px;">(2923) 405165</p>
                        <p>M. Rodríguez 442 (Bahía Blanca)</p>
                        <p style="margin-bottom: 5px;">(291) 5360102</p>
                        <p>www.circuitos.com.ar</p>
                        <p>CUIT 33-71672460-9</p>
                    </div>
                </div>
                <div class="infoRecibo">
                    <div>
                        <p style="margin-bottom: 10px;">RECIBO N° {{$prenum}}-{{$num_recibo}}</p>
                        <div>
                            <p style="display:inline-block;">FECHA:</p><p class="fecha">{{$fecha}}</p>
                        </div>
                        <p style="font-size: 10px;position:absolute;top:64px;">Documento no válido como factura</p>
                    </div>
                </div>
            </div>
            <div class="pasajero">
                <p style="margin-left:15px;">Sr/Sra:</p>
                <p class="underline" style="width:82%;margin-left:5px;">{{$nombre ?? ''}}</p>
            </div>
            <div class="datos">
                <p>Recibí la suma de pesos: <span class="underline">{{$valor_letras}}</span></p>
                <p>En concepto de: <span class="underline">{{$concepto}}</span></p>
                <p>Viaje: <span class="underline" style="line-height:14px;">{{$viaje}} @if($fechaViaje != "") ({{$fechaViaje ?? ''}}) @endif</span></p>
                @if ($concepto == 'Pago a cuenta de excursiones')
                    <p style="position:absolute; font-size:14px; bottom:50px; color:#333; font-style:italic;">Las excursiones no se congelan antes del viaje.</p>
                @endif
            </div>
            <div class="footer">
                <div class="monto">
                    <p>TOTAL: {{$moneda ?? '$'}} <span class="border">{{$monto}}</span></p>
                </div>
                <div class="firma">
                    <p style="margin: 10px 0;">Firma __________________________</p>
                    <p>Aclaración ______________________</p>
                </div>
            </div>
        </section>
    @endfor
</body>
</html>
