@extends('layouts.app')

@section('content')
    <section class="min-h-screen bg-white bg-top bg-cover overflow-hidden relative">
        <div class="absolute w-full h-full">
            <picture>
                <source
                    srcset="{{ url('images/login-bg.avif') }}"
                    type="image/avif"
                >
                <img src="{{ url('images/login-bg.webp') }}" alt="Circuitos" width="100" class="w-full h-full object-cover">
            </picture>
        </div>
        <div class="absolute bg-black w-full h-full opacity-10 z-10"></div>

        <div class="z-20 relative flex justify-center items-center rounded-md shadow-lg min-h-screen px-4">
            <div class="w-full max-w-[500px] m-auto rounded-xl shadow-lg relative overflow-hidden backdrop-blur-sm border-2 border-white">
                <div class="absolute bg-white w-full top-0 bottom-0 opacity-30 z-10"></div>
                <div class="z-20 relative p-4">
                    <form method="POST" action="{{ route('login') }}">
                    @csrf
            
                        <div class="flex justify-center mb-6">
                            <a href="{{ url('') }}" class="logo">
                                <picture>
                                    <source
                                        srcset="{{ url('images/logo3xWithoutText.avif') }}"
                                        type="image/avif"
                                    >
                                    <source
                                        srcset="{{ url('images/logo3xWithoutText.webp') }}"
                                        type="image/webp"
                                    >
                                    <img src="{{ url('/images/logo3xWithoutText.png') }}" alt="circuitos" width="160" height="160" class="brightness-110">
                                </picture>
                            </a>
                        </div>
                        
                        <div class="mx-auto mb-2 w-full max-w-[300px]">
                            <div class="">
                                <input id="email" type="text" placeholder="Email" class="p-2 text-sm rounded w-full focus:outline-none {{ $errors->has('email') ? ' border border-red-500' : '' }}" name="email" value="{{ old('email') }}" required autofocus>
                                @if ($errors->has('email'))
                                    <span class="text-red-600 italic text-xs bg-[#ffffff96] px-2 py-0.5 rounded-sm" role="alert">
                                        {{ $errors->first('email') }}
                                    </span>
                                @endif
                            </div>
                        </div>
            
                        <div class="mx-auto mb-2 w-full max-w-[300px]">    
                            <div class="">
                                <input id="password" type="password" placeholder="Contraseña" class="p-2 text-sm rounded w-full focus:outline-none {{ $errors->has('password') ? ' border border-red-500' : '' }}" name="password" required>
                                @if ($errors->has('password'))
                                    <span class="text-red-600 italic text-xs bg-[#ffffff96] px-2 py-0.5 rounded-sm" role="alert">
                                        {{ $errors->first('password') }}
                                    </span>
                                @endif
                            </div>
                        </div>
            
                        <div class="mx-auto w-full max-w-[300px]">
                            <div class="">
                                <button type="submit" class="w-full bg-[#2C8272] hover:bg-[#349e8d] text-white font-[600] uppercase px-3 py-2 text-sm rounded">Iniciar Sesión</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </section>
@endsection
