@include('header')

	<link href="{{asset('css/datatables.css')}}" rel="stylesheet">
	<link href="https://cdn.datatables.net/responsive/2.2.7/css/responsive.bootstrap4.min.css" rel="stylesheet">
	<link href="https://cdn.datatables.net/1.10.25/css/jquery.dataTables.min.css" rel="stylesheet">
	<link href="https://cdn.datatables.net/buttons/2.3.2/css/buttons.dataTables.min.css" rel="stylesheet">

	<section class="content">
		<div style="margin-bottom:15px;">
			<button class="btn bg-teal" onclick="history.go(-1)"><i class="fas fa-arrow-left"></i> Volver</button>
			<button type="button" class="btn bg-teal" data-toggle="modal" data-target="#modalBusqueda" style="float:right;"><i class="fas fa-search" style="margin-right:4px;"></i>Busqueda Avanzada</button>
		</div>

		<div class="container-fluid">
			<div class="row">
				<div class="containerCaja"></div>
			</div>
		</div>
	</section>

	<!-- Modal -->
	<div id="modalBusqueda" class="modal fade" role="dialog">
		<div class="modal-dialog" style="max-width: 1100px !important;width: 100%;">
	
		<!-- Modal content-->
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal">&times;</button>
				<h4 class="modal-title">Busqueda Avanzada <span style="font-style: italic; font-size:15px; font-weight: 100; color: rgb(87, 87, 87)">(Todos los registros)</span></h4>
			</div>
			<div class="modal-body">
				<div class="container-fluid">
					<div class="row">
						<table id="insumos" class="hover" style="width:100%">
							<thead>
								<tr class="tabla-pers uppercase text-sm text-yellow-500 align-middle">
									<th>Fecha</th>
									<th>Factura</th>
									<th>Concepto</th>
									<th>Viaje</th>
									<th>Pago</th>
									<th>Haber</th>
									<th>Debe</th>
									<th>Oficina</th>
									<th></th>
								</tr>
							</thead>
						</table>
					</div>
				</div>
			</div>
		</div>
	
		</div>
	</div>

@include('footer')

<script src="https://cdn.datatables.net/1.10.23/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.10.23/js/dataTables.bootstrap4.min.js"></script>
<script src="https://cdn.datatables.net/responsive/2.2.7/js/dataTables.responsive.min.js"></script>
<script src="https://cdn.datatables.net/responsive/2.2.7/js/responsive.bootstrap4.min.js"></script>
<script>
	$(document).ready(function() {
		var caja = new caja_View();
	})
</script>
<script>
	var table = $('#insumos').DataTable({
		responsive: true,
		autoWidth: false,
		stateSave: true,
		processing: true,
		"ajax": "caja/datatable-historial-caja",
		"columns": [
			{data: "fecha"},
			{data: 'nro_factura'},
			{data: 'concepto'},
			{data: "id",
				render: function(row, data, dataIndex) {
					if (dataIndex.viaje == null) {
						return '';
					} else {
						return dataIndex.viaje+' ('+dataIndex.fecha_viaje+')';
					}
				}
			},
			{data: 'forma_de_pago'},
			{data: "id",
				render: function(row, data, dataIndex) {
					if (dataIndex.tipo_transaccion_id != '6' && dataIndex.tipo_transaccion_id != '7' && dataIndex.tipo_transaccion_id != '15' && dataIndex.tipo_transaccion_id != '16') {
						return '$'+dataIndex.monto;
					}
					return '';
				}
			},
			{data: "id",
				render: function(row, data, dataIndex) {
					if (dataIndex.tipo_transaccion_id == '6' || dataIndex.tipo_transaccion_id == '7' || dataIndex.tipo_transaccion_id == '15' || dataIndex.tipo_transaccion_id == '16') {
						return '$'+dataIndex.monto;
					}
					return '';
				}
			},
			{data: 'oficina'},
			{data: "id",
				render: function(row, data, dataIndex) {
					var response = '';
					return response;
				}
			},
		],
		createdRow: function(row, data, dataIndex, cells) {
			$(row).addClass('tabla-pers relative transform scale-100 text-xs py-1 border-b-2 hover-datatables cursor-default border-b border-gray-200 hover:bg-blue-200 odd');
			$(row).attr('id', 'fila'+data.id);
		},
		"fnCreatedRow": function( nRow, aData, iDataIndex ) {
			$(nRow).attr('id', aData[0]);
		},
		"order": [[ 0, "desc" ]],
		"columnDefs": [
			{ className: "columnaFechaDatatables", "targets": [ 0 ] },
			{ className: "text-center custom-clickable-row cursor-pointer", "targets": [ 1 ] },
			{ className: "exportable custom-clickable-row cursor-pointer", "targets": [ 2,3,4,5 ] },
			{ className: "text-right exportable custom-clickable-row cursor-pointer", "targets": [ 6,7 ] },
			{ className: "text-right", "targets": [ 8 ] },
			{
				"targets": [1,6,7,8],
				"orderable": false
			}
		],
		"language": {
			"lengthMenu": "Mostrar " +
							`<select class="custom-select custom-select-sm form-control form-control-sm">
								<option value='10'>10</option>
								<option value='25'>25</option>
								<option value='50'>50</option>
								<option value='100'>100</option>
								<option value='-1'>Todos</option>
							</select>` +
						" registros por página",
			"zeroRecords": "No se han encontrado Resultados.",
			"info": "Mostrando página _PAGE_ de _PAGES_ (_TOTAL_ registros)",
			"infoEmpty": "No hay registros disponibles",
			"infoFiltered": "",
			"search": "Buscar:",
			"paginate": {
				'next': "Siguiente",
				'previous': "Anterior"
			}
		}
	});
</script>