@include('header')

	<head>
		<script src="{{asset('js/jquery-3.3.1.slim.min.js')}}"></script>
		<script src = "https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
		<meta name="csrf-token" content="{{ csrf_token() }}" />
	</head>

	<style>
		#alertaButacas {
			padding: 10px 15px;
			background: #ffc8c8;
			border: 1px solid #ff4f4f;
			border-radius: 10px;
			color: #ff4f4f;
			font-style: italic;
			display: none;
		}
		#editor, .ql-toolbar {
			background: #fff;
		}
		.ql-toolbar .dropdown {
			display: none;
		}
		.ql-toolbar .ql-link {
			display: none !important;
		}
	</style>
	
	<section class="content">
		<div class="botoneraUser" style="float:left;">
			<button class="btn bg-teal" onclick="history.go(-1)"><i class="fas fa-arrow-left"></i> Volver</button>
		</div>
		<div class="botoneraUser" style="float:right;">
			<select name="tipo_exp" id="tipo_exp">
				<option value="1">Todos los Datos</option>
				<option value="2">Ascensos</option>
				<option value="3">Pasajeros</option>
				<option value="4">Rooming</option>
				<option value="5">Transporte</option>
				<option value="6">Excursiones</option>
			</select>
			<button class="btn bg-teal" onclick="expExcel();" title="Exportar a Excel">
				<i class="fas fa-file-excel"></i> Exportar
			</button>
		</div>

		<div class="botoneraUser" id="alertaButacas" style="width: 100%;margin-bottom:0;margin-top:10px;">
			<p style="margin-bottom:0;font-weight:bold;display: contents;" id="alertaButacasText"></p>
			<span style="float: right;cursor:pointer;"><i class="fa fa-times" onclick="closeAlertaButaca();"></i></span>
		</div>

		<div class="botoneraUser" style="width: 100%;margin-bottom:0;margin-top:10px;">
			<p style="margin-bottom:0;font-weight:bold">Butacas Ocupadas: <span style="color:#009688;">{{$but_ocupadas}}</span></p>
		</div>

		<div class="botoneraUser" style="float:left;margin-top:10px;">
			<div style="display:flex;align-items:center;gap:5px;">
				<span style="display:block;width:15px;height:15px;background:#8ecdff;border-radius: 4px;border: 2px solid #008eff;"></span> Coordinadores
			</div>
			<div style="display:flex;align-items:center;gap:5px;">
				<span style="display:block;width:15px;height:15px;background:#ffdb86;border-radius: 4px;border: 2px solid #ffc53d;"></span> Solo Transporte
			</div>
		</div>

		<div class="botoneraUser" style="float:left;margin-top:10px;width:100%;">
			<span>Ver/Ocultar columnas:</span>
			<select id="columnToggle" multiple>
				<option value="codigo" selected>Código</option>
				<option value="dni" selected>DNI</option>
				<option value="nacimiento" selected>Nacimiento</option>
				<option value="localidad" selected>Localidad</option>
				<option value="telefono" selected>Teléfono</option>
			</select>
		</div>

		<div class="container-fluid">
			<div class="row">
				<div class="cuentasContainer"></div>
			</div>
		</div>

		@if (count($historial_butacas) > 0)
			<div class="container-fluid">
				<div class="row">
					<div class="titulo">
						<h2>Reservas Canceladas</h2>
					</div>
					<table class="table table-bordered tabla-circuitos" id="tablaUsers">
						<thead>
							<th>Nro Asiento</th>
							<th>Código</th>
							<th>Vendedor</th>
							<th>Fecha Cancelación</th>
							<th>Usuario Cancelo</th>
							<th>Pasajero</th>
							<th>DNI</th>
							<th>Teléfono</th>
							<th style="min-width: 180px; width: 179px;">Info Extra</th>
							<th style="min-width: 180px; width: 179px;">Comentarios</th>
							<th>Tarifa</th>
							<th>Monto Entregado</th>
							<th>Monto Retenido</th>
							<th>Monto Devuelto</th>
							<th></th>
						</thead>
						<tbody>
							@foreach($historial_butacas as $hist)
								<tr>
									<td class="colAsiento sorting_1"><span class="busSeat cuentasRow">{{ $hist['nro_asiento'] }}</span></td>
									<td>{{$hist['codigo']}}</td>
									<td>{{$hist['vendedor']}}</td>
									<td>{{$hist['fecha_cancelacion']}}</td>
									<td>{{$hist['usuario_cancelo']}}</td>
									<td>{{$hist['pasajero']}}</td>
									<td>{{$hist['dni']}}</td>
									<td>{{$hist['telefono']}}</td>
									<td>{{$hist['info']}}</td>
									<td id="comentario{{$hist['id']}}">
										{{$hist['comentarios']}}
										<button class="btn btn-default dropdown-toggle" type="button" title="Editar Comentario" class="dropdown-item" data-toggle="modal" data-target="#modalEditarComentario" onclick="editarComentario({{$hist['id']}},'{{$hist['comentarios']}}');" style="margin-left:2px;">
											<i class="fas fa-edit"></i>
										</button>
									</td>
									<td>${{number_format($hist['tarifa'], 2, ',', '.')}}</td>
									<td>${{number_format($hist['monto_entregado'], 2, ',', '.')}}</td>
									<td>${{number_format($hist['monto_retenido'], 2, ',', '.')}}</td>
									<td>${{number_format($hist['monto_devuelto'], 2, ',', '.')}}</td>
									<td>
										<button class="btn btn-default dropdown-toggle" type="button" title="Deshacer Cancelación" class="dropdown-item" data-toggle="modal" data-target="#modalDeshacerReservaCancelada" onclick="addDataModalDeshacerReservaCancelada({{$hist['id']}},'{{$hist['pasajero']}}');">
											<i class="fas fa-reply"></i>
										</button>
										<button class="btn btn-default dropdown-toggle" type="button" title="Borrar" class="dropdown-item" data-toggle="modal" data-target="#modalBorrarReservaCancelada" onclick="addDataModalBorrarReservaCancelada({{$hist['id']}},'{{$hist['pasajero']}}');">
											<i class="fas fa-trash"></i>
										</button>
									</td>
								</tr>
							@endforeach
						</tbody>
					</table>
				</div>
			</div>
		@endif

		<div class="container-fluid">
			<div class="row">
				<div class="titulo">
					<h2>Anotaciones</h2>
				</div>
				<form id="textAreaForm" action="saveAnotacion/guardar/{{$viajeId}}" method="POST">
				@csrf
					<div class="white-area">
						<div id="editor">
							@php
								echo $anotaciones;
							@endphp
						</div>
					</div>
					<div class="boton" style="margin-top:15px;margin-bottom:50px;">
						<button type="button" onclick="saveText({{$viajeId}});" class="btn bg-teal">GUARDAR</button>
						<p id="msg-anotaciones" style="font-style: italic;display: inline-block;margin-left:10px;"></p>
					</div>
				</form>
			</div>
		</div>

		{{-- <div class="container-fluid">
			<div class="row">
				<div class="titulo">
					<h2>Anotaciones</h2>
				</div>
				<form id="textAreaForm" action="saveAnotacion/guardar/{{$viajeId}}" method="POST">
				@csrf
					<div class="white-area">
						<textarea id="mytextarea" name="mytextarea" style="min-height: 450px;">{{$anotaciones}}</textarea>
					</div>
					<div class="boton" style="margin-top:15px;margin-bottom:50px;">
						<button type="button" onclick="saveText({{$viajeId}});" class="btn bg-teal">GUARDAR</button>
						<p id="msg-anotaciones" style="font-style: italic;display: inline-block;margin-left:10px;"></p>
					</div>
				</form>
			</div>
		</div> --}}

		@if (count($arrayComisiones) > 0)
			<div class="container-fluid" style="margin-bottom:150px;">
				<div class="row">
					<div class="titulo">
						<h2>Comisiones Pagadas</h2>
					</div>
					<div class="botoneraUser" style="width: 100%;margin-bottom:0;margin-top:10px;">
						<p style="margin-bottom:10px;font-weight:bold">Sumatoria Total Comisiones: <span style="color:#009688;">$ {{$sum_total_comisiones ?? '0,00'}}</span></p>
					</div>
					<table class="table table-bordered tabla-circuitos" id="tablaVendedores">
						<thead>
							<th>Vendedor</th>
							<th>Pagó Comisión</th>
							<th>Pasajero</th>
							<th>Monto Abonado</th>
							<th>Fecha de Pago</th>
							<th></th>
						</thead>
						<tbody>
							@foreach($arrayComisiones as $comision)
								<tr>
									<td>{{$comision['vendedor'] ?? ''}}</td>
									<td>{{$comision['pago_comision'] ?? ''}}</td>
									<td>{{$comision['pasajero'] ?? ''}}</td>
									<td>${{(isset($comision['monto'])) ? number_format($comision['monto'],2,',','.') : ''}}</td>
									<td>{{(isset($comision['datetime'])) ? date('d/m/Y', strtotime($comision['datetime'])) : ''}}</td>
									<td>
										<button class="btn btn-default dropdown-toggle" type="button" title="Editar" class="dropdown-item" data-toggle="modal" data-target="#modalEditarComision" onclick="addDataModalEditarComision({{$comision['id'] ?? ''}},{{$comision['id_caja'] ?? ''}},'{{$comision['pasajero'] ?? ''}}','{{$comision['monto'] ?? ''}}','{{$comision['metodo_pago'] ?? ''}}','{{$comision['oficina_id'] ?? ''}}','{{date('d/m/Y', strtotime($comision['datetime']))}}');">
											<i class="fas fa-edit"></i>
										</button>
										<button class="btn btn-default dropdown-toggle" type="button" title="Borrar" class="dropdown-item" data-toggle="modal" data-target="#modalBorrarComision" onclick="addDataModalBorrarComision({{$comision['id'] ?? ''}},'{{$comision['pasajero'] ?? ''}}');">
											<i class="fas fa-trash"></i>
										</button>
									</td>
								</tr>
							@endforeach
						</tbody>
					</table>
				</div>
			</div>
		@endif

		<a href="#" id="abrirPopUpBorrado" data-toggle="modal" data-target="#modalBorradoCorrecto" style="display: none;">Model Correcto</a>
	</section>

	<!-- Modal Cambiar Titularidad -->
	<div id="modalCambiarTitular" class="modal fade" role="dialog">
		<div class="modal-dialog" style="max-width: 450px !important;">	
			<!-- Modal content-->
			<div class="modal-content" style="border-radius: 5px;">
				<form action="cambiar-titularidad" method="POST">
				@csrf
					<div class="modal-header" style="padding: 5px;"></div>
					<div class="swal-icon swal-icon--warning" style="width: 50px;height: 50px;margin: 10px auto;">
						<span class="swal-icon--warning__body" style="height: 20px;width: 4px;">
							<span class="swal-icon--warning__dot" style="width: 4px;height: 4px;margin-left: -2px;"></span>
						</span>
					</div>
					<div class="swal-title" style="padding-top: 0px;margin-bottom:0;">Cambiar Titularidad</div>
					<div class="swal-text" style="margin:10px;width:100%;">
						<p style="text-align: center;">¿Está seguro que desea cambiar la titularidad de esta reserva?</p>
					</div>
					<div>
						<div class="swal-text" style="margin:10px;">Pasajero Actual: <span id="pasajeroActualCambioTit"></span></div>
						<div id="selectPasajeros">
							<div class="swal-text" style="margin:10px;">Seleccione el pasajero:</div>
							<div class="colSelectPassenger selectSearcher" style="padding:0 10px;margin:0 10px;">
								<div class="form-group" style="margin-bottom:5px;">
									<select name="pasajero_a_cambiar" id="pasajero_a_cambiar" class="form-control" data-live-search="true" title="Seleccione un pasajero">
										@foreach ($pasajeros as $pasajero)
											@if ($pasajero->coordinador != "1")
												<option value="{{$pasajero->id}}">{{$pasajero->apellido}}, {{$pasajero->nombre}} | DNI: {{$pasajero->dni}} | {{$pasajero->localidad}}</option>
											@endif
										@endforeach
									</select>
								</div>
							</div>
						</div>
						<div id="selectCoordinadores">
							<div class="swal-text" style="margin:10px;">Seleccione el Coordinador:</div>
							<div class="colSelectPassenger selectSearcher" style="padding:0 10px;margin:0 10px;">
								<div class="form-group" style="margin-bottom:5px;">
									<select name="coordinador_a_cambiar" id="coordinador_a_cambiar" class="form-control" data-live-search="true" title="Seleccione un pasajero">
										@foreach ($pasajeros as $coordinador)
											@if ($coordinador->coordinador == "1")
												<option value="{{$coordinador->id}}">{{$coordinador->apellido}}, {{$coordinador->nombre}} | DNI: {{$coordinador->dni}}</option>
											@endif
										@endforeach
									</select>
								</div>
							</div>
						</div>
					</div>
					<input type="text" id="viajeIDCambioTit" name="viajeIDCambioTit" style="display:none;">
					<input type="text" id="pasajeroIDCambioTit" name="pasajeroIDCambioTit" style="display:none;">
					<input type="text" id="esCoordCambioTit" name="esCoordCambioTit" value="0" style="display:none;">

					<div class="swal-footer">
						<div class="swal-button-container">
							<button data-dismiss="modal" class="swal-button swal-button--cancel">Cancelar</button>
							<div class="swal-button__loader"></div>
						</div>
						<div class="swal-button-container">
							<button type="submit" class="swal-button swal-button--confirm">Aceptar</button>
							<div class="swal-button__loader"></div>
						</div>
					</div>
				</form>
			</div>	
		</div>
	</div>

	<!-- Modal Cancel Reserva -->
	<div id="modalCancelReserva" class="modal fade" role="dialog">
		<div class="modal-dialog" style="max-width: 450px !important;">	
			<!-- Modal content-->
			<div class="modal-content" style="border-radius: 5px;">
				<div class="modal-header" style="padding: 5px;">
					{{-- <button type="button" class="close" data-dismiss="modal">&times;</button>
					<h4 class="modal-title">Busqueda Avanzada <span style="font-style: italic; font-size:15px; font-weight: 100; color: rgb(87, 87, 87)">(Todos los registros)</span></h4> --}}
				</div>
				<div class="swal-icon swal-icon--warning" style="width: 50px;height: 50px;margin: 10px auto;">
					<span class="swal-icon--warning__body" style="height: 20px;width: 4px;">
						<span class="swal-icon--warning__dot" style="width: 4px;height: 4px;margin-left: -2px;"></span>
					</span>
				</div>
				<div class="swal-title" style="padding-top: 0px;margin-bottom:0;">Cancelar Reserva</div>
				<div class="swal-text" style="margin:10px;width:100%;">
					<p style="text-align: center;">¿Está seguro que desea cancelar esta reserva?</p>
				</div>
				<div id="formulario" style="display: none;">
					<div class="swal-text" style="margin: 0 10px; color:#d35151;font-style: italic;">El pasajero posee dinero entregado.</div>
					<div class="swal-text" style="margin:10px;">¿Qué deseas realizar?</div>
					<div class="" style="padding:0 10px;margin:0 10px;">
						<div class="form-group" style="margin-bottom:0;">
							<select name="" id="accion_a_realizar" class="form-control" onchange="changeSelect();">
								<option value="1">Devolución del dinero</option>
								<option value="2">Guardar saldo a favor</option>
								<option value="3">Pasar dinero a otro pasajero</option>
							</select>
						</div>
					</div>
					<div id="oficina">
						<div class="swal-text" style="margin:10px;">Seleccione la oficina</div>
						<div class="" style="padding:0 10px;margin:0 10px;">
							<div class="form-group" style="margin-bottom: 0 !important;">
								<select name="oficina_dev" id="oficina_dev" class="form-control">
									<option value="1">Bahia Blanca</option>
									<option value="2">Pigué</option>
								</select>
							</div>
						</div>
					</div>
					<div id="pasajero_pasar_dinero" style="display: none;">
						<div class="swal-text" style="margin:10px;">Seleccione el pasajero a transferir</div>
						<div class="colSelectPassenger selectSearcher" style="padding:0 10px;margin:0 10px;">
							<div class="form-group" style="margin-bottom:5px;">
								<select name="pasajero_a_transf" id="pasajero_a_transf" class="form-control" data-live-search="true" title="Seleccione un pasajero">
									@foreach ($pasajeros as $pasajero)
										<option value="{{$pasajero->id}}">{{$pasajero->apellido}}, {{$pasajero->nombre}} | DNI: {{$pasajero->dni}} | {{$pasajero->localidad}}</option>
									@endforeach
								</select>
							</div>
							<p style="font-style: italic; color: #747474; margin-bottom: 0 !important;">El pasajero seleccionado recibirá el dinero y tendrá saldo a favor para ser utilizado.</p>
						</div>
					</div>
					<div id="tipo_devolucion">
						<div class="swal-text" style="margin:10px;">Seleccione el medio de pago</div>
						<div class="" style="padding:0 10px;margin:0 10px;">
							<div class="form-group" style="margin:0px;">
								<select name="tipo_dev_dinero" id="tipo_dev_dinero" class="form-control">
									<option value="efectivo">Efectivo</option>
									<option value="transferencia">Transferencia</option>
								</select>
							</div>
						</div>
					</div>
					<div id="porcentaje" style="padding:0 10px;margin:0 10px;">
						@php
							$moneda = '$ ';
							if ($data_viaje->moneda == "5") {
								$moneda = 'U$S ';
							}
							if ($data_viaje->moneda == "8") {
								$moneda = '€ ';
							}
							if ($data_viaje->moneda == "13") {
								$moneda = 'R$ ';
							}
						@endphp
						<div class="swal-text" style="margin:10px 0;padding:0;">
							Ingrese el monto a devolver/guardar
							<br>
							(Saldo: {{$moneda ?? '$ '}}<span id="saldoEntregado"></span>)
							<span id="poseeSaldoExcursiones" style="display: none;">(Excursiones: $ <span id="saldoExcursiones"></span>)</span>
						</div>
						<div class="">
							<div class="form-group" style="margin-bottom:0px;">
								<input type="number" step="any" min="0" id="monto_a_pasar" class="form-control" style="border: 1px solid #ccc;box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%);">
							</div>
						</div>
					</div>
					<div id="masMedioPago" style="display: none;"></div>
					<div id="botonMasMedioPago" style="margin: 10px 20px;">
						<button type="button" class="swal-button" style="font-size:12px;padding: 5px 10px;" onclick="addMetodoPago()">
							Agregar Método de Pago
						</button>
					</div>
					<div id="comentarioDiv" style="display: none;">
						<div class="swal-text" style="margin:10px;">Comentario</div>
						<div class="" style="padding:0 10px;margin:0 10px;">
							<div class="form-group">
								<textarea id="comentario" class="form-control" style="border: 1px solid #ccc;box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%);padding-left:10px;max-width:100%;min-width:100%;min-height:50px;"></textarea>
							</div>
						</div>
					</div>
				</div>
				<input type="text" id="poseeDinero" style="display:none;">
				<input type="text" id="pasajeroID" style="display:none;">
				<input type="text" id="viajeID" style="display:none;">
				<input type="text" id="cantEntregada" style="display:none;">

				<div class="swal-footer">
					<div class="swal-button-container">
						<button data-dismiss="modal" class="swal-button swal-button--cancel" id="cerrarPopUp">Cancelar</button>
						<div class="swal-button__loader"></div>
					</div>
					<div class="swal-button-container">
						<button class="swal-button swal-button--confirm" onclick="enviarForm();">Aceptar</button>
						<div class="swal-button__loader"></div>
					</div>
				</div>
			</div>	
		</div>
	</div>

	<!-- Modal Cambiar Viaje -->
	<div id="modalCambiarViaje" class="modal fade" role="dialog">
		<div class="modal-dialog" style="max-width: 550px !important;">	
			<!-- Modal content-->
			<div class="modal-content" style="border-radius: 5px;">
				<form action="cambiar-viaje" method="POST">
				@csrf
					<div class="modal-header" style="padding: 5px;"></div>
					<div class="swal-icon swal-icon--warning" style="width: 50px;height: 50px;margin: 10px auto;">
						<span class="swal-icon--warning__body" style="height: 20px;width: 4px;">
							<span class="swal-icon--warning__dot" style="width: 4px;height: 4px;margin-left: -2px;"></span>
						</span>
					</div>
					<div class="swal-title" style="padding-top: 0px;margin-bottom:0;">Cambiar Viaje</div>
					<div class="swal-text" style="margin:10px;width:100%;">
						<p style="text-align: center;">¿Está seguro que desea cambiar de viaje al pasajero?</p>
					</div>
					<div id="formulario">
						<div>
							<div class="swal-text" style="margin:10px;">Seleccione el viaje</div>
							<div class="colSelectPassenger selectSearcher" style="padding:0 10px;margin:0 10px;">
								<div class="form-group" style="margin-bottom:5px;">
									<select name="viaje_a_transf" id="viaje_a_transf" class="form-control" data-live-search="true" title="Seleccione un Viaje" required onchange="cargarBus();">
										@foreach ($viajes as $viaje)
											@if ($viajeId != $viaje->id)
												<option value="{{$viaje->id}}">{{$viaje->destino->ciudad}}, {{$viaje->destino->provincia}} ({{date('d/m/Y', strtotime($viaje->fecha_hora_salida)) ?? ''}})</option>
											@endif
										@endforeach
									</select>
								</div>
							</div>
							<div class="swal-text" style="margin:10px;">Info</div>
							<div class="" style="padding:0 10px;margin:0 10px;">
								<textarea name="info" class="form-control" style="min-height: 75px;"></textarea>
							</div>
							<div class="swal-text" style="margin:10px;">Seleccionar Butaca</div>
							<div class="" style="padding:0 10px;margin:0 10px 10px 10px;width:50%;">
								<input type="text" name="nroAsiento" id="nroAsientoSelect" class="form-control" required readonly>
							</div>
							<div id="asientos-bus"></div>
						</div>
					</div>
					<input type="text" id="pasajeroIDCambioViaje" name="pasajeroIDCambioViaje" style="display:none;" required>
					<input type="text" id="viajeIDCambioViaje" name="viajeIDCambioViaje" style="display:none;" required>

					<div class="swal-footer">
						<div class="swal-button-container">
							<button data-dismiss="modal" class="swal-button swal-button--cancel" id="cerrarPopUp">Cancelar</button>
							<div class="swal-button__loader"></div>
						</div>
						<div class="swal-button-container">
							<button type="submit" class="swal-button swal-button--confirm">Aceptar</button>
							<div class="swal-button__loader"></div>
						</div>
					</div>
				</form>
			</div>	
		</div>
	</div>

	<!-- Modal Borrado Correcto -->
	<div id="modalBorradoCorrecto" class="modal fade" role="dialog">
		<div class="modal-dialog" style="max-width: 450px !important;">		
			<!-- Modal content-->
			<div class="modal-content" style="border-radius: 5px;">
				<div class="modal-header" style="padding: 5px;">
					{{-- <button type="button" class="close" data-dismiss="modal">&times;</button>
					<h4 class="modal-title">Busqueda Avanzada <span style="font-style: italic; font-size:15px; font-weight: 100; color: rgb(87, 87, 87)">(Todos los registros)</span></h4> --}}
				</div>
				<div class="swal-icon swal-icon--success">
					<span class="swal-icon--success__line swal-icon--success__line--long"></span>
					<span class="swal-icon--success__line swal-icon--success__line--tip"></span>
					<div class="swal-icon--success__ring"></div>
					<div class="swal-icon--success__hide-corners"></div>
				</div>
				<div class="swal-title">Hecho</div>
				<p style="text-align: center;">La reserva se ha cancelado correctamente.</p>

				<div class="swal-footer">
					<div class="swal-button-container">
						<button data-dismiss="modal" class="swal-button swal-button--cancel">OK</button>
						<div class="swal-button__loader"></div>
					</div>
				</div>
			</div>		
		</div>
	</div>

	<!-- Modal Deshacer Reserva Cancelada -->
	<div id="modalDeshacerReservaCancelada" class="modal fade" role="dialog">
		<div class="modal-dialog" style="max-width: 450px !important;">	
			<!-- Modal content-->
			<div class="modal-content" style="border-radius: 5px;">
				<form action="deshacer-reserva-cancelada" method="POST">
				@csrf
					<div class="modal-header" style="padding: 5px;">
						{{-- <button type="button" class="close" data-dismiss="modal">&times;</button>
						<h4 class="modal-title">Busqueda Avanzada <span style="font-style: italic; font-size:15px; font-weight: 100; color: rgb(87, 87, 87)">(Todos los registros)</span></h4> --}}
					</div>
					<div class="swal-icon swal-icon--warning" style="width: 50px;height: 50px;margin: 10px auto;">
						<span class="swal-icon--warning__body" style="height: 20px;width: 4px;">
							<span class="swal-icon--warning__dot" style="width: 4px;height: 4px;margin-left: -2px;"></span>
						</span>
					</div>
					<div class="swal-title" style="padding-top: 0px;margin-bottom:0;">Deshacer Reserva Cancelada</div>
					<div class="swal-text" style="margin:10px;width:100%;">
						<p style="text-align: center;">¿Está seguro que desea volver a realizar la reserva cancelada a nombre de <span id="pasajeroDeshacerReservaCancelada"></span>?</p>
					</div>
					<input type="text" id="idDeshacerReservaCancelada" name="idDeshacerReservaCancelada" style="display:none;">
					<input type="text" id="idViajeDeshacerReservaCancelada" name="idViajeDeshacerReservaCancelada" value="{{$viajeId}}" style="display:none;">

					<div class="swal-footer">
						<div class="swal-button-container">
							<button data-dismiss="modal" class="swal-button swal-button--cancel">Cancelar</button>
							<div class="swal-button__loader"></div>
						</div>
						<div class="swal-button-container">
							<button type="submit" class="swal-button swal-button--confirm">Aceptar</button>
							<div class="swal-button__loader"></div>
						</div>
					</div>
				</form>
			</div>	
		</div>
	</div>

	<!-- Modal Borrar Reserva Cancelada -->
	<div id="modalBorrarReservaCancelada" class="modal fade" role="dialog">
		<div class="modal-dialog" style="max-width: 450px !important;">	
			<!-- Modal content-->
			<div class="modal-content" style="border-radius: 5px;">
				<form action="borrar-reserva-cancelada" method="POST">
				@csrf
					<div class="modal-header" style="padding: 5px;">
						{{-- <button type="button" class="close" data-dismiss="modal">&times;</button>
						<h4 class="modal-title">Busqueda Avanzada <span style="font-style: italic; font-size:15px; font-weight: 100; color: rgb(87, 87, 87)">(Todos los registros)</span></h4> --}}
					</div>
					<div class="swal-icon swal-icon--warning" style="width: 50px;height: 50px;margin: 10px auto;">
						<span class="swal-icon--warning__body" style="height: 20px;width: 4px;">
							<span class="swal-icon--warning__dot" style="width: 4px;height: 4px;margin-left: -2px;"></span>
						</span>
					</div>
					<div class="swal-title" style="padding-top: 0px;margin-bottom:0;">Borrar Reserva Cancelada</div>
					<div class="swal-text" style="margin:10px;width:100%;">
						<p style="text-align: center;">¿Está seguro que desea eliminar la reserva cancelada a nombre de <span id="pasajeroBorrarReservaCancelada"></span>?</p>
					</div>
					<input type="text" id="idBorrarReservaCancelada" name="idBorrarReservaCancelada" style="display:none;">
					<input type="text" id="idViajeBorrarReservaCancelada" name="idViajeBorrarReservaCancelada" value="{{$viajeId}}" style="display:none;">

					<div class="swal-footer">
						<div class="swal-button-container">
							<button data-dismiss="modal" class="swal-button swal-button--cancel">Cancelar</button>
							<div class="swal-button__loader"></div>
						</div>
						<div class="swal-button-container">
							<button type="submit" class="swal-button swal-button--confirm">Aceptar</button>
							<div class="swal-button__loader"></div>
						</div>
					</div>
				</form>
			</div>	
		</div>
	</div>

	<!-- Modal Editar Comentario -->
	<div id="modalEditarComentario" class="modal fade" role="dialog">
		<div class="modal-dialog" style="max-width: 450px !important;">	
			<!-- Modal content-->
			<div class="modal-content" style="border-radius: 5px;">
				<div class="modal-header" style="padding: 5px;">
					{{-- <button type="button" class="close" data-dismiss="modal">&times;</button>
					<h4 class="modal-title">Busqueda Avanzada <span style="font-style: italic; font-size:15px; font-weight: 100; color: rgb(87, 87, 87)">(Todos los registros)</span></h4> --}}
				</div>
				<div class="swal-icon swal-icon--warning" style="width: 50px;height: 50px;margin: 10px auto;">
					<span class="swal-icon--warning__body" style="height: 20px;width: 4px;">
						<span class="swal-icon--warning__dot" style="width: 4px;height: 4px;margin-left: -2px;"></span>
					</span>
				</div>
				<div class="swal-title" style="padding-top: 0px;margin-bottom:0;">Editar Comentario</div>
				<div class="form-group" style="padding:10px 25px;">
					<textarea name="textoComentario" id="textoComentario" class="form-control" style="border: 1px solid #ccc;box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%);padding:10px;min-height:200px;"></textarea>
				</div>
				<input type="text" id="idViajeComentario" name="idViajeComentario" style="display:none;">

				<div class="swal-footer">
					<div class="swal-button-container">
						<button data-dismiss="modal" id="botonCerrarComentarios" class="swal-button swal-button--cancel">Cancelar</button>
						<div class="swal-button__loader"></div>
					</div>
					<div class="swal-button-container">
						<button type="button" onclick="saveComentario();" class="swal-button swal-button--confirm">Aceptar</button>
						<div class="swal-button__loader"></div>
					</div>
				</div>
			</div>	
		</div>
	</div>

	<!-- Modal Agregar Comision -->
	<div id="modalAddComision" class="modal fade" role="dialog">
		<div class="modal-dialog" style="max-width: 450px !important;">	
			<!-- Modal content-->
			<div class="modal-content" style="border-radius: 5px;">
				<form action="add-comision" method="POST">
				@csrf
					<div class="modal-header" style="padding: 5px;"></div>
					<div class="swal-title" style="padding-top: 20px;margin-bottom:0;">Agregar Comisión</div>
					<div style="margin-top:10px;">
						<div class="swal-text" style="margin:10px;">Vendedor: <span id="vendedorComision"></span></div>
						<div>
							<div class="swal-text" style="margin:10px;">Ingrese el monto de la comisión</div>
							<div class="" style="padding:0 10px;margin:0 10px;">
								<div class="form-group" style="margin-bottom:0px;">
									<input type="number" step="any" min="0" id="monto_comision" name="monto_comision" class="form-control" style="border: 1px solid #ccc;box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%);" required>
								</div>
							</div>
						</div>
						<div style="display: none;" id="div_tipo_cambio">
							<div class="swal-text" style="margin:10px;">Tipo Cambio ($)</div>
							<div class="" style="padding:0 10px;margin:0 10px;">
								<div class="form-group" style="margin-bottom:0px;">
									<input type="number" step="any" min="0" id="monto_cambio" name="monto_cambio" class="form-control" style="border: 1px solid #ccc;box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%);">
								</div>
							</div>
						</div>
						<div>
							<div class="swal-text" style="margin:10px;">Seleccione el medio de pago</div>
							<div class="" style="padding:0 10px;margin:0 10px;">
								<div class="form-group" style="margin:0px;">
									<select name="metodo_pago" id="metodo_pago_comision" class="form-control" onchange="changeMoneda()">
										<option value="efectivo">Efectivo</option>
										<option value="transf_bancaria">Transferencia</option>
										<option value="dolares">Dólares</option>
									</select>
								</div>
							</div>
						</div>
						<div>
							<div class="swal-text" style="margin:10px;">Seleccione la oficina</div>
							<div class="" style="padding:0 10px;margin:0 10px;">
								<div class="form-group" style="margin-bottom: 0 !important;">
									<select name="oficina_id" id="oficina_id_comision" class="form-control">
										<option value="1">Bahia Blanca</option>
										<option value="2">Pigué</option>
									</select>
								</div>
							</div>
						</div>
						<div>
							<div class="swal-text" style="margin:10px;">Fecha de Pago</div>
							<div class="" style="padding:0 10px;margin:0 10px;">
								<div class="input-group date" style="padding:0;margin:0;" id="fechaPago">
									<div class="form-group" style="margin-bottom: 0 !important;">
										<input type="text" name="fecha_pago" id="fecha_pago" class="form-control" autocomplete="off" value="{{date('d/m/Y')}}" style="border: 1px solid #ccc;padding-left:12px;" required>
									</div>
								</div>
							</div>
						</div>
					</div>
					<input type="text" id="idReservaInfoComision" name="idReservaInfoComision" style="display:none;" required>
					<input type="text" id="idUserComision" name="idUserComision" style="display:none;" required>

					<div class="swal-footer">
						<div class="swal-button-container">
							<button data-dismiss="modal" class="swal-button swal-button--cancel">Cancelar</button>
							<div class="swal-button__loader"></div>
						</div>
						<div class="swal-button-container">
							<button type="submit" class="swal-button swal-button--confirm">Aceptar</button>
							<div class="swal-button__loader"></div>
						</div>
					</div>
				</form>
			</div>	
		</div>
	</div>

	<!-- Modal Editar Comision -->
	<div id="modalEditarComision" class="modal fade" role="dialog">
		<div class="modal-dialog" style="max-width: 450px !important;">	
			<!-- Modal content-->
			<div class="modal-content" style="border-radius: 5px;">
				<form action="edit-comision" method="POST">
				@csrf
					<div class="modal-header" style="padding: 5px;"></div>
					<div class="swal-title" style="padding-top: 20px;margin-bottom:0;">Agregar Comisión</div>
					<div style="margin-top:10px;">
						<div class="swal-text" style="margin:10px;">Vendedor: <span id="vendedorComisionEdit"></span></div>
						<div>
							<div class="swal-text" style="margin:10px;">Ingrese el monto de la comisión</div>
							<div class="" style="padding:0 10px;margin:0 10px;">
								<div class="form-group" style="margin-bottom:0px;">
									<input type="number" step="any" min="0" id="monto_comisionEdit" name="monto_comision" class="form-control" style="border: 1px solid #ccc;box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%);" required>
								</div>
							</div>
						</div>
						<div>
							<div class="swal-text" style="margin:10px;">Seleccione el medio de pago</div>
							<div class="" style="padding:0 10px;margin:0 10px;">
								<div class="form-group" style="margin:0px;">
									<select name="metodo_pago" id="metodo_pago_comisionEdit" class="form-control">
										<option value="efectivo">Efectivo</option>
										<option value="transf_bancaria">Transferencia</option>
									</select>
								</div>
							</div>
						</div>
						<div>
							<div class="swal-text" style="margin:10px;">Seleccione la oficina</div>
							<div class="" style="padding:0 10px;margin:0 10px;">
								<div class="form-group" style="margin-bottom: 0 !important;">
									<select name="oficina_id" id="oficina_id_comisionEdit" class="form-control">
										<option value="1">Bahia Blanca</option>
										<option value="2">Pigué</option>
									</select>
								</div>
							</div>
						</div>
						<div>
							<div class="swal-text" style="margin:10px;">Fecha de Pago</div>
							<div class="" style="padding:0 10px;margin:0 10px;">
								<div class="input-group date" style="padding:0;margin:0;" id="fechaPagoEdit">
									<div class="form-group" style="margin-bottom: 0 !important;">
										<input type="text" name="fecha_pago" id="fecha_pagoEdit" class="form-control" autocomplete="off" style="border: 1px solid #ccc;padding-left:12px;" required>
									</div>
								</div>
							</div>
						</div>
					</div>
					<input type="text" id="idCajaComisionEdit" name="idCajaComision" style="display:none;" required>
					<input type="text" id="idComisionEdit" name="idComision" style="display:none;" required>

					<div class="swal-footer">
						<div class="swal-button-container">
							<button data-dismiss="modal" class="swal-button swal-button--cancel">Cancelar</button>
							<div class="swal-button__loader"></div>
						</div>
						<div class="swal-button-container">
							<button type="submit" class="swal-button swal-button--confirm">Aceptar</button>
							<div class="swal-button__loader"></div>
						</div>
					</div>
				</form>
			</div>	
		</div>
	</div>

	<!-- Modal Borrar Comision -->
	<div id="modalBorrarComision" class="modal fade" role="dialog">
		<div class="modal-dialog" style="max-width: 450px !important;">	
			<!-- Modal content-->
			<div class="modal-content" style="border-radius: 5px;">
				<form action="delete-comision" method="POST">
				@csrf
					<div class="modal-header" style="padding: 5px;"></div>
					<div class="swal-icon swal-icon--warning" style="width: 50px;height: 50px;margin: 10px auto;">
						<span class="swal-icon--warning__body" style="height: 20px;width: 4px;">
							<span class="swal-icon--warning__dot" style="width: 4px;height: 4px;margin-left: -2px;"></span>
						</span>
					</div>
					<div class="swal-title" style="padding-top: 0px;margin-bottom:0;">Borrar Comisión</div>
					<div style="margin-top:10px;">
						<div class="swal-text" style="margin:10px;">Vendedor: <span id="vendedorBorrarComision"></span></div>
					</div>
					<div style="margin-top:5px;">
						<div class="swal-text" style="margin:10px;font-style:italic;color:#747474;font-size:14px;">Se borrará el monto de la comisión y el movimiento en la caja.</div>
					</div>
					<input type="text" id="idBorrarComision" name="idBorrarComision" style="display:none;" required>

					<div class="swal-footer">
						<div class="swal-button-container">
							<button data-dismiss="modal" class="swal-button swal-button--cancel">Cancelar</button>
							<div class="swal-button__loader"></div>
						</div>
						<div class="swal-button-container">
							<button type="submit" class="swal-button swal-button--confirm">Aceptar</button>
							<div class="swal-button__loader"></div>
						</div>
					</div>
				</form>
			</div>	
		</div>
	</div>

@include('footer')

<script> //DatePicker
	$('#fechaPago input').datepicker({
		autoclose: true,
		format: 'dd/mm/yyyy',
		container: '#fechaPago',
		language: 'es'
	});
	$('#fechaPagoEdit input').datepicker({
		autoclose: true,
		format: 'dd/mm/yyyy',
		container: '#fechaPagoEdit',
		language: 'es'
	});
	function loadCalendarioCuotas() {
		setTimeout(() => {
			$('#fechaCuentas input').datepicker({
				autoclose: true,
				format: 'dd/mm/yyyy',
				container: '#fechaCuentas',
				language: 'es'
			});
		}, 1000);
	}
</script>
<script>
	$(document).ready(function() {
		var view = new cuentas_View({{$viajeId}});
	});
</script>
<script>
	function changeMoneda() {
		let tipo = $('#metodo_pago_comision').val()
		if (tipo == "dolares") {
			$('#div_tipo_cambio').show()
			$('#monto_cambio').attr('required', true)
		} else {
			$('#div_tipo_cambio').hide()
			$('#monto_cambio').attr('required', false)
		}
	}
</script>
<script>
	function saveText(id) {
		var texto = $('#editor .ql-editor').html()
		var _token = $('meta[name="csrf-token"]').attr('content');
		if (texto === "") {
			texto = "87sa87dsf8a76f0a9sd32hnkl9afdsfhn3r89dsaf";
		}
		$.ajax({
            url: "saveAnotacion/guardar/"+id,
			type: "POST",
			data: {texto:texto, _token:_token},
            success: function(response){
				if (response == 1) {
					$("#msg-anotaciones").fadeIn(300);
					$('#msg-anotaciones').text('Guardado!');
					ocultarMsg();
				} else {
					$("#msg-anotaciones").fadeIn(300);
					$('#msg-anotaciones').text('Error al intentar guardar.');
					ocultarMsg();
				}
			},
			error: function(error) {
				$("#msg-anotaciones").fadeIn(300);
				$('#msg-anotaciones').text('Error al intentar guardar.');
				ocultarMsg();
			}
        });
	}
</script>
<script>
	function ocultarMsg() {
		$("#msg-anotaciones").delay(3000).fadeOut(800);
	}
</script>
<script>
	function expExcel() {
		var tipo = $('#tipo_exp').val();
		window.location.href='../exportar_pasajeros_excel/{{$viajeId}}/'+tipo;
	}
</script>
<script>
	function loadDataModalCancel(pasajero_id,viajeID,entregado,entregado_excursiones=0) {
		if (entregado > 0) {
			$('#formulario').show();
			$('#poseeDinero').val("1");
		} else {
			$('#formulario').hide();
			$('#poseeDinero').val("0");
		}
		$('#pasajeroID').val(pasajero_id);
		$('#viajeID').val(viajeID);
		$('#cantEntregada').val(entregado);
		$('#saldoEntregado').text(entregado);
		$('#monto_a_pasar').val(entregado);

		console.log(entregado_excursiones)
		if (entregado_excursiones > 0) {
			$('#poseeSaldoExcursiones').show()
		} else {
			$('#poseeSaldoExcursiones').hide()
		}
		$('#saldoExcursiones').text(entregado_excursiones);

		//document.getElementById("monto_a_pasar").max = entregado;
	}
</script>
<script> //changeSelect
	function changeSelect() {
		var select = $('#accion_a_realizar').val();
		if (select == 1) {
			$('#pasajero_pasar_dinero').hide();
			$('#tipo_devolucion').show();
			$('#botonMasMedioPago').show();
			$('#oficina').show();
			$('#comentarioDiv').hide();
		}
		if (select == 2) {
			$('#pasajero_pasar_dinero').hide();
			$('#tipo_devolucion').hide();
			$('#masMedioPago').hide();
			$('#masMedioPago').html('');
			$('#botonMasMedioPago').hide();
			$('#oficina').hide();
			$('#comentarioDiv').show();
		}
		if (select == 3) {
			$('#pasajero_pasar_dinero').show();
			$('#tipo_devolucion').hide();
			$('#masMedioPago').hide();
			$('#masMedioPago').html('');
			$('#botonMasMedioPago').hide();
			$('#oficina').hide();
			$('#comentarioDiv').hide();
		}
	}
</script>
<script>
	function enviarForm() {
		var select = $('#accion_a_realizar').val();
		var poseeDinero = $('#poseeDinero').val();
		var pasajero_id = $('#pasajeroID').val();
		var viajeID = $('#viajeID').val();
		var entregado = $('#cantEntregada').val();
		var monto_entregado = entregado;
		var comentario = $('#comentario').val();
		var info = 0;
		var info2 = 0;
		var tipo_dev_dinero2 = "";
		var monto_a_pasar2 = "";
		var monto_dev = $('#monto_a_pasar').val();
		var sumatoria_monto = parseFloat(monto_dev);
		var error = 0;
		if (select == 1) {
			info = $('#tipo_dev_dinero').val();
			info2 = $('#oficina_dev').val();
			tipo_dev_dinero2 = $('#tipo_dev_dinero2').val();
			monto_a_pasar2 = $('#monto_a_pasar2').val();
			if (!isNaN(monto_a_pasar2) && monto_a_pasar2 != "") {
				sumatoria_monto = sumatoria_monto + parseFloat(monto_a_pasar2);
			}
		}
		if (select == 3) {
			info = $('#pasajero_a_transf').val();
			if (info == "") {
				alert('Falta seleccionar el pasajero a transferir.');
				error = 1;
			}
		}
		if (poseeDinero == "0") {
			entregado = 0;
			select = 0;
		}
		if (monto_dev == "") {
			alert('Faltan ingresar un monto a devolver/guardar.');
			error = 1;
		} else if (parseFloat(sumatoria_monto) > parseFloat(monto_entregado)) {
			alert('El monto a devolver/guardar supera el monto entregado.');
			error = 1;
		}
		if (error == 0) {
			if (entregado > 0) {
				entregado = monto_dev;
			}
			$.ajaxSetup({
				headers: {
					'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
				}
			});
			$.ajax({
				url: "cancelReserva/"+viajeID,
				type: 'post',
				data: {pasajero_id:pasajero_id, entregado:entregado, opcion:select, info:info, info2:info2, comentario:comentario, monto_entregado:monto_entregado, tipo_dev_dinero2:tipo_dev_dinero2, monto_a_pasar2:monto_a_pasar2},
				success: function(response){
					$("#cerrarPopUp").trigger("click");
					$(".pasajero"+pasajero_id).remove();
					$("#abrirPopUpBorrado").trigger("click");
				}
			});
			$('#cerrarPopUp').click();
		}
	}
</script>
<script>
	function addDataModalDeshacerReservaCancelada(id, pasajero) {
		$('#pasajeroDeshacerReservaCancelada').text(pasajero);
		$('#idDeshacerReservaCancelada').val(id);
	}
</script>
<script>
	function addDataModalBorrarReservaCancelada(id, pasajero) {
		$('#pasajeroBorrarReservaCancelada').text(pasajero);
		$('#idBorrarReservaCancelada').val(id);
	}
</script>
<script>
	function loadDataModalCambiarTitular(idViaje, nombre, apellido, idPasajero, coordinador) {
		$('#pasajeroActualCambioTit').text(apellido+', '+nombre);
		$('#pasajeroIDCambioTit').val(idPasajero);
		$('#viajeIDCambioTit').val(idViaje);
		if (coordinador == 1) {
			$("#pasajero_a_cambiar").attr('required',false);
			$('#selectPasajeros').hide();
			$('#selectCoordinadores').show();
			$("#coordinador_a_cambiar").attr('required',true);
			$('#esCoordCambioTit').val('1');
		} else {
			$("#coordinador_a_cambiar").attr('required',false);
			$('#selectCoordinadores').hide();
			$('#selectPasajeros').show();
			$("#pasajero_a_cambiar").attr('required',true);
			$('#esCoordCambioTit').val('0');
		}
	}
</script>
<script>
	function loadDataModalCambiarViaje(idViaje, nombre, apellido, idPasajero) {
		$('#pasajeroIDCambioViaje').val(idPasajero);
		$('#viajeIDCambioViaje').val(idViaje);
	}
</script>
<script>
	function cargarBus() {
		$('#asientos-bus').html('');
		var idViaje = $('#viaje_a_transf').val();
		$.ajax({
			url: "getDataBus/"+idViaje,
			success: function(response){
				var dataAsientos = response;
				$.ajax({
					url: "getDataViaje/"+idViaje,
					success: function(response){
						var dataViaje = JSON.parse(response);
						var bus = new bus_View(dataAsientos,dataViaje);
						$('#asientos-bus').html(bus);
					}
				});
			}
		});
	}
</script>
<script>
	function passData(data) {
		var nroSeat = data.getAttribute("data-seat");
		var idViaje = $('#viaje_a_transf').val();
		$('#nroAsientoSelect').val(nroSeat);
		$('.selected').removeClass('selected').addClass('free');
		$('.free-'+nroSeat+idViaje).removeClass('free').addClass('selected');
	}
</script>
<script>
	$(document).ready(function() {
		$.ajax({
			url: "getDataButBloqueadas/{{$viajeId}}",
			success: function(response){
				//console.log(response);
				if (response > 0) {
					$('#alertaButacas').show();
					if (response == 1) {
						$('#alertaButacasText').text('Hay 1 butaca bloqueada hace más de una semana.');
					} else {
						$('#alertaButacasText').text('Hay '+response+' butacas bloqueadas hace mas de una semana.');
					}
				} else {
					$('#alertaButacas').hide();
				}
			}
		});
	});
</script>
<script>
	function closeAlertaButaca() {
		$('#alertaButacas').hide();
	}
</script>
<script>
	function editarComentario(idViaje, comentario) {
		$('#idViajeComentario').val(idViaje);
		$('#textoComentario').val(comentario);
	}
</script>
<script>
	function saveComentario() {
		let id = $('#idViajeComentario').val();
		let comentario = $('#textoComentario').val();
		$.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
		$.ajax({
            url: "../cuentas/saveComentario/guardar",
			type: "POST",
			data: {id:id, comentario:comentario},
            success: function(response){
				$('#comentario'+id).html(comentario+
										'<button class="btn btn-default dropdown-toggle" type="button" title="Editar Comentario" class="dropdown-item" data-toggle="modal" data-target="#modalEditarComentario" onclick="editarComentario('+id+',\''+comentario+'\');" style="margin-left:2px;">'+
											'<i class="fas fa-edit"></i>'+
										'</button>');
				$('#botonCerrarComentarios').click();
			},
			error: function(error) {
				alert('Error al intentar guardar.');
			}
        });
	}
</script>
<script> //loadDataModalAddComision
	function loadDataModalAddComision(id_user,name,lastname,id_reserva_info) {
		$('#idReservaInfoComision').val(id_reserva_info);
		$('#idUserComision').val(id_user);
		$('#vendedorComision').text(lastname+', '+name);
	}
</script>
<script> //addDataModalEditarComision
	function addDataModalEditarComision(id_comision,id_caja,pasajero,monto,metodo_pago,oficina_id,fecha_pago) {
		$('#idCajaComisionEdit').val('');
		$('#idComisionEdit').val('');
		$('#idCajaComisionEdit').val(id_caja);
		$('#idComisionEdit').val(id_comision);
		$('#vendedorComisionEdit').text(pasajero);
		$('#monto_comisionEdit').val(monto);
		$('#metodo_pago_comisionEdit').val(metodo_pago).change();
		$('#oficina_id_comisionEdit').val(oficina_id).change();
		$('#fecha_pagoEdit').datepicker('setDate', fecha_pago);
	}
</script>
<script> //addDataModalBorrarComision
	function addDataModalBorrarComision(id,pasajero) {
		$('#idBorrarComision').val(id);
		$('#vendedorBorrarComision').text(pasajero);
	}
</script>
<script> // borrarMetodoPago
	function borrarMetodoPago() {
		$('#masMedioPago').html('');
		$('#botonMasMedioPago').show();
	}
</script>
<script> // addMetodoPago
	function addMetodoPago() {
		$('#masMedioPago').show();
		$('#botonMasMedioPago').hide();
		$('#masMedioPago').append('<div style="border-top: 1px solid #9cdbff;margin: 0 20px;margin-top: 15px;">'+
									'<div class="swal-text" style="margin:10px 0;padding: 0;width:100%;">Seleccione el medio de pago 2 <span class="swal-button swal-button--danger" style="padding: 2px 6px;float: right;" onclick="borrarMetodoPago()">X</span></div>'+
									'<div class="">'+
										'<div class="form-group" style="margin:0px;">'+
											'<select id="tipo_dev_dinero2" class="form-control" style="border: 1px solid #ccc;">'+
												'<option value="efectivo">Efectivo</option>'+
												'<option value="transferencia">Transferencia</option>'+
											'</select>'+
										'</div>'+
									'</div>'+
									'<div class="swal-text" style="margin:10px 0;padding:0;">Ingrese el monto a devolver</div>'+
									'<div class="" style="margin: 0;">'+
										'<div class="form-group" style="margin-bottom:0px;">'+
											'<input type="number" step="any" min="0" id="monto_a_pasar2" class="form-control" style="border: 1px solid #ccc;box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%);">'+
										'</div>'+
									'</div>'+
								'</div>');
	}
</script>
<script> // Initialize Quill editor
	var quill = new Quill('#editor', {
		theme: 'snow'
	});
</script>
<script>
	$(document).ready(function() {
		$('#columnToggle').on('change', function() {
			var selectedColumns = $('#columnToggle').val();
			$('.columnas-ocultas').hide()
			if (selectedColumns.length > 0) {
				selectedColumns.forEach(function (option) {
					console.log(option);
					$('.columna-'+option).show()
				})
			}
		});
	});
</script>
