@include('header')

<style>
	.div-imagenes {
		display: flex;
		gap: 10px;
		flex-wrap: wrap;
		margin-bottom: 10px;
	}
	.hover-image {
		position: absolute;
		width: 100%;
		top: 0;
		bottom: 0;
		z-index: 99;
		display: flex;
		justify-content: center;
		align-items: center;
	}
	.hover-image:hover {
		background: #0000006b;
		cursor: pointer;
	}
	.hover-image:hover .fa-trash {
		opacity: 1 !important;
	}
</style>

<section class="content">
	<div class="botoneraUser" style="float:left;">
		<button class="btn bg-teal" onclick="history.go(-1)"><i class="fas fa-arrow-left"></i> Volver</button>
	</div>
</section>

<div id="modalDeleteImagen" class="modal fade" role="dialog">
	<div class="modal-dialog" style="width: 450px !important;">
		<!-- Modal content-->
		<div class="modal-content" style="border-radius: 5px;">
			<div class="modal-header" style="padding: 5px;"></div>
			<div class="swal-title" style="padding: 15px 20px;text-align:left;">Borrar Imagen</div>
			
			<div style="padding: 0 20px;">
				<p style="color:#777;">¿Está seguro de borrar la imagen?</p>
			</div>

			<input type="text" id="id_image_delete_image" style="display:none;" required>

			<div class="swal-footer">
				<div class="swal-button-container">
					<button data-dismiss="modal" id="button-close-modal" class="swal-button swal-button--cancel">Cancelar</button>
					<div class="swal-button__loader"></div>
				</div>
				<div class="swal-button-container" id="div-button-delete-image">
					<button type="button" onclick="deleteImage()" id="button-delete-image" class="swal-button">Aceptar</button>
					{{-- <div class="swal-button__loader"></div> --}}
				</div>
			</div>
		</div>	
	</div>
</div>

@include('footer')

<script>
	$(document).ready(function() {
		var view = new destinos_View();
	});
</script>
<script>
	var ijaboCropToolInitialized = {};

    function openImagen(id) {
        $('#imagen_destino'+id).click();

		if (!ijaboCropToolInitialized[id]) {
			ijaboCropToolInitialized[id] = true;
			$('#imagen_destino'+id).ijaboCropTool({
				preview : '.image-previewer',
				setRatio:16/9,
				allowedExtensions: ['webp'],
				buttonsText:['CORTAR','SALIR'],
				buttonsColor:['#30bf7d','#ee5155', -15],
				processUrl: '{{ route("save_imagen_destino") }}' + '?id=' + id,
				withCSRF:['_token','{{ csrf_token() }}'],
				onSuccess:function(response){
					let path = response['path']
					let id_image = response['id_image']

					var imgContainer = document.createElement('div');
					imgContainer.style.maxWidth = '150px';
					imgContainer.style.position = 'relative';
					imgContainer.style.height = 'fit-content';
					imgContainer.setAttribute('onclick', 'loadDataDeleteImage('+id_image+')')
					imgContainer.setAttribute('id', 'div-image-'+id_image)

					var img = document.createElement('img');
					img.src = '../'+path;
					img.alt = 'imagen-portada';
					img.width = '150';

					var hoverDiv = document.createElement('div');
					hoverDiv.className = 'hover-image';
					hoverDiv.setAttribute('data-toggle', 'modal');
					hoverDiv.setAttribute('data-target', '#modalDeleteImagen');

					var trashIcon = document.createElement('i');
					trashIcon.className = 'fa fa-trash';
					trashIcon.style.color = '#fff';
					trashIcon.style.opacity = '0';
					trashIcon.style.fontSize = '20px';

					hoverDiv.appendChild(trashIcon);
					imgContainer.appendChild(img);
					imgContainer.appendChild(hoverDiv);

					document.getElementById('imagenes-' + id).appendChild(imgContainer);
				},
				onError:function(message, element, status){
					alert(message);
				}
			});
		}
    }
</script>
<script>
	function loadDataDeleteImage(id_image) {
		$('#id_image_delete_image').val(id_image)
	}

	function deleteImage() {
		let id_image = $('#id_image_delete_image').val()

		$('#id_image_delete_image').val('')

		if (id_image != '') {				
			$.ajax({
				type:'POST',
				url:"{{route('delete_image_destino')}}",
				data: {
					"_token": "{{csrf_token()}}",
					id_image: id_image,
				},
				success:function(response) {
					if (response) {
						$('#div-image-'+id_image).remove()
						$('#button-close-modal').click()
					} else {
						$('#id_image_delete_image').val(id_image)
						alert('Error al querer borrar la imagen.')
					}
				}
			});
		}
	}
</script>