<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=Edge">
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>CIRCUITOS | Sistema de Reservas</title>
    <!-- Favicon-->
    <link rel="icon" href="{{ url('favicon.ico') }}" type="image/x-icon">

    <!-- Google Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Roboto:400,700&subset=latin,cyrillic-ext" rel="stylesheet" type="text/css">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet" type="text/css">

    {{-- Fontawesome styling --}}
    <link href="{{ url('css/fontawesome/all.min.css') }}" rel="stylesheet">

    <!-- Bootstrap Core Css -->
    <link href="{{ url('css/bootstrap.css') }}" rel="stylesheet">

    <!-- Waves Effect Css -->
    <link href="{{ url('css/waves.css') }}" rel="stylesheet" />

    <!-- Animation Css -->
    <link href="{{ url('css/animate.css') }}" rel="stylesheet" />

    <!-- Bootstrap Material Datetime Picker Css -->
    <link href="{{ url('css/bootstrap-material-datetimepicker.css') }}" rel="stylesheet" />

    <!-- Bootstrap DatePicker Css -->
    <link href="{{ url('css/bootstrap-datepicker.min.css') }}" rel="stylesheet" />

    <!-- Custom Css -->
    <link href="{{ url('css/style.css') }}" rel="stylesheet">

    <!-- AdminBSB Themes. You can choose a theme from css/themes instead of get all themes -->
    <link href="{{ url('css/theme-teal.css') }}" rel="stylesheet" >

    {{-- dataTables Styles --}}
    <link href="{{ url('js/vendors/dataTables/datatables.min.css') }}" rel="stylesheet">
    
    <!-- Bootstrap select -->
    <link rel="stylesheet" href="{{ url('js/vendors/bootstrap-select/bootstrap-select.min.css') }}">

    {{-- Dropzone styles --}}
    <link rel="stylesheet" href="{{ url('js/vendors/dropZone/dropzone.css') }}">

    {{-- CIRCUITOS Custom Style --}}
    <link rel="stylesheet" href="{{ url('css/custom.css') }}">

    <link rel="stylesheet" href="{{ url('js/sistema/caja/View.css') }}" >
    <link rel="stylesheet" href="{{ url('js/sistema/caja/LibroDiario.css') }}">
    <link rel="stylesheet" href="{{ url('js/sistema/caja/LibroDiarioRow.css') }}">
    <link rel="stylesheet" href="{{ url('js/sistema/caja/ResumeTable.css') }}">
    <link rel="stylesheet" href="{{ url('js/sistema/caja/LeftPanel.css') }}">

    <link rel="stylesheet" href="{{ url('js/sistema/reserva/Form.css') }}">
    <link rel="stylesheet" href="{{ url('js/sistema/reserva/View.css') }}">

    <link rel="stylesheet" href="{{ url('js/sistema/viaje/View.css') }}">
    <link rel="stylesheet" href="{{ url('js/sistema/viaje/Table.css') }}">
    <link rel="stylesheet" href="{{ url('js/sistema/viaje/TableRow.css') }}">
    <link rel="stylesheet" href="{{ url('js/sistema/viaje/StatusMenu.css') }}">
    <link rel="stylesheet" href="{{ url('js/sistema/viaje/Info.css') }}">
    <link rel="stylesheet" href="{{ url('js/sistema/viaje/Form.css') }}">
    <link rel="stylesheet" href="{{ url('js/sistema/viaje/FormRoomType.css') }}">

    <link rel="stylesheet" href="{{ url('js/sistema/historial/View.css') }}">
    <link rel="stylesheet" href="{{ url('js/sistema/historial/LeftPanel.css') }}">

    <link rel="stylesheet" href="{{ url('js/sistema/cuentas/Table.css') }}">
    <link rel="stylesheet" href="{{ url('js/sistema/cuentas/Row.css') }}">

    <link rel="stylesheet" href="{{ url('js/sistema/bus/View.css') }}">

    {{-- Quill Editor --}}
    <link href="https://cdn.quilljs.com/1.3.6/quill.snow.css" rel="stylesheet">

    {{-- Crop Images --}}
    <link rel="stylesheet" href="{{ asset('plugins/ijaboCropTool/ijaboCropTool.min.css') }}">
</head>

<body class="theme-teal">
    <!-- Page Loader -->
    <div class="page-loader-wrapper">
        <div class="loader">
            <div class="preloader">
                <div class="spinner-layer pl-teal">
                    <div class="circle-clipper left">
                        <div class="circle"></div>
                    </div>
                    <div class="circle-clipper right">
                        <div class="circle"></div>
                    </div>
                </div>
            </div>
            <p>Cargando...</p>
        </div>
    </div>
    <!-- #END# Page Loader -->
    <!-- Overlay For Sidebars -->
    <div class="overlay"></div>
    <!-- #END# Overlay For Sidebars -->
    <!-- Search Bar -->
    <div class="search-bar">
        <div class="search-icon">
            <i class="material-icons">search</i>
        </div>
        <input type="text" placeholder="BUSCAR...">
        <div class="close-search">
            <i class="material-icons">close</i>
        </div>
    </div>
    <!-- #END# Search Bar -->
    <!-- Top Bar -->
    <nav class="navbar">
        <div class="container-fluid">
            <div class="navbar-header">
                <a href="javascript:void(0);" class="bars"></a>
                <a class="navbar-brand" href="#"><img src="{{ url('images/logo_small.png') }}" alt="Circuitos" class="logo-topbar"><span class="titulo-topbar"> Circuitos <span class="titulo-mobile"> | {{ $title }}</span></span></a>
            </div>
            <div class="navbar-header expanderContainer" style="display:none">
                <button class="btnCollpaseLeftSideBar" id="sideBarExpander"><i class="expandLeftSideBarButton fas fa-angle-double-right"></i></button>
            </div>
        </div>
    </nav>
    <!-- #Top Bar -->

    {{-- SIDEBARS --}}
    <section>
        @include('sidebar-left')
        @include('sidebar-right')
    </section>
    {{-- END SIDEBARS --}}

    <div id="app">