@php
	use App\model\core\Common;
@endphp
@include('header')
	<section class="content">
        <div style="margin-bottom:15px;">
			<button class="btn bg-teal" onclick="history.go(-1)"><i class="fas fa-arrow-left"></i> Volver</button>
		</div>
	    <div class="container-fluid">
	        <div class="row">
	            <div class="row clearfix">
                <div class="col-xs-12 col-sm-3">
                    <div class="card profile-card">
                        <div class="profile-header" style="padding: 0; background-color: #009688;">&nbsp;</div>
                        <div class="profile-body">
                            <div class="content-area">
                                <h3>{{ $data['pasajero']->nombre }} {{ $data['pasajero']->apellido }}</h3>
                                <p style="color:#333; font-weight: 600">Telefono: {{ $data['pasajero']->telefono }}</p>
                                @if($data['pasajero']->email)
                                <p style="color:#333; font-weight: 600">Email: {{ $data['pasajero']->email }}</p>
                                @endif
                            </div>
                            <div class="card-about-me">
                            	<div class="body">
		                            <ul>
		                                <li>
		                                    <div class="title">
		                                        <i class="material-icons">location_on</i>
		                                        Direcci&oacute;n
		                                    </div>
		                                    <div class="content">
		                                        {{ $data['pasajero']->domicilio}}<br>
		                                        {{ $data['pasajero']->localidad }}
		                                    </div>
		                                </li>
		                                <li>
		                                    <div class="title">
		                                        <i class="material-icons">contact_page</i>
		                                        Datos personales
		                                    </div>
		                                    <div class="content">
		                                        DNI: {{ $data['pasajero']->dni }}<br>
		                                        Fecha de nacimiento: {{ Common::formatDate($data['pasajero']->fecha_nacimiento) }}<br>
		                                    </div>
		                                </li>
		                                @if($data['pasajero']->comentarios)
		                                <li>
		                                    <div class="title">
		                                        <i class="material-icons">info</i>
		                                        Datos adicionales
		                                    </div>
		                                    <div class="content">
		                                    	{{ $data['pasajero']->comentarios }}
		                                    </div>
		                                </li>
		                                @endif
		                            </ul>
	                            </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-xs-12 col-sm-9">
                    <div class="card">
                        <div class="body">
                            <div>
                                <ul class="nav nav-tabs" role="tablist">
                                    <li role="presentation" class="active"><a href="#viajes" aria-controls="viajes" role="tab" data-toggle="tab">Viajes</a></li>
                                    <li role="presentation"><a href="#saldos" aria-controls="settings" role="tab" data-toggle="tab">Saldos</a></li>
                                </ul>

                                <div class="tab-content">
                                    <div role="tabpanel" class="tab-pane fade in active" id="viajes">
                                    	@if($data['reservas'])
                                    	<table class="table table-bordered tabla-circuitos">
                                    		<thead>
                                    			<th>C&oacute;digo reserva</th>
                                    			<th>Destino</th>
                                    			<th>Fecha</th>
                                    			<th>Vendedor</th>
                                    		</thead>
                                    		<tbody>
                                    			@foreach($data['reservas'] as $reserva)
                                    			<tr>
                                    				<td>{{ $reserva->reserva_id }}</td>
                                    				<td>{{ $reserva->viaje->destino->ciudad }}</td>
                                    				<td>{{ Common::formatDate($reserva->viaje->fecha_hora_salida) }}</td>
                                    				<td>{{ $reserva->reserva->user->lastName }}, {{ $reserva->reserva->user->name }}</td>
                                    			</tr>
                                    			@endforeach
                                    		</tbody>
                                    	</table>
                                    	@else
                                    	<div>
                                    		Este pasajero no ha efectuado ning&uacute;n viaje.
                                    	</div>
                                    	@endif
                                    </div>
                                    
                                    <div role="tabpanel" class="tab-pane fade in" id="saldos">
                                    	@if($data['reservas'] && $data['reservasSinSaldo'] < count($data['reservas']))
                                    	<table class="table table-bordered tabla-circuitos">
                                    		@foreach($data['reservas'] as $reserva)
                                    			@if($reserva->montoTotal > 0)
	                                    		<thead>
	                                    			<th colspan="4" style="text-align: center">{{ Common::formatDate($reserva->viaje->fecha_hora_salida) }} {{ $reserva->viaje->destino->ciudad }}</th>
	                                    		</thead>
	                                    		<tbody>
	                                    			<tr>
	                                    				<td colspan="4" style="text-align: center; font-weight: bold">Monto a pagar: {{ Common::getCurrencySymbol($reserva->viaje->moneda) }} {{ $reserva->viaje->precio }}</td>
	                                    			</tr>
	                                    			@php $nroCuota = 1 @endphp
	                                    			@foreach($reserva->cuotas as $cuota)
	                                    			<tr>
	                                    				<td>Cuota {{ $nroCuota }}</td>
	                                    				<td>{{ Common::formatDate($cuota->transaction->fecha) }}</td>
	                                    				<td>{{ Common::getCurrencySymbol($reserva->viaje->moneda) }} {{ $cuota->transaction->monto}}</td>
	                                    				<td>{{ $cuota->transaction->tipoTransaccion->nombre }}</td>
	                                    			</tr>
	                                    			@php $nroCuota++ @endphp
	                                    			@endforeach
	                                    			<tr>
	                                    				<td colspan="4" style="text-align: center; font-weight: bold">Saldo: {{ Common::getCurrencySymbol($reserva->viaje->moneda) }} {{ $reserva->montoTotal }}</td>
	                                    			</tr>
	                                    		</tbody>
	                                    		@endif
                                    		@endforeach
                                    	</table>
                                    	@else
                                    	<div>Este pasajero no tiene saldos pendientes.</div>
                                    	@endif
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
	        </div>
	    </div>
	</section>

@include('footer')