@include('site/header')

@php $array_meses = ['','Enero','Febrero','Marzo','Abril','Mayo','Junio','Julio','Agosto','Septiembre','Octubre','Noviembre','Diciembre']; @endphp

<section class="bg-white relative">
    <div class="pt-[90px] select-none">
        @if (count($imagenes_flyers) > 0)
            <div class="swiper-animate arrows p-2 md:p-6">
                <div class="swiper-container main-slider rounded-lg h-[20vw]" data-autoplay="5000" data-loop="1" data-speed="900" data-center="0" data-slides-per-view="1">
                    <div class="swiper-wrapper">
                        @foreach ($imagenes_flyers as $index => $image_flyer)
                            <div class="swiper-slide {{$index == 0 ? 'active' : ''}}" data-val="{{$index}}"> 
                                <div class="clip">
                                    <img src="{{ asset($image_flyer->path) }}" alt="" width="1000" height="200" class="w-full">
                                </div>
                            </div>
                        @endforeach
                    </div>    

                    <div class="pagination pagination-hidden poin-style-1"></div>
        
                    <div class="">
                        <div class="swiper-arrow-left w-fit bg-gray-400 rounded-full absolute top-1/2 -translate-y-1/2 left-6 hover:cursor-pointer hover:scale-110">
                            <svg width="30" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                                <g id="SVGRepo_bgCarrier" stroke-width="0"></g>
                                <g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"></g>
                                <g id="SVGRepo_iconCarrier">
                                    <path fill="#FFFFFF" d="M14.2893 5.70708C13.8988 5.31655 13.2657 5.31655 12.8751 5.70708L7.98768 10.5993C7.20729 11.3805 7.2076 12.6463 7.98837 13.427L12.8787 18.3174C13.2693 18.7079 13.9024 18.7079 14.293 18.3174C14.6835 17.9269 14.6835 17.2937 14.293 16.9032L10.1073 12.7175C9.71678 12.327 9.71678 11.6939 10.1073 11.3033L14.2893 7.12129C14.6799 6.73077 14.6799 6.0976 14.2893 5.70708Z"></path>
                                </g>
                            </svg>
                        </div>
                        <div class="swiper-arrow-right w-fit bg-gray-400 rounded-full absolute top-1/2 -translate-y-1/2 right-6 hover:cursor-pointer hover:scale-110">
                            <svg width="30" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg" class="rotate-180">
                                <g id="SVGRepo_bgCarrier" stroke-width="0"></g>
                                <g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"></g>
                                <g id="SVGRepo_iconCarrier">
                                    <path fill="#FFFFFF" d="M14.2893 5.70708C13.8988 5.31655 13.2657 5.31655 12.8751 5.70708L7.98768 10.5993C7.20729 11.3805 7.2076 12.6463 7.98837 13.427L12.8787 18.3174C13.2693 18.7079 13.9024 18.7079 14.293 18.3174C14.6835 17.9269 14.6835 17.2937 14.293 16.9032L10.1073 12.7175C9.71678 12.327 9.71678 11.6939 10.1073 11.3033L14.2893 7.12129C14.6799 6.73077 14.6799 6.0976 14.2893 5.70708Z"></path>
                                </g>
                            </svg>
                        </div>
                    </div>
                </div>
            </div>
        @endif
    </div>
</section>

<section class="px-4 sm:px-8 pt-10 pb-24 max-w-[1800px] m-auto">
    <div class="max-w-[1000px] flex flex-col justify-center items-center gap-2 text-center relative z-20 m-auto px-4 pb-4">
        <h1 class="text-[25px] leading-[35px] font-bold text-[#0077b2]">Nuestros Circuitos</h1>
    </div>

    <div class="">
        
        <div class="">
            @if ($busqueda)
                <div class="my-4 flex flex-wrap justify-between gap-2 items-center">
                    <div class="flex flex-wrap gap-1">
                        <span class="text-sm px-3 py-1 font-[700] bg-[#349e8d] text-white tracking-[1px] uppercase rounded-full">{{($dataBusqueda['tipo_viaje'] == "all") ? 'Todos los Destinos' : 'Destino '.$dataBusqueda['tipo_viaje']}}</span>
                        <span class="text-sm px-3 py-1 font-[700] bg-[#349e8d] text-white tracking-[1px] uppercase rounded-full">Desde {{$dataBusqueda['fecha_desde']}}</span>
                        <span class="text-sm px-3 py-1 font-[700] bg-[#349e8d] text-white tracking-[1px] uppercase rounded-full">Hasta {{$dataBusqueda['fecha_hasta']}}</span>
                    </div>
                    <div>
                        <a href="{{route('circuitos')}}" class="text-sm px-3 py-1 font-[700] bg-gray-200 hover:bg-gray-300 text-gray-500 hover:text-gray-500 uppercase rounded-full border-2 border-solid border-gray-500 hover:shadow-md">Borrar Filtros</a>
                    </div>
                </div>
            @else
                <div class="flex flex-col sm:flex-row justify-center sm:justify-between items-center gap-4 py-12 select-none">
                    <div>
                        <ul class="filter-nav flex flex-col sm:flex-row gap-1 [&>li]:text-sm [&>li]:text-center [&>li]:px-3 [&>li]:py-1 [&>li]:font-[700] [&>li]:text-[#b9b9b9] [&>li]:tracking-[1px] [&>li]:uppercase [&>li]:rounded-full [&>li]:cursor-pointer">
                            <li class="selected hover:text-white hover:bg-[#349e8d] transition-all" id="boton-all" onclick="changeSearch('all')">todos({{count($viajes)}})</li>
                            @foreach ($viajesPorCategoria as $categoria => $cantidad)
                                <li class="hover:text-white hover:bg-[#349e8d] transition-all" id="boton-{{$categoria}}" onclick="changeSearch('{{$categoria}}')">{{$categoria}}({{$cantidad}})</li>
                            @endforeach
                        </ul>
                        <input type="text" id="val-category" class="hidden" value="all">
                    </div>
                    <div class="w-full">
                        <div class="mb-2 sm:mb-0 relative w-full max-w-[300px] m-auto sm:mr-0">
                            <select id="selectMonth" class="w-full text-white px-3 py-1 font-[700] text-sm bg-[#349e8d] rounded-t-[15px] rounded-b-[15px] active:rounded-b-none uppercase transition-none" onchange="changeSearch()">
                                <option value="all">Todos los Meses</option>
                                @foreach ($meses_viajes as $item)
                                    <option value="{{$item}}">{{$item}}</option>
                                @endforeach
                            </select>
                            <span class="absolute right-1 bottom-1.5 pointer-events-none">
                                <svg width="16" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg" transform="rotate(180)">
                                    <g id="SVGRepo_bgCarrier" stroke-width="0"></g>
                                    <g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"></g>
                                    <g id="SVGRepo_iconCarrier">
                                        <path fill="#ffffff" d="M18.2929 15.2893C18.6834 14.8988 18.6834 14.2656 18.2929 13.8751L13.4007 8.98766C12.6195 8.20726 11.3537 8.20757 10.5729 8.98835L5.68257 13.8787C5.29205 14.2692 5.29205 14.9024 5.68257 15.2929C6.0731 15.6835 6.70626 15.6835 7.09679 15.2929L11.2824 11.1073C11.673 10.7168 12.3061 10.7168 12.6966 11.1073L16.8787 15.2893C17.2692 15.6798 17.9024 15.6798 18.2929 15.2893Z"></path>
                                    </g>
                                </svg>
                            </span>
                        </div>
                    </div>
                </div>
            @endif
        </div>

        <div class="">
            <div class="grid grid-cols-1 md:grid-cols-2 lg:grid-cols-3 gap-2 md:gap-8">
                @foreach ($viajes as $viaje)
                    <div class="div-categoria categoria-{{$viaje->categoria->nombre}} mes-{{$array_meses[(int)(date('m', strtotime($viaje->fecha_hora_salida)))]}}-{{date('Y', strtotime($viaje->fecha_hora_salida))}}">
                        {{-- <div class="radius-mask tour-block hover-aqua">
                            <div class="clip">
                                <div class="bg bg-bg-chrome act" style="background-image: url(images/logo3x.png); background-size: contain"></div>
                            </div>
                            <div class="tour-layer delay-1"></div>
                            <div class="tour-caption">
                                <div class="vertical-align">
                                    <h3 class="hover-it">{{ $viaje->destino->ciudad }}</h3>
                                    <h4><b>$ 9.600</b></h4>
                                    <div class="tour-info">
                                        <img src="vendors/travelTemplate/img/loc_icon_small.png">
                                        <span class="font-style-2 color-grey-4">
                                            <strong class="color-white">circuito regional</strong>
                                        </span>
                                    </div>
                                    <div style="margin-top: 12px">
                                        <i class="fa fa-bus fa-2x"></i>
                                    </div>
                                    <div class="fl">
                                        <div class="tour-info">
                                            <img src="vendors/travelTemplate/img/calendar_icon.png">
                                            <span class="font-style-2 color-grey-4">
                                                salida <strong class="color-white">3 de dic. de 2023</strong>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                                <div class="vertical-bottom">
                                    <a href="/info/771" class="c-button b-50 bg-aqua hv-transparent fr">
                                        <img src="vendors/travelTemplate/img/flag_icon.png" alt="">
                                        <span>ver info</span>
                                    </a>
                                </div>
                            </div>
                        </div> --}}

                        <div
                            class="w-full bg-center bg-cover overflow-hidden relative rounded-lg hover:shadow-lg hover:scale-105 duration-300" 
                            @php
                                if (!empty($viaje->imagen_portada)) {
                                    $imagePath = isset($viaje->imagen_portada) ? $viaje->imagen_portada : '/images/no-image.webp';
                                    $imageUrl = file_exists(public_path($imagePath)) ? env('APP_URL') . $imagePath : env('APP_URL') . '/images/no-image.webp';
                                } else {
                                    $imagePath = isset($viaje->destino->image->first()->path) ? $viaje->destino->image->first()->path : '/images/no-image.webp';
                                    $imageUrl = file_exists(public_path($imagePath)) ? env('APP_URL') . $imagePath : env('APP_URL') . '/images/no-image.webp';
                                }
                            @endphp
                            style="background-image:url({{ $imageUrl }});"
                        >
                            <a href="{{route('circuito', $viaje->id)}}">
                                {{-- <div class="flex justify-end items-center p-2">
                                    <p class="text-md text-white bg-[#2C8272] font-bold px-2 rounded">{{ (isset($viaje->precio)) ? '$'.number_format($viaje->precio, 0, ',', '.') : '' }}</p>
                                </div> --}}
                                <div class="flex flex-row-reverse justify-between items-top p-2">
                                    <p class="text-md text-white {{-- bg-[#349e8d] --}} bg-[#2C8272] font-bold px-2 rounded"><span style="font-size:10px">Desde</span> {{ (isset($viaje->precio)) ? '$'.number_format($viaje->precio, 0, ',', '.') : '' }}</p>
                                    @if ($viaje->estado == 4)
                                        <p class="text-[10px] text-white bg-green-600 font-bold px-2 rounded uppercase h-fit leading-[18px]">Completo</p>
                                    @endif
                                </div>
                                <div class="flex items-end min-h-[200px]">
                                    <div class="py-1 px-2 bg-[#ffffffcf] w-full h-fit">
                                        <h3 class="text-base text-gray-600 font-bold tracking-normal overflow-hidden text-ellipsis whitespace-nowrap">{{ $viaje->destino->ciudad ?? '' }}</h3>
                                        <div class="flex justify-between items-center">
                                            <svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg" class="w-5 min-w-[16px]">
                                                <g id="SVGRepo_bgCarrier" stroke-width="0"></g>
                                                <g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"></g>
                                                <g id="SVGRepo_iconCarrier">
                                                    <path stroke="#349e8d" stroke-width="2" stroke-linecap="round" d="M3 9H21M7 3V5M17 3V5M6 12H8M11 12H13M16 12H18M6 15H8M11 15H13M16 15H18M6 18H8M11 18H13M16 18H18M6.2 21H17.8C18.9201 21 19.4802 21 19.908 20.782C20.2843 20.5903 20.5903 20.2843 20.782 19.908C21 19.4802 21 18.9201 21 17.8V8.2C21 7.07989 21 6.51984 20.782 6.09202C20.5903 5.71569 20.2843 5.40973 19.908 5.21799C19.4802 5 18.9201 5 17.8 5H6.2C5.0799 5 4.51984 5 4.09202 5.21799C3.71569 5.40973 3.40973 5.71569 3.21799 6.09202C3 6.51984 3 7.07989 3 8.2V17.8C3 18.9201 3 19.4802 3.21799 19.908C3.40973 20.2843 3.71569 20.5903 4.09202 20.782C4.51984 21 5.07989 21 6.2 21Z"></path>
                                                </g>
                                            </svg>
                                            <p class="w-full text-md text-gray-600 overflow-hidden text-ellipsis whitespace-nowrap ml-0.5 mr-[5px]">
                                                {{ substr(($array_meses[(int)(date('m', strtotime($viaje->fecha_hora_salida)))]), 0, 3) }}
                                                {{ date('d', strtotime($viaje->fecha_hora_salida)) }}
                                                @if ($viaje->noches > 0)
                                                    · {{ $viaje->noches }} Noches
                                                @endif
                                            </p>
                                        </div>
                                    </div>
                                </div>
                            </a>
                        </div>

                    </div>
                @endforeach
            </div>
            <div class="w-full text-center">
                <p id="sin-viajes" class="text-md md:text-lg text-gray-500 italic font-[600] p-2" style="display: none;">Lo siento, no hay viajes para los datos ingresados!</p>
            </div>
        </div>
        
    </div>
</section>

@include('site/footer')

<script src="{{ url('vendors/travelTemplate/js/idangerous.swiper.min.js') }}"></script>
<script>
    function changeSearch(category = null) {
        $('#sin-viajes').hide()
        if (category == null) {
            category = $('#val-category').val()
        } else {
            $('#val-category').val(category)
        }
        let month = $('#selectMonth').val()
        month = month.replace(' ', '-')

        $('.filter-nav li').removeClass('selected')
        if (category == 'all') {
            $('#boton-all').addClass('selected')
            if (month == "all") {
                $('.div-categoria').show()
            } else {
                $('.div-categoria').hide()
                $('.mes-' + month).show()
            }
        } else {
            $('#boton-' + category).addClass('selected')
            $('.div-categoria').hide()
            if (month == "all") {
                $('.categoria-' + category).show()
            } else {
                $('.categoria-' + category + '.mes-' + month).show()
            }
        }

        if ($('.div-categoria:visible').length == 0) {
            console.log('asd')
            $('#sin-viajes').show()
        }
    }
</script>
<script>
    $( document ).ready(function() {
        var url = new URL(window.location.href);
        var catValue = url.searchParams.get('cat');

        if (catValue !== null) {
            $('#boton-'+catValue).click()
        }
    });
</script>
{{-- <script>
    function setWindowSize() {
        const img = document.querySelector('.clip img');
        const offsetHeight = img.offsetHeight;
        if (offsetHeight > 0) {
            const divHeight = document.querySelector('.swiper-container');
            divHeight.className = "swiper-container main-slider rounded-md swiper-swiper-unique-id-0 initialized h-[" + offsetHeight + "px]";
        }
    }

    window.addEventListener('resize', setWindowSize);
    setTimeout( function() {
        setWindowSize()
    }, 5000);

</script> --}}