@include('site/header')

@php $array_meses = ['','Enero','Febrero','Marzo','Abril','Mayo','Junio','Julio','Agosto','Septiembre','Octubre','Noviembre','Diciembre']; @endphp

    <section id="">

		{{-- Portada --}}
		<section class="min-h-[95vh] bg-white bg-top bg-cover rounded-[50%/7%] rounded-t-none overflow-hidden relative">
			<div class="absolute w-full h-full">
				@if (isset($imagen_portada) && !empty($imagen_portada))
					<picture>
						<img src="{{ url($imagen_portada) }}" alt="Circuitos" width="100" class="w-full h-full object-cover">
					</picture>
				@endif
			</div>
			<div class="absolute bg-black w-full h-full opacity-20 z-10"></div>

			<div class="flex flex-col-reverse lg:flex-row items-center justify-around gap-6 lg:gap-2 pt-[72px] pb-10 h-full max-w-[1400px] m-auto min-h-[86vh]">
				<div class="text-white z-20 w-full">
					<picture>
						<source
							srcset="{{ url('images/logo3xWithoutText.avif') }}"
							type="image/avif"
						>
						<source
							srcset="{{ url('images/logo3xWithoutText.webp') }}"
							type="image/webp"
						>
						<img src="{{ url('images/logo3xWithoutText.png') }}" alt="Circuitos" width="300" class="px-6 md:px-2 w-[200px] lg:w-[300px] m-auto brightness-110">
					</picture>
				</div>
				<div class="z-20 w-full text-center lg:text-end text-gray-200 lg:pr-[9vw] uppercase select-none" style="text-shadow: 0px 0px 10px rgba(0, 0, 0, 1);">
					<div class="relative h-[8vw] sm:h-[30px] mr-1">
						<div class="absolute left-[50%] -translate-x-[50%] lg:right-0 lg:translate-x-0">
							<p class="block text-[7vw] sm:text-3xl leading-[8vw] sm:leading-none font-[900] transition-all duration-1000" id="titulo-relajate" style="transform: rotate3d(1, 0, 0, 0deg);">Relajate</p>
						</div>
						<div class="absolute w-full left-[50%] -translate-x-[50%]">
							<p class="block text-[7vw] sm:text-3xl leading-[8vw] sm:leading-none font-[900] transition-all duration-1000" id="titulo-disfruta" style="transform: rotate3d(1, 0, 0, 90deg);">Disfruta</p>
						</div>
					</div>
					<p class="text-[7vw] sm:text-3xl leading-[8vw] sm:leading-none font-[900]">Tu <span class="text-[#33b3ff] text-[11vw] sm:text-6xl leading-[14vw]">Circuito</span></p>
					<p class="text-[11vw] sm:text-6xl leading-[14vw] sm:leading-none font-[900]">
						Ya Esta<span class="inline-block border-b-[6px] border-solid text-[#00af9c] ml-3 transition-all duration-500" id="titulo-listo">Listo</span>
					</p>
				</div>
			</div>

		</section>

		{{-- Buscador de Viajes --}}
		<section class="z-30 h-72 sm:h-28 relative">
			<div class="absolute px-4 left-[50%] -translate-x-[50%] -top-[35px] w-full max-w-[300px] sm:max-w-[800px]">
				<div class="w-full border-2 border-solid border-[#0077b2] rounded-lg bg-white shadow-lg">
					<h1 class="px-4 pt-4 pb-2 text-center text-[15px] tracking-[2px] leading-[20px] font-[700] text-[#0077b2]">¡Encuentra tu próximo viaje!</h1>
					<div class="py-2">
						<form action="{{route('circuitos')}}" method="GET" id="formSearchViaje">
							<div class="px-4 pb-4 grid grid-cols-1 sm:grid-cols-4 sm:gap-6">
								<div class="mb-2 sm:mb-0 relative">
									<label class="block font-[600] text-sm {{-- text-[#349e8d] --}} text-[#2C8272] w-fit" for="tipo_viaje">Destinos</label>
									<select name="tipo_viaje" id="tipo_viaje" class="w-full max-w-[250px] border-b-2 border-gray-300 border-solid text-gray-600 px-2">
										<option value="all">Todos</option>
										@foreach ($categorias as $categoria)
											<option value="{{$categoria}}">{{$categoria}}</option>
										@endforeach
									</select>
									<span class="absolute right-0 bottom-2 pointer-events-none">
										<svg width="16" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg" transform="rotate(180)">
											<g id="SVGRepo_bgCarrier" stroke-width="0"></g>
											<g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"></g>
											<g id="SVGRepo_iconCarrier">
												<path fill="#959595" d="M18.2929 15.2893C18.6834 14.8988 18.6834 14.2656 18.2929 13.8751L13.4007 8.98766C12.6195 8.20726 11.3537 8.20757 10.5729 8.98835L5.68257 13.8787C5.29205 14.2692 5.29205 14.9024 5.68257 15.2929C6.0731 15.6835 6.70626 15.6835 7.09679 15.2929L11.2824 11.1073C11.673 10.7168 12.3061 10.7168 12.6966 11.1073L16.8787 15.2893C17.2692 15.6798 17.9024 15.6798 18.2929 15.2893Z"></path>
											</g>
										</svg>
									</span>
								</div>
								<div class="col-span-2 mb-2 sm:mb-0">
									<label class="block font-[600] text-sm {{-- text-[#349e8d] --}} text-[#2C8272] w-fit" for="rango-fechas">Rango de Fechas</label>
									<div class="grid grid-cols-1 sm:grid-cols-2 gap-4 sm:gap-6">
										<div class="input-group date" id="fechaDesde">
											<div class="form-group m-0">
												<input type="text" name="fecha_desde" id="fecha_desde" placeholder="DD/MM/AAAA" class="w-full max-w-[250px] border-b-2 border-gray-300 border-solid text-gray-600 px-2" readonly>
												<span class="absolute right-0 bottom-1.5 pointer-events-none">
													<svg width="16" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg" stroke="#959595">
														<g id="SVGRepo_bgCarrier" stroke-width="0"></g>
														<g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"></g>
														<g id="SVGRepo_iconCarrier">
															<path stroke="#959595" d="M3 9H21M12 18V12M15 15.001L9 15M7 3V5M17 3V5M6.2 21H17.8C18.9201 21 19.4802 21 19.908 20.782C20.2843 20.5903 20.5903 20.2843 20.782 19.908C21 19.4802 21 18.9201 21 17.8V8.2C21 7.07989 21 6.51984 20.782 6.09202C20.5903 5.71569 20.2843 5.40973 19.908 5.21799C19.4802 5 18.9201 5 17.8 5H6.2C5.0799 5 4.51984 5 4.09202 5.21799C3.71569 5.40973 3.40973 5.71569 3.21799 6.09202C3 6.51984 3 7.07989 3 8.2V17.8C3 18.9201 3 19.4802 3.21799 19.908C3.40973 20.2843 3.71569 20.5903 4.09202 20.782C4.51984 21 5.07989 21 6.2 21Z" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path>
														</g>
													</svg>
												</span>
											</div>
										</div>
										<div class="input-group date" id="fechaHasta">
											<div class="form-group m-0">
												<input type="text" name="fecha_hasta" id="fecha_hasta" placeholder="DD/MM/AAAA" class="w-full max-w-[250px] border-b-2 border-gray-300 border-solid text-gray-600 px-2" readonly>
												<span class="absolute right-0 bottom-1.5 pointer-events-none">
													<svg width="16" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg" stroke="#959595">
														<g id="SVGRepo_bgCarrier" stroke-width="0"></g>
														<g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"></g>
														<g id="SVGRepo_iconCarrier">
															<path stroke="#959595" d="M3 9H21M12 18V12M15 15.001L9 15M7 3V5M17 3V5M6.2 21H17.8C18.9201 21 19.4802 21 19.908 20.782C20.2843 20.5903 20.5903 20.2843 20.782 19.908C21 19.4802 21 18.9201 21 17.8V8.2C21 7.07989 21 6.51984 20.782 6.09202C20.5903 5.71569 20.2843 5.40973 19.908 5.21799C19.4802 5 18.9201 5 17.8 5H6.2C5.0799 5 4.51984 5 4.09202 5.21799C3.71569 5.40973 3.40973 5.71569 3.21799 6.09202C3 6.51984 3 7.07989 3 8.2V17.8C3 18.9201 3 19.4802 3.21799 19.908C3.40973 20.2843 3.71569 20.5903 4.09202 20.782C4.51984 21 5.07989 21 6.2 21Z" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path>
														</g>
													</svg>
												</span>
											</div>
										</div>
									</div>
								</div>
								<div>
									<button type="submit" class="w-full max-w-[250px] {{-- bg-[#349e8d] --}} bg-[#2C8272] text-white font-[600] uppercase rounded-sm py-2 mt-2">Buscar</button>
								</div>
							</div>
						</form>
					</div>
				</div>
			</div>
		</section>

		{{-- Viajes --}}
		<section class="px-4 sm:px-8 pt-16 pb-24 max-w-[1800px] m-auto" id="viajesSection">
			<div class="max-w-[1000px] flex flex-col justify-center items-center gap-2 text-center relative z-20 m-auto px-4 pb-4">
				<h1 class="text-[25px] leading-[35px] font-bold text-[#0077b2]">Nuestros Circuitos</h1>
			</div>

			@foreach ($categorias as $categoria)

				<div class="px-0 lg:px-16 pb-16 md:pb-12">
					<h2 class="text-xl tracking-[2px] leading-[25px] font-bold text-[#0077b2]">{{ $categoria }}</h2>
					<div class="flex flex-wrap lg:flex-nowrap justify-start items-center gap-2 lg:gap-4 py-1">
						@php $contador = 0; @endphp
						@foreach ($viajes as $viaje)
							@if ($contador < 4 && $viaje->categoria->nombre == $categoria)
								<div 
									class="w-full sm:w-[calc(50%-4px)] lg:w-full lg:max-w-[calc(25%-45px)] bg-center bg-cover overflow-hidden relative rounded-lg hover:shadow-lg hover:scale-105 duration-300" 
									@php
										if (!empty($viaje->imagen_portada)) {
											$imagePath = isset($viaje->imagen_portada) ? $viaje->imagen_portada : '/images/no-image.webp';
											$imageUrl = file_exists(public_path($imagePath)) ? env('APP_URL') . $imagePath : env('APP_URL') . '/images/no-image.webp';
										} else {
											$imagePath = isset($viaje->destino->image->first()->path) ? $viaje->destino->image->first()->path : '/images/no-image.webp';
											$imageUrl = file_exists(public_path($imagePath)) ? env('APP_URL') . $imagePath : env('APP_URL') . '/images/no-image.webp';
										}
									@endphp
									style="background-image:url({{ $imageUrl }});"
								>
									<a href="{{route('circuito', $viaje->id)}}">
										<div class="flex flex-row-reverse justify-between items-top p-2">
											<p class="text-md text-white {{-- bg-[#349e8d] --}} bg-[#2C8272] font-bold px-2 rounded"><span style="font-size:10px">Desde</span> {{ (isset($viaje->precio)) ? '$'.number_format($viaje->precio, 0, ',', '.') : '' }}</p>
											@if ($viaje->estado == 4)
												<p class="text-[10px] text-white bg-green-600 font-bold px-2 rounded uppercase h-fit leading-[18px]">Completo</p>
											@endif
										</div>
										<div class="flex items-end min-h-[200px]">
											<div class="py-1 px-2 bg-[#ffffffcf] w-full h-fit">
												<h3 class="text-base text-gray-600 font-bold tracking-normal overflow-hidden text-ellipsis whitespace-nowrap">{{ $viaje->destino->ciudad ?? '' }}</h3>
												<div class="flex justify-between items-center">
													<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg" class="w-5 min-w-[16px]">
														<g id="SVGRepo_bgCarrier" stroke-width="0"></g>
														<g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"></g>
														<g id="SVGRepo_iconCarrier">
															<path stroke="#349e8d" stroke-width="2" stroke-linecap="round" d="M3 9H21M7 3V5M17 3V5M6 12H8M11 12H13M16 12H18M6 15H8M11 15H13M16 15H18M6 18H8M11 18H13M16 18H18M6.2 21H17.8C18.9201 21 19.4802 21 19.908 20.782C20.2843 20.5903 20.5903 20.2843 20.782 19.908C21 19.4802 21 18.9201 21 17.8V8.2C21 7.07989 21 6.51984 20.782 6.09202C20.5903 5.71569 20.2843 5.40973 19.908 5.21799C19.4802 5 18.9201 5 17.8 5H6.2C5.0799 5 4.51984 5 4.09202 5.21799C3.71569 5.40973 3.40973 5.71569 3.21799 6.09202C3 6.51984 3 7.07989 3 8.2V17.8C3 18.9201 3 19.4802 3.21799 19.908C3.40973 20.2843 3.71569 20.5903 4.09202 20.782C4.51984 21 5.07989 21 6.2 21Z"></path>
														</g>
													</svg>
													<p class="w-full text-md text-gray-600 overflow-hidden text-ellipsis whitespace-nowrap ml-0.5 mr-[5px]">
														{{ substr(($array_meses[(date('m', strtotime($viaje->fecha_hora_salida)) < 10) ? (str_replace('0', '', date('m', strtotime($viaje->fecha_hora_salida)))) : date('m', strtotime($viaje->fecha_hora_salida))]), 0, 3) }}
														{{ date('d', strtotime($viaje->fecha_hora_salida)) }}
														@if ($viaje->noches > 0)
															· {{ $viaje->noches }} Noches
														@endif
													</p>
													{{-- <p class="text-md text-white bg-[#349e8d] font-[600] px-2 rounded">{{ (isset($viaje->precio)) ? '$'.number_format($viaje->precio, 0, ',', '.') : '' }}</p> --}}
												</div>
											</div>
										</div>
									</a>
								</div>
								@php $contador++; @endphp
							@endif
						@endforeach
						@if ($contador >= 4)
							<div class="w-full lg:w-auto text-center">
								<a href="{{route('circuitos')}}?cat={{$categoria}}" class="block w-[180px] lg:w-[120px] bg-[#2C8272] text-white hover:text-white font-[600] uppercase rounded-sm py-2 mt-2 hover:shadow-lg hover:scale-105 duration-300">Ver Todo</a>
							</div>
						@endif
					</div>
				</div>

			@endforeach

		</section>

		{{-- Sobre Nosotros --}}
		<section class="bg-center bg-cover bg-fixed overflow-hidden relative" style="background-image:url({{$imagen_bg_nosotros}});">
			<div class="absolute bg-black w-full h-full opacity-40 z-10"></div>
			<div class="max-w-[1000px] flex flex-col justify-center items-center gap-2 text-center relative z-20 m-auto px-4 pt-12 pb-4 [&>p]:text-white [&>p]:text-[15px] [&>p]:font-[600]">
				@if (!empty($data_web['quienes_somos']))
					<h1 class="text-[25px] leading-[35px] font-bold text-white">¿Quiénes Somos?</h1>
					@php echo $data_web['quienes_somos'] @endphp
				@endif
			</div>
			<div class="max-w-[1000px] flex justify-around items-center flex-wrap gap-8 relative z-20 m-auto px-4 pt-4 pb-12" id="countupDiv">

				<div class="flex flex-col justify-center items-center text-center">
					<span id="contador-anos" class="flex justify-center items-center h-20 w-20 rounded-full bg-[#0006] text-white text-3xl font-[700] border-2 border-solid border-[#0077b2]">0</span>
					<p class="pt-2 uppercase text-white font-[700] text-xl">Años</p>
				</div>

				<div class="flex flex-col justify-center items-center text-center">
					<span id="contador-viajes" class="flex justify-center items-center h-20 w-20 rounded-full bg-[#0006] text-white text-3xl font-[700] border-2 border-solid border-[#0077b2]">0</span>
					<p class="pt-2 uppercase text-white font-[700] text-xl">Viajes</p>
				</div>

			</div>
		</section>

		{{-- Testimonios --}}
		@if (!empty($data_web['texto_testimonio_1']) || !empty($data_web['texto_testimonio_2']) || !empty($data_web['texto_testimonio_3']))
			<section class="w-full max-w-[1200px] m-auto px-4 sm:px-8 py-16">
				<div class="flex justify-center items-start gap-12 flex-wrap sm:flex-nowrap">
					@if (!empty($data_web['texto_testimonio_1']))
						<div class="w-full text-center">
							<svg width="50" class="inline-block pb-2" fill="#c4c4c4" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 98.829 98.829" transform="matrix(-1, 0, 0, 1, 0, 0)" stroke="#c4c4c4">
								<g id="SVGRepo_bgCarrier" stroke-width="0"></g>
								<g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"></g>
								<g id="SVGRepo_iconCarrier">
									<g>
										<g>
											<path d="M96.76,41.603C91.511,22.831,78.562,9.204,65.975,9.204c-1.011,0-2.021,0.088-3.005,0.262 c-0.558,0.098-1.046,0.426-1.348,0.902c-0.301,0.479-0.386,1.061-0.233,1.605l2.591,9.268c0.25,0.895,1.113,1.5,2.01,1.459 l0.206-0.004c4.668,0,13.199,6.996,17.548,22.545c0.172,0.617,0.335,1.248,0.492,1.906c-4.882-2.416-10.706-2.975-15.98-1.506 C56.358,48.97,49.388,61.356,52.714,73.252c2.696,9.639,11.563,16.373,21.563,16.373c2.037,0,4.071-0.281,6.046-0.834 c7.846-2.193,13.745-8.707,16.611-18.338C99.521,61.764,99.456,51.249,96.76,41.603z"></path>
											<path d="M14.088,9.206c-1.009,0-2.02,0.086-3.003,0.26c-0.557,0.096-1.046,0.426-1.347,0.902 c-0.301,0.479-0.386,1.061-0.234,1.605l2.592,9.268c0.25,0.895,1.097,1.5,2.01,1.459l0.204-0.004 c4.668,0,13.2,6.996,17.549,22.545c0.173,0.621,0.336,1.252,0.492,1.906c-4.884-2.416-10.706-2.975-15.98-1.506 C4.475,48.97-2.497,61.356,0.831,73.252c2.696,9.639,11.563,16.373,21.563,16.373c2.037,0,4.071-0.281,6.047-0.834 c7.845-2.193,13.744-8.707,16.611-18.338c2.586-8.689,2.522-19.205-0.175-28.852C39.625,22.831,26.678,9.206,14.088,9.206z"></path>
										</g>
									</g>
								</g>
							</svg>
							<p class="text-gray-500">{{$data_web['texto_testimonio_1'] ?? ''}}</p>
							<p class="pt-2 uppercase text-[#2C8272] font-[600]">{{$data_web['nombre_testimonio_1'] ?? ''}}</p>
						</div>
					@endif
					@if (!empty($data_web['texto_testimonio_2']))
						<div class="w-full text-center">
							<svg width="50" class="inline-block pb-2" fill="#c4c4c4" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 98.829 98.829" transform="matrix(-1, 0, 0, 1, 0, 0)" stroke="#c4c4c4">
								<g id="SVGRepo_bgCarrier" stroke-width="0"></g>
								<g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"></g>
								<g id="SVGRepo_iconCarrier">
									<g>
										<g>
											<path d="M96.76,41.603C91.511,22.831,78.562,9.204,65.975,9.204c-1.011,0-2.021,0.088-3.005,0.262 c-0.558,0.098-1.046,0.426-1.348,0.902c-0.301,0.479-0.386,1.061-0.233,1.605l2.591,9.268c0.25,0.895,1.113,1.5,2.01,1.459 l0.206-0.004c4.668,0,13.199,6.996,17.548,22.545c0.172,0.617,0.335,1.248,0.492,1.906c-4.882-2.416-10.706-2.975-15.98-1.506 C56.358,48.97,49.388,61.356,52.714,73.252c2.696,9.639,11.563,16.373,21.563,16.373c2.037,0,4.071-0.281,6.046-0.834 c7.846-2.193,13.745-8.707,16.611-18.338C99.521,61.764,99.456,51.249,96.76,41.603z"></path>
											<path d="M14.088,9.206c-1.009,0-2.02,0.086-3.003,0.26c-0.557,0.096-1.046,0.426-1.347,0.902 c-0.301,0.479-0.386,1.061-0.234,1.605l2.592,9.268c0.25,0.895,1.097,1.5,2.01,1.459l0.204-0.004 c4.668,0,13.2,6.996,17.549,22.545c0.173,0.621,0.336,1.252,0.492,1.906c-4.884-2.416-10.706-2.975-15.98-1.506 C4.475,48.97-2.497,61.356,0.831,73.252c2.696,9.639,11.563,16.373,21.563,16.373c2.037,0,4.071-0.281,6.047-0.834 c7.845-2.193,13.744-8.707,16.611-18.338c2.586-8.689,2.522-19.205-0.175-28.852C39.625,22.831,26.678,9.206,14.088,9.206z"></path>
										</g>
									</g>
								</g>
							</svg>
							<p class="text-gray-500">{{$data_web['texto_testimonio_2'] ?? ''}}</p>
							<p class="pt-2 uppercase text-[#2C8272] font-[600]">{{$data_web['nombre_testimonio_2'] ?? ''}}</p>
						</div>
					@endif
					@if (!empty($data_web['texto_testimonio_3']))
						<div class="w-full text-center">
							<svg width="50" class="inline-block pb-2" fill="#c4c4c4" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 98.829 98.829" transform="matrix(-1, 0, 0, 1, 0, 0)" stroke="#c4c4c4">
								<g id="SVGRepo_bgCarrier" stroke-width="0"></g>
								<g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"></g>
								<g id="SVGRepo_iconCarrier">
									<g>
										<g>
											<path d="M96.76,41.603C91.511,22.831,78.562,9.204,65.975,9.204c-1.011,0-2.021,0.088-3.005,0.262 c-0.558,0.098-1.046,0.426-1.348,0.902c-0.301,0.479-0.386,1.061-0.233,1.605l2.591,9.268c0.25,0.895,1.113,1.5,2.01,1.459 l0.206-0.004c4.668,0,13.199,6.996,17.548,22.545c0.172,0.617,0.335,1.248,0.492,1.906c-4.882-2.416-10.706-2.975-15.98-1.506 C56.358,48.97,49.388,61.356,52.714,73.252c2.696,9.639,11.563,16.373,21.563,16.373c2.037,0,4.071-0.281,6.046-0.834 c7.846-2.193,13.745-8.707,16.611-18.338C99.521,61.764,99.456,51.249,96.76,41.603z"></path>
											<path d="M14.088,9.206c-1.009,0-2.02,0.086-3.003,0.26c-0.557,0.096-1.046,0.426-1.347,0.902 c-0.301,0.479-0.386,1.061-0.234,1.605l2.592,9.268c0.25,0.895,1.097,1.5,2.01,1.459l0.204-0.004 c4.668,0,13.2,6.996,17.549,22.545c0.173,0.621,0.336,1.252,0.492,1.906c-4.884-2.416-10.706-2.975-15.98-1.506 C4.475,48.97-2.497,61.356,0.831,73.252c2.696,9.639,11.563,16.373,21.563,16.373c2.037,0,4.071-0.281,6.047-0.834 c7.845-2.193,13.744-8.707,16.611-18.338c2.586-8.689,2.522-19.205-0.175-28.852C39.625,22.831,26.678,9.206,14.088,9.206z"></path>
										</g>
									</g>
								</g>
							</svg>
							<p class="text-gray-500">{{$data_web['texto_testimonio_3'] ?? ''}}</p>
							<p class="pt-2 uppercase text-[#2C8272] font-[600]">{{$data_web['nombre_testimonio_3'] ?? ''}}</p>
						</div>
					@endif
				</div>
			</section>
		@endif

		{{-- Banner Contacto --}}
		<section class="bg-center bg-cover bg-fixed overflow-hidden relative" style="background-image:url({{$imagen_bg_contacto}});">
			<div class="absolute bg-black w-full h-full opacity-40 z-10"></div>
			<div class="flex flex-col items-center gap-6 px-4 md:px-12 py-8 relative z-20">
				<div class="text-white">
					<h2 class="text-[22px] leading-[30px] font-bold text-center mb-1">¿Tienes alguna pregunta?</h2>
					<p class="text-[15px] font-[600] text-center">No dudes en consultarnos haciendo click en "Contacto"</p>
				</div>
				<div>
					<a href="{{route('contacto')}}" class="block w-[120px] text-[#2C8272] hover:text-[#2C8272] bg-white font-bold text-center uppercase border border-solid border-[#2C8272] rounded-sm py-2 hover:scale-105 duration-300">Contacto</a>
				</div>
			</div>
		</section>
		
		{{-- <div class="top-baner swiper-animate arrows">
			<div class="swiper-container main-slider" data-autoplay="5000" data-loop="1" data-speed="900" data-center="0" data-slides-per-view="1" style="height: 100vh !important">
				<div class="swiper-wrapper">
					<div class="swiper-slide active" data-val="0"> 
					<div class="clip">
						<div class="bg bg-bg-chrome act" style="background-image:url(images/indexSlider/1.jpg); background-position: unset;">
						</div>
					</div>
					</div>
					
					<div class="swiper-slide" data-val="1"> 
					<div class="clip">
						<div class="bg bg-bg-chrome act" style="background-image:url(images/indexSlider/2.jpg); background-position: unset;">
						</div>
					</div>
					</div>

					<div class="swiper-slide" data-val="2"> 
					<div class="clip">
						<div class="bg bg-bg-chrome act" style="background-image:url(images/indexSlider/3.jpg)">
						</div>
					</div>
					</div>

					<div class="swiper-slide" data-val="3"> 
					<div class="clip">
						<div class="bg bg-bg-chrome act" style="background-image:url(images/indexSlider/4.jpg); background-position: unset;">
						</div>
					</div>
					</div>

					<div class="swiper-slide" data-val="4"> 
					<div class="clip">
						<div class="bg bg-bg-chrome act" style="background-image:url(images/indexSlider/5.jpg); background-position: unset;">
						</div>
					</div>
					</div>
				</div>    

				<div class="pagination pagination-hidden poin-style-1"></div>

				<div class="arrow-wrapp m-200">
					<div class="cont-1170">
						<div class="swiper-arrow-left sw-arrow" style="margin-top: -100px;"><span class="fa fa-angle-left"></span></div>
						<div class="swiper-arrow-right sw-arrow" style="margin-top: -100px;"><span class="fa fa-angle-right"></span></div>
					</div>
				</div>
			</div>
		</div> --}}

		{{-- <div class="main-wraper padd-90" id="viajesSection">
	    	<div class="container">
	    		<div class="row">
	    			<div class="col-md-12">
	    				<div class="second-title">
	    					<h2>Nuestros Circuitos</h2>
	    				</div>
	    			</div>
	    		</div>
				
				<div class="filter style-2">
		            <ul class="filter-nav">
		                <li class="selected"><a href="#all" data-filter="*">todos</a></li>
		                <li><a href="#nacional" data-filter=".nacional">nacionales</a></li>
		                <li><a href="#regional" data-filter=".regional">regionales</a></li>
		            </ul>
		        </div>

				<div class="filter-content row">
					<div class="grid-sizer col-lg-4 col-md-6 col-sm-6 col-xs-12"></div>
					<div class="viajesContainer"></div>
				</div>
	    		
	    	</div>
	    </div>  --}}

    </section>

@include('site/footer')

{{-- <script>
	var view = new home_View({!! json_encode($viajes) !!});
</script> --}}
<script> // Datepicker
	$(document).ready(function() {
		$('#fechaDesde input').datepicker({
			autoclose: true,
			format: 'dd/mm/yyyy',
			container: '#fechaDesde',
			language: 'es',
			todayHighlight: true
		});
		$('#fechaHasta input').datepicker({
			autoclose: true,
			format: 'dd/mm/yyyy',
			container: '#fechaHasta',
			language: 'es',
			todayHighlight: true
		});
	})
</script>
<script>
	$(document).ready(function() {
		setInterval(function(){
			if ($('#titulo-relajate').css('transform') == 'matrix3d(1, 0, 0, 0, 0, 0, 1, 0, 0, -1, 0, 0, 0, 0, 0, 1)') {
				$('#titulo-disfruta').css('transform', 'rotate3d(1, 0, 0, 90deg)');
				$('#titulo-disfruta').addClass('opacity-0');
				setTimeout(() => {
					$('#titulo-relajate').css('transform', 'rotate3d(1, 0, 0, 0deg)');
					$('#titulo-disfruta').addClass('opacity-100');
				}, 300);
			} else {
				$('#titulo-relajate').css('transform', 'rotate3d(1, 0, 0, 90deg)');
				$('#titulo-disfruta').addClass('opacity-0');
				setTimeout(() => {
					$('#titulo-disfruta').css('transform', 'rotate3d(1, 0, 0, 0deg)');
					$('#titulo-disfruta').addClass('opacity-100');
				}, 300);
			}
		}, 2000);

		setInterval(function(){
			$('#titulo-listo').css('transform', 'translateY(-10px)');
			setTimeout(() => {
				$('#titulo-listo').css('transform', 'translateY(0px)');
			}, 600);
		}, 15000);
	})
</script>
<script>
	let showDiv = false;
    const contadorAnos = document.getElementById('contador-anos');
    const contadorViajes = document.getElementById('contador-viajes');

	function incrementarContador(contadorElement, maximo = 0) {
		let intervalo = 2000 / maximo;
		let intervaloFinal = intervalo;
		if (intervalo < 1) {
			intervaloFinal = 4;
		} else {
			if (intervalo < 4) {
				intervaloFinal = 4;
			} else {
				intervaloFinal = Math.round(intervalo);
			}
		}
        let contador = 0;

		const interval = setInterval(() => {
			if (intervalo < 4) {
				if (intervalo < 1) {
					contador += Math.round((4 / intervalo));
				} else if (Math.round(intervalo) == 1) {
					contador += 4;
				} else {
					contador += 2;
				}
			} else {
				contador++;
			}

			if (contador >= maximo) {
				clearInterval(interval);
				contadorElement.textContent = maximo;
			} else {
				contadorElement.textContent = contador;
			}
		}, intervaloFinal);
	}

	$.fn.isInViewport = function(offsetX = 0) {
		var elementTop = $(this).offset().top;
		var elementBottom = elementTop + $(this).outerHeight();

		var viewportTop = $(window).scrollTop();
		var viewportBottom = viewportTop + $(window).height() - offsetX;

		return elementBottom > viewportTop && elementTop < viewportBottom;
	};
	$(window).on('resize scroll', function() {
		if (!showDiv) {
			startCountUp();
		}
	});
	function startCountUp() {
		if ($('#countupDiv').isInViewport(250)) {
			showDiv = true;
			incrementarContador(contadorAnos, '{{$anios ?? "0"}}');
			incrementarContador(contadorViajes, '{{$cant_viajes ?? "0"}}');
		}
	}
	startCountUp();
</script>
<script>
    document.addEventListener("DOMContentLoaded", function () {
        var formSearchViaje = document.getElementById('formSearchViaje');

        formSearchViaje.addEventListener('submit', function (event) {
            var fechaDesde = document.getElementById('fecha_desde').value;
            var fechaHasta = document.getElementById('fecha_hasta').value;

            if (fechaDesde === '' || fechaHasta === '') {
                alert('Por favor, completa todos los campos antes de realizar la busqueda!');
                event.preventDefault();
            }
        });
    });
</script>