@include('site/header')

@php $array_meses = ['','Enero','Febrero','Marzo','Abril','Mayo','Junio','Julio','Agosto','Septiembre','Octubre','Noviembre','Diciembre']; @endphp

<section class="mt-[75px] p-4 md:p-8 md:flex justify-center items-start max-w-[1800px] m-auto">
	<div class="top-baner swiper-animate arrows" style="display: contents !important;">
		<div class="swiper-container main-slider w-full rounded-lg md:sticky md:top-[70px]" data-autoplay="5000" data-loop="1" data-speed="900" data-center="0" data-slides-per-view="1" {{-- style="height: 300px !important" --}}>
			<div class="swiper-wrapper">

				@php $count_images = 0; @endphp

				@if (!empty($viaje->imagen_portada))
					<div class="swiper-slide active" data-val="{{$count_images}}"> 
						<div class="clip">
							<div class="bg bg-bg-chrome act" style="background-image:url({{asset($viaje->imagen_portada)}});background-size:cover;background-position:center;">
							</div>
						</div>
					</div>
					@php $count_images++; @endphp
				@endif

				@foreach ($viaje->destino->image as $imagenes)
					<div class="swiper-slide active" data-val="{{$count_images}}"> 
						<div class="clip">
							<div class="bg bg-bg-chrome act" style="background-image:url({{asset($imagenes->path)}});background-size:cover;background-position:center;">
							</div>
						</div>
					</div>
					@php $count_images++; @endphp
				@endforeach

			</div>

			<div class="pagination pagination-hidden poin-style-1"></div>
		</div>
	</div>
	<div class="w-full px-0 pt-4 md:px-6 md:pt-0 md:sticky md:top-[70px]" id="div-col-2">
		@if ($viaje->estado == 4)
			<p class="text-xs text-white bg-green-600 font-bold px-2 py-0.5 rounded uppercase h-fit w-fit">Completo</p>
		@endif
		<h1 class="text-3xl md:text-4xl tracking-[4px] md: tracking-[8px] font-[600] text-[#2C8272]">{{$viaje->destino->ciudad}}</h1>
		<h2 class="text-xl">{{$viaje->destino->provincia}}</h2>
		<p class="w-fit text-lg text-white bg-[#2C8272] font-bold px-2 rounded mt-2">
			<span class="text-xs">Desde</span> {{ (isset($viaje->precio)) ? ($moneda ?? '$').number_format($viaje->precio, 0, ',', '.') : '' }}
			<span class="text-xs">por persona</span>
		</p>
		<p class="italic text-xs text-gray-400 font-[600] mt-0.5">*Precio contado efectivo por persona.</p>
		<div class="flex justify-between items-center mt-2">
			<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg" class="w-5 min-w-[16px]">
				<g id="SVGRepo_bgCarrier" stroke-width="0"></g>
				<g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"></g>
				<g id="SVGRepo_iconCarrier">
					<path stroke="#349e8d" stroke-width="2" stroke-linecap="round" d="M3 9H21M7 3V5M17 3V5M6 12H8M11 12H13M16 12H18M6 15H8M11 15H13M16 15H18M6 18H8M11 18H13M16 18H18M6.2 21H17.8C18.9201 21 19.4802 21 19.908 20.782C20.2843 20.5903 20.5903 20.2843 20.782 19.908C21 19.4802 21 18.9201 21 17.8V8.2C21 7.07989 21 6.51984 20.782 6.09202C20.5903 5.71569 20.2843 5.40973 19.908 5.21799C19.4802 5 18.9201 5 17.8 5H6.2C5.0799 5 4.51984 5 4.09202 5.21799C3.71569 5.40973 3.40973 5.71569 3.21799 6.09202C3 6.51984 3 7.07989 3 8.2V17.8C3 18.9201 3 19.4802 3.21799 19.908C3.40973 20.2843 3.71569 20.5903 4.09202 20.782C4.51984 21 5.07989 21 6.2 21Z"></path>
				</g>
			</svg>
			<p class="w-full text-lg text-gray-600 overflow-hidden text-ellipsis whitespace-nowrap ml-0.5 mr-[5px]">
				{{ date('d', strtotime($viaje->fecha_hora_salida)) }} de
				{{ ($array_meses[(int)(date('m', strtotime($viaje->fecha_hora_salida)))]) }}
				@if ($viaje->noches > 0)
					· {{ $viaje->noches }} Noches
				@endif
			</p>
		</div>
		<div class="flex flex-wrap justify-start items-center gap-2 mt-2">
			@if ($viaje->aereo)
				<span class="flex items-center gap-1 text-sm text-[#0077b2] font-[600]">
					<svg fill="#0077b2" width="22" viewBox="0 0 122.88 122.88" xmlns="http://www.w3.org/2000/svg"><g stroke-width="0"></g><g stroke-linecap="round" stroke-linejoin="round"></g><g id="SVGRepo_iconCarrier"> <style type="text/css"> .st0{fill-rule:evenodd;clip-rule:evenodd;} </style> <g> <path class="st0" d="M16.63,105.75c0.01-4.03,2.3-7.97,6.03-12.38L1.09,79.73c-1.36-0.59-1.33-1.42-0.54-2.4l4.57-3.9 c0.83-0.51,1.71-0.73,2.66-0.47l26.62,4.5l22.18-24.02L4.8,18.41c-1.31-0.77-1.42-1.64-0.07-2.65l7.47-5.96l67.5,18.97L99.64,7.45 c6.69-5.79,13.19-8.38,18.18-7.15c2.75,0.68,3.72,1.5,4.57,4.08c1.65,5.06-0.91,11.86-6.96,18.86L94.11,43.18l18.97,67.5 l-5.96,7.47c-1.01,1.34-1.88,1.23-2.65-0.07L69.43,66.31L45.41,88.48l4.5,26.62c0.26,0.94,0.05,1.82-0.47,2.66l-3.9,4.57 c-0.97,0.79-1.81,0.82-2.4-0.54l-13.64-21.57c-4.43,3.74-8.37,6.03-12.42,6.03C16.71,106.24,16.63,106.11,16.63,105.75 L16.63,105.75z"></path></g></g></svg>
					Salida Grupal Nacional
				</span>
			@else
				<span class="flex items-center gap-1 text-sm text-[#0077b2] font-[600]">
					@if ($viaje->categoria->nombre == "Nacional")
						<svg fill="#0077b2" width="22" viewBox="0 -1.2 122.9 122.9" xmlns="http://www.w3.org/2000/svg"><g stroke-width="0"></g><g stroke-linecap="round" stroke-linejoin="round"></g><g id="SVGRepo_iconCarrier"> <style type="text/css">.st0{fill-rule:evenodd;clip-rule:evenodd;}</style> <g> <path class="st0" d="M110.8,103.6h-7.6V114c0,3.6-2.9,6.5-6.5,6.5h-9c-3.6,0-6.5-2.9-6.5-6.5v-10.3H41.5V114c0,3.6-2.9,6.5-6.5,6.5 h-9c-3.6,0-6.5-2.9-6.5-6.5v-10.3H12v-82c0-7.6,4.4-13.1,13.3-16.5c17.6-6.9,54.6-6.9,72.3,0c8.9,3.4,13.3,8.9,13.3,16.5V103.6 L110.8,103.6L110.8,103.6z M118.6,40.4h-3.8V62h3.8c2.4,0,4.3-1.9,4.3-4.3V44.7C122.9,42.3,121,40.4,118.6,40.4L118.6,40.4z M4.3,40.4h3.8V62H4.3C1.9,62,0,60.1,0,57.7V44.7C0,42.3,1.9,40.4,4.3,40.4L4.3,40.4z M46.4,8.6h30.1c0.9,0,1.6,0.7,1.6,1.6v5.2 c0,0.9-0.7,1.6-1.6,1.6H46.4c-0.9,0-1.6-0.7-1.6-1.6v-5.2C44.8,9.3,45.5,8.6,46.4,8.6L46.4,8.6z M22.9,23.2h76.7 c1,0,1.9,0.9,1.9,1.9v42.8c0,1-0.9,1.9-1.9,1.9H22.9c-1,0-1.9-0.9-1.9-1.9V25.1C21,24.1,21.8,23.2,22.9,23.2L22.9,23.2L22.9,23.2 L22.9,23.2z M98.6,84.9c0-1.9-0.7-3.6-2-4.9c-1.3-1.3-3-2-4.9-2c-1.9,0-3.5,0.7-4.9,2c-1.4,1.3-2,3-2,4.9c0,1.9,0.7,3.5,2,4.8 c1.4,1.3,3,2,4.9,2c1.9,0,3.6-0.7,4.9-2C98,88.4,98.6,86.8,98.6,84.9L98.6,84.9L98.6,84.9L98.6,84.9z M38.1,84.9 c0-1.9-0.7-3.6-2-4.9c-1.3-1.3-3-2-4.9-2c-1.9,0-3.6,0.7-4.9,2c-1.3,1.3-2,3-2,4.9c0,1.9,0.6,3.5,2,4.8c1.3,1.3,3,2,4.9,2 c2,0,3.6-0.7,4.9-2C37.4,88.4,38.1,86.8,38.1,84.9L38.1,84.9L38.1,84.9L38.1,84.9z"></path></g></g></svg>
						Salida Grupal Nacional
					@endif
					@if ($viaje->categoria->nombre == "Regional")
						<svg fill="#0077b2" width="35" viewBox="0 0 552.506 552.506" xmlns="http://www.w3.org/2000/svg"><g id="SVGRepo_bgCarrier" stroke-width="0"></g><g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"></g><g id="SVGRepo_iconCarrier"> <g> <path d="M103.918,334.136c-23.793,0-43.172,19.376-43.172,43.185s19.373,43.173,43.172,43.173 c23.817,0,43.172-19.364,43.172-43.173C147.09,353.524,127.742,334.136,103.918,334.136z M103.918,404.454 c-14.952,0-27.125-12.179-27.125-27.134c0-14.954,12.167-27.133,27.125-27.133c14.964,0,27.136,12.166,27.136,27.133 C131.054,392.275,118.888,404.454,103.918,404.454z M450.189,334.136c-23.809,0-43.178,19.376-43.178,43.185 s19.363,43.173,43.178,43.173s43.172-19.364,43.172-43.173C493.355,353.524,473.992,334.136,450.189,334.136z M450.189,404.454 c-14.961,0-27.139-12.179-27.139-27.134c0-14.954,12.166-27.133,27.139-27.133c14.949,0,27.127,12.166,27.127,27.133 C477.305,392.275,465.139,404.454,450.189,404.454z M536.461,320.776h16.033V177.858c0-25.325-20.521-45.846-45.84-45.846H45.842 C20.508,132.013,0,152.533,0,177.858v162.008c0,25.337,20.508,45.857,45.842,45.857h11.959c-0.292-2.137-0.487-4.293-0.487-6.503 c0-26.585,21.556-48.147,48.144-48.147c26.588,0,48.144,21.562,48.144,48.147c0,2.21-0.207,4.366-0.487,6.503h250.857 c-0.292-2.137-0.486-4.293-0.486-6.503c0-26.585,21.555-48.147,48.158-48.147c26.586,0,48.129,21.562,48.129,48.147 c0,2.21-0.194,4.366-0.486,6.503h53.219v-19.107h-16.039c-2.533,0-4.591-2.053-4.591-4.579v-36.682 C531.863,322.816,533.922,320.776,536.461,320.776z M305.664,155.706V265.74h-84.049V155.706H305.664z M89.401,265.74H72.586 c-38.584,0-37.811-22.914-37.811-25.441v-80.011c0-2.53,2.046-4.582,4.576-4.582h50.05h38.97V265.74H89.401z M132.957,265.74 V155.706h84.063V265.74H132.957z M402.725,265.74h-92.482V155.706h92.482V265.74z M443.596,261.151 c0,2.542-2.059,4.589-4.573,4.589h-32.011V155.706h32.011c2.515,0,4.573,2.052,4.573,4.582V261.151z M525.805,290.964 c0,0-20.6,1.869-42.983-3.27c-22.371-5.133-25.465-25.383-25.465-25.383v-83.385v-23.602h44.841 c13.031,0,23.602,10.568,23.602,23.602v112.037H525.805z"></path> </g> </g></svg>
						Salida Grupal Regional
					@endif
					@if ($viaje->categoria->nombre == "Explora")
					<svg fill="#0077b2" width="22" viewBox="-96 0 512 512" xmlns="http://www.w3.org/2000/svg" stroke="#0077b2"><g id="SVGRepo_bgCarrier" stroke-width="0"></g><g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"></g><g id="SVGRepo_iconCarrier"><path d="M208 96c26.5 0 48-21.5 48-48S234.5 0 208 0s-48 21.5-48 48 21.5 48 48 48zm94.5 149.1l-23.3-11.8-9.7-29.4c-14.7-44.6-55.7-75.8-102.2-75.9-36-.1-55.9 10.1-93.3 25.2-21.6 8.7-39.3 25.2-49.7 46.2L17.6 213c-7.8 15.8-1.5 35 14.2 42.9 15.6 7.9 34.6 1.5 42.5-14.3L81 228c3.5-7 9.3-12.5 16.5-15.4l26.8-10.8-15.2 60.7c-5.2 20.8.4 42.9 14.9 58.8l59.9 65.4c7.2 7.9 12.3 17.4 14.9 27.7l18.3 73.3c4.3 17.1 21.7 27.6 38.8 23.3 17.1-4.3 27.6-21.7 23.3-38.8l-22.2-89c-2.6-10.3-7.7-19.9-14.9-27.7l-45.5-49.7 17.2-68.7 5.5 16.5c5.3 16.1 16.7 29.4 31.7 37l23.3 11.8c15.6 7.9 34.6 1.5 42.5-14.3 7.7-15.7 1.4-35.1-14.3-43zM73.6 385.8c-3.2 8.1-8 15.4-14.2 21.5l-50 50.1c-12.5 12.5-12.5 32.8 0 45.3s32.7 12.5 45.2 0l59.4-59.4c6.1-6.1 10.9-13.4 14.2-21.5l13.5-33.8c-55.3-60.3-38.7-41.8-47.4-53.7l-20.7 51.5z"></path></g></svg>
						Sendero
					@endif
				</span>
			@endif
		</div>
		@if (count($viaje->incluye) > 0)
			<div class="mt-2">
				<p class="font-bold text-gray-500">Incluye:</p>
				<div class="ml-0 md:ml-4">
					@foreach ($viaje->incluye as $item)
						<li>{{$item->descripcion}}</li>
					@endforeach
				</div>
			</div>
		@endif
		<div class="mt-4 flex justify-start items-center gap-2">
			<button type="button" data-toggle="modal" data-target="#modalConsulta" class="w-full md:w-auto px-3 py-0.5 border-2 border-solid border-[#0077b2] text-lg text-[#0077b2] font-[600] rounded-sm uppercase hover:text-white hover:bg-[#0077b2] hover:shadow-md transition-all">
				Consultar
			</button>
			@if (isset($data_web['telefono_whatsapp']) && !empty($data_web['telefono_whatsapp']))
				@php $telefonoNumerico = preg_replace('/\D/', '', $data_web['telefono_whatsapp']); @endphp
				<a href="https://wa.me/+549{{$telefonoNumerico}}?text=Hola, Quería conocer más información sobre el viaje '{{$viaje->destino->ciudad}}' del {{date('d/m/Y', strtotime($viaje->fecha_hora_salida))}}. Muchas gracias!" class="w-full md:w-auto inline-flex justify-center items-center gap-2 px-3 py-0.5 border-2 border-solid border-[#25D366] text-lg font-[600] rounded-sm uppercase text-white bg-[#25D366] fill-white hover:text-white hover:shadow-md transition-all" target="_blank">
					Consultar <svg width="18" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M17.472 14.382c-.297-.149-1.758-.867-2.03-.967-.273-.099-.471-.148-.67.15-.197.297-.767.966-.94 1.164-.173.199-.347.223-.644.075-.297-.15-1.255-.463-2.39-1.475-.883-.788-1.48-1.761-1.653-2.059-.173-.297-.018-.458.13-.606.134-.133.298-.347.446-.52.149-.174.198-.298.298-.497.099-.198.05-.371-.025-.52-.075-.149-.669-1.612-.916-2.207-.242-.579-.487-.5-.669-.51-.173-.008-.371-.01-.57-.01-.198 0-.52.074-.792.372-.272.297-1.04 1.016-1.04 2.479 0 1.462 1.065 2.875 1.213 3.074.149.198 2.096 3.2 5.077 4.487.709.306 1.262.489 1.694.625.712.227 1.36.195 1.871.118.571-.085 1.758-.719 2.006-1.413.248-.694.248-1.289.173-1.413-.074-.124-.272-.198-.57-.347m-5.421 7.403h-.004a9.87 9.87 0 01-5.031-1.378l-.361-.214-3.741.982.998-3.648-.235-.374a9.86 9.86 0 01-1.51-5.26c.001-5.45 4.436-9.884 9.888-9.884 2.64 0 5.122 1.03 6.988 2.898a9.825 9.825 0 012.893 6.994c-.003 5.45-4.437 9.884-9.885 9.884m8.413-18.297A11.815 11.815 0 0012.05 0C5.495 0 .16 5.335.157 11.892c0 2.096.547 4.142 1.588 5.945L.057 24l6.305-1.654a11.882 11.882 0 005.683 1.448h.005c6.554 0 11.89-5.335 11.893-11.893a11.821 11.821 0 00-3.48-8.413Z"/></svg>
				</a>
			@endif
		</div>
	</div>
</section>

<section class="px-4 sm:px-8 pt-4 pb-24 max-w-[1800px] m-auto">
	@if (isset($viaje->itinerario) && !empty($viaje->itinerario) && $viaje->itinerario != '<p></p>' && $viaje->itinerario != '<p><br></p>')
		<div>
			<h1 class="text-3xl font-[600] tracking-[4px] text-gray-600">Itinerario:</h1>
		</div>
		<div class="mt-3 ml-0 md:ml-5 [&>p]:text-base text-justify">
			@php
				echo $viaje->itinerario;
			@endphp
		</div>
	@endif
</section>

@if (isset($viaje->destino->youtube_id) && !empty($viaje->destino->youtube_id))
	<section class="bg-center bg-cover bg-fixed overflow-hidden relative min-h-[300px]" @if(isset($viaje->destino->image[0]['path'])) style="background-image:url({{asset($viaje->destino->image[0]['path'])}});" @endif>
		<div class="absolute bg-black w-full h-full opacity-40 z-10"></div>
		<div class="w-full p-4 relative z-20">
			<iframe class="m-auto rounded-xl" width="560" height="315" src="https://www.youtube.com/embed/{{$viaje->destino->youtube_id}}" frameborder="0" allowfullscreen style="max-width: -webkit-fill-available;"></iframe>
		</div>
	</section>
@endif

@if (isset($viaje->destino->detalle) && !empty($viaje->destino->detalle))
	<section class="p-4">
		<div class="w-full text-center m-auto max-w-[650px] py-16">
			<p class="text-lg text-gray-600">{{ $viaje->destino->detalle ?? '' }}</p>
			<span class="mt-2 mx-auto block w-16 h-1 bg-[#2C8272]"></span>
		</div>
	</section>
@endif

@if (count($viajes_random) > 0)
	<section class="px-4 sm:px-8 pt-10 pb-24 max-w-[1800px] m-auto">
		<div class="text-center md:text-left pb-4">
			<h1 class="text-md leading-[25px] tracking-[4px] font-bold text-[#0077b2]">¡Circuitos que te pueden interesar!</h1>
		</div>
		<div class="grid grid-cols-1 md:grid-cols-2 lg:grid-cols-4 gap-2 md:gap-8">
			@foreach ($viajes_random as $viaje_random)
				<div class="div-categoria categoria-{{$viaje_random->categoria->nombre}} mes-{{$array_meses[(int)(date('m', strtotime($viaje_random->fecha_hora_salida)))]}}-{{date('Y', strtotime($viaje_random->fecha_hora_salida))}}">
					<div
						class="w-full bg-center bg-cover overflow-hidden relative rounded-lg hover:shadow-lg hover:scale-105 duration-300" 
						@php
							$imagePath = isset($viaje_random->destino->image->first()->path) ? $viaje_random->destino->image->first()->path : '/images/no-image.webp';
							$imageUrl = file_exists(public_path($imagePath)) ? env('APP_URL') . $imagePath : env('APP_URL') . '/images/no-image.webp';
						@endphp
						style="background-image:url({{ $imageUrl }});"
					>
						<a href="{{route('circuito', $viaje_random->id)}}">
							<div class="flex flex-row-reverse justify-between items-top p-2">
								<p class="text-md text-white {{-- bg-[#349e8d] --}} bg-[#2C8272] font-bold px-2 rounded"><span style="font-size:10px">Desde</span> {{ (isset($viaje_random->precio)) ? '$'.number_format($viaje_random->precio, 0, ',', '.') : '' }}</p>
								@if ($viaje_random->estado == 4)
									<p class="text-[10px] text-white bg-green-600 font-bold px-2 rounded uppercase h-fit leading-[18px]">Completo</p>
								@endif
							</div>
							<div class="flex items-end min-h-[200px]">
								<div class="py-1 px-2 bg-[#ffffffcf] w-full h-fit">
									<h3 class="text-base text-gray-600 font-bold tracking-normal overflow-hidden text-ellipsis whitespace-nowrap">{{ $viaje_random->destino->ciudad ?? '' }}</h3>
									<div class="flex justify-between items-center">
										<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg" class="w-5 min-w-[16px]">
											<g id="SVGRepo_bgCarrier" stroke-width="0"></g>
											<g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"></g>
											<g id="SVGRepo_iconCarrier">
												<path stroke="#349e8d" stroke-width="2" stroke-linecap="round" d="M3 9H21M7 3V5M17 3V5M6 12H8M11 12H13M16 12H18M6 15H8M11 15H13M16 15H18M6 18H8M11 18H13M16 18H18M6.2 21H17.8C18.9201 21 19.4802 21 19.908 20.782C20.2843 20.5903 20.5903 20.2843 20.782 19.908C21 19.4802 21 18.9201 21 17.8V8.2C21 7.07989 21 6.51984 20.782 6.09202C20.5903 5.71569 20.2843 5.40973 19.908 5.21799C19.4802 5 18.9201 5 17.8 5H6.2C5.0799 5 4.51984 5 4.09202 5.21799C3.71569 5.40973 3.40973 5.71569 3.21799 6.09202C3 6.51984 3 7.07989 3 8.2V17.8C3 18.9201 3 19.4802 3.21799 19.908C3.40973 20.2843 3.71569 20.5903 4.09202 20.782C4.51984 21 5.07989 21 6.2 21Z"></path>
											</g>
										</svg>
										<p class="w-full text-md text-gray-600 overflow-hidden text-ellipsis whitespace-nowrap ml-0.5 mr-[5px]">
											{{ substr(($array_meses[(int)(date('m', strtotime($viaje_random->fecha_hora_salida)))]), 0, 3) }}
											{{ date('d', strtotime($viaje_random->fecha_hora_salida)) }}
											@if ($viaje_random->noches > 0)
												· {{ $viaje_random->noches }} Noches
											@endif
										</p>
									</div>
								</div>
							</div>
						</a>
					</div>

				</div>
			@endforeach
		</div>
	</section>
@endif

<!-- Modal Consulta -->
<div id="modalConsulta" class="modal fade" role="dialog">
	<div class="modal-dialog" style="max-width: 600px !important;">	
		<!-- Modal content-->
		<div class="modal-content p-4">
			<form onsubmit="return mySubmitFunction(event)">
			@csrf
		
				<h2 class="font-[700] text-gray-600 text-lg">Consulta - {{$viaje->destino->ciudad ?? ''}}</h2>

				<div class="grid grid-cols-1 sm:grid-cols-3 gap-2 mt-4">
					<div class="w-full">
						<div class="">
							<input type="text" placeholder="Nombre y Apellido" id="name" class="w-full border border-gray-300 border-solid rounded px-2 py-1">
						</div>
					</div>
					<div class="w-full">
						<div class="">
							<input type="text" placeholder="Email" id="email" class="w-full border border-gray-300 border-solid rounded px-2 py-1">
						</div>
					</div>
					<div class="w-full">
						<div class="">
							<input type="text" placeholder="Teléfono (Opcional)" id="phone" class="w-full border border-gray-300 border-solid rounded px-2 py-1">
						</div>
					</div>
					<div class="sm:col-span-3">
						<textarea placeholder="Escribe aquí tu consulta" rows="6" id="message" class="w-full border border-gray-300 border-solid rounded px-2 py-1">
Hola, Circuitos!
Quería conocer más información sobre el viaje "{{$viaje->destino->ciudad ?? ''}}" del {{date('d/m/Y', strtotime($viaje->fecha_hora_salida))}}. Muchas gracias!</textarea>
					</div>
				</div>

				<div class="flex justify-between items-start gap-2 mt-4">
					<div class="">
						<button data-dismiss="modal" class="px-2 py-1 border-2 border-solid border-[#0077b2] text-[#0077b2] rounded font-bold uppercase">Cancelar</button>
					</div>
					<div class="" id="botonEnviar">
						<button type="submit" class="px-2 py-1 bg-[#2C8272] text-white border-2 border-solid border-[#2C8272] rounded font-bold uppercase hover:shadow-md">Enviar</button>
					</div>
				</div>

			</form>

		</div>	
	</div>
</div>

@include('site/footer')

<script src="{{ url('vendors/travelTemplate/js/idangerous.swiper.min.js') }}"></script>
<script>
    function mySubmitFunction(e) {
        e.preventDefault();
        let name = $('#name').val()
		let email = $('#email').val()
		let phone = $('#phone').val()
		let message = $('#message').val()

        if (name != "" && email != "" && message != "") {
            $('#botonEnviar').html('<button type="button" class="px-2 py-1 bg-[#2C8272] text-white border-2 border-solid border-[#2C8272] rounded font-bold uppercase hover:shadow-md">'+
										'Enviando...'+
									'</button>');

            $.ajax({
                type:'POST',
                url:"{{route('send_mail_contacto')}}",
                data: {
                    "_token": "{{csrf_token()}}",
                    name: name,
                    email: email,
                    phone: phone,
                    message: message,
                    link_viaje: window.location.href
                },
                success:function(resp){
                    if (resp == 1) {
                        $('#botonEnviar').html('<button type="button" class="px-2 py-1 bg-[#2C8272] text-white border-2 border-solid border-[#2C8272] rounded font-bold uppercase hover:shadow-md">'+
													'Mensaje Enviado!'+
												'</button>');
                    } else {
                        $('#botonEnviar').html('<button type="submit" class="px-2 py-1 bg-[#2C8272] text-white border-2 border-solid border-[#2C8272] rounded font-bold uppercase hover:shadow-md">'+
													'Error al enviar el email. Inténtalo nuevamente!'+
												'</button>');
                    }
                }
            });
        }
    }
</script>
<script>
	$(document).ready(function() {
		var altura = $("#div-col-2").height();
		$(".swiper-container").css("height", altura)
	});
</script>
