@php
	use App\model\core\Common;
@endphp
@include('header')

    @if ($data['user']->role == 1)
        <link href="{{asset('css/datatables.css')}}" rel="stylesheet">
        <link href="https://cdn.datatables.net/responsive/2.2.7/css/responsive.bootstrap4.min.css" rel="stylesheet">
        <link href="https://cdn.datatables.net/1.10.25/css/jquery.dataTables.min.css" rel="stylesheet">
        <link href="https://cdn.datatables.net/buttons/2.3.2/css/buttons.dataTables.min.css" rel="stylesheet">

        <style>
            .padding-pers {
                padding: 8px 10px !important;
            }
            .form-group div {
                width: 100% !important;
            }
        </style>
    @endif

	<section class="content">
        <div style="margin-bottom:15px;">
			<button class="btn bg-teal" onclick="history.go(-1)"><i class="fas fa-arrow-left"></i> Volver</button>
            @if ($data['user']->role == 1)
                <div style="float: right;">
                    <select name="tipo_exp" id="tipo_exp" onchange="changeOptionExport()">
                        <option value="1">Reservas</option>
                        <option value="2">Comisiones Cobradas</option>
                        <option value="3">Comisiones por Cobrar</option>
                    </select>
                    <button type="button" id="reservas_export" onclick="expExcel();" {{-- href="{{route('exportarVendedorExcel', $data['user']->id)}}" --}} class="btn bg-teal" title="Exportar a Excel">
                        <i class="fas fa-file-excel"></i> Exportar
                    </button>
                    <button type="button" id="cobradas_export" class="btn bg-teal" title="Exportar a Excel" data-toggle="modal" data-target="#modalComisionesCobradas" style="display: none;">
                        <i class="fas fa-file-excel"></i> Exportar
                    </button>
                    <button type="button" id="por_cobrar_export" class="btn bg-teal" title="Exportar a Excel" data-toggle="modal" data-target="#modalComisionesPorCobrar" style="display: none;">
                        <i class="fas fa-file-excel"></i> Exportar
                    </button>
                </div>
            @endif
		</div>

	    <div class="container-fluid">
	        <div class="row">
	            <div class="row clearfix">
                <div class="col-xs-12 col-sm-3">
                    <div class="card profile-card">
                        <div class="profile-header" style="padding: 0; background-color: #009688;">&nbsp;</div>
                        <div class="profile-body">
                            <div class="content-area">
                                <h3>{{ $data['user']->name }} {{ $data['user']->lastName }}</h3>
                                <p style="color:#333; font-weight: 600">Telefono: {{ $data['user']->nroTelefono }}</p>
                                @if($data['user']->email)
                                <p style="color:#333; font-weight: 600">Email: {{ $data['user']->email }}</p>
                                @endif
                            </div>
                            <div class="card-about-me">
                            	<div class="body">
		                            <ul>
		                                <li>
		                                    <div class="title">
                                                <i class="material-icons">work</i> {{ $data['user']->role == 1 ? 'Vendedor' : 'Administrador'}}<br>
		                                        <i class="material-icons">contact_page</i> DNI: {{ $data['user']->dni }}
		                                    </div>
		                                </li>
		                            </ul>
	                            </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-xs-12 col-sm-9">
                    <div class="card">
                        <div class="body">
                            <div>
                                <ul class="nav nav-tabs" role="tablist">
                                    <li role="presentation" id="li-reservas"><a href="#reservas" aria-controls="reservas" role="tab" data-toggle="tab">Reservas</a></li>
                                    @if ($data['user']->role == 1)
                                        <li role="presentation" id="li-comisiones_cobradas"><a href="#comisiones_cobradas" aria-controls="comisiones_cobradas" role="tab" data-toggle="tab">Comisiones Cobradas</a></li>
                                        <li role="presentation" id="li-comisiones_por_cobrar"><a href="#comisiones_por_cobrar" aria-controls="comisiones_por_cobrar" role="tab" data-toggle="tab">Comisiones por Cobrar</a></li>
                                    @endif
                                </ul>

                                <div class="tab-content">
                                    <div role="tabpanel" class="tab-pane fade in" id="reservas">
                                    	@if(array_key_exists('reservas', $data) && $data['reservas'])
                                    	<table class="table table-bordered tabla-circuitos">
                                    		<thead>
                                    			<th>C&oacute;digo</th>
                                                <th>Fecha Reserva</th>
                                                <th>Pasajeros</th>
                                    			<th>Destino</th>
                                    			<th>Fecha Salida</th>
                                    		</thead>
                                    		<tbody>
                                    			@foreach($data['reservas'] as $reserva)
                                    			<tr>
                                    				<td>{{ $reserva->id }}</td>
                                                    <td>{{ Common::formatDate($reserva->created_at) }}</td>
                                                    <td>
                                                        @foreach($reserva->info as $index => $reservaInfo)
                                                            <ul style="padding: 0;margin: 0;margin-left: 15px;display: list-item;">{{ $reservaInfo->pasajero->apellido }}, {{ $reservaInfo->pasajero->nombre }} ({{ Common::getCurrencySymbol($reserva->viaje->moneda)}} {{ Common::intFormatMoney($reservaInfo->precio_opcional ? $reservaInfo->precio_opcional : $reserva->viaje->precio, 2) }})</ul>
                                                        @endforeach
                                                        {{-- <table>
                                                            @foreach($reserva->info as $reservaInfo)
                                                                <tr>
                                                                    <td>
                                                                    {{ $reservaInfo->pasajero->apellido }}, {{ $reservaInfo->pasajero->nombre }}    
                                                                    </td>
                                                                    <td style="white-space: nowrap;">
                                                                        {{ Common::getCurrencySymbol($reserva->viaje->moneda)}} {{ Common::intFormatMoney($reservaInfo->precio_opcional ? $reservaInfo->precio_opcional : $reserva->viaje->precio, 2) }}
                                                                    </td>
                                                                </tr>
                                                            @endforeach
                                                        </table> --}}
                                                    </td>
                                    				<td>{{ $reserva->viaje->destino->ciudad }}</td>
                                    				<td>{{ Common::formatDate($reserva->viaje->fecha_hora_salida) }}</td>
                                    			</tr>
                                    			@endforeach
                                    		</tbody>
                                    	</table>
                                    	@else
                                    	<div>
                                    		Este pasajero no ha efectuado ninguna reserva.
                                    	</div>
                                    	@endif
                                    </div>

                                    @if ($data['user']->role == 1)

                                        <div role="tabpanel" class="tab-pane fade in" id="comisiones_cobradas">
                                            <div style="margin-bottom:25px;">
                                                <p style="margin-bottom: 0;">Cantidad de Comisiones: <span id="cantVentasComisiones">0</span></p>
                                                <p>Ganancia Total: $<span id="gananciaComisiones">0,00</span></p>
                                            </div>
                                            <table id="tableComisiones" class="hover" style="width:100%">
                                                <thead>
                                                    <tr class="tabla-pers">
                                                        <th class="text-sm align-middle padding-pers">Fecha de Pago</th>
                                                        <th class="text-sm align-middle padding-pers">Pagó Comisión</th>
                                                        <th class="text-sm align-middle padding-pers">Pasajero</th>
                                                        <th class="text-sm align-middle padding-pers">Viaje</th>
                                                        <th class="text-sm align-middle padding-pers">Monto Abonado</th>
                                                        <th class="text-sm align-middle padding-pers"></th>
                                                    </tr>
                                                </thead>
                                            </table>
                                        </div>

                                        <div role="tabpanel" class="tab-pane fade in" id="comisiones_por_cobrar">
                                            <table id="tableComisionesPorCobrar" class="hover" style="width:100%">
                                                <thead>
                                                    <tr class="tabla-pers">
                                                        <th class="text-sm align-middle padding-pers">Viaje</th>
                                                        <th class="text-sm align-middle padding-pers">Pasajero</th>
                                                        <th class="text-sm align-middle padding-pers"></th>
                                                    </tr>
                                                </thead>
                                            </table>
                                        </div>

                                    @endif
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
	        </div>
	    </div>
	</section>

    @if ($data['user']->role == 1)
        <!-- Modal Borrar Comision -->
        <div id="modalBorrarComision" class="modal fade" role="dialog" style="background: #00000045;">
            <div class="modal-dialog" style="max-width: 450px !important;">	
                <!-- Modal content-->
                <div class="modal-content" style="border-radius: 5px;">
                    <div class="modal-header" style="padding: 5px;"></div>
                    <div class="swal-icon swal-icon--warning" style="width: 50px;height: 50px;margin: 10px auto;">
                        <span class="swal-icon--warning__body" style="height: 20px;width: 4px;">
                            <span class="swal-icon--warning__dot" style="width: 4px;height: 4px;margin-left: -2px;"></span>
                        </span>
                    </div>
                    <div class="swal-title" style="padding-top: 0px;margin-bottom:0;">Borrar Comisión</div>
                    <div style="margin-top:5px;">
                        <div class="swal-text" style="margin:10px;font-style:italic;color:#747474;font-size:14px;">Se borrará el monto de la comisión y el movimiento en la caja.</div>
                    </div>
                    <input type="text" id="idBorrarComision" name="idBorrarComision" style="display:none;" required>

                    <div class="swal-footer">
                        <div class="swal-button-container">
                            <button data-dismiss="modal" id="botonCerrarBorrarComision" class="swal-button swal-button--cancel">Cancelar</button>
                            <div class="swal-button__loader"></div>
                        </div>
                        <div class="swal-button-container">
                            <button type="button" onclick="deleteComision()" class="swal-button swal-button--confirm">Aceptar</button>
                            <div class="swal-button__loader"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- Modal Agregar Comision -->
        <div id="modalAddComision" class="modal fade" role="dialog">
            <div class="modal-dialog" style="max-width: 450px !important;">	
                <!-- Modal content-->
                <div class="modal-content" style="border-radius: 5px;">
                    <form action="../cuentas/add-comision" method="POST">
                    @csrf
                        <div class="modal-header" style="padding: 5px;"></div>
                        <div class="swal-title" style="padding-top: 20px;margin-bottom:0;">Agregar Comisión</div>
                        <div style="margin-top:10px;">
                            <div>
                                <div class="swal-text" style="margin:10px;">Ingrese el monto de la comisión</div>
                                <div class="" style="padding:0 10px;margin:0 10px;">
                                    <div class="form-group" style="margin-bottom:0px;">
                                        <input type="number" step="any" min="0" id="monto_comision" name="monto_comision" class="form-control" style="border: 1px solid #ccc;box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%);" required>
                                    </div>
                                </div>
                            </div>
                            <div style="display: none;" id="div_tipo_cambio">
                                <div class="swal-text" style="margin:10px;">Tipo Cambio ($)</div>
                                <div class="" style="padding:0 10px;margin:0 10px;">
                                    <div class="form-group" style="margin-bottom:0px;">
                                        <input type="number" step="any" min="0" id="monto_cambio" name="monto_cambio" class="form-control" style="border: 1px solid #ccc;box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%);">
                                    </div>
                                </div>
                            </div>
                            <div>
                                <div class="swal-text" style="margin:10px;">Seleccione el medio de pago</div>
                                <div class="" style="padding:0 10px;margin:0 10px;">
                                    <div class="form-group" style="margin:0px;">
                                        <select name="metodo_pago" id="metodo_pago_comision" onchange="changeMoneda()">
                                            <option value="efectivo">Efectivo</option>
                                            <option value="transf_bancaria">Transferencia</option>
                                            <option value="dolares">Dólares</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div>
                                <div class="swal-text" style="margin:10px;">Seleccione la oficina</div>
                                <div class="" style="padding:0 10px;margin:0 10px;">
                                    <div class="form-group" style="margin-bottom: 0 !important;">
                                        <select name="oficina_id" id="oficina_id_comision">
                                            <option value="1">Bahia Blanca</option>
                                            <option value="2">Pigué</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div>
                                <div class="swal-text" style="margin:10px;">Fecha de Pago</div>
                                <div class="" style="padding:0 10px;margin:0 10px;">
                                    <div class="input-group date" style="padding:0;margin:0;" id="fechaPago">
                                        <div class="form-group" style="margin-bottom: 0 !important;">
                                            <input type="text" name="fecha_pago" id="fecha_pago" class="form-control" autocomplete="off" value="{{date('d/m/Y')}}" style="border: 1px solid #ccc;padding-left:12px;" required>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <input type="text" id="idReservaInfoComision" name="idReservaInfoComision" style="display:none;" required>
                        <input type="text" id="idUserComision" name="idUserComision" style="display:none;" value="{{$data['user']->id}}" required>
    
                        <div class="swal-footer">
                            <div class="swal-button-container">
                                <button data-dismiss="modal" class="swal-button swal-button--cancel">Cancelar</button>
                                <div class="swal-button__loader"></div>
                            </div>
                            <div class="swal-button-container">
                                <button type="submit" class="swal-button swal-button--confirm">Aceptar</button>
                                <div class="swal-button__loader"></div>
                            </div>
                        </div>
                    </form>
                </div>	
            </div>
        </div>
    @endif

    <!-- Modal Comisiones Cobradas -->
    <div id="modalComisionesCobradas" class="modal fade" role="dialog">
        <div class="modal-dialog" style="max-width: 900px !important; width: 95%;">	
            <!-- Modal content-->
            <div class="modal-content" style="border-radius: 5px;">
                <form action="{{route('exportarVendedorComisionesExcel')}}" method="POST">
                @csrf
                    <div class="swal-title" style="padding-top: 15px;margin-bottom:0;display: flex;justify-content: space-between;flex-wrap: wrap;">
                        <p style="font-size: 14px;">Seleccione las filas a exportar</p>
                        <button type="submit" class="btn bg-teal" title="Exportar a Excel">
                            <i class="fas fa-file-excel"></i> Exportar
                        </button>
                    </div>
                    <div class="form-group" style="padding:10px 25px;">
                        <table style="width:100%">
                            <thead>
                                <tr style="border-bottom: 1px solid #ccc;">
                                    <th style="padding-right: 15px; padding-left: 5px;">
                                        <input type="checkbox" checked id="checkbox_cobradas" class="form-control" onchange="changeCheckboxAll('cobradas')" style="position:relative;width:15px;height:15px;opacity:1;left:0;">
                                    </th>
                                    <th style="padding-right: 2px; padding-left: 2px;">Fecha de Pago</th>
                                    <th style="padding-right: 2px; padding-left: 2px;">Pagó Comisión</th>
                                    <th style="padding-right: 2px; padding-left: 2px;">Pasajero</th>
                                    <th style="padding-right: 2px; padding-left: 2px;">Viaje</th>
                                    <th style="padding-right: 2px; padding-left: 2px;">Monto Abonado</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach($data_comisiones_cobradas as $comision_cobrada)
                                    <tr style="border-bottom: 1px solid #ccc;">
                                        <td style="padding-right: 15px; padding-left: 5px;">
                                            <input type="checkbox" checked class="checks_cobradas form-control" name="input_cobradas[]" value="{{ $comision_cobrada['id'] }}" onchange="changeUniqueCheckbox('cobradas')" style="position:relative;width:15px;height:15px;opacity:1;left:0;">
                                        </td>
                                        <td style="padding-right: 2px; padding-left: 2px;">{{ $comision_cobrada['fechaFormat'] }}</td>
                                        <td style="padding-right: 2px; padding-left: 2px;">{{ $comision_cobrada['pago_comision'] }}</td>
                                        <td style="padding-right: 2px; padding-left: 2px;">{{ $comision_cobrada['pasajero'] }}</td>
                                        <td style="padding-right: 2px; padding-left: 2px;">{{ $comision_cobrada['viaje'] }}</td>
                                        <td style="padding-right: 2px; padding-left: 2px;">{{ $comision_cobrada['moneda'] }} {{ $comision_cobrada['monto'] }}</td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>

                    <input type="text" name="id_user" value="{{$data['user']->id}}" hidden>
                    <input type="text" name="tipo" value="2" hidden>

                    <div class="swal-footer">
                        <div class="swal-button-container">
                            <button type="submit" class="btn bg-teal" title="Exportar a Excel">
                                <i class="fas fa-file-excel"></i> Exportar
                            </button>
                        </div>
                    </div>
                </form>
            </div>	
        </div>
    </div>
    <!-- Modal Comisiones Por Cobrar -->
    <div id="modalComisionesPorCobrar" class="modal fade" role="dialog">
        <div class="modal-dialog" style="max-width: 750px !important; width: 95%;">	
            <!-- Modal content-->
            <div class="modal-content" style="border-radius: 5px;">
                <form action="{{route('exportarVendedorComisionesExcel')}}" method="POST">
                @csrf
                    <div class="swal-title" style="padding-top: 15px;margin-bottom:0;display: flex;justify-content: space-between;flex-wrap: wrap;">
                        <p style="font-size: 14px;">Seleccione las filas a exportar</p>
                        <button type="submit" class="btn bg-teal" title="Exportar a Excel">
                            <i class="fas fa-file-excel"></i> Exportar
                        </button>
                    </div>
                    <div class="form-group" style="padding:10px 25px;">
                        <table style="width:100%">
                            <thead>
                                <tr style="border-bottom: 1px solid #ccc;">
                                    <th style="padding-right: 15px; padding-left: 5px;">
                                        <input type="checkbox" checked id="checkbox_por_cobrar" class="form-control" onchange="changeCheckboxAll('por_cobrar')" style="position:relative;width:15px;height:15px;opacity:1;left:0;">
                                    </th>
                                    <th style="padding-right: 2px; padding-left: 2px;">Viaje</th>
                                    <th style="padding-right: 2px; padding-left: 2px;">Pasajero</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach($data_comisiones_por_cobrar as $comision_por_cobrar)
                                    <tr style="border-bottom: 1px solid #ccc;">
                                        <td style="padding-right: 15px; padding-left: 5px;">
                                            <input type="checkbox" checked class="checks_por_cobrar form-control" name="input_por_cobrar[]" value="{{ $comision_por_cobrar['id'] }}" onchange="changeUniqueCheckbox('por_cobrar')" style="position:relative;width:15px;height:15px;opacity:1;left:0;">
                                        </td>
                                        <td style="padding-right: 2px; padding-left: 2px;">{{ $comision_por_cobrar['viaje'] }}</td>
                                        <td style="padding-right: 2px; padding-left: 2px;">{{ $comision_por_cobrar['pasajero'] }}</td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>

                    <input type="text" name="id_user" value="{{$data['user']->id}}" hidden>
                    <input type="text" name="tipo" value="3" hidden>

                    <div class="swal-footer">
                        <div class="swal-button-container">
                            <button type="submit" class="btn bg-teal" title="Exportar a Excel">
                                <i class="fas fa-file-excel"></i> Exportar
                            </button>
                        </div>
                    </div>
                </form>
            </div>	
        </div>
    </div>

@include('footer')

@if ($data['user']->role == 1)
    <script src="https://cdn.datatables.net/1.10.23/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.23/js/dataTables.bootstrap4.min.js"></script>
    <script src="https://cdn.datatables.net/responsive/2.2.7/js/dataTables.responsive.min.js"></script>
    <script src="https://cdn.datatables.net/responsive/2.2.7/js/responsive.bootstrap4.min.js"></script>

    <script> //Datatables
        var cant_ventas = 0;
        var ganancia_comisiones = 0;
        var table = $('#tableComisiones').DataTable({
            responsive: true,
            autoWidth: false,
            stateSave: true,
            "ajax": '../cuentas/datatable/comisiones/{{$data["user"]->id}}',
            "columns": [
                {
                    data: {
                        _: 'fechaFormat',
                        sort: 'fecha'
                    },
                },
                {data: "pago_comision"},
                {data: "pasajero"},
                {data: "viaje"},
                { data: 'id', render: function (data, type, dataIndex) {
                    return dataIndex.moneda+dataIndex.monto;
                } },
                { data: 'id', render: function (data, type, dataIndex) {
                    return '<button class="btn btn-default dropdown-toggle" type="button" title="Borrar" class="dropdown-item" data-toggle="modal" data-target="#modalBorrarComision" onclick="addDataModalBorrarComision('+dataIndex.id+');">'+
                                '<i class="fas fa-trash"></i>'+
                            '</button>';
                } }
            ],
            createdRow: function(row, data, dataIndex, cells) {
                cant_ventas++;
                $('#cantVentasComisiones').text(cant_ventas);
                let conversion = 1
                if (data.tipo_transaccion_id == '7') {
                    conversion = data.monto_cambio
                }
                ganancia_comisiones += (parseFloat(data.montoSinFormat) * conversion);
                $('#gananciaComisiones').text(ganancia_comisiones.toLocaleString('es-ES', { minimumFractionDigits: 2, maximumFractionDigits: 2, useGrouping: true }));
                $(row).addClass('fila-'+data.id+' tabla-pers relative transform scale-100 text-xs py-1 border-b-2 hover-datatables cursor-default border-b border-gray-200 hover:bg-blue-200 odd');
            },
            "columnDefs": [
                { className: "primerColumnaDataTables", "targets": [ 0 ] },
                { className: "text-left", "targets": [ 1,2,3 ] },
                { className: "text-right", "targets": [ 4,5 ] },
                {
                    "targets": [1,2,3,4,5],
                    "orderable": false
                }
            ],
            "order": [[ 0, "desc" ]],
            "language": {
                "lengthMenu": "Mostrar " +
                                `<select class="custom-select custom-select-sm form-control form-control-sm">
                                    <option value='10'>10</option>
                                    <option value='25'>25</option>
                                    <option value='50'>50</option>
                                    <option value='100'>100</option>
                                    <option value='-1'>Todos</option>
                                </select>` +
                            " registros por página",
                "zeroRecords": "No se han encontrado Resultados.",
                "info": "Mostrando página _PAGE_ de _PAGES_",
                "infoEmpty": "No hay registros disponibles",
                "infoFiltered": "(Filtrado de _TOTAL_ registros)",
                "search": "Buscar:",
                "paginate": {
                    'next': "Siguiente",
                    'previous': "Anterior"
                }
            }
        });
    </script>
    <script> //Datatables por cobrar
        var cant_ventas = 0;
        var ganancia_comisiones = 0;
        var table = $('#tableComisionesPorCobrar').DataTable({
            responsive: true,
            autoWidth: false,
            stateSave: true,
            "ajax": '../cuentas/datatable/comisiones-por-cobrar/{{$data["user"]->id}}',
            "columns": [
                {data: "viaje"},
                {data: "pasajero"},
                { data: 'id', render: function (data, type, dataIndex) {
                    return '<button class="btn btn-default dropdown-toggle" type="button" title="Comisión" class="dropdown-item" data-toggle="modal" data-target="#modalAddComision" onclick="loadDataModalAddComision('+dataIndex.id+');">'+
                                '<i class="fas fa-plus"></i>'+
                            '</button>';
                } }
            ],
            createdRow: function(row, data, dataIndex, cells) {
                $(row).addClass('fila-'+data.id+' tabla-pers relative transform scale-100 text-xs py-1 border-b-2 hover-datatables cursor-default border-b border-gray-200 hover:bg-blue-200 odd');
            },
            "columnDefs": [
                { className: "primerColumnaDataTables", "targets": [ 0 ] },
                { className: "text-left", "targets": [ 1 ] },
                { className: "text-right", "targets": [ 2 ] },
                {
                    "targets": [1,2],
                    "orderable": false
                }
            ],
            "order": [[ 0, "desc" ]],
            "language": {
                "lengthMenu": "Mostrar " +
                                `<select class="custom-select custom-select-sm form-control form-control-sm">
                                    <option value='10'>10</option>
                                    <option value='25'>25</option>
                                    <option value='50'>50</option>
                                    <option value='100'>100</option>
                                    <option value='-1'>Todos</option>
                                </select>` +
                            " registros por página",
                "zeroRecords": "No se han encontrado Resultados.",
                "info": "Mostrando página _PAGE_ de _PAGES_",
                "infoEmpty": "No hay registros disponibles",
                "infoFiltered": "(Filtrado de _TOTAL_ registros)",
                "search": "Buscar:",
                "paginate": {
                    'next': "Siguiente",
                    'previous': "Anterior"
                }
            }
        });
    </script>
    <script> //addDataModalBorrarComision
        function addDataModalBorrarComision(id) {
            $('#idBorrarComision').val(id);
        }
    </script>
    <script> //deleteComision
        function deleteComision() {
            let id = $('#idBorrarComision').val();
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $.ajax({
                url: "../cuentas/delete-comision",
                type: "POST",
                data: {idBorrarComision:id},
                success: function(response){
                    $('.fila-'+id).remove();
                    $('#botonCerrarBorrarComision').click();
                },
                error: function(error) {
                    alert('Error al intentar borrar.');
                }
            });
        }
    </script>
    <script> //loadDataModalAddComision
        function loadDataModalAddComision(id_reserva_info) {
            $('#idReservaInfoComision').val(id_reserva_info);
        }
    </script>
    <script>
        function expExcel() {
            var tipo = $('#tipo_exp').val();
            window.location.href='{{$data['user']->id}}/exportar/excel/'+tipo;
        }
    </script>
    <script>
        function changeMoneda() {
            let tipo = $('#metodo_pago_comision').val()
            if (tipo == "dolares") {
                $('#div_tipo_cambio').show()
                $('#monto_cambio').attr('required', true)
            } else {
                $('#div_tipo_cambio').hide()
                $('#monto_cambio').attr('required', false)
            }
        }
    </script>
@endif
    <script> //select section on load
        var hashValue = window.location.hash.substr(1);

        if (hashValue == "comisiones_cobradas" || hashValue == "comisiones_por_cobrar") {
            $('#li-'+hashValue).addClass('active');
            $('#'+hashValue).addClass('active');
        } else {
            $('#li-reservas').addClass('active');
            $('#reservas').addClass('active');
        }
    </script>
    <script>
        function changeOptionExport() {
            var tipo = $('#tipo_exp').val();
            if (tipo == "2") {
                $('#reservas_export').hide()
                $('#por_cobrar_export').hide()
                $('#cobradas_export').show()
            } else if (tipo == "3") {
                $('#reservas_export').hide()
                $('#cobradas_export').hide()
                $('#por_cobrar_export').show()
            } else {
                $('#cobradas_export').hide()
                $('#por_cobrar_export').hide()
                $('#reservas_export').show()
            }
        }

        function changeCheckboxAll(tipo) {
            let valueCheckbox = $('#checkbox_'+tipo).is(":checked")

            if (valueCheckbox) {
                $('.checks_'+tipo).prop('checked', true)
            } else {
                $('.checks_'+tipo).prop('checked', false)
            }
        }

        function changeUniqueCheckbox(tipo) {
            const totalChecks = $('.checks_'+tipo).length
            let cantChecked = $('input[name="input_'+tipo+'[]"]:checked').length

            if (cantChecked == totalChecks) {
                $('#checkbox_'+tipo).prop('checked', true)
            } else {
                $('#checkbox_'+tipo).prop('checked', false)
            }
        }
    </script>