<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
// SITIO WEB
Route::get('/register', function () {
    return redirect('/login');
});
Route::get('/', 'Site@index');
Route::get('/getViajes', 'Site@getViajes');
Route::get('/circuito/{id}', 'Site@circuito')->name('circuito');
Route::get('/circuitos', 'Site@circuitos')->name('circuitos');
Route::get('/vendedores', 'Site@vendedores')->name('vendedores');
Route::get('/contacto', 'Site@contacto')->name('contacto');
Route::post('/sendContactMessage', 'Site@sendContactMessage')->name('send_mail_contacto');

// SESSION
Auth::routes();
Route::get('sistema/logout', 'Auth\LoginController@logout');

// VIAJES
Route::get('/sistema', 'ViajeController@index');
Route::get('/sistema/bus/{viajeId}', 'ViajeController@bus');
Route::get('/sistema/viaje/get', 'ViajeController@get');
Route::get('/sistema/viaje/getFormData', 'ViajeController@getFormData');
Route::get('/sistema/viaje/getAll', 'ViajeController@getAll');
Route::get('/sistema/viaje/getActive/{tipo}', 'ViajeController@getActive');
Route::post('/sistema/viaje/save', 'ViajeController@save');
Route::post('/sistema/viaje/save_foto_portada', 'ViajeController@save_foto_portada');
Route::post('/sistema/viaje/borrar', 'ViajeController@delete');
Route::post('/sistema/viaje/updateStatus', 'ViajeController@updateStatus');
Route::post('/sistema/viaje/reservar-coordinador/{viajeId}/confirmar', 'ViajeController@saveButacaCoordinador');

// VIAJES INDIVIDUALES
Route::get('/sistema/viajes-individuales', 'ViajesIndController@index');
Route::get('/sistema/viajes-individuales/getActive', 'ViajesIndController@getActive');

// SALDOS A FAVOR
Route::get('/sistema/saldos-a-favor', 'SaldosController@index');
Route::post('/sistema/saldos-a-favor/nuevo', 'SaldosController@nuevo_saldo_a_favor');
Route::post('/sistema/saldos-a-favor/devolver', 'SaldosController@devolver_saldo_a_favor');
Route::post('/sistema/saldos-a-favor/pasar-saldo', 'SaldosController@pasar_saldo_a_favor');
Route::post('/sistema/saldos-a-favor/delete', 'SaldosController@delete_saldo_a_favor');

// HISTORIAL
Route::get('/sistema/historial', 'HistorialController@index');
Route::get('/sistema/historial/getFromMonth', 'HistorialController@getFromMonth');

//DESTINOS
Route::get('sistema/destinos', 'DestinosController@index');
Route::get('sistema/destinos/getAll', 'DestinosController@getAll');
Route::post('sistema/destinos/save', 'DestinosController@save')->name('destinos.save');
Route::post('sistema/destinos/remove', 'DestinosController@remove');
Route::post('sistema/destinos/bufferImages', 'DestinosController@bufferImages');
Route::post('/sistema/destinos/save_imagen_destino', 'DestinosController@save_imagen_destino')->name('save_imagen_destino');
Route::post('/sistema/destinos/delete_image_destino', 'DestinosController@delete_image_destino')->name('delete_image_destino');

// PASAJEROS
Route::get('/sistema/pasajeros', 'PasajeroController@index');
Route::get('/sistema/pasajeros/getAll', 'PasajeroController@getAll');
Route::post('/sistema/pasajeros/save', 'PasajeroController@validateAndSave');
Route::post('/sistema/pasajeros/delete', 'PasajeroController@delete');
Route::get('/sistema/pasajeros/{id}', 'PasajeroController@getPasajeroInfo');
Route::post('/sistema/pasajeros/saveCuota', 'PasajeroController@saveCuota');
Route::get('/sistema/pasajeros/getData/{id}', 'PasajeroController@getDataPasajero');

// RESERVAS
Route::get('/sistema/reservar/{id}', 'ReservaController@index');
Route::get('/sistema/reservar/{id}/getFormData', 'ReservaController@getFormData');
Route::get('/sistema/reservar/{id}/getSeatsOccupied', 'ReservaController@getSeatsOccupied');
Route::post('/sistema/reservar/{id}/validar', 'ReservaController@validar');
Route::post('/sistema/reservar/{viajeId}/confirmar', 'ReservaController@confirmar');
Route::get('/sistema/reservar/confirmacion/{id}', 'ReservaController@confirmacion');
Route::get('/sistema/reservar/{id}/occupiedRooms', 'ReservaController@occupiedRooms');
Route::get('/sistema/reservar/{id}/bloquear/{tipo}/{seat}', 'ReservaController@blockSeats');
Route::get('/sistema/reservar/{id}/habilitar/{seat}', 'ReservaController@enableSeats');
Route::get('/sistema/reservar/confirmacion/getDataIdReservaInfo/{reserva_id}/{pasajero_id}/{viaje_id}', 'ReservaController@getDataIdReservaInfo');

// USERS
Route::get('/sistema/users', 'UsersController@index');
Route::get('/sistema/users/getAll', 'UsersController@getAll');
Route::post('/sistema/users/save', 'UsersController@validateAndSave');
Route::post('/sistema/users/disable', 'UsersController@disable');
Route::get('/sistema/users/disabled', 'UsersController@disabled');
Route::post('/sistema/users/enable', 'UsersController@enable');
Route::get('/sistema/users/{id}', 'UsersController@getUserInfo');
Route::post('/sistema/users/editar-usuario', 'UsersController@editar_usuario');
Route::get('/sistema/users/{id}/exportar/excel/{tipo}', 'UsersController@exportarExcel')->name('exportarVendedorExcel');
Route::post('/sistema/users/exportar/excel/comisiones', 'UsersController@exportarExcelComisiones')->name('exportarVendedorComisionesExcel');

// COORDINADORES
Route::get('/sistema/coordinadores', 'CoordinadoresController@index');
Route::post('/sistema/coordinadores/save', 'CoordinadoresController@save');
Route::post('/sistema/coordinadores/edit', 'CoordinadoresController@save');
Route::post('/sistema/coordinadores/delete', 'CoordinadoresController@delete');
Route::post('/sistema/coordinadores/disable', 'CoordinadoresController@disable');
Route::get('/sistema/coordinadores/disabled', 'CoordinadoresController@disabled');
Route::post('/sistema/coordinadores/enable', 'CoordinadoresController@enable');

Route::get('/sistema/coordinadores/{id}', 'CoordinadoresController@getUserInfo');

// CUENTAS
Route::get('/sistema/cuentas/{id}', 'CuentasController@index');
Route::get('/sistema/cuentas/guardarCheck/{id_reserva_info}/{seat}/{valor}', 'CuentasController@guardarCheck');
Route::get('/sistema/cuentas/saldo-a-favor/{pasajero_id}/{precio_opcional}/{viaje_id}', 'CuentasController@dataSaldosAFavor');
Route::get('/sistema/cuentas/{id}/getReservasViaje', 'CuentasController@getReservasViaje');
Route::get('/sistema/cuentas/{id}/getFormData', 'CuentasController@getFormData');
//Route::get('/sistema/cuentas/cancelReserva/{viaje_id}/{pasajero_id}/{entregado}/{opcion}/{info}/{info2}', 'CuentasController@cancelReserva');
Route::post('/sistema/cuentas/cancelReserva/{viaje_id}', 'CuentasController@cancelReserva');
Route::post('/sistema/cuentas/saveReserva', 'CuentasController@saveReserva');
Route::post('/sistema/cuentas/saveChangeButaca', 'CuentasController@saveChangeButaca');
Route::post('/sistema/cuentas/saveCuota', 'CuentasController@validateAndSaveCuota');
Route::post('/sistema/cuentas/removeCuota', 'CuentasController@removeCuota');
Route::post('/sistema/cuentas/saveComentario/guardar', 'CuentasController@saveComentario');
Route::post('/sistema/cuentas/saveAnotacion/guardar/{id}', 'CuentasController@saveAnotacion');
Route::post('/sistema/cuentas/saveListaEspera/guardar/{id}', 'CuentasController@saveListaEspera');
Route::get('/sistema/anotaciones/{id}', 'CuentasController@anotaciones');
Route::get('/sistema/lista-de-espera/{id}', 'CuentasController@lista_espera');
Route::post('/sistema/cuentas/borrar-reserva-cancelada', 'CuentasController@borrar_reserva_cancelada');
Route::post('/sistema/cuentas/deshacer-reserva-cancelada', 'CuentasController@deshacer_reserva_cancelada');
Route::post('/sistema/cuentas/cambiar-titularidad', 'CuentasController@cambiar_titularidad');
Route::post('/sistema/cuentas/cambiar-viaje', 'CuentasController@cambiar_viaje');
Route::get('/sistema/cuentas/getDataBus/{id_viaje}', 'CuentasController@getDataBus');
Route::get('/sistema/cuentas/getDataViaje/{id_viaje}', 'CuentasController@getDataViaje');
Route::get('/sistema/cuentas/getDataButBloqueadas/{id_viaje}', 'CuentasController@getDataButBloqueadas');
Route::post('/sistema/cuentas/add-comision', 'CuentasController@add_comision');
Route::post('/sistema/cuentas/edit-comision', 'CuentasController@edit_comision');
Route::post('/sistema/cuentas/delete-comision', 'CuentasController@delete_comision');
Route::get('/sistema/cuentas/datatable/comisiones/{id_user}', 'CuentasController@datatable_comisiones');
Route::get('/sistema/cuentas/datatable/comisiones-por-cobrar/{id_user}', 'CuentasController@datatable_comisiones_a_cobrar');

// EXCURSIONES
Route::get('/sistema/excursiones/{id}', 'ExcursionesController@index');
Route::post('/sistema/excursiones/new-excursion', 'ExcursionesController@new_excursion');
Route::post('/sistema/excursiones/edit-delete-excursion', 'ExcursionesController@edit_delete_excursion');
Route::post('/sistema/excursiones/changeExcursion', 'ExcursionesController@changeExcursion');
Route::get('/sistema/excursiones/exportar/excel/{id}', 'ExcursionesController@getExcel');
Route::get('/sistema/excursiones/getData/{id_pasajero}/{id_viaje}/{saldo}', 'ExcursionesController@getDataPasajero');
Route::post('/sistema/excursiones/add-cuota-excursion', 'ExcursionesController@add_cuota_excursion');
Route::post('/sistema/excursiones/saveInfoExtra/guardar', 'ExcursionesController@saveInfoExtra');

// SEGURO AL VIAJERO
Route::get('/sistema/seguro-al-viajero/{id}', 'SegurosController@index');
Route::post('/sistema/seguro-al-viajero/new-seguro', 'SegurosController@new_seguro');
Route::get('/sistema/seguro-al-viajero/getData/{id_pasajero}/{id_viaje}/{saldo}', 'SegurosController@getDataPasajero');
Route::post('/sistema/seguro-al-viajero/add-cuota-seguro', 'SegurosController@add_cuota_seguro');
Route::post('/sistema/seguro-al-viajero/ofrecido-contratado', 'SegurosController@ofrecido_contratado');
Route::get('/sistema/seguro-al-viajero/exportar/excel/{id}', 'SegurosController@getExcel');

// CAJA
Route::get('/sistema/caja', 'CajaController@index');
Route::get('/sistema/caja/datatable-historial-caja', 'CajaController@datatable_historial_caja');
Route::get('/sistema/caja/getdatetransactions', 'CajaController@getDateTransactions');
Route::get('/sistema/caja/getIdPasajero/{tipo_transaccion_id}', 'CajaController@getIdPasajero');
Route::get('/sistema/caja/getalltransactions', 'CajaController@getAllTransactions');
Route::get('/sistema/caja/getformdata', 'CajaController@getDataForm');
Route::post('/sistema/caja/save', 'CajaController@attemptSaveTransaction');
Route::post('/sistema/caja/remove', 'CajaController@removeTransaction');

// RECIBOS GENERALES
Route::get('/sistema/recibos-generales', 'RecibosController@index');
Route::post('/sistema/recibos-generales/nuevo', 'RecibosController@store_recibo');
Route::post('/sistema/recibos-generales/edit', 'RecibosController@update_recibo');
Route::post('/sistema/recibos-generales/delete', 'RecibosController@delete_recibo');

// CALENDARIO
Route::get('/sistema/calendario', 'CalendarioController@index');
Route::get('/sistema/calendario/loadDataTareas/{id_viaje}', 'CalendarioController@loadDataTareas');
Route::get('/sistema/calendario/loadDataTarea/{id_tarea}', 'CalendarioController@loadDataTarea');
Route::post('/sistema/calendario/nueva-tarea', 'CalendarioController@store_tarea');
Route::post('/sistema/calendario/editar-tarea', 'CalendarioController@edit_tarea');
Route::post('/sistema/calendario/borrar-tarea', 'CalendarioController@delete_tarea');

// DOCUMENTOS
Route::get('/sistema/contrato/{id}', 'Documents@contrato');
Route::get('/sistema/recibo/{pasajero_id}/{id}', 'Documents@recibo_pago');
Route::get('/sistema/reservar/recibo/{pasajero_id}/{id}', 'Documents@recibo_pago');
Route::get('/sistema/recibos-generales/ver/pdf/{id}', 'Documents@ver_recibo_general');
Route::get('/sistema/pasajeros/ver/pdf/{pasajero_id}/{id}', 'Documents@recibo_pago');
Route::get('/sistema/caja/cierre/dia/{anio}/{mes}/{dia}', 'Documents@cierre_dia');
Route::get('/sistema/caja/cierre/mes/{anio}/{mes}', 'Documents@cierre_mes');
Route::get('/sistema/exportar_pasajeros_excel/{id}/{tipo}', 'PasajeroController@getExcel');
Route::get('/sistema/getDataButOcupadas/{id}', 'ViajeController@getDataButOcupadas');

// CONFIGURACIÓN WEB
Route::get('/sistema/configuracion_web', 'ConfigWebController@index');
Route::post('/sistema/configuracion_web/save_imagenes/{tipo?}', 'ConfigWebController@save_imagenes')->name('save_imagenes');
Route::post('/sistema/configuracion_web/delete_imagenes', 'ConfigWebController@delete_imagenes')->name('delete_imagenes');
Route::post('/sistema/configuracion_web/save_contacto', 'ConfigWebController@save_contacto')->name('save_contacto');
Route::post('/sistema/configuracion_web/save_quienes_somos', 'ConfigWebController@save_quienes_somos')->name('save_quienes_somos');
Route::post('/sistema/configuracion_web/save_testimonios', 'ConfigWebController@save_testimonios')->name('save_testimonios');
Route::post('/sistema/configuracion_web/save_vendedores', 'ConfigWebController@save_vendedores')->name('save_vendedores');
Route::post('/sistema/configuracion_web/delete_vendedor', 'ConfigWebController@delete_vendedor')->name('delete_vendedor');
